/* Generated from posixwin.scm by the CHICKEN compiler
   http://www.call-cc.org
   2017-12-05 19:55
   Version 4.13.0rc1 (prerelease) (rev 03ced0a0)
   linux-unix-gnu-x86-64 [ 64bit manyargs ptables ]
   compiled 2017-12-05 on yves.more-magic.net (Linux)
   command line: posixwin.scm -optimize-level 2 -include-path . -include-path ./ -inline -ignore-repository -feature chicken-bootstrap -no-warnings -specialize -types ./types.db -explicit-use -no-trace -output-file posixwin.c
   unit: posix
*/

#include "chicken.h"

#ifndef WIN32_LEAN_AND_MEAN
# define WIN32_LEAN_AND_MEAN
#endif

#include <direct.h>
#include <errno.h>
#include <fcntl.h>
#include <io.h>
#include <process.h>
#include <signal.h>
#include <utime.h>
#include <winsock2.h>

#define PIPE_BUF	512

static C_TLS struct group *C_group;
static C_TLS int C_pipefds[ 2 ];
static C_TLS time_t C_secs;

/* pipe handles */
static C_TLS HANDLE C_rd0, C_wr0, C_wr0_, C_rd1, C_wr1, C_rd1_;
static C_TLS HANDLE C_save0, C_save1; /* saved I/O handles */
static C_TLS char C_rdbuf; /* one-char buffer for read */
static C_TLS int C_exstatus;

/* platform information; initialized for cached testing */
static C_TLS char C_hostname[256] = "";
static C_TLS char C_osver[16] = "";
static C_TLS char C_osrel[16] = "";
static C_TLS char C_processor[16] = "";
static C_TLS char C_shlcmd[256] = "";

/* Windows NT or better */
static int C_isNT = 0;

/* Current user name */
static C_TLS TCHAR C_username[255 + 1] = "";

/* Directory Operations */

#define C_mkdir(str)	    C_fix(mkdir(C_c_string(str)))
#define C_chdir(str)	    C_fix(chdir(C_c_string(str)))
#define C_rmdir(str)	    C_fix(rmdir(C_c_string(str)))

#ifndef __WATCOMC__
/* DIRENT stuff */
struct dirent
{
    char *		d_name;
};

typedef struct
{
    struct _finddata_t	fdata;
    int			handle;
    struct dirent	current;
} DIR;

static DIR * C_fcall
opendir(const char *name)
{
    int name_len = strlen(name);
    int what_len = name_len + 3;
    DIR *dir = (DIR *)malloc(sizeof(DIR));
    char *what;
    if (!dir)
    {
	errno = ENOMEM;
	return NULL;
    }
    what = (char *)malloc(what_len);
    if (!what)
    {
	free(dir);
	errno = ENOMEM;
	return NULL;
    }
    C_strlcpy(what, name, what_len);
    if (strchr("\\/", name[name_len - 1]))
	C_strlcat(what, "*", what_len);
    else
	C_strlcat(what, "\\*", what_len);

    dir->handle = _findfirst(what, &dir->fdata);
    if (dir->handle == -1)
    {
	free(what);
	free(dir);
	return NULL;
    }
    dir->current.d_name = NULL; /* as the first-time indicator */
    free(what);
    return dir;
}

static int C_fcall
closedir(DIR * dir)
{
    if (dir)
    {
	int res = _findclose(dir->handle);
	free(dir);
	return res;
    }
    return -1;
}

static struct dirent * C_fcall
readdir(DIR * dir)
{
    if (dir)
    {
	if (!dir->current.d_name /* first time after opendir */
	     || _findnext(dir->handle, &dir->fdata) != -1)
	{
	    dir->current.d_name = dir->fdata.name;
	    return &dir->current;
	}
    }
    return NULL;
}
#endif /* ifndef __WATCOMC__ */

#ifdef __WATCOMC__
/* there is no P_DETACH in Watcom CRTL */
# define P_DETACH P_NOWAIT
#endif

#define open_binary_input_pipe(a, n, name)   C_mpointer(a, _popen(C_c_string(name), "r"))
#define open_text_input_pipe(a, n, name)     open_binary_input_pipe(a, n, name)
#define open_binary_output_pipe(a, n, name)  C_mpointer(a, _popen(C_c_string(name), "w"))
#define open_text_output_pipe(a, n, name)    open_binary_output_pipe(a, n, name)
#define close_pipe(p)			     C_fix(_pclose(C_port_file(p)))

#define C_chmod(fn, m)	    C_fix(chmod(C_data_pointer(fn), C_unfix(m)))
#define C_setvbuf(p, m, s)  C_fix(setvbuf(C_port_file(p), NULL, C_unfix(m), C_unfix(s)))
#define C_test_access(fn, m)	    C_fix(access((char *)C_data_pointer(fn), C_unfix(m)))
#define C_pipe(d, m)	    C_fix(_pipe(C_pipefds, PIPE_BUF, C_unfix(m)))
#define C_close(fd)	    C_fix(close(C_unfix(fd)))

#define C_getenventry(i)   environ[ i ]

#define C_lstat(fn)	    C_stat(fn)

#define C_u_i_execvp(f,a)   C_fix(execvp(C_data_pointer(f), (const char *const *)C_c_pointer_vector_or_null(a)))
#define C_u_i_execve(f,a,e) C_fix(execve(C_data_pointer(f), (const char *const *)C_c_pointer_vector_or_null(a), (const char *const *)C_c_pointer_vector_or_null(e)))

/* MS replacement for the fork-exec pair */
#define C_u_i_spawnvp(m,f,a) C_fix(spawnvp(C_unfix(m), C_data_pointer(f), (const char *const *)C_c_pointer_vector_or_null(a)))
#define C_u_i_spawnvpe(m,f,a,e) C_fix(spawnvpe(C_unfix(m), C_data_pointer(f), (const char *const *)C_c_pointer_vector_or_null(a), (const char *const *)C_c_pointer_vector_or_null(e)))

#define C_open(fn, fl, m)   C_fix(open(C_c_string(fn), C_unfix(fl), C_unfix(m)))
#define C_read(fd, b, n)    C_fix(read(C_unfix(fd), C_data_pointer(b), C_unfix(n)))
#define C_write(fd, b, n)   C_fix(write(C_unfix(fd), C_data_pointer(b), C_unfix(n)))

#define C_flushall()	    C_fix(_flushall())

#define C_umask(m)          C_fix(_umask(C_unfix(m)))

#define C_ctime(n)	    (C_secs = (n), ctime(&C_secs))

#define TIME_STRING_MAXLENGTH 255
static char C_time_string [TIME_STRING_MAXLENGTH + 1];
#undef TIME_STRING_MAXLENGTH

/*
  mapping from Win32 error codes to errno
*/

typedef struct
{
    DWORD   win32;
    int	    libc;
} errmap_t;

static errmap_t errmap[] =
{
    {ERROR_INVALID_FUNCTION,	  EINVAL},
    {ERROR_FILE_NOT_FOUND,	  ENOENT},
    {ERROR_PATH_NOT_FOUND,	  ENOENT},
    {ERROR_TOO_MANY_OPEN_FILES,	  EMFILE},
    {ERROR_ACCESS_DENIED,	  EACCES},
    {ERROR_INVALID_HANDLE,	  EBADF},
    {ERROR_ARENA_TRASHED,	  ENOMEM},
    {ERROR_NOT_ENOUGH_MEMORY,	  ENOMEM},
    {ERROR_INVALID_BLOCK,	  ENOMEM},
    {ERROR_BAD_ENVIRONMENT,	  E2BIG},
    {ERROR_BAD_FORMAT,		  ENOEXEC},
    {ERROR_INVALID_ACCESS,	  EINVAL},
    {ERROR_INVALID_DATA,	  EINVAL},
    {ERROR_INVALID_DRIVE,	  ENOENT},
    {ERROR_CURRENT_DIRECTORY,	  EACCES},
    {ERROR_NOT_SAME_DEVICE,	  EXDEV},
    {ERROR_NO_MORE_FILES,	  ENOENT},
    {ERROR_LOCK_VIOLATION,	  EACCES},
    {ERROR_BAD_NETPATH,		  ENOENT},
    {ERROR_NETWORK_ACCESS_DENIED, EACCES},
    {ERROR_BAD_NET_NAME,	  ENOENT},
    {ERROR_FILE_EXISTS,		  EEXIST},
    {ERROR_CANNOT_MAKE,		  EACCES},
    {ERROR_FAIL_I24,		  EACCES},
    {ERROR_INVALID_PARAMETER,	  EINVAL},
    {ERROR_NO_PROC_SLOTS,	  EAGAIN},
    {ERROR_DRIVE_LOCKED,	  EACCES},
    {ERROR_BROKEN_PIPE,		  EPIPE},
    {ERROR_DISK_FULL,		  ENOSPC},
    {ERROR_INVALID_TARGET_HANDLE, EBADF},
    {ERROR_INVALID_HANDLE,	  EINVAL},
    {ERROR_WAIT_NO_CHILDREN,	  ECHILD},
    {ERROR_CHILD_NOT_COMPLETE,	  ECHILD},
    {ERROR_DIRECT_ACCESS_HANDLE,  EBADF},
    {ERROR_NEGATIVE_SEEK,	  EINVAL},
    {ERROR_SEEK_ON_DEVICE,	  EACCES},
    {ERROR_DIR_NOT_EMPTY,	  ENOTEMPTY},
    {ERROR_NOT_LOCKED,		  EACCES},
    {ERROR_BAD_PATHNAME,	  ENOENT},
    {ERROR_MAX_THRDS_REACHED,	  EAGAIN},
    {ERROR_LOCK_FAILED,		  EACCES},
    {ERROR_ALREADY_EXISTS,	  EEXIST},
    {ERROR_FILENAME_EXCED_RANGE,  ENOENT},
    {ERROR_NESTING_NOT_ALLOWED,	  EAGAIN},
    {ERROR_NOT_ENOUGH_QUOTA,	  ENOMEM},
    {0, 0}
};

static void C_fcall
set_errno(DWORD w32err)
{
    errmap_t *map;
    for (map = errmap; map->win32; ++map)
    {
	if (map->win32 == w32err)
	{
	    errno = map->libc;
	    return;
	}
    }
    errno = ENOSYS; /* For lack of anything better */
}

static int C_fcall
set_last_errno()
{
    set_errno(GetLastError());
    return 0;
}

static int C_fcall
process_wait(C_word h, C_word t)
{
    if (WaitForSingleObject((HANDLE)h, (t ? 0 : INFINITE)) == WAIT_OBJECT_0)
    {
	DWORD ret;
	if (GetExitCodeProcess((HANDLE)h, &ret))
	{
	    CloseHandle((HANDLE)h);
	    C_exstatus = ret;
	    return 1;
	}
    }
    return set_last_errno();
}

#define C_process_wait(p, t) (process_wait(C_unfix(p), C_truep(t)) ? C_SCHEME_TRUE : C_SCHEME_FALSE)
#define C_sleep(t) (Sleep(C_unfix(t) * 1000), C_fix(0))

static int C_fcall
get_hostname()
{
    /* Do we already have hostname? */
    if (strlen(C_hostname))
    {
	return 1;
    }
    else
    {
	WSADATA wsa;
	if (WSAStartup(MAKEWORD(1, 1), &wsa) == 0)
	{
	    int nok = gethostname(C_hostname, sizeof(C_hostname));
	    WSACleanup();
	    return !nok;
	}
	return 0;
    }
}

static int C_fcall
sysinfo()
{
    /* Do we need to build the sysinfo? */
    if (!strlen(C_osrel))
    {
	OSVERSIONINFO ovf;
	ZeroMemory(&ovf, sizeof(ovf));
	ovf.dwOSVersionInfoSize = sizeof(ovf);
	if (get_hostname() && GetVersionEx(&ovf))
	{
	    SYSTEM_INFO si;
	    _snprintf(C_osver, sizeof(C_osver) - 1, "%d.%d.%d",
			ovf.dwMajorVersion, ovf.dwMinorVersion, ovf.dwBuildNumber);
	    strncpy(C_osrel, "Win", sizeof(C_osrel) - 1);
	    switch (ovf.dwPlatformId)
	    {
	    case VER_PLATFORM_WIN32s:
		strncpy(C_osrel, "Win32s", sizeof(C_osrel) - 1);
		break;
	    case VER_PLATFORM_WIN32_WINDOWS:
		if (ovf.dwMajorVersion == 4)
		{
		    if (ovf.dwMinorVersion == 0)
			strncpy(C_osrel, "Win95", sizeof(C_osrel) - 1);
		    else if (ovf.dwMinorVersion == 10)
			strncpy(C_osrel, "Win98", sizeof(C_osrel) - 1);
		    else if (ovf.dwMinorVersion == 90)
			strncpy(C_osrel, "WinMe", sizeof(C_osrel) - 1);
		}
		break;
	    case VER_PLATFORM_WIN32_NT:
		C_isNT = 1;
		if (ovf.dwMajorVersion == 6)
		    strncpy(C_osrel, "WinVista", sizeof(C_osrel) - 1);
		else if (ovf.dwMajorVersion == 5)
		{
		    if (ovf.dwMinorVersion == 2)
			strncpy(C_osrel, "WinServer2003", sizeof(C_osrel) - 1);
		    else if (ovf.dwMinorVersion == 1)
			strncpy(C_osrel, "WinXP", sizeof(C_osrel) - 1);
		    else if ( ovf.dwMinorVersion == 0)
			strncpy(C_osrel, "Win2000", sizeof(C_osrel) - 1);
		}
		else if (ovf.dwMajorVersion <= 4)
		   strncpy(C_osrel, "WinNT", sizeof(C_osrel) - 1);
		break;
	    }
	    GetSystemInfo(&si);
	    strncpy(C_processor, "Unknown", sizeof(C_processor) - 1);
	    switch (si.wProcessorArchitecture)
	    {
	    case PROCESSOR_ARCHITECTURE_INTEL:
		strncpy(C_processor, "x86", sizeof(C_processor) - 1);
		break;
#	    ifdef PROCESSOR_ARCHITECTURE_IA64
	    case PROCESSOR_ARCHITECTURE_IA64:
		strncpy(C_processor, "IA64", sizeof(C_processor) - 1);
		break;
#	    endif
#	    ifdef PROCESSOR_ARCHITECTURE_AMD64
	    case PROCESSOR_ARCHITECTURE_AMD64:
		strncpy(C_processor, "x64", sizeof(C_processor) - 1);
		break;
#	    endif
#	    ifdef PROCESSOR_ARCHITECTURE_IA32_ON_WIN64
	    case PROCESSOR_ARCHITECTURE_IA32_ON_WIN64:
		strncpy(C_processor, "WOW64", sizeof(C_processor) - 1);
		break;
#	    endif
	    }
	}
	else
	    return set_last_errno();
    }
    return 1;
}

static int C_fcall
get_shlcmd()
{
    /* Do we need to build the shell command pathname? */
    if (!strlen(C_shlcmd))
    {
	if (sysinfo()) /* for C_isNT */
	{
	    char *cmdnam = C_isNT ? "\\cmd.exe" : "\\command.com";
	    UINT len = GetSystemDirectory(C_shlcmd, sizeof(C_shlcmd) - strlen(cmdnam));
	    if (len)
		C_strlcpy(C_shlcmd + len, cmdnam, sizeof(C_shlcmd));
	    else
		return set_last_errno();
	}
	else
	    return 0;
    }
    return 1;
}

#define C_get_hostname() (get_hostname() ? C_SCHEME_TRUE : C_SCHEME_FALSE)
#define C_sysinfo() (sysinfo() ? C_SCHEME_TRUE : C_SCHEME_FALSE)
#define C_get_shlcmd() (get_shlcmd() ? C_SCHEME_TRUE : C_SCHEME_FALSE)

/* GetUserName */

static int C_fcall
get_user_name()
{
    if (!strlen(C_username))
    {
	DWORD bufCharCount = sizeof(C_username) / sizeof(C_username[0]);
	if (!GetUserName(C_username, &bufCharCount))
	    return set_last_errno();
    }
    return 1;
}

#define C_get_user_name() (get_user_name() ? C_SCHEME_TRUE : C_SCHEME_FALSE)

/*
    Spawn a process directly.
    Params:
    app		Command to execute.
    cmdlin	Command line (arguments).
    env		Environment for the new process (may be NULL).
    handle, stdin, stdout, stderr
		Spawned process info are returned in integers.
		When spawned process shares standard io stream with the parent
		process the respective value in handle, stdin, stdout, stderr
		is -1.
    params	A bitmask controling operation.
		Bit 1: Child & parent share standard input if this bit is set.
		Bit 2: Share standard output if bit is set.
		Bit 3: Share standard error if bit is set.

    Returns: zero return value indicates failure.
*/
static int C_fcall
C_process(const char * app, const char * cmdlin, const char ** env,
	  C_word * phandle,
	  int * pstdin_fd, int * pstdout_fd, int * pstderr_fd,
	  int params)
{
    int i;
    int success = TRUE;
    const int f_share_io[3] = { params & 1, params & 2, params & 4};
    int io_fds[3] = { -1, -1, -1 };
    HANDLE
	child_io_handles[3] = { NULL, NULL, NULL },
	standard_io_handles[3] = {
	    GetStdHandle(STD_INPUT_HANDLE),
	    GetStdHandle(STD_OUTPUT_HANDLE),
	    GetStdHandle(STD_ERROR_HANDLE)};
    const char modes[3] = "rww";
    HANDLE cur_process = GetCurrentProcess(), child_process = NULL;
    void* envblk = NULL;

    /****** create io handles & fds ***/

    for (i=0; i<3 && success; ++i)
    {
	if (f_share_io[i])
	{
	    success = DuplicateHandle(
		cur_process, standard_io_handles[i],
		cur_process, &child_io_handles[i],
		0, FALSE, DUPLICATE_SAME_ACCESS);
	}
	else
	{
	    HANDLE a, b;
	    success = CreatePipe(&a,&b,NULL,0);
	    if(success)
	    {
		HANDLE parent_end;
		if (modes[i]=='r') { child_io_handles[i]=a; parent_end=b; }
		else		   { parent_end=a; child_io_handles[i]=b; }
		success = (io_fds[i] = _open_osfhandle((C_word)parent_end,0)) >= 0;
                /* Make new handle inheritable */
		if (success)
		  success = SetHandleInformation(child_io_handles[i], HANDLE_FLAG_INHERIT, -1);
	    }
	}
    }

#if 0 /* Requires a sorted list by key! */
    /****** create environment block if necessary ****/

    if (env && success)
    {
	char** p;
	int len = 0;

	for (p = env; *p; ++p) len += strlen(*p) + 1;

	if (envblk = C_malloc(len + 1))
	{
	    char* pb = (char*)envblk;
	    for (p = env; *p; ++p)
	    {
		C_strlcpy(pb, *p, len+1);
		pb += strlen(*p) + 1;
	    }
	    *pb = '\0';
            /* This _should_ already have been checked for embedded NUL bytes */
	}
	else
	    success = FALSE;
    }
#endif

    /****** finally spawn process ****/

    if (success)
    {
	PROCESS_INFORMATION pi;
	STARTUPINFO si;

	ZeroMemory(&pi,sizeof pi);
	ZeroMemory(&si,sizeof si);
	si.cb = sizeof si;
	si.dwFlags = STARTF_USESTDHANDLES;
	si.hStdInput = child_io_handles[0];
	si.hStdOutput = child_io_handles[1];
	si.hStdError = child_io_handles[2];

	/* FIXME passing 'app' param causes failure & possible stack corruption */
	success = CreateProcess(
	    NULL, (char*)cmdlin, NULL, NULL, TRUE, 0, envblk, NULL, &si, &pi);

	if (success)
	{
	    child_process=pi.hProcess;
	    CloseHandle(pi.hThread);
	}
	else
	    set_last_errno();
    }
    else
	set_last_errno();

    /****** cleanup & return *********/

    /* parent must close child end */
    for (i=0; i<3; ++i) {
	if (child_io_handles[i] != NULL)
	    CloseHandle(child_io_handles[i]);
    }

    if (success)
    {
	*phandle = (C_word)child_process;
	*pstdin_fd = io_fds[0];
	*pstdout_fd = io_fds[1];
	*pstderr_fd = io_fds[2];
    }
    else
    {
	for (i=0; i<3; ++i) {
	    if (io_fds[i] != -1)
		_close(io_fds[i]);
	}
    }

    return success;
}

static int set_file_mtime(char *filename, C_word tm)
{
  struct _utimbuf tb;

  tb.actime = tb.modtime = C_num_to_int(tm);
  return _utime(filename, &tb);
}

#include <signal.h>
#include <errno.h>

#include <sys/stat.h>

static int C_not_implemented(void);
int C_not_implemented() { return -1; }

#define C_curdir(buf)       (getcwd(C_c_string(buf), 1024) ? C_fix(strlen(C_c_string(buf))) : C_SCHEME_FALSE)

static C_TLS struct stat C_statbuf;

#define C_stat_type         (C_statbuf.st_mode & S_IFMT)
#define C_stat(fn)          C_fix(stat((char *)C_data_pointer(fn), &C_statbuf))
#define C_fstat(f)          C_fix(fstat(C_unfix(f), &C_statbuf))

#ifndef S_IFSOCK
# define S_IFSOCK           0140000
#endif

#define cpy_tmvec_to_tmstc08(ptm, v) \
    ((ptm)->tm_sec = C_unfix(C_block_item((v), 0)), \
    (ptm)->tm_min = C_unfix(C_block_item((v), 1)), \
    (ptm)->tm_hour = C_unfix(C_block_item((v), 2)), \
    (ptm)->tm_mday = C_unfix(C_block_item((v), 3)), \
    (ptm)->tm_mon = C_unfix(C_block_item((v), 4)), \
    (ptm)->tm_year = C_unfix(C_block_item((v), 5)), \
    (ptm)->tm_wday = C_unfix(C_block_item((v), 6)), \
    (ptm)->tm_yday = C_unfix(C_block_item((v), 7)), \
    (ptm)->tm_isdst = (C_block_item((v), 8) != C_SCHEME_FALSE))

#define cpy_tmvec_to_tmstc9(ptm, v) \
    (((struct tm *)ptm)->tm_gmtoff = -C_unfix(C_block_item((v), 9)))

#define C_tm_set_08(v, tm)  cpy_tmvec_to_tmstc08( (tm), (v) )
#define C_tm_set_9(v, tm)   cpy_tmvec_to_tmstc9( (tm), (v) )

static struct tm *
C_tm_set( C_word v, void *tm )
{
  C_tm_set_08( v, (struct tm *)tm );
#if defined(C_GNU_ENV) && !defined(__CYGWIN__) && !defined(__uClinux__)
  C_tm_set_9( v, (struct tm *)tm );
#endif
  return tm;
}

#define TIME_STRING_MAXLENGTH 255
static char C_time_string [TIME_STRING_MAXLENGTH + 1];
#undef TIME_STRING_MAXLENGTH

#define C_strftime(v, f, tm) \
        (strftime(C_time_string, sizeof(C_time_string), C_c_string(f), C_tm_set((v), (tm))) ? C_time_string : NULL)
#define C_a_mktime(ptr, c, v, tm)  C_flonum(ptr, mktime(C_tm_set((v), C_data_pointer(tm))))
#define C_asctime(v, tm)    (asctime(C_tm_set((v), (tm))))

#define C_fdopen(a, n, fd, m) C_mpointer(a, fdopen(C_unfix(fd), C_c_string(m)))
#define C_C_fileno(p)       C_fix(fileno(C_port_file(p)))
#define C_dup(x)            C_fix(dup(C_unfix(x)))
#define C_dup2(x, y)        C_fix(dup2(C_unfix(x), C_unfix(y)))

#define C_set_file_ptr(port, ptr)  (C_set_block_item(port, 0, (C_block_item(ptr, 0))), C_SCHEME_UNDEFINED)

#define C_opendir(x,h)      C_set_block_item(h, 0, (C_word) opendir(C_c_string(x)))
#define C_closedir(h)       (closedir((DIR *)C_block_item(h, 0)), C_SCHEME_UNDEFINED)
#define C_readdir(h,e)      C_set_block_item(e, 0, (C_word) readdir((DIR *)C_block_item(h, 0)))
#define C_foundfile(e,b,l)    (C_strlcpy(C_c_string(b), ((struct dirent *) C_block_item(e, 0))->d_name, l), C_fix(strlen(((struct dirent *) C_block_item(e, 0))->d_name)))

/* It is assumed that 'int' is-a 'long' */
#define C_ftell(p)          C_fix(ftell(C_port_file(p)))
#define C_fseek(p, n, w)    C_mk_nbool(fseek(C_port_file(p), C_num_to_int(n), C_unfix(w)))
#define C_lseek(fd, o, w)     C_fix(lseek(C_unfix(fd), C_unfix(o), C_unfix(w)))

#ifdef HAVE_SETENV
# define C_unsetenv(s)      (unsetenv((char *)C_data_pointer(s)), C_SCHEME_TRUE)
# define C_setenv(x, y)     C_fix(setenv((char *)C_data_pointer(x), (char *)C_data_pointer(y), 1))
#else
# if defined(_WIN32) && !defined(__CYGWIN__)
#  define C_unsetenv(s)      C_setenv(s, C_SCHEME_FALSE)
# else
#  define C_unsetenv(s)      C_fix(putenv((char *)C_data_pointer(s)))
# endif
static C_word C_fcall C_setenv(C_word x, C_word y) {
  char *sx = C_c_string(x),
       *sy = (y == C_SCHEME_FALSE ? "" : C_c_string(y));
  int n1 = C_strlen(sx), n2 = C_strlen(sy);
  int buf_len = n1 + n2 + 2;
  char *buf = (char *)C_malloc(buf_len);
  if(buf == NULL) return(C_fix(0));
  else {
    C_strlcpy(buf, sx, buf_len);
    C_strlcat(buf, "=", buf_len);
    C_strlcat(buf, sy, buf_len);
    return(C_fix(putenv(buf)));
  }
}
#endif

#ifndef S_IFLNK
#define S_IFLNK S_IFREG
#endif

#ifndef S_IFREG
#define S_IFREG S_IFREG
#endif

#ifndef S_IFDIR
#define S_IFDIR S_IFREG
#endif

#ifndef S_IFCHR
#define S_IFCHR S_IFREG
#endif

#ifndef S_IFBLK
#define S_IFBLK S_IFREG
#endif

#ifndef S_IFSOCK
#define S_IFSOCK S_IFREG
#endif

#ifndef S_IFIFO
#define S_IFIFO S_IFREG
#endif


#define PROT_NONE       0
#define PROT_READ       1
#define PROT_WRITE      2
#define PROT_EXEC       4
#define MAP_FILE        0
#define MAP_SHARED      1
#define MAP_PRIVATE     2
#define MAP_FIXED       0x10
#define MAP_ANONYMOUS   0x20

// This value is available starting with Windows XP with SP2 
// and Windows Server 2003 with SP1.
#ifndef FILE_MAP_EXECUTE
#define FILE_MAP_EXECUTE 0x20
#endif//FILE_MAP_EXECUTE

static int page_flags[] =
{
    0,
    PAGE_READONLY,
    PAGE_READWRITE,
    PAGE_READWRITE,
    PAGE_EXECUTE_READ,
    PAGE_EXECUTE_READ,
    PAGE_EXECUTE_READWRITE
};

static int file_flags[] =
{
    0,
    FILE_MAP_READ,
    FILE_MAP_READ|FILE_MAP_WRITE,
    FILE_MAP_READ|FILE_MAP_WRITE,
    FILE_MAP_READ|FILE_MAP_EXECUTE,
    FILE_MAP_READ|FILE_MAP_EXECUTE,
    FILE_MAP_READ|FILE_MAP_WRITE|FILE_MAP_EXECUTE
};

void* mmap(void* addr,int len,int prot,int flags,int fd,int off)
{
    HANDLE hMap;
    HANDLE hFile;

    void* ptr;

    if ((flags & MAP_FIXED) || (flags & MAP_PRIVATE) || (flags & MAP_ANONYMOUS))
    {
        errno = EINVAL;
        return (void*)-1;
    }

    /*
     * We must cast because _get_osfhandle returns intptr_t, but it must
     * be compared with INVALID_HANDLE_VALUE, which is a HANDLE type.
     * Who comes up with this shit?
     */
    hFile = (HANDLE)_get_osfhandle(fd);
    if (hFile == INVALID_HANDLE_VALUE)
    {
        return (void*)-1;
    }

    hMap = CreateFileMapping(
            hFile,
            NULL,
            page_flags[prot & (PROT_READ|PROT_WRITE|PROT_EXEC)],
            0,
            0,
            NULL);

    if (hMap == INVALID_HANDLE_VALUE)
    {
        set_last_errno();
        return (void*)-1;
    }

    ptr = MapViewOfFile(
            hMap,
            file_flags[prot & (PROT_READ|PROT_WRITE|PROT_EXEC)],
            0,
            off,
            len);

    if (ptr == NULL)
    {
        set_last_errno();
        ptr = (void*)-1;
    }

    CloseHandle(hMap);

    return ptr;
}

int munmap(void* addr,int len)
{
    if (UnmapViewOfFile(addr))
    {
        errno = 0;
        return 0;
    }
    set_last_errno();
    return -1;
}

int is_bad_mmap(void* p)
{
    void* bad_ptr;
    bad_ptr = (void*)-1;
    return p == bad_ptr;
}


static C_PTABLE_ENTRY *create_ptable(void);
C_noret_decl(C_scheduler_toplevel)
C_externimport void C_ccall C_scheduler_toplevel(C_word c,C_word *av) C_noret;
C_noret_decl(C_irregex_toplevel)
C_externimport void C_ccall C_irregex_toplevel(C_word c,C_word *av) C_noret;
C_noret_decl(C_extras_toplevel)
C_externimport void C_ccall C_extras_toplevel(C_word c,C_word *av) C_noret;
C_noret_decl(C_files_toplevel)
C_externimport void C_ccall C_files_toplevel(C_word c,C_word *av) C_noret;
C_noret_decl(C_ports_toplevel)
C_externimport void C_ccall C_ports_toplevel(C_word c,C_word *av) C_noret;
C_noret_decl(C_lolevel_toplevel)
C_externimport void C_ccall C_lolevel_toplevel(C_word c,C_word *av) C_noret;

static C_TLS C_word lf[411];
static double C_possibly_force_alignment;
static C_char C_TLS li0[] C_aligned={C_lihdr(0,0,41),40,112,111,115,105,120,45,101,114,114,111,114,32,116,121,112,101,55,49,32,108,111,99,55,50,32,109,115,103,55,51,32,46,32,97,114,103,115,55,52,41,0,0,0,0,0,0,0};
static C_char C_TLS li1[] C_aligned={C_lihdr(0,0,38),40,35,35,115,121,115,35,115,116,97,116,32,102,105,108,101,56,54,32,108,105,110,107,56,55,32,101,114,114,56,56,32,108,111,99,56,57,41,0,0};
static C_char C_TLS li2[] C_aligned={C_lihdr(0,0,28),40,102,105,108,101,45,115,116,97,116,32,102,49,48,49,32,46,32,116,109,112,49,48,48,49,48,50,41,0,0,0,0};
static C_char C_TLS li3[] C_aligned={C_lihdr(0,0,23),40,102,105,108,101,45,97,99,99,101,115,115,45,116,105,109,101,32,102,49,50,55,41,0};
static C_char C_TLS li4[] C_aligned={C_lihdr(0,0,23),40,102,105,108,101,45,99,104,97,110,103,101,45,116,105,109,101,32,102,49,51,48,41,0};
static C_char C_TLS li5[] C_aligned={C_lihdr(0,0,17),40,102,105,108,101,45,111,119,110,101,114,32,102,49,51,51,41,0,0,0,0,0,0,0};
static C_char C_TLS li6[] C_aligned={C_lihdr(0,0,23),40,102,105,108,101,45,112,101,114,109,105,115,115,105,111,110,115,32,102,49,51,54,41,0};
static C_char C_TLS li7[] C_aligned={C_lihdr(0,0,16),40,102,105,108,101,45,115,105,122,101,32,102,49,51,57,41};
static C_char C_TLS li8[] C_aligned={C_lihdr(0,0,31),40,102,105,108,101,45,116,121,112,101,32,102,105,108,101,49,52,54,32,46,32,116,109,112,49,52,53,49,52,55,41,0};
static C_char C_TLS li9[] C_aligned={C_lihdr(0,0,23),40,114,101,103,117,108,97,114,45,102,105,108,101,63,32,102,105,108,101,49,54,53,41,0};
static C_char C_TLS li10[] C_aligned={C_lihdr(0,0,24),40,115,121,109,98,111,108,105,99,45,108,105,110,107,63,32,102,105,108,101,49,54,55,41};
static C_char C_TLS li11[] C_aligned={C_lihdr(0,0,23),40,98,108,111,99,107,45,100,101,118,105,99,101,63,32,102,105,108,101,49,54,57,41,0};
static C_char C_TLS li12[] C_aligned={C_lihdr(0,0,27),40,99,104,97,114,97,99,116,101,114,45,100,101,118,105,99,101,63,32,102,105,108,101,49,55,49,41,0,0,0,0,0};
static C_char C_TLS li13[] C_aligned={C_lihdr(0,0,16),40,102,95,50,53,54,50,32,102,105,108,101,49,55,51,41};
static C_char C_TLS li14[] C_aligned={C_lihdr(0,0,17),40,115,111,99,107,101,116,63,32,102,105,108,101,49,55,53,41,0,0,0,0,0,0,0};
static C_char C_TLS li15[] C_aligned={C_lihdr(0,0,20),40,100,105,114,101,99,116,111,114,121,63,32,102,105,108,101,49,55,55,41,0,0,0,0};
static C_char C_TLS li16[] C_aligned={C_lihdr(0,0,47),40,115,101,116,45,102,105,108,101,45,112,111,115,105,116,105,111,110,33,32,112,111,114,116,49,56,50,32,112,111,115,49,56,51,32,46,32,119,104,101,110,99,101,49,56,52,41,0};
static C_char C_TLS li17[] C_aligned={C_lihdr(0,0,25),40,109,111,100,101,32,105,110,112,50,48,54,32,109,50,48,55,32,108,111,99,50,48,56,41,0,0,0,0,0,0,0};
static C_char C_TLS li18[] C_aligned={C_lihdr(0,0,32),40,99,104,101,99,107,32,108,111,99,50,50,48,32,102,100,50,50,49,32,105,110,112,50,50,50,32,114,50,50,51,41};
static C_char C_TLS li19[] C_aligned={C_lihdr(0,0,21),40,102,95,50,55,48,49,32,102,100,50,50,54,32,46,32,109,50,50,55,41,0,0,0};
static C_char C_TLS li20[] C_aligned={C_lihdr(0,0,21),40,102,95,50,55,49,53,32,102,100,50,50,57,32,46,32,109,50,51,48,41,0,0,0};
static C_char C_TLS li21[] C_aligned={C_lihdr(0,0,16),40,102,95,50,55,50,57,32,112,111,114,116,50,51,54,41};
static C_char C_TLS li22[] C_aligned={C_lihdr(0,0,24),40,102,95,50,55,55,55,32,111,108,100,50,52,53,32,46,32,110,101,119,50,52,54,41};
static C_char C_TLS li23[] C_aligned={C_lihdr(0,0,31),40,99,117,114,114,101,110,116,45,100,105,114,101,99,116,111,114,121,32,46,32,116,109,112,50,53,54,50,53,55,41,0};
static C_char C_TLS li24[] C_aligned={C_lihdr(0,0,14),40,114,109,100,105,114,32,100,105,114,50,56,51,41,0,0};
static C_char C_TLS li25[] C_aligned={C_lihdr(0,0,11),40,103,50,56,57,32,102,50,57,56,41,0,0,0,0,0};
static C_char C_TLS li26[] C_aligned={C_lihdr(0,0,26),40,102,111,114,45,101,97,99,104,45,108,111,111,112,50,56,56,32,103,50,57,53,51,48,54,41,0,0,0,0,0,0};
static C_char C_TLS li27[] C_aligned={C_lihdr(0,0,38),40,100,101,108,101,116,101,45,100,105,114,101,99,116,111,114,121,32,110,97,109,101,50,55,53,32,46,32,116,109,112,50,55,52,50,55,54,41,0,0};
static C_char C_TLS li28[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,100,105,114,51,50,57,41,0,0,0};
static C_char C_TLS li29[] C_aligned={C_lihdr(0,0,7),40,97,50,57,57,51,41,0};
static C_char C_TLS li30[] C_aligned={C_lihdr(0,0,47),40,97,50,57,57,57,32,100,105,114,51,51,55,51,51,56,51,52,51,32,102,105,108,101,51,51,57,51,52,48,51,52,52,32,101,120,116,51,52,49,51,52,50,51,52,53,41,0};
static C_char C_TLS li31[] C_aligned={C_lihdr(0,0,38),40,99,114,101,97,116,101,45,100,105,114,101,99,116,111,114,121,32,110,97,109,101,51,49,56,32,46,32,116,109,112,51,49,55,51,49,57,41,0,0};
static C_char C_TLS li32[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li33[] C_aligned={C_lihdr(0,0,23),40,100,105,114,101,99,116,111,114,121,32,46,32,116,109,112,51,53,57,51,54,48,41,0};
static C_char C_TLS li34[] C_aligned={C_lihdr(0,0,7),40,97,51,50,48,48,41,0};
static C_char C_TLS li35[] C_aligned={C_lihdr(0,0,11),40,103,52,50,50,32,109,52,50,52,41,0,0,0,0,0};
static C_char C_TLS li36[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,102,110,115,52,49,53,41,0,0,0};
static C_char C_TLS li37[] C_aligned={C_lihdr(0,0,46),40,97,51,50,48,54,32,100,105,114,51,57,56,51,57,57,52,48,52,32,102,105,108,52,48,48,52,48,49,52,48,53,32,101,120,116,52,48,50,52,48,51,52,48,54,41,0,0};
static C_char C_TLS li38[] C_aligned={C_lihdr(0,0,20),40,99,111,110,99,45,108,111,111,112,32,112,97,116,104,115,51,57,54,41,0,0,0,0};
static C_char C_TLS li39[] C_aligned={C_lihdr(0,0,17),40,103,108,111,98,32,46,32,112,97,116,104,115,51,57,52,41,0,0,0,0,0,0,0};
static C_char C_TLS li40[] C_aligned={C_lihdr(0,0,7),40,97,51,51,55,51,41,0};
static C_char C_TLS li41[] C_aligned={C_lihdr(0,0,7),40,97,51,51,55,56,41,0};
static C_char C_TLS li42[] C_aligned={C_lihdr(0,0,7),40,97,51,51,57,56,41,0};
static C_char C_TLS li43[] C_aligned={C_lihdr(0,0,24),40,108,111,111,112,32,100,105,114,52,53,49,32,102,115,52,53,50,32,114,52,53,51,41};
static C_char C_TLS li44[] C_aligned={C_lihdr(0,0,13),40,102,95,51,52,52,52,32,120,52,52,57,41,0,0,0};
static C_char C_TLS li45[] C_aligned={C_lihdr(0,0,15),40,102,95,51,52,54,48,32,46,32,95,52,52,54,41,0};
static C_char C_TLS li46[] C_aligned={C_lihdr(0,0,15),40,102,95,51,52,53,50,32,46,32,95,52,52,53,41,0};
static C_char C_TLS li47[] C_aligned={C_lihdr(0,0,7),40,97,51,52,56,57,41,0};
static C_char C_TLS li48[] C_aligned={C_lihdr(0,0,7),40,97,51,52,57,50,41,0};
static C_char C_TLS li49[] C_aligned={C_lihdr(0,0,7),40,97,51,52,57,53,41,0};
static C_char C_TLS li50[] C_aligned={C_lihdr(0,0,7),40,97,51,52,57,56,41,0};
static C_char C_TLS li51[] C_aligned={C_lihdr(0,0,18),40,102,95,51,53,48,52,32,120,52,56,56,32,121,52,56,57,41,0,0,0,0,0,0};
static C_char C_TLS li52[] C_aligned={C_lihdr(0,0,7),40,97,51,53,48,49,41,0};
static C_char C_TLS li53[] C_aligned={C_lihdr(0,0,15),40,102,95,51,53,49,50,32,46,32,95,52,56,54,41,0};
static C_char C_TLS li54[] C_aligned={C_lihdr(0,0,7),40,97,51,53,48,57,41,0};
static C_char C_TLS li55[] C_aligned={C_lihdr(0,0,31),40,102,105,110,100,45,102,105,108,101,115,32,100,105,114,52,56,51,32,46,32,116,109,112,52,56,50,52,56,52,41,0};
static C_char C_TLS li56[] C_aligned={C_lihdr(0,0,32),40,99,104,101,99,107,45,116,105,109,101,45,118,101,99,116,111,114,32,108,111,99,53,49,52,32,116,109,53,49,53,41};
static C_char C_TLS li57[] C_aligned={C_lihdr(0,0,33),40,115,101,99,111,110,100,115,45,62,108,111,99,97,108,45,116,105,109,101,32,46,32,116,109,112,53,50,49,53,50,50,41,0,0,0,0,0,0,0};
static C_char C_TLS li58[] C_aligned={C_lihdr(0,0,31),40,115,101,99,111,110,100,115,45,62,117,116,99,45,116,105,109,101,32,46,32,116,109,112,53,51,51,53,51,52,41,0};
static C_char C_TLS li59[] C_aligned={C_lihdr(0,0,29),40,115,101,99,111,110,100,115,45,62,115,116,114,105,110,103,32,46,32,116,109,112,53,53,49,53,53,50,41,0,0,0};
static C_char C_TLS li60[] C_aligned={C_lihdr(0,0,27),40,108,111,99,97,108,45,116,105,109,101,45,62,115,101,99,111,110,100,115,32,116,109,53,54,51,41,0,0,0,0,0};
static C_char C_TLS li61[] C_aligned={C_lihdr(0,0,32),40,116,105,109,101,45,62,115,116,114,105,110,103,32,116,109,53,57,53,32,46,32,116,109,112,53,57,52,53,57,54,41};
static C_char C_TLS li62[] C_aligned={C_lihdr(0,0,22),40,115,101,116,101,110,118,32,118,97,114,54,48,57,32,118,97,108,54,49,48,41,0,0};
static C_char C_TLS li63[] C_aligned={C_lihdr(0,0,17),40,117,110,115,101,116,101,110,118,32,118,97,114,54,49,53,41,0,0,0,0,0,0,0};
static C_char C_TLS li64[] C_aligned={C_lihdr(0,0,11),40,115,99,97,110,32,106,54,50,57,41,0,0,0,0,0};
static C_char C_TLS li65[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,105,54,50,54,41,0,0,0,0,0};
static C_char C_TLS li66[] C_aligned={C_lihdr(0,0,27),40,103,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,115,41,0,0,0,0,0};
static C_char C_TLS li67[] C_aligned={C_lihdr(0,0,36),40,115,101,116,45,115,105,103,110,97,108,45,104,97,110,100,108,101,114,33,32,115,105,103,54,51,51,32,112,114,111,99,54,51,52,41,0,0,0,0};
static C_char C_TLS li68[] C_aligned={C_lihdr(0,0,20),40,99,117,114,114,101,110,116,45,112,114,111,99,101,115,115,45,105,100,41,0,0,0,0};
static C_char C_TLS li69[] C_aligned={C_lihdr(0,0,7),40,97,51,56,56,52,41,0};
static C_char C_TLS li70[] C_aligned={C_lihdr(0,0,33),40,97,51,56,57,48,32,101,112,105,100,54,53,56,32,101,110,111,114,109,54,53,57,32,101,99,111,100,101,54,54,48,41,0,0,0,0,0,0,0};
static C_char C_TLS li71[] C_aligned={C_lihdr(0,0,24),40,112,114,111,99,101,115,115,45,119,97,105,116,32,46,32,97,114,103,115,54,52,51,41};
static C_char C_TLS li72[] C_aligned={C_lihdr(0,0,7),40,97,51,57,53,57,41,0};
static C_char C_TLS li73[] C_aligned={C_lihdr(0,0,14),40,97,51,57,53,51,32,101,120,110,54,56,49,41,0,0};
static C_char C_TLS li74[] C_aligned={C_lihdr(0,0,22),40,100,111,108,111,111,112,54,56,51,32,115,108,54,56,53,32,105,54,56,54,41,0,0};
static C_char C_TLS li75[] C_aligned={C_lihdr(0,0,10),40,116,109,112,49,50,50,52,52,41,0,0,0,0,0,0};
static C_char C_TLS li76[] C_aligned={C_lihdr(0,0,7),40,97,52,48,51,51,41,0};
static C_char C_TLS li77[] C_aligned={C_lihdr(0,0,21),40,116,109,112,50,50,50,52,53,32,97,114,103,115,54,55,53,54,57,55,41,0,0,0};
static C_char C_TLS li78[] C_aligned={C_lihdr(0,0,7),40,97,51,57,54,56,41,0};
static C_char C_TLS li79[] C_aligned={C_lihdr(0,0,15),40,97,51,57,52,55,32,107,54,55,52,54,56,48,41,0};
static C_char C_TLS li80[] C_aligned={C_lihdr(0,0,56),40,108,105,115,116,45,62,99,45,115,116,114,105,110,103,45,98,117,102,102,101,114,32,115,116,114,105,110,103,45,108,105,115,116,54,54,57,32,99,111,110,118,101,114,116,54,55,48,32,108,111,99,54,55,49,41};
static C_char C_TLS li81[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,55,48,50,32,105,55,48,52,41};
static C_char C_TLS li82[] C_aligned={C_lihdr(0,0,38),40,102,114,101,101,45,99,45,115,116,114,105,110,103,45,98,117,102,102,101,114,32,98,117,102,102,101,114,45,97,114,114,97,121,55,48,48,41,0,0};
static C_char C_TLS li83[] C_aligned={C_lihdr(0,0,10),40,110,111,112,32,120,55,49,49,41,0,0,0,0,0,0};
static C_char C_TLS li84[] C_aligned={C_lihdr(0,0,7),40,97,52,49,49,54,41,0};
static C_char C_TLS li85[] C_aligned={C_lihdr(0,0,14),40,97,52,49,49,48,32,101,120,110,55,50,57,41,0,0};
static C_char C_TLS li86[] C_aligned={C_lihdr(0,0,7),40,97,52,49,51,55,41,0};
static C_char C_TLS li87[] C_aligned={C_lihdr(0,0,7),40,97,52,49,54,48,41,0};
static C_char C_TLS li88[] C_aligned={C_lihdr(0,0,20),40,97,52,49,53,52,32,46,32,97,114,103,115,55,50,51,55,51,51,41,0,0,0,0};
static C_char C_TLS li89[] C_aligned={C_lihdr(0,0,7),40,97,52,49,51,49,41,0};
static C_char C_TLS li90[] C_aligned={C_lihdr(0,0,15),40,97,52,49,48,52,32,107,55,50,50,55,50,56,41,0};
static C_char C_TLS li91[] C_aligned={C_lihdr(0,0,81),40,99,97,108,108,45,119,105,116,104,45,101,120,101,99,45,97,114,103,115,32,108,111,99,55,49,50,32,102,105,108,101,110,97,109,101,55,49,51,32,97,114,103,99,111,110,118,55,49,52,32,97,114,103,108,105,115,116,55,49,53,32,101,110,118,108,105,115,116,55,49,54,32,112,114,111,99,55,49,55,41,0,0,0,0,0,0,0};
static C_char C_TLS li92[] C_aligned={C_lihdr(0,0,42),40,102,105,108,101,45,111,112,101,110,32,102,105,108,101,110,97,109,101,56,49,51,32,102,108,97,103,115,56,49,52,32,46,32,109,111,100,101,56,49,53,41,0,0,0,0,0,0};
static C_char C_TLS li93[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li94[] C_aligned={C_lihdr(0,0,18),40,102,105,108,101,45,99,108,111,115,101,32,102,100,56,50,52,41,0,0,0,0,0,0};
static C_char C_TLS li95[] C_aligned={C_lihdr(0,0,37),40,102,105,108,101,45,114,101,97,100,32,102,100,56,51,51,32,115,105,122,101,56,51,52,32,46,32,98,117,102,102,101,114,56,51,53,41,0,0,0};
static C_char C_TLS li96[] C_aligned={C_lihdr(0,0,38),40,102,105,108,101,45,119,114,105,116,101,32,102,100,56,52,53,32,98,117,102,102,101,114,56,52,54,32,46,32,115,105,122,101,56,52,55,41,0,0};
static C_char C_TLS li97[] C_aligned={C_lihdr(0,0,22),40,115,117,102,102,105,120,45,108,111,111,112,32,105,110,100,101,120,56,55,56,41,0,0};
static C_char C_TLS li98[] C_aligned={C_lihdr(0,0,15),40,108,111,111,112,32,99,111,117,110,116,56,55,54,41,0};
static C_char C_TLS li99[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,105,56,54,53,41,0,0,0,0,0};
static C_char C_TLS li100[] C_aligned={C_lihdr(0,0,26),40,102,105,108,101,45,109,107,115,116,101,109,112,32,116,101,109,112,108,97,116,101,56,53,55,41,0,0,0,0,0,0};
static C_char C_TLS li101[] C_aligned={C_lihdr(0,0,26),40,99,104,97,110,103,101,45,100,105,114,101,99,116,111,114,121,32,110,97,109,101,56,56,55,41,0,0,0,0,0,0};
static C_char C_TLS li102[] C_aligned={C_lihdr(0,0,26),40,99,104,101,99,107,32,99,109,100,56,57,55,32,105,110,112,56,57,56,32,114,56,57,57,41,0,0,0,0,0,0};
static C_char C_TLS li103[] C_aligned={C_lihdr(0,0,31),40,111,112,101,110,45,105,110,112,117,116,45,112,105,112,101,32,99,109,100,57,48,51,32,46,32,109,57,48,52,41,0};
static C_char C_TLS li104[] C_aligned={C_lihdr(0,0,32),40,111,112,101,110,45,111,117,116,112,117,116,45,112,105,112,101,32,99,109,100,57,49,51,32,46,32,109,57,49,52,41};
static C_char C_TLS li105[] C_aligned={C_lihdr(0,0,26),40,99,108,111,115,101,45,105,110,112,117,116,45,112,105,112,101,32,112,111,114,116,57,50,51,41,0,0,0,0,0,0};
static C_char C_TLS li106[] C_aligned={C_lihdr(0,0,27),40,99,108,111,115,101,45,111,117,116,112,117,116,45,112,105,112,101,32,112,111,114,116,57,50,56,41,0,0,0,0,0};
static C_char C_TLS li107[] C_aligned={C_lihdr(0,0,7),40,97,52,54,56,57,41,0};
static C_char C_TLS li108[] C_aligned={C_lihdr(0,0,20),40,97,52,54,57,53,32,46,32,114,101,115,117,108,116,115,57,52,52,41,0,0,0,0};
static C_char C_TLS li109[] C_aligned={C_lihdr(0,0,47),40,99,97,108,108,45,119,105,116,104,45,105,110,112,117,116,45,112,105,112,101,32,99,109,100,57,52,48,32,112,114,111,99,57,52,49,32,46,32,109,111,100,101,57,52,50,41,0};
static C_char C_TLS li110[] C_aligned={C_lihdr(0,0,7),40,97,52,55,49,51,41,0};
static C_char C_TLS li111[] C_aligned={C_lihdr(0,0,20),40,97,52,55,49,57,32,46,32,114,101,115,117,108,116,115,57,53,49,41,0,0,0,0};
static C_char C_TLS li112[] C_aligned={C_lihdr(0,0,48),40,99,97,108,108,45,119,105,116,104,45,111,117,116,112,117,116,45,112,105,112,101,32,99,109,100,57,52,55,32,112,114,111,99,57,52,56,32,46,32,109,111,100,101,57,52,57,41};
static C_char C_TLS li113[] C_aligned={C_lihdr(0,0,7),40,97,52,55,51,55,41,0};
static C_char C_TLS li114[] C_aligned={C_lihdr(0,0,20),40,97,52,55,52,56,32,46,32,114,101,115,117,108,116,115,57,54,54,41,0,0,0,0};
static C_char C_TLS li115[] C_aligned={C_lihdr(0,0,7),40,97,52,55,52,50,41,0};
static C_char C_TLS li116[] C_aligned={C_lihdr(0,0,7),40,97,52,55,53,55,41,0};
static C_char C_TLS li117[] C_aligned={C_lihdr(0,0,48),40,119,105,116,104,45,105,110,112,117,116,45,102,114,111,109,45,112,105,112,101,32,99,109,100,57,53,52,32,116,104,117,110,107,57,53,53,32,46,32,109,111,100,101,57,53,54,41};
static C_char C_TLS li118[] C_aligned={C_lihdr(0,0,7),40,97,52,55,55,49,41,0};
static C_char C_TLS li119[] C_aligned={C_lihdr(0,0,20),40,97,52,55,56,50,32,46,32,114,101,115,117,108,116,115,57,56,51,41,0,0,0,0};
static C_char C_TLS li120[] C_aligned={C_lihdr(0,0,7),40,97,52,55,55,54,41,0};
static C_char C_TLS li121[] C_aligned={C_lihdr(0,0,7),40,97,52,55,57,49,41,0};
static C_char C_TLS li122[] C_aligned={C_lihdr(0,0,47),40,119,105,116,104,45,111,117,116,112,117,116,45,116,111,45,112,105,112,101,32,99,109,100,57,55,49,32,116,104,117,110,107,57,55,50,32,46,32,109,111,100,101,57,55,51,41,0};
static C_char C_TLS li123[] C_aligned={C_lihdr(0,0,25),40,99,114,101,97,116,101,45,112,105,112,101,32,46,32,116,109,112,57,57,49,57,57,50,41,0,0,0,0,0,0,0};
static C_char C_TLS li124[] C_aligned={C_lihdr(0,0,34),40,99,104,97,110,103,101,45,102,105,108,101,45,109,111,100,101,32,102,110,97,109,101,49,48,54,54,32,109,49,48,54,55,41,0,0,0,0,0,0};
static C_char C_TLS li125[] C_aligned={C_lihdr(0,0,36),40,99,104,101,99,107,32,102,105,108,101,110,97,109,101,49,48,55,50,32,97,99,99,49,48,55,51,32,108,111,99,49,48,55,52,41,0,0,0,0};
static C_char C_TLS li126[] C_aligned={C_lihdr(0,0,32),40,102,105,108,101,45,114,101,97,100,45,97,99,99,101,115,115,63,32,102,105,108,101,110,97,109,101,49,48,55,56,41};
static C_char C_TLS li127[] C_aligned={C_lihdr(0,0,33),40,102,105,108,101,45,119,114,105,116,101,45,97,99,99,101,115,115,63,32,102,105,108,101,110,97,109,101,49,48,55,57,41,0,0,0,0,0,0,0};
static C_char C_TLS li128[] C_aligned={C_lihdr(0,0,35),40,102,105,108,101,45,101,120,101,99,117,116,101,45,97,99,99,101,115,115,63,32,102,105,108,101,110,97,109,101,49,48,56,48,41,0,0,0,0,0};
static C_char C_TLS li129[] C_aligned={C_lihdr(0,0,28),40,109,111,100,101,32,105,110,112,49,48,56,57,32,109,49,48,57,48,32,108,111,99,49,48,57,49,41,0,0,0,0};
static C_char C_TLS li130[] C_aligned={C_lihdr(0,0,28),40,99,104,101,99,107,32,102,100,49,49,48,51,32,105,110,112,49,49,48,52,32,114,49,49,48,53,41,0,0,0,0};
static C_char C_TLS li131[] C_aligned={C_lihdr(0,0,33),40,111,112,101,110,45,105,110,112,117,116,45,102,105,108,101,42,32,102,100,49,49,48,57,32,46,32,109,49,49,49,48,41,0,0,0,0,0,0,0};
static C_char C_TLS li132[] C_aligned={C_lihdr(0,0,34),40,111,112,101,110,45,111,117,116,112,117,116,45,102,105,108,101,42,32,102,100,49,49,49,50,32,46,32,109,49,49,49,51,41,0,0,0,0,0,0};
static C_char C_TLS li133[] C_aligned={C_lihdr(0,0,23),40,112,111,114,116,45,62,102,105,108,101,110,111,32,112,111,114,116,49,49,49,57,41,0};
static C_char C_TLS li134[] C_aligned={C_lihdr(0,0,36),40,100,117,112,108,105,99,97,116,101,45,102,105,108,101,110,111,32,111,108,100,49,49,50,53,32,46,32,110,101,119,49,49,50,54,41,0,0,0,0};
static C_char C_TLS li135[] C_aligned={C_lihdr(0,0,29),40,108,111,99,97,108,45,116,105,109,101,122,111,110,101,45,97,98,98,114,101,118,105,97,116,105,111,110,41,0,0,0};
static C_char C_TLS li136[] C_aligned={C_lihdr(0,0,18),40,95,101,120,105,116,32,46,32,99,111,100,101,49,49,52,51,41,0,0,0,0,0,0};
static C_char C_TLS li137[] C_aligned={C_lihdr(0,0,25),40,116,101,114,109,105,110,97,108,45,112,111,114,116,63,32,112,111,114,116,49,49,52,53,41,0,0,0,0,0,0,0};
static C_char C_TLS li138[] C_aligned={C_lihdr(0,0,24),40,116,101,114,109,105,110,97,108,45,115,105,122,101,32,112,111,114,116,49,49,53,48,41};
static C_char C_TLS li139[] C_aligned={C_lihdr(0,0,50),40,115,101,116,45,98,117,102,102,101,114,105,110,103,45,109,111,100,101,33,32,112,111,114,116,49,49,53,50,32,109,111,100,101,49,49,53,51,32,46,32,115,105,122,101,49,49,53,52,41,0,0,0,0,0,0};
static C_char C_TLS li140[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li141[] C_aligned={C_lihdr(0,0,26),40,113,117,111,116,101,45,97,114,103,45,115,116,114,105,110,103,32,115,116,114,49,49,56,49,41,0,0,0,0,0,0};
static C_char C_TLS li142[] C_aligned={C_lihdr(0,0,14),40,102,95,53,51,50,52,32,120,49,50,48,50,41,0,0};
static C_char C_TLS li143[] C_aligned={C_lihdr(0,0,37),40,97,53,51,48,57,32,112,114,103,49,50,48,51,32,97,114,103,98,117,102,49,50,48,52,32,101,110,118,98,117,102,49,50,48,53,41,0,0,0};
static C_char C_TLS li144[] C_aligned={C_lihdr(0,0,44),40,112,114,111,99,101,115,115,45,101,120,101,99,117,116,101,32,102,105,108,101,110,97,109,101,49,49,56,55,32,46,32,116,109,112,49,49,56,54,49,49,56,56,41,0,0,0,0};
static C_char C_TLS li145[] C_aligned={C_lihdr(0,0,14),40,102,95,53,52,48,55,32,120,49,50,50,57,41,0,0};
static C_char C_TLS li146[] C_aligned={C_lihdr(0,0,37),40,97,53,51,57,50,32,112,114,103,49,50,51,48,32,97,114,103,98,117,102,49,50,51,49,32,101,110,118,98,117,102,49,50,51,50,41,0,0,0};
static C_char C_TLS li147[] C_aligned={C_lihdr(0,0,51),40,112,114,111,99,101,115,115,45,115,112,97,119,110,32,109,111,100,101,49,50,49,51,32,102,105,108,101,110,97,109,101,49,50,49,52,32,46,32,116,109,112,49,50,49,50,49,50,49,53,41,0,0,0,0,0};
static C_char C_TLS li148[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,115,104,101,108,108,45,99,111,109,109,97,110,100,41,0,0,0};
static C_char C_TLS li149[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,115,104,101,108,108,45,99,111,109,109,97,110,100,45,97,114,103,117,109,101,110,116,115,32,99,109,100,108,105,110,49,50,52,51,41,0,0,0,0,0,0};
static C_char C_TLS li150[] C_aligned={C_lihdr(0,0,30),40,112,114,111,99,101,115,115,45,114,117,110,32,102,49,50,52,53,32,46,32,97,114,103,115,49,50,52,54,41,0,0};
static C_char C_TLS li151[] C_aligned={C_lihdr(0,0,24),40,109,97,112,45,108,111,111,112,49,51,48,51,32,103,49,51,49,53,49,51,50,49,41};
static C_char C_TLS li152[] C_aligned={C_lihdr(0,0,97),40,35,35,115,121,115,35,112,114,111,99,101,115,115,32,108,111,99,49,50,56,54,32,99,109,100,49,50,56,55,32,97,114,103,115,49,50,56,56,32,101,110,118,49,50,56,57,32,115,116,100,111,117,116,102,49,50,57,48,32,115,116,100,105,110,102,49,50,57,49,32,115,116,100,101,114,114,102,49,50,57,50,32,46,32,116,109,112,49,50,56,53,49,50,57,51,41,0,0,0,0,0,0,0};
static C_char C_TLS li153[] C_aligned={C_lihdr(0,0,7),40,103,49,51,56,50,41,0};
static C_char C_TLS li154[] C_aligned={C_lihdr(0,0,19),40,102,111,114,45,101,97,99,104,45,108,111,111,112,49,51,56,49,41,0,0,0,0,0};
static C_char C_TLS li155[] C_aligned={C_lihdr(0,0,19),40,99,104,107,115,116,114,108,115,116,32,108,115,116,49,51,55,56,41,0,0,0,0,0};
static C_char C_TLS li156[] C_aligned={C_lihdr(0,0,7),40,97,53,55,52,54,41,0};
static C_char C_TLS li157[] C_aligned={C_lihdr(0,0,38),40,97,53,55,53,50,32,105,110,49,52,48,55,32,111,117,116,49,52,48,56,32,112,105,100,49,52,48,57,32,101,114,114,49,52,49,48,41,0,0};
static C_char C_TLS li158[] C_aligned={C_lihdr(0,0,63),40,37,112,114,111,99,101,115,115,32,108,111,99,49,51,55,49,32,101,114,114,63,49,51,55,50,32,99,109,100,49,51,55,51,32,97,114,103,115,49,51,55,52,32,101,110,118,49,51,55,53,32,101,120,97,99,116,102,49,51,55,54,41,0};
static C_char C_TLS li159[] C_aligned={C_lihdr(0,0,31),40,112,114,111,99,101,115,115,32,99,109,100,49,52,49,56,32,46,32,116,109,112,49,52,49,55,49,52,49,57,41,0};
static C_char C_TLS li160[] C_aligned={C_lihdr(0,0,32),40,112,114,111,99,101,115,115,42,32,99,109,100,49,52,51,54,32,46,32,116,109,112,49,52,51,53,49,52,51,55,41};
static C_char C_TLS li161[] C_aligned={C_lihdr(0,0,39),40,35,35,115,121,115,35,112,114,111,99,101,115,115,45,119,97,105,116,32,112,105,100,49,52,53,50,32,110,111,104,97,110,103,49,52,53,51,41,0};
static C_char C_TLS li162[] C_aligned={C_lihdr(0,0,13),40,115,108,101,101,112,32,115,49,52,53,53,41,0,0,0};
static C_char C_TLS li163[] C_aligned={C_lihdr(0,0,15),40,103,101,116,45,104,111,115,116,45,110,97,109,101,41,0};
static C_char C_TLS li164[] C_aligned={C_lihdr(0,0,20),40,115,121,115,116,101,109,45,105,110,102,111,114,109,97,116,105,111,110,41,0,0,0,0};
static C_char C_TLS li165[] C_aligned={C_lihdr(0,0,19),40,99,117,114,114,101,110,116,45,117,115,101,114,45,110,97,109,101,41,0,0,0,0,0};
static C_char C_TLS li166[] C_aligned={C_lihdr(0,0,72),40,109,97,112,45,102,105,108,101,45,116,111,45,109,101,109,111,114,121,32,97,100,100,114,49,52,57,55,32,108,101,110,49,52,57,56,32,112,114,111,116,49,52,57,57,32,102,108,97,103,49,53,48,48,32,102,100,49,53,48,49,32,46,32,111,102,102,49,53,48,50,41};
static C_char C_TLS li167[] C_aligned={C_lihdr(0,0,43),40,117,110,109,97,112,45,102,105,108,101,45,102,114,111,109,45,109,101,109,111,114,121,32,109,109,97,112,49,53,49,57,32,46,32,108,101,110,49,53,50,48,41,0,0,0,0,0};
static C_char C_TLS li168[] C_aligned={C_lihdr(0,0,37),40,109,101,109,111,114,121,45,109,97,112,112,101,100,45,102,105,108,101,45,112,111,105,110,116,101,114,32,109,109,97,112,49,53,50,52,41,0,0,0};
static C_char C_TLS li169[] C_aligned={C_lihdr(0,0,27),40,109,101,109,111,114,121,45,109,97,112,112,101,100,45,102,105,108,101,63,32,120,49,53,50,55,41,0,0,0,0,0};
static C_char C_TLS li170[] C_aligned={C_lihdr(0,0,31),40,99,104,97,110,103,101,45,100,105,114,101,99,116,111,114,121,42,32,46,32,95,49,53,53,56,49,53,54,50,41,0};
static C_char C_TLS li171[] C_aligned={C_lihdr(0,0,31),40,99,104,97,110,103,101,45,102,105,108,101,45,111,119,110,101,114,32,46,32,95,49,53,54,53,49,53,54,57,41,0};
static C_char C_TLS li172[] C_aligned={C_lihdr(0,0,25),40,99,114,101,97,116,101,45,102,105,102,111,32,46,32,95,49,53,55,49,49,53,55,53,41,0,0,0,0,0,0,0};
static C_char C_TLS li173[] C_aligned={C_lihdr(0,0,28),40,99,114,101,97,116,101,45,115,101,115,115,105,111,110,32,46,32,95,49,53,55,55,49,53,56,49,41,0,0,0,0};
static C_char C_TLS li174[] C_aligned={C_lihdr(0,0,34),40,99,114,101,97,116,101,45,115,121,109,98,111,108,105,99,45,108,105,110,107,32,46,32,95,49,53,56,51,49,53,56,55,41,0,0,0,0,0,0};
static C_char C_TLS li175[] C_aligned={C_lihdr(0,0,40),40,99,117,114,114,101,110,116,45,101,102,102,101,99,116,105,118,101,45,103,114,111,117,112,45,105,100,32,46,32,95,49,53,56,57,49,53,57,51,41};
static C_char C_TLS li176[] C_aligned={C_lihdr(0,0,39),40,99,117,114,114,101,110,116,45,101,102,102,101,99,116,105,118,101,45,117,115,101,114,45,105,100,32,46,32,95,49,53,57,53,49,53,57,57,41,0};
static C_char C_TLS li177[] C_aligned={C_lihdr(0,0,41),40,99,117,114,114,101,110,116,45,101,102,102,101,99,116,105,118,101,45,117,115,101,114,45,110,97,109,101,32,46,32,95,49,54,48,49,49,54,48,53,41,0,0,0,0,0,0,0};
static C_char C_TLS li178[] C_aligned={C_lihdr(0,0,30),40,99,117,114,114,101,110,116,45,103,114,111,117,112,45,105,100,32,46,32,95,49,54,48,55,49,54,49,49,41,0,0};
static C_char C_TLS li179[] C_aligned={C_lihdr(0,0,29),40,99,117,114,114,101,110,116,45,117,115,101,114,45,105,100,32,46,32,95,49,54,49,51,49,54,49,55,41,0,0,0};
static C_char C_TLS li180[] C_aligned={C_lihdr(0,0,23),40,102,105,108,101,45,108,105,110,107,32,46,32,95,49,54,49,57,49,54,50,51,41,0};
static C_char C_TLS li181[] C_aligned={C_lihdr(0,0,23),40,102,105,108,101,45,108,111,99,107,32,46,32,95,49,54,50,53,49,54,50,57,41,0};
static C_char C_TLS li182[] C_aligned={C_lihdr(0,0,32),40,102,105,108,101,45,108,111,99,107,47,98,108,111,99,107,105,110,103,32,46,32,95,49,54,51,49,49,54,51,53,41};
static C_char C_TLS li183[] C_aligned={C_lihdr(0,0,25),40,102,105,108,101,45,115,101,108,101,99,116,32,46,32,95,49,54,51,55,49,54,52,49,41,0,0,0,0,0,0,0};
static C_char C_TLS li184[] C_aligned={C_lihdr(0,0,28),40,102,105,108,101,45,116,101,115,116,45,108,111,99,107,32,46,32,95,49,54,52,51,49,54,52,55,41,0,0,0,0};
static C_char C_TLS li185[] C_aligned={C_lihdr(0,0,27),40,102,105,108,101,45,116,114,117,110,99,97,116,101,32,46,32,95,49,54,52,57,49,54,53,51,41,0,0,0,0,0};
static C_char C_TLS li186[] C_aligned={C_lihdr(0,0,25),40,102,105,108,101,45,117,110,108,111,99,107,32,46,32,95,49,54,53,53,49,54,53,57,41,0,0,0,0,0,0,0};
static C_char C_TLS li187[] C_aligned={C_lihdr(0,0,24),40,103,101,116,45,103,114,111,117,112,115,32,46,32,95,49,54,54,49,49,54,54,53,41};
static C_char C_TLS li188[] C_aligned={C_lihdr(0,0,31),40,103,114,111,117,112,45,105,110,102,111,114,109,97,116,105,111,110,32,46,32,95,49,54,54,55,49,54,55,49,41,0};
static C_char C_TLS li189[] C_aligned={C_lihdr(0,0,31),40,105,110,105,116,105,97,108,105,122,101,45,103,114,111,117,112,115,32,46,32,95,49,54,55,51,49,54,55,55,41,0};
static C_char C_TLS li190[] C_aligned={C_lihdr(0,0,31),40,112,97,114,101,110,116,45,112,114,111,99,101,115,115,45,105,100,32,46,32,95,49,54,55,57,49,54,56,51,41,0};
static C_char C_TLS li191[] C_aligned={C_lihdr(0,0,26),40,112,114,111,99,101,115,115,45,102,111,114,107,32,46,32,95,49,54,56,53,49,54,56,57,41,0,0,0,0,0,0};
static C_char C_TLS li192[] C_aligned={C_lihdr(0,0,30),40,112,114,111,99,101,115,115,45,103,114,111,117,112,45,105,100,32,46,32,95,49,54,57,49,49,54,57,53,41,0,0};
static C_char C_TLS li193[] C_aligned={C_lihdr(0,0,28),40,112,114,111,99,101,115,115,45,115,105,103,110,97,108,32,46,32,95,49,54,57,55,49,55,48,49,41,0,0,0,0};
static C_char C_TLS li194[] C_aligned={C_lihdr(0,0,32),40,114,101,97,100,45,115,121,109,98,111,108,105,99,45,108,105,110,107,32,46,32,95,49,55,48,51,49,55,48,55,41};
static C_char C_TLS li195[] C_aligned={C_lihdr(0,0,24),40,115,101,116,45,97,108,97,114,109,33,32,46,32,95,49,55,48,57,49,55,49,51,41};
static C_char C_TLS li196[] C_aligned={C_lihdr(0,0,27),40,115,101,116,45,103,114,111,117,112,45,105,100,33,32,46,32,95,49,55,49,53,49,55,49,57,41,0,0,0,0,0};
static C_char C_TLS li197[] C_aligned={C_lihdr(0,0,25),40,115,101,116,45,103,114,111,117,112,115,33,32,46,32,95,49,55,50,49,49,55,50,53,41,0,0,0,0,0,0,0};
static C_char C_TLS li198[] C_aligned={C_lihdr(0,0,35),40,115,101,116,45,112,114,111,99,101,115,115,45,103,114,111,117,112,45,105,100,33,32,46,32,95,49,55,50,55,49,55,51,49,41,0,0,0,0,0};
static C_char C_TLS li199[] C_aligned={C_lihdr(0,0,33),40,115,101,116,45,114,111,111,116,45,100,105,114,101,99,116,111,114,121,33,32,46,32,95,49,55,51,51,49,55,51,55,41,0,0,0,0,0,0,0};
static C_char C_TLS li200[] C_aligned={C_lihdr(0,0,30),40,115,101,116,45,115,105,103,110,97,108,45,109,97,115,107,33,32,46,32,95,49,55,51,57,49,55,52,51,41,0,0};
static C_char C_TLS li201[] C_aligned={C_lihdr(0,0,26),40,115,101,116,45,117,115,101,114,45,105,100,33,32,46,32,95,49,55,52,53,49,55,52,57,41,0,0,0,0,0,0};
static C_char C_TLS li202[] C_aligned={C_lihdr(0,0,25),40,115,105,103,110,97,108,45,109,97,115,107,32,46,32,95,49,55,53,49,49,55,53,53,41,0,0,0,0,0,0,0};
static C_char C_TLS li203[] C_aligned={C_lihdr(0,0,26),40,115,105,103,110,97,108,45,109,97,115,107,33,32,46,32,95,49,55,53,55,49,55,54,49,41,0,0,0,0,0,0};
static C_char C_TLS li204[] C_aligned={C_lihdr(0,0,28),40,115,105,103,110,97,108,45,109,97,115,107,101,100,63,32,46,32,95,49,55,54,51,49,55,54,55,41,0,0,0,0};
static C_char C_TLS li205[] C_aligned={C_lihdr(0,0,28),40,115,105,103,110,97,108,45,117,110,109,97,115,107,33,32,46,32,95,49,55,54,57,49,55,55,51,41,0,0,0,0};
static C_char C_TLS li206[] C_aligned={C_lihdr(0,0,27),40,116,101,114,109,105,110,97,108,45,110,97,109,101,32,46,32,95,49,55,55,53,49,55,55,57,41,0,0,0,0,0};
static C_char C_TLS li207[] C_aligned={C_lihdr(0,0,30),40,117,115,101,114,45,105,110,102,111,114,109,97,116,105,111,110,32,46,32,95,49,55,56,49,49,55,56,53,41,0,0};
static C_char C_TLS li208[] C_aligned={C_lihdr(0,0,31),40,117,116,99,45,116,105,109,101,45,62,115,101,99,111,110,100,115,32,46,32,95,49,55,56,55,49,55,57,49,41,0};
static C_char C_TLS li209[] C_aligned={C_lihdr(0,0,26),40,115,116,114,105,110,103,45,62,116,105,109,101,32,46,32,95,49,55,57,51,49,55,57,55,41,0,0,0,0,0,0};
static C_char C_TLS li210[] C_aligned={C_lihdr(0,0,13),40,102,105,102,111,63,32,95,49,56,48,48,41,0,0,0};
static C_char C_TLS li211[] C_aligned={C_lihdr(0,0,14),40,97,54,51,55,55,32,115,105,103,54,51,57,41,0,0};
static C_char C_TLS li212[] C_aligned={C_lihdr(0,0,19),40,97,54,51,56,54,32,46,32,116,109,112,52,57,56,52,57,57,41,0,0,0,0,0};
static C_char C_TLS li213[] C_aligned={C_lihdr(0,0,13),40,97,54,52,49,49,32,117,109,53,49,49,41,0,0,0};
static C_char C_TLS li214[] C_aligned={C_lihdr(0,0,15),40,97,54,52,49,55,32,112,111,114,116,49,57,52,41,0};
static C_char C_TLS li215[] C_aligned={C_lihdr(0,0,12),40,97,54,52,53,52,32,102,49,49,48,41,0,0,0,0};
static C_char C_TLS li216[] C_aligned={C_lihdr(0,0,17),40,97,54,52,54,48,32,102,49,49,50,32,116,49,49,51,41,0,0,0,0,0,0,0};
static C_char C_TLS li217[] C_aligned={C_lihdr(0,0,10),40,116,111,112,108,101,118,101,108,41,0,0,0,0,0,0};


/* from k6073 */
C_regparm static C_word C_fcall stub1513(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
void * t0=(void * )C_c_pointer_or_null(C_a0);
int t1=(int )C_num_to_int(C_a1);
C_r=C_fix((C_word)munmap(t0,t1));
return C_r;}

/* from k6017 */
C_regparm static C_word C_fcall stub1492(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
void * t0=(void * )C_c_pointer_or_null(C_a0);
C_r=C_mk_bool(is_bad_mmap(t0));
return C_r;}

/* from k6008 */
C_regparm static C_word C_fcall stub1480(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2,C_word C_a3,C_word C_a4,C_word C_a5){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
void * t0=(void * )C_c_pointer_or_null(C_a0);
int t1=(int )C_num_to_int(C_a1);
int t2=(int )C_unfix(C_a2);
int t3=(int )C_unfix(C_a3);
int t4=(int )C_unfix(C_a4);
int t5=(int )C_num_to_int(C_a5);
C_r=C_mpointer_or_false(&C_a,(void*)mmap(t0,t1,t2,t3,t4,t5));
return C_r;}

/* from k5531 */
C_regparm static C_word C_fcall stub1258(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2,C_word C_a3,C_word C_a4,C_word C_a5,C_word C_a6,C_word C_a7){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
char * t0=(char * )C_string_or_null(C_a0);
char * t1=(char * )C_string_or_null(C_a1);
void * t2=(void * )C_c_pointer_or_null(C_a2);
int *t3=(int *)C_c_pointer_or_null(C_a3);
int *t4=(int *)C_c_pointer_or_null(C_a4);
int *t5=(int *)C_c_pointer_or_null(C_a5);
int *t6=(int *)C_c_pointer_or_null(C_a6);
int t7=(int )C_unfix(C_a7);
C_r=C_mk_bool(C_process(t0,t1,t2,t3,t4,t5,t6,t7));
return C_r;}

/* from k5120 */
C_regparm static C_word C_fcall stub1140(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
_exit(t0);
return C_r;}

#define return(x) C_cblock C_r = (C_mpointer(&C_a,(void*)(x))); goto C_ret; C_cblockend
C_regparm static C_word C_fcall stub1134(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
char *z = (_daylight ? _tzname[1] : _tzname[0]);
C_return(z);
C_ret:
#undef return

return C_r;}

#define return(x) C_cblock C_r = (C_mpointer_or_false(&C_a,(void*)(x))); goto C_ret; C_cblockend
C_regparm static C_word C_fcall stub665(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_word o=(C_word )(C_a0);
char *ptr = C_malloc(C_header_size(o)); 
if (ptr != NULL) {
  C_memcpy(ptr, C_data_pointer(o), C_header_size(o)); 
}
C_return(ptr);
C_ret:
#undef return

return C_r;}

/* from k3769 */
C_regparm static C_word C_fcall stub621(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
C_r=C_mpointer(&C_a,(void*)C_getenventry(t0));
return C_r;}

/* from k3667 */
C_regparm static C_word C_fcall stub582(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_word t0=(C_word )(C_a0);
C_word t1=(C_word )(C_a1);
void * t2=(void * )C_data_pointer_or_null(C_a2);
C_r=C_mpointer(&C_a,(void*)C_strftime(t0,t1,t2));
return C_r;}

/* from k3654 */
C_regparm static C_word C_fcall stub572(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_word t0=(C_word )(C_a0);
void * t1=(void * )C_data_pointer_or_null(C_a1);
C_r=C_mpointer(&C_a,(void*)C_asctime(t0,t1));
return C_r;}

/* from k3587 */
C_regparm static C_word C_fcall stub544(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_num_to_int(C_a0);
C_r=C_mpointer(&C_a,(void*)C_ctime(t0));
return C_r;}

/* from k6469 in a6460 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
C_regparm static C_word C_fcall stub119(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
char * t0=(char * )C_string_or_null(C_a0);
C_word t1=(C_word )(C_a1);
C_r=C_fix((C_word)set_file_mtime(t0,t1));
return C_r;}

/* from k2312 */
C_regparm static C_word C_fcall stub67(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
C_r=C_mpointer(&C_a,(void*)strerror(t0));
return C_r;}

C_noret_decl(f_5246)
static C_word C_fcall f_5246(C_word t0,C_word t1);
C_noret_decl(f_4636)
static void C_ccall f_4636(C_word c,C_word *av) C_noret;
C_noret_decl(f_5032)
static void C_ccall f_5032(C_word c,C_word *av) C_noret;
C_noret_decl(f_5030)
static void C_ccall f_5030(C_word c,C_word *av) C_noret;
C_noret_decl(f_3790)
static void C_fcall f_3790(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_4626)
static void C_ccall f_4626(C_word c,C_word *av) C_noret;
C_noret_decl(f_4444)
static void C_ccall f_4444(C_word c,C_word *av) C_noret;
C_noret_decl(f_3782)
static void C_ccall f_3782(C_word c,C_word *av) C_noret;
C_noret_decl(f_4619)
static void C_ccall f_4619(C_word c,C_word *av) C_noret;
C_noret_decl(f_3772)
static void C_ccall f_3772(C_word c,C_word *av) C_noret;
C_noret_decl(f_5044)
static void C_ccall f_5044(C_word c,C_word *av) C_noret;
C_noret_decl(f_5046)
static void C_ccall f_5046(C_word c,C_word *av) C_noret;
C_noret_decl(f_2423)
static void C_ccall f_2423(C_word c,C_word *av) C_noret;
C_noret_decl(f_2421)
static void C_ccall f_2421(C_word c,C_word *av) C_noret;
C_noret_decl(f_2427)
static void C_ccall f_2427(C_word c,C_word *av) C_noret;
C_noret_decl(f_2429)
static void C_ccall f_2429(C_word c,C_word *av) C_noret;
C_noret_decl(f_5058)
static void C_ccall f_5058(C_word c,C_word *av) C_noret;
C_noret_decl(f_4374)
static void C_fcall f_4374(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_4378)
static void C_ccall f_4378(C_word c,C_word *av) C_noret;
C_noret_decl(f_2433)
static void C_ccall f_2433(C_word c,C_word *av) C_noret;
C_noret_decl(f_2435)
static void C_ccall f_2435(C_word c,C_word *av) C_noret;
C_noret_decl(f_4197)
static void C_ccall f_4197(C_word c,C_word *av) C_noret;
C_noret_decl(f_4366)
static void C_ccall f_4366(C_word c,C_word *av) C_noret;
C_noret_decl(f_4369)
static void C_ccall f_4369(C_word c,C_word *av) C_noret;
C_noret_decl(f_2403)
static void C_ccall f_2403(C_word c,C_word *av) C_noret;
C_noret_decl(f_2405)
static void C_ccall f_2405(C_word c,C_word *av) C_noret;
C_noret_decl(f_4360)
static void C_ccall f_4360(C_word c,C_word *av) C_noret;
C_noret_decl(f_2409)
static void C_ccall f_2409(C_word c,C_word *av) C_noret;
C_noret_decl(f_2611)
static void C_ccall f_2611(C_word c,C_word *av) C_noret;
C_noret_decl(f_2617)
static void C_ccall f_2617(C_word c,C_word *av) C_noret;
C_noret_decl(f_2411)
static void C_ccall f_2411(C_word c,C_word *av) C_noret;
C_noret_decl(f_2417)
static void C_ccall f_2417(C_word c,C_word *av) C_noret;
C_noret_decl(f_2415)
static void C_ccall f_2415(C_word c,C_word *av) C_noret;
C_noret_decl(f_2978)
static void C_ccall f_2978(C_word c,C_word *av) C_noret;
C_noret_decl(f_2992)
static void C_ccall f_2992(C_word c,C_word *av) C_noret;
C_noret_decl(f_2844)
static void C_fcall f_2844(C_word t0,C_word t1) C_noret;
C_noret_decl(f_2848)
static void C_ccall f_2848(C_word c,C_word *av) C_noret;
C_noret_decl(f_6459)
static void C_ccall f_6459(C_word c,C_word *av) C_noret;
C_noret_decl(f_6455)
static void C_ccall f_6455(C_word c,C_word *av) C_noret;
C_noret_decl(f_2985)
static void C_ccall f_2985(C_word c,C_word *av) C_noret;
C_noret_decl(f_2994)
static void C_ccall f_2994(C_word c,C_word *av) C_noret;
C_noret_decl(f_3391)
static void C_ccall f_3391(C_word c,C_word *av) C_noret;
C_noret_decl(f_3186)
static void C_fcall f_3186(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_3394)
static void C_ccall f_3394(C_word c,C_word *av) C_noret;
C_noret_decl(f_3180)
static void C_ccall f_3180(C_word c,C_word *av) C_noret;
C_noret_decl(f_6471)
static void C_ccall f_6471(C_word c,C_word *av) C_noret;
C_noret_decl(f_2657)
static void C_ccall f_2657(C_word c,C_word *av) C_noret;
C_noret_decl(f_5649)
static void C_ccall f_5649(C_word c,C_word *av) C_noret;
C_noret_decl(f_3399)
static void C_ccall f_3399(C_word c,C_word *av) C_noret;
C_noret_decl(f_6461)
static void C_ccall f_6461(C_word c,C_word *av) C_noret;
C_noret_decl(f_3372)
static void C_ccall f_3372(C_word c,C_word *av) C_noret;
C_noret_decl(f_3374)
static void C_ccall f_3374(C_word c,C_word *av) C_noret;
C_noret_decl(f_5617)
static void C_ccall f_5617(C_word c,C_word *av) C_noret;
C_noret_decl(f_3387)
static void C_ccall f_3387(C_word c,C_word *av) C_noret;
C_noret_decl(f_2804)
static void C_ccall f_2804(C_word c,C_word *av) C_noret;
C_noret_decl(f_5610)
static void C_ccall f_5610(C_word c,C_word *av) C_noret;
C_noret_decl(f_5446)
static void C_ccall f_5446(C_word c,C_word *av) C_noret;
C_noret_decl(f_6295)
static void C_ccall f_6295(C_word c,C_word *av) C_noret;
C_noret_decl(f_5625)
static void C_ccall f_5625(C_word c,C_word *av) C_noret;
C_noret_decl(f_5629)
static void C_ccall f_5629(C_word c,C_word *av) C_noret;
C_noret_decl(f_2817)
static void C_ccall f_2817(C_word c,C_word *av) C_noret;
C_noret_decl(f_5621)
static void C_ccall f_5621(C_word c,C_word *av) C_noret;
C_noret_decl(f_6481)
static void C_ccall f_6481(C_word c,C_word *av) C_noret;
C_noret_decl(f_6283)
static void C_ccall f_6283(C_word c,C_word *av) C_noret;
C_noret_decl(f_6289)
static void C_ccall f_6289(C_word c,C_word *av) C_noret;
C_noret_decl(f_2902)
static void C_ccall f_2902(C_word c,C_word *av) C_noret;
C_noret_decl(f_6079)
static void C_ccall f_6079(C_word c,C_word *av) C_noret;
C_noret_decl(f_4161)
static void C_ccall f_4161(C_word c,C_word *av) C_noret;
C_noret_decl(f_2924)
static void C_ccall f_2924(C_word c,C_word *av) C_noret;
C_noret_decl(f_2940)
static void C_ccall f_2940(C_word c,C_word *av) C_noret;
C_noret_decl(f_2950)
static void C_ccall f_2950(C_word c,C_word *av) C_noret;
C_noret_decl(f_4382)
static void C_ccall f_4382(C_word c,C_word *av) C_noret;
C_noret_decl(f_2952)
static void C_fcall f_2952(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_4124)
static void C_ccall f_4124(C_word c,C_word *av) C_noret;
C_noret_decl(f_4121)
static void C_ccall f_4121(C_word c,C_word *av) C_noret;
C_noret_decl(f_2962)
static void C_ccall f_2962(C_word c,C_word *av) C_noret;
C_noret_decl(f_2959)
static void C_fcall f_2959(C_word t0,C_word t1) C_noret;
C_noret_decl(f_4792)
static void C_ccall f_4792(C_word c,C_word *av) C_noret;
C_noret_decl(f_4797)
static void C_ccall f_4797(C_word c,C_word *av) C_noret;
C_noret_decl(f_4357)
static void C_ccall f_4357(C_word c,C_word *av) C_noret;
C_noret_decl(f_5004)
static void C_ccall f_5004(C_word c,C_word *av) C_noret;
C_noret_decl(f_5000)
static void C_fcall f_5000(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_4347)
static void C_ccall f_4347(C_word c,C_word *av) C_noret;
C_noret_decl(f_5016)
static void C_ccall f_5016(C_word c,C_word *av) C_noret;
C_noret_decl(f_5018)
static void C_ccall f_5018(C_word c,C_word *av) C_noret;
C_noret_decl(f_4596)
static void C_ccall f_4596(C_word c,C_word *av) C_noret;
C_noret_decl(f_4153)
static void C_ccall f_4153(C_word c,C_word *av) C_noret;
C_noret_decl(f_4155)
static void C_ccall f_4155(C_word c,C_word *av) C_noret;
C_noret_decl(f_2934)
static void C_ccall f_2934(C_word c,C_word *av) C_noret;
C_noret_decl(f_4586)
static void C_ccall f_4586(C_word c,C_word *av) C_noret;
C_noret_decl(f_4323)
static void C_ccall f_4323(C_word c,C_word *av) C_noret;
C_noret_decl(f_4329)
static void C_ccall f_4329(C_word c,C_word *av) C_noret;
C_noret_decl(f_4758)
static void C_ccall f_4758(C_word c,C_word *av) C_noret;
C_noret_decl(f_4753)
static void C_ccall f_4753(C_word c,C_word *av) C_noret;
C_noret_decl(f_6277)
static void C_ccall f_6277(C_word c,C_word *av) C_noret;
C_noret_decl(f_6271)
static void C_ccall f_6271(C_word c,C_word *av) C_noret;
C_noret_decl(f_4142)
static void C_fcall f_4142(C_word t0,C_word t1) C_noret;
C_noret_decl(f_4149)
static void C_ccall f_4149(C_word c,C_word *av) C_noret;
C_noret_decl(f_6086)
static void C_fcall f_6086(C_word t0,C_word t1) C_noret;
C_noret_decl(f_4317)
static void C_fcall f_4317(C_word t0,C_word t1) C_noret;
C_noret_decl(f_4314)
static void C_ccall f_4314(C_word c,C_word *av) C_noret;
C_noret_decl(f_4787)
static void C_ccall f_4787(C_word c,C_word *av) C_noret;
C_noret_decl(f_4783)
static void C_ccall f_4783(C_word c,C_word *av) C_noret;
C_noret_decl(f_6265)
static void C_ccall f_6265(C_word c,C_word *av) C_noret;
C_noret_decl(f_2560)
static void C_ccall f_2560(C_word c,C_word *av) C_noret;
C_noret_decl(f_4132)
static void C_ccall f_4132(C_word c,C_word *av) C_noret;
C_noret_decl(f_4138)
static void C_ccall f_4138(C_word c,C_word *av) C_noret;
C_noret_decl(f_4579)
static void C_ccall f_4579(C_word c,C_word *av) C_noret;
C_noret_decl(f_4565)
static void C_ccall f_4565(C_word c,C_word *av) C_noret;
C_noret_decl(f_4563)
static void C_ccall f_4563(C_word c,C_word *av) C_noret;
C_noret_decl(f_4307)
static void C_ccall f_4307(C_word c,C_word *av) C_noret;
C_noret_decl(f_2570)
static void C_ccall f_2570(C_word c,C_word *av) C_noret;
C_noret_decl(f_2378)
static void C_ccall f_2378(C_word c,C_word *av) C_noret;
C_noret_decl(f_2371)
static void C_ccall f_2371(C_word c,C_word *av) C_noret;
C_noret_decl(f_4551)
static void C_ccall f_4551(C_word c,C_word *av) C_noret;
C_noret_decl(f_2562)
static void C_ccall f_2562(C_word c,C_word *av) C_noret;
C_noret_decl(f_4767)
static void C_ccall f_4767(C_word c,C_word *av) C_noret;
C_noret_decl(f_4763)
static void C_ccall f_4763(C_word c,C_word *av) C_noret;
C_noret_decl(f_2580)
static void C_ccall f_2580(C_word c,C_word *av) C_noret;
C_noret_decl(f_2784)
static void C_fcall f_2784(C_word t0,C_word t1) C_noret;
C_noret_decl(f_2383)
static void C_ccall f_2383(C_word c,C_word *av) C_noret;
C_noret_decl(f_2787)
static void C_ccall f_2787(C_word c,C_word *av) C_noret;
C_noret_decl(f_2572)
static void C_ccall f_2572(C_word c,C_word *av) C_noret;
C_noret_decl(f_6235)
static void C_ccall f_6235(C_word c,C_word *av) C_noret;
C_noret_decl(f_2590)
static void C_ccall f_2590(C_word c,C_word *av) C_noret;
C_noret_decl(f_6045)
static void C_fcall f_6045(C_word t0,C_word t1) C_noret;
C_noret_decl(f_2390)
static void C_ccall f_2390(C_word c,C_word *av) C_noret;
C_noret_decl(f_2582)
static void C_ccall f_2582(C_word c,C_word *av) C_noret;
C_noret_decl(f_6223)
static void C_ccall f_6223(C_word c,C_word *av) C_noret;
C_noret_decl(f_6229)
static void C_ccall f_6229(C_word c,C_word *av) C_noret;
C_noret_decl(f_2595)
static void C_ccall f_2595(C_word c,C_word *av) C_noret;
C_noret_decl(f_4777)
static void C_ccall f_4777(C_word c,C_word *av) C_noret;
C_noret_decl(f_2599)
static void C_fcall f_2599(C_word t0,C_word t1) C_noret;
C_noret_decl(f_4772)
static void C_ccall f_4772(C_word c,C_word *av) C_noret;
C_noret_decl(f_6253)
static void C_ccall f_6253(C_word c,C_word *av) C_noret;
C_noret_decl(f_6259)
static void C_ccall f_6259(C_word c,C_word *av) C_noret;
C_noret_decl(f_3000)
static void C_ccall f_3000(C_word c,C_word *av) C_noret;
C_noret_decl(f_2777)
static void C_ccall f_2777(C_word c,C_word *av) C_noret;
C_noret_decl(f_2771)
static void C_ccall f_2771(C_word c,C_word *av) C_noret;
C_noret_decl(f_6241)
static void C_ccall f_6241(C_word c,C_word *av) C_noret;
C_noret_decl(f_3816)
static void C_ccall f_3816(C_word c,C_word *av) C_noret;
C_noret_decl(f_6247)
static void C_ccall f_6247(C_word c,C_word *av) C_noret;
C_noret_decl(f_4507)
static void C_ccall f_4507(C_word c,C_word *av) C_noret;
C_noret_decl(f_3241)
static void C_fcall f_3241(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_3600)
static void C_ccall f_3600(C_word c,C_word *av) C_noret;
C_noret_decl(f_3249)
static void C_ccall f_3249(C_word c,C_word *av) C_noret;
C_noret_decl(f_5696)
static void C_fcall f_5696(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6) C_noret;
C_noret_decl(f_5698)
static void C_fcall f_5698(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_4705)
static void C_ccall f_4705(C_word c,C_word *av) C_noret;
C_noret_decl(f_4700)
static void C_ccall f_4700(C_word c,C_word *av) C_noret;
C_noret_decl(f_4709)
static void C_ccall f_4709(C_word c,C_word *av) C_noret;
C_noret_decl(f_6033)
static void C_ccall f_6033(C_word c,C_word *av) C_noret;
C_noret_decl(f_6030)
static void C_fcall f_6030(C_word t0,C_word t1) C_noret;
C_noret_decl(f_4922)
static void C_fcall f_4922(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_4920)
static void C_ccall f_4920(C_word c,C_word *av) C_noret;
C_noret_decl(f_6039)
static void C_ccall f_6039(C_word c,C_word *av) C_noret;
C_noret_decl(f_3409)
static void C_ccall f_3409(C_word c,C_word *av) C_noret;
C_noret_decl(f_4733)
static void C_ccall f_4733(C_word c,C_word *av) C_noret;
C_noret_decl(f_3808)
static void C_ccall f_3808(C_word c,C_word *av) C_noret;
C_noret_decl(f_4738)
static void C_ccall f_4738(C_word c,C_word *av) C_noret;
C_noret_decl(f_6023)
static void C_ccall f_6023(C_word c,C_word *av) C_noret;
C_noret_decl(f_4912)
static void C_ccall f_4912(C_word c,C_word *av) C_noret;
C_noret_decl(f_3628)
static void C_ccall f_3628(C_word c,C_word *av) C_noret;
C_noret_decl(f_6027)
static void C_ccall f_6027(C_word c,C_word *av) C_noret;
C_noret_decl(f_3412)
static void C_ccall f_3412(C_word c,C_word *av) C_noret;
C_noret_decl(f_3418)
static void C_ccall f_3418(C_word c,C_word *av) C_noret;
C_noret_decl(f_3853)
static void C_ccall f_3853(C_word c,C_word *av) C_noret;
C_noret_decl(f_3855)
static void C_ccall f_3855(C_word c,C_word *av) C_noret;
C_noret_decl(f_3632)
static void C_ccall f_3632(C_word c,C_word *av) C_noret;
C_noret_decl(f_3636)
static void C_ccall f_3636(C_word c,C_word *av) C_noret;
C_noret_decl(f_5682)
static void C_ccall f_5682(C_word c,C_word *av) C_noret;
C_noret_decl(f_3820)
static void C_ccall f_3820(C_word c,C_word *av) C_noret;
C_noret_decl(f_3427)
static void C_ccall f_3427(C_word c,C_word *av) C_noret;
C_noret_decl(f_3642)
static void C_ccall f_3642(C_word c,C_word *av) C_noret;
C_noret_decl(f_5657)
static void C_fcall f_5657(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_3434)
static void C_ccall f_3434(C_word c,C_word *av) C_noret;
C_noret_decl(f_5490)
static void C_ccall f_5490(C_word c,C_word *av) C_noret;
C_noret_decl(f_5494)
static void C_ccall f_5494(C_word c,C_word *av) C_noret;
C_noret_decl(f_3211)
static void C_ccall f_3211(C_word c,C_word *av) C_noret;
C_noret_decl(f_3218)
static void C_ccall f_3218(C_word c,C_word *av) C_noret;
C_noret_decl(f_3443)
static void C_ccall f_3443(C_word c,C_word *av) C_noret;
C_noret_decl(f_3444)
static void C_ccall f_3444(C_word c,C_word *av) C_noret;
C_noret_decl(f_5467)
static void C_ccall f_5467(C_word c,C_word *av) C_noret;
C_noret_decl(f_5462)
static void C_ccall f_5462(C_word c,C_word *av) C_noret;
C_noret_decl(f_3220)
static void C_fcall f_3220(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_3542)
static void C_ccall f_3542(C_word c,C_word *av) C_noret;
C_noret_decl(f_5477)
static void C_fcall f_5477(C_word t0,C_word t1) C_noret;
C_noret_decl(f_5473)
static void C_ccall f_5473(C_word c,C_word *av) C_noret;
C_noret_decl(f_3237)
static void C_ccall f_3237(C_word c,C_word *av) C_noret;
C_noret_decl(f_3023)
static void C_ccall f_3023(C_word c,C_word *av) C_noret;
C_noret_decl(f_2358)
static void C_ccall f_2358(C_word c,C_word *av) C_noret;
C_noret_decl(f_4932)
static void C_ccall f_4932(C_word c,C_word *av) C_noret;
C_noret_decl(f_2362)
static void C_ccall f_2362(C_word c,C_word *av) C_noret;
C_noret_decl(f_5450)
static void C_ccall f_5450(C_word c,C_word *av) C_noret;
C_noret_decl(f_6412)
static void C_ccall f_6412(C_word c,C_word *av) C_noret;
C_noret_decl(f_6418)
static void C_ccall f_6418(C_word c,C_word *av) C_noret;
C_noret_decl(f_3999)
static void C_ccall f_3999(C_word c,C_word *av) C_noret;
C_noret_decl(f_5271)
static void C_ccall f_5271(C_word c,C_word *av) C_noret;
C_noret_decl(f_3727)
static void C_ccall f_3727(C_word c,C_word *av) C_noret;
C_noret_decl(f_3993)
static void C_ccall f_3993(C_word c,C_word *av) C_noret;
C_noret_decl(f_4111)
static void C_ccall f_4111(C_word c,C_word *av) C_noret;
C_noret_decl(f_4117)
static void C_ccall f_4117(C_word c,C_word *av) C_noret;
C_noret_decl(f_5087)
static void C_fcall f_5087(C_word t0,C_word t1) C_noret;
C_noret_decl(f_6434)
static void C_ccall f_6434(C_word c,C_word *av) C_noret;
C_noret_decl(f_5080)
static void C_ccall f_5080(C_word c,C_word *av) C_noret;
C_noret_decl(f_4100)
static void C_ccall f_4100(C_word c,C_word *av) C_noret;
C_noret_decl(f_3977)
static void C_fcall f_3977(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_4105)
static void C_ccall f_4105(C_word c,C_word *av) C_noret;
C_noret_decl(f_5096)
static void C_ccall f_5096(C_word c,C_word *av) C_noret;
C_noret_decl(f_6422)
static void C_ccall f_6422(C_word c,C_word *av) C_noret;
C_noret_decl(f_6425)
static void C_ccall f_6425(C_word c,C_word *av) C_noret;
C_noret_decl(f_3975)
static void C_ccall f_3975(C_word c,C_word *av) C_noret;
C_noret_decl(f_5090)
static void C_ccall f_5090(C_word c,C_word *av) C_noret;
C_noret_decl(f_3971)
static void C_fcall f_3971(C_word t0,C_word t1) C_noret;
C_noret_decl(f_5747)
static void C_ccall f_5747(C_word c,C_word *av) C_noret;
C_noret_decl(f_5742)
static void C_ccall f_5742(C_word c,C_word *av) C_noret;
C_noret_decl(f_5509)
static void C_ccall f_5509(C_word c,C_word *av) C_noret;
C_noret_decl(f_5505)
static void C_ccall f_5505(C_word c,C_word *av) C_noret;
C_noret_decl(f_5840)
static void C_ccall f_5840(C_word c,C_word *av) C_noret;
C_noret_decl(f_5703)
static C_word C_fcall f_5703(C_word t0,C_word t1);
C_noret_decl(f_6211)
static void C_ccall f_6211(C_word c,C_word *av) C_noret;
C_noret_decl(f_6217)
static void C_ccall f_6217(C_word c,C_word *av) C_noret;
C_noret_decl(f_6205)
static void C_ccall f_6205(C_word c,C_word *av) C_noret;
C_noret_decl(f_5064)
static void C_ccall f_5064(C_word c,C_word *av) C_noret;
C_noret_decl(f_5078)
static void C_ccall f_5078(C_word c,C_word *av) C_noret;
C_noret_decl(f_3861)
static void C_ccall f_3861(C_word c,C_word *av) C_noret;
C_noret_decl(f_5283)
static void C_ccall f_5283(C_word c,C_word *av) C_noret;
C_noret_decl(f_3891)
static void C_ccall f_3891(C_word c,C_word *av) C_noret;
C_noret_decl(f_3680)
static void C_ccall f_3680(C_word c,C_word *av) C_noret;
C_noret_decl(f_3689)
static void C_ccall f_3689(C_word c,C_word *av) C_noret;
C_noret_decl(f_3482)
static void C_ccall f_3482(C_word c,C_word *av) C_noret;
C_noret_decl(f_3885)
static void C_ccall f_3885(C_word c,C_word *av) C_noret;
C_noret_decl(f_3485)
static void C_ccall f_3485(C_word c,C_word *av) C_noret;
C_noret_decl(f_3673)
static void C_ccall f_3673(C_word c,C_word *av) C_noret;
C_noret_decl(f_3473)
static void C_ccall f_3473(C_word c,C_word *av) C_noret;
C_noret_decl(f_3470)
static void C_ccall f_3470(C_word c,C_word *av) C_noret;
C_noret_decl(f_3479)
static void C_ccall f_3479(C_word c,C_word *av) C_noret;
C_noret_decl(f_3476)
static void C_ccall f_3476(C_word c,C_word *av) C_noret;
C_noret_decl(f_3261)
static void C_ccall f_3261(C_word c,C_word *av) C_noret;
C_noret_decl(f_5123)
static void C_ccall f_5123(C_word c,C_word *av) C_noret;
C_noret_decl(f_3066)
static void C_ccall f_3066(C_word c,C_word *av) C_noret;
C_noret_decl(f_3060)
static void C_ccall f_3060(C_word c,C_word *av) C_noret;
C_noret_decl(f_3063)
static void C_ccall f_3063(C_word c,C_word *av) C_noret;
C_noret_decl(f_3253)
static void C_ccall f_3253(C_word c,C_word *av) C_noret;
C_noret_decl(f_5137)
static void C_ccall f_5137(C_word c,C_word *av) C_noret;
C_noret_decl(f_4547)
static void C_fcall f_4547(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_3699)
static void C_ccall f_3699(C_word c,C_word *av) C_noret;
C_noret_decl(f_3490)
static void C_ccall f_3490(C_word c,C_word *av) C_noret;
C_noret_decl(f_3493)
static void C_ccall f_3493(C_word c,C_word *av) C_noret;
C_noret_decl(f_4714)
static void C_ccall f_4714(C_word c,C_word *av) C_noret;
C_noret_decl(f_3499)
static void C_ccall f_3499(C_word c,C_word *av) C_noret;
C_noret_decl(f_3496)
static void C_ccall f_3496(C_word c,C_word *av) C_noret;
C_noret_decl(f_4743)
static void C_ccall f_4743(C_word c,C_word *av) C_noret;
C_noret_decl(f_5324)
static void C_ccall f_5324(C_word c,C_word *av) C_noret;
C_noret_decl(f_4749)
static void C_ccall f_4749(C_word c,C_word *av) C_noret;
C_noret_decl(f_4523)
static void C_ccall f_4523(C_word c,C_word *av) C_noret;
C_noret_decl(f_4963)
static void C_fcall f_4963(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_4517)
static void C_ccall f_4517(C_word c,C_word *av) C_noret;
C_noret_decl(f_4514)
static void C_ccall f_4514(C_word c,C_word *av) C_noret;
C_noret_decl(f_4954)
static void C_ccall f_4954(C_word c,C_word *av) C_noret;
C_noret_decl(f_4720)
static void C_ccall f_4720(C_word c,C_word *av) C_noret;
C_noret_decl(f_4724)
static void C_ccall f_4724(C_word c,C_word *av) C_noret;
C_noret_decl(f_4729)
static void C_ccall f_4729(C_word c,C_word *av) C_noret;
C_noret_decl(f_3294)
static void C_fcall f_3294(C_word t0,C_word t1) C_noret;
C_noret_decl(f_4942)
static void C_ccall f_4942(C_word c,C_word *av) C_noret;
C_noret_decl(f_4940)
static void C_ccall f_4940(C_word c,C_word *av) C_noret;
C_noret_decl(f_3297)
static void C_fcall f_3297(C_word t0,C_word t1) C_noret;
C_noret_decl(f_4948)
static void C_ccall f_4948(C_word c,C_word *av) C_noret;
C_noret_decl(f_5310)
static void C_ccall f_5310(C_word c,C_word *av) C_noret;
C_noret_decl(f_5143)
static void C_ccall f_5143(C_word c,C_word *av) C_noret;
C_noret_decl(f_3045)
static void C_ccall f_3045(C_word c,C_word *av) C_noret;
C_noret_decl(f_2713)
static void C_ccall f_2713(C_word c,C_word *av) C_noret;
C_noret_decl(f_2715)
static void C_ccall f_2715(C_word c,C_word *av) C_noret;
C_noret_decl(f_3041)
static void C_ccall f_3041(C_word c,C_word *av) C_noret;
C_noret_decl(f_5155)
static void C_ccall f_5155(C_word c,C_word *av) C_noret;
C_noret_decl(f_4273)
static void C_ccall f_4273(C_word c,C_word *av) C_noret;
C_noret_decl(f_4276)
static void C_ccall f_4276(C_word c,C_word *av) C_noret;
C_noret_decl(f_4279)
static void C_ccall f_4279(C_word c,C_word *av) C_noret;
C_noret_decl(f_3070)
static void C_ccall f_3070(C_word c,C_word *av) C_noret;
C_noret_decl(f_4097)
static void C_ccall f_4097(C_word c,C_word *av) C_noret;
C_noret_decl(f_4091)
static void C_ccall f_4091(C_word c,C_word *av) C_noret;
C_noret_decl(f_4263)
static void C_ccall f_4263(C_word c,C_word *av) C_noret;
C_noret_decl(f_4085)
static void C_ccall f_4085(C_word c,C_word *av) C_noret;
C_noret_decl(f_4087)
static void C_fcall f_4087(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6,C_word t7) C_noret;
C_noret_decl(f_2303)
static void C_ccall f_2303(C_word c,C_word *av) C_noret;
C_noret_decl(f_2300)
static void C_ccall f_2300(C_word c,C_word *av) C_noret;
C_noret_decl(f_2701)
static void C_ccall f_2701(C_word c,C_word *av) C_noret;
C_noret_decl(f_2319)
static void C_ccall f_2319(C_word c,C_word *av) C_noret;
C_noret_decl(f_3281)
static void C_ccall f_3281(C_word c,C_word *av) C_noret;
C_noret_decl(f_4971)
static void C_ccall f_4971(C_word c,C_word *av) C_noret;
C_noret_decl(f_2754)
static void C_ccall f_2754(C_word c,C_word *av) C_noret;
C_noret_decl(f_2315)
static void C_ccall f_2315(C_word c,C_word *av) C_noret;
C_noret_decl(f_2729)
static void C_ccall f_2729(C_word c,C_word *av) C_noret;
C_noret_decl(f_2727)
static void C_ccall f_2727(C_word c,C_word *av) C_noret;
C_noret_decl(f_2522)
static void C_ccall f_2522(C_word c,C_word *av) C_noret;
C_noret_decl(f_2326)
static void C_ccall f_2326(C_word c,C_word *av) C_noret;
C_noret_decl(f_2530)
static void C_ccall f_2530(C_word c,C_word *av) C_noret;
C_noret_decl(f_2532)
static void C_ccall f_2532(C_word c,C_word *av) C_noret;
C_noret_decl(f_2330)
static void C_ccall f_2330(C_word c,C_word *av) C_noret;
C_noret_decl(f_2333)
static void C_fcall f_2333(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_2337)
static void C_ccall f_2337(C_word c,C_word *av) C_noret;
C_noret_decl(f_3460)
static void C_ccall f_3460(C_word c,C_word *av) C_noret;
C_noret_decl(f_3466)
static void C_ccall f_3466(C_word c,C_word *av) C_noret;
C_noret_decl(f_2542)
static void C_ccall f_2542(C_word c,C_word *av) C_noret;
C_noret_decl(f_2540)
static void C_ccall f_2540(C_word c,C_word *av) C_noret;
C_noret_decl(f_2745)
static void C_ccall f_2745(C_word c,C_word *av) C_noret;
C_noret_decl(f_3452)
static void C_ccall f_3452(C_word c,C_word *av) C_noret;
C_noret_decl(f_2552)
static void C_ccall f_2552(C_word c,C_word *av) C_noret;
C_noret_decl(f_2550)
static void C_ccall f_2550(C_word c,C_word *av) C_noret;
C_noret_decl(f_5739)
static void C_ccall f_5739(C_word c,C_word *av) C_noret;
C_noret_decl(f_5712)
static C_word C_fcall f_5712(C_word t0,C_word t1);
C_noret_decl(f_6387)
static void C_ccall f_6387(C_word c,C_word *av) C_noret;
C_noret_decl(f_4073)
static void C_ccall f_4073(C_word c,C_word *av) C_noret;
C_noret_decl(C_posix_toplevel)
C_externexport void C_ccall C_posix_toplevel(C_word c,C_word *av) C_noret;
C_noret_decl(f_4070)
static void C_ccall f_4070(C_word c,C_word *av) C_noret;
C_noret_decl(f_6175)
static void C_ccall f_6175(C_word c,C_word *av) C_noret;
C_noret_decl(f_4060)
static void C_fcall f_4060(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2644)
static void C_ccall f_2644(C_word c,C_word *av) C_noret;
C_noret_decl(f_2649)
static void C_fcall f_2649(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_2820)
static void C_ccall f_2820(C_word c,C_word *av) C_noret;
C_noret_decl(f_6163)
static void C_ccall f_6163(C_word c,C_word *av) C_noret;
C_noret_decl(f_6169)
static void C_ccall f_6169(C_word c,C_word *av) C_noret;
C_noret_decl(f_2838)
static void C_ccall f_2838(C_word c,C_word *av) C_noret;
C_noret_decl(f_4034)
static void C_ccall f_4034(C_word c,C_word *av) C_noret;
C_noret_decl(f_4288)
static void C_ccall f_4288(C_word c,C_word *av) C_noret;
C_noret_decl(f_4028)
static void C_fcall f_4028(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_5930)
static void C_ccall f_5930(C_word c,C_word *av) C_noret;
C_noret_decl(f_5900)
static void C_ccall f_5900(C_word c,C_word *av) C_noret;
C_noret_decl(f_5110)
static void C_ccall f_5110(C_word c,C_word *av) C_noret;
C_noret_decl(f_5912)
static void C_ccall f_5912(C_word c,C_word *av) C_noret;
C_noret_decl(f_4241)
static void C_ccall f_4241(C_word c,C_word *av) C_noret;
C_noret_decl(f_4696)
static void C_ccall f_4696(C_word c,C_word *av) C_noret;
C_noret_decl(f_4690)
static void C_ccall f_4690(C_word c,C_word *av) C_noret;
C_noret_decl(f_5918)
static void C_ccall f_5918(C_word c,C_word *av) C_noret;
C_noret_decl(f_4232)
static void C_ccall f_4232(C_word c,C_word *av) C_noret;
C_noret_decl(f_4476)
static void C_fcall f_4476(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_4055)
static void C_ccall f_4055(C_word c,C_word *av) C_noret;
C_noret_decl(f_4051)
static void C_fcall f_4051(C_word t0,C_word t1) C_noret;
C_noret_decl(f_4223)
static void C_ccall f_4223(C_word c,C_word *av) C_noret;
C_noret_decl(f_6181)
static void C_ccall f_6181(C_word c,C_word *av) C_noret;
C_noret_decl(f_4045)
static void C_ccall f_4045(C_word c,C_word *av) C_noret;
C_noret_decl(f_4673)
static void C_ccall f_4673(C_word c,C_word *av) C_noret;
C_noret_decl(f_6193)
static void C_ccall f_6193(C_word c,C_word *av) C_noret;
C_noret_decl(f_6199)
static void C_ccall f_6199(C_word c,C_word *av) C_noret;
C_noret_decl(f_4670)
static void C_ccall f_4670(C_word c,C_word *av) C_noret;
C_noret_decl(f_4217)
static void C_ccall f_4217(C_word c,C_word *av) C_noret;
C_noret_decl(f_4214)
static void C_ccall f_4214(C_word c,C_word *av) C_noret;
C_noret_decl(f_6378)
static void C_ccall f_6378(C_word c,C_word *av) C_noret;
C_noret_decl(f_4663)
static void C_ccall f_4663(C_word c,C_word *av) C_noret;
C_noret_decl(f_6187)
static void C_ccall f_6187(C_word c,C_word *av) C_noret;
C_noret_decl(f_4201)
static void C_fcall f_4201(C_word t0,C_word t1) C_noret;
C_noret_decl(f_4483)
static void C_fcall f_4483(C_word t0,C_word t1) C_noret;
C_noret_decl(f_6368)
static void C_ccall f_6368(C_word c,C_word *av) C_noret;
C_noret_decl(f_6361)
static void C_ccall f_6361(C_word c,C_word *av) C_noret;
C_noret_decl(f_4655)
static void C_ccall f_4655(C_word c,C_word *av) C_noret;
C_noret_decl(f_4652)
static void C_ccall f_4652(C_word c,C_word *av) C_noret;
C_noret_decl(f_4896)
static void C_ccall f_4896(C_word c,C_word *av) C_noret;
C_noret_decl(f_2868)
static void C_fcall f_2868(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2867)
static void C_ccall f_2867(C_word c,C_word *av) C_noret;
C_noret_decl(f_2699)
static void C_ccall f_2699(C_word c,C_word *av) C_noret;
C_noret_decl(f_4467)
static void C_ccall f_4467(C_word c,C_word *av) C_noret;
C_noret_decl(f_6145)
static void C_ccall f_6145(C_word c,C_word *av) C_noret;
C_noret_decl(f_4463)
static void C_ccall f_4463(C_word c,C_word *av) C_noret;
C_noret_decl(f_6157)
static void C_ccall f_6157(C_word c,C_word *av) C_noret;
C_noret_decl(f_2878)
static void C_ccall f_2878(C_word c,C_word *av) C_noret;
C_noret_decl(f_6337)
static void C_ccall f_6337(C_word c,C_word *av) C_noret;
C_noret_decl(f_6331)
static void C_ccall f_6331(C_word c,C_word *av) C_noret;
C_noret_decl(f_5188)
static void C_fcall f_5188(C_word t0,C_word t1) C_noret;
C_noret_decl(f_6325)
static void C_ccall f_6325(C_word c,C_word *av) C_noret;
C_noret_decl(f_4685)
static void C_ccall f_4685(C_word c,C_word *av) C_noret;
C_noret_decl(f_4681)
static void C_ccall f_4681(C_word c,C_word *av) C_noret;
C_noret_decl(f_6355)
static void C_ccall f_6355(C_word c,C_word *av) C_noret;
C_noret_decl(f_4421)
static void C_fcall f_4421(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_6349)
static void C_ccall f_6349(C_word c,C_word *av) C_noret;
C_noret_decl(f_5162)
static void C_ccall f_5162(C_word c,C_word *av) C_noret;
C_noret_decl(f_2454)
static void C_ccall f_2454(C_word c,C_word *av) C_noret;
C_noret_decl(f_6343)
static void C_ccall f_6343(C_word c,C_word *av) C_noret;
C_noret_decl(f_6133)
static void C_ccall f_6133(C_word c,C_word *av) C_noret;
C_noret_decl(f_3512)
static void C_ccall f_3512(C_word c,C_word *av) C_noret;
C_noret_decl(f_3510)
static void C_ccall f_3510(C_word c,C_word *av) C_noret;
C_noret_decl(f_3517)
static void C_ccall f_3517(C_word c,C_word *av) C_noret;
C_noret_decl(f_3519)
static void C_fcall f_3519(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2884)
static void C_ccall f_2884(C_word c,C_word *av) C_noret;
C_noret_decl(f_2887)
static void C_ccall f_2887(C_word c,C_word *av) C_noret;
C_noret_decl(f_3703)
static void C_ccall f_3703(C_word c,C_word *av) C_noret;
C_noret_decl(f_3706)
static void C_ccall f_3706(C_word c,C_word *av) C_noret;
C_noret_decl(f_2294)
static void C_ccall f_2294(C_word c,C_word *av) C_noret;
C_noret_decl(f_2297)
static void C_ccall f_2297(C_word c,C_word *av) C_noret;
C_noret_decl(f_2291)
static void C_ccall f_2291(C_word c,C_word *av) C_noret;
C_noret_decl(f_6121)
static void C_ccall f_6121(C_word c,C_word *av) C_noret;
C_noret_decl(f_6139)
static void C_ccall f_6139(C_word c,C_word *av) C_noret;
C_noret_decl(f_2892)
static void C_fcall f_2892(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2686)
static void C_fcall f_2686(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_6151)
static void C_ccall f_6151(C_word c,C_word *av) C_noret;
C_noret_decl(f_4813)
static void C_ccall f_4813(C_word c,C_word *av) C_noret;
C_noret_decl(f_3538)
static void C_ccall f_3538(C_word c,C_word *av) C_noret;
C_noret_decl(f_6127)
static void C_ccall f_6127(C_word c,C_word *av) C_noret;
C_noret_decl(f_4645)
static void C_ccall f_4645(C_word c,C_word *av) C_noret;
C_noret_decl(f_3304)
static void C_ccall f_3304(C_word c,C_word *av) C_noret;
C_noret_decl(f_3306)
static void C_fcall f_3306(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_4804)
static void C_ccall f_4804(C_word c,C_word *av) C_noret;
C_noret_decl(f_3502)
static void C_ccall f_3502(C_word c,C_word *av) C_noret;
C_noret_decl(f_3504)
static void C_ccall f_3504(C_word c,C_word *av) C_noret;
C_noret_decl(f_3319)
static void C_ccall f_3319(C_word c,C_word *av) C_noret;
C_noret_decl(f_3735)
static void C_ccall f_3735(C_word c,C_word *av) C_noret;
C_noret_decl(f_5598)
static void C_ccall f_5598(C_word c,C_word *av) C_noret;
C_noret_decl(f_5590)
static void C_ccall f_5590(C_word c,C_word *av) C_noret;
C_noret_decl(f_5594)
static void C_ccall f_5594(C_word c,C_word *av) C_noret;
C_noret_decl(f_3559)
static void C_ccall f_3559(C_word c,C_word *av) C_noret;
C_noret_decl(f_3328)
static void C_ccall f_3328(C_word c,C_word *av) C_noret;
C_noret_decl(f_3746)
static void C_ccall f_3746(C_word c,C_word *av) C_noret;
C_noret_decl(f_5778)
static void C_ccall f_5778(C_word c,C_word *av) C_noret;
C_noret_decl(f_5774)
static void C_ccall f_5774(C_word c,C_word *av) C_noret;
C_noret_decl(f_3750)
static void C_ccall f_3750(C_word c,C_word *av) C_noret;
C_noret_decl(f_3752)
static void C_ccall f_3752(C_word c,C_word *av) C_noret;
C_noret_decl(f_5573)
static void C_ccall f_5573(C_word c,C_word *av) C_noret;
C_noret_decl(f_3110)
static void C_fcall f_3110(C_word t0,C_word t1) C_noret;
C_noret_decl(f_4605)
static void C_ccall f_4605(C_word c,C_word *av) C_noret;
C_noret_decl(f_5580)
static void C_ccall f_5580(C_word c,C_word *av) C_noret;
C_noret_decl(f_3120)
static void C_ccall f_3120(C_word c,C_word *av) C_noret;
C_noret_decl(f_5753)
static void C_ccall f_5753(C_word c,C_word *av) C_noret;
C_noret_decl(f_5179)
static void C_ccall f_5179(C_word c,C_word *av) C_noret;
C_noret_decl(f_5176)
static void C_fcall f_5176(C_word t0,C_word t1) C_noret;
C_noret_decl(f_3838)
static void C_ccall f_3838(C_word c,C_word *av) C_noret;
C_noret_decl(f_5170)
static void C_ccall f_5170(C_word c,C_word *av) C_noret;
C_noret_decl(f_3098)
static void C_ccall f_3098(C_word c,C_word *av) C_noret;
C_noret_decl(f_5563)
static void C_ccall f_5563(C_word c,C_word *av) C_noret;
C_noret_decl(f_3084)
static void C_fcall f_3084(C_word t0,C_word t1) C_noret;
C_noret_decl(f_5363)
static void C_ccall f_5363(C_word c,C_word *av) C_noret;
C_noret_decl(f_4018)
static void C_ccall f_4018(C_word c,C_word *av) C_noret;
C_noret_decl(f_5780)
static void C_ccall f_5780(C_word c,C_word *av) C_noret;
C_noret_decl(f_4002)
static void C_ccall f_4002(C_word c,C_word *av) C_noret;
C_noret_decl(f_3201)
static void C_ccall f_3201(C_word c,C_word *av) C_noret;
C_noret_decl(f_3207)
static void C_ccall f_3207(C_word c,C_word *av) C_noret;
C_noret_decl(f_2288)
static void C_ccall f_2288(C_word c,C_word *av) C_noret;
C_noret_decl(f_5407)
static void C_ccall f_5407(C_word c,C_word *av) C_noret;
C_noret_decl(f_5400)
static void C_ccall f_5400(C_word c,C_word *av) C_noret;
C_noret_decl(f_5633)
static void C_ccall f_5633(C_word c,C_word *av) C_noret;
C_noret_decl(f_5971)
static void C_ccall f_5971(C_word c,C_word *av) C_noret;
C_noret_decl(f_5941)
static void C_ccall f_5941(C_word c,C_word *av) C_noret;
C_noret_decl(f_5945)
static void C_ccall f_5945(C_word c,C_word *av) C_noret;
C_noret_decl(f_5949)
static void C_ccall f_5949(C_word c,C_word *av) C_noret;
C_noret_decl(f_5953)
static void C_ccall f_5953(C_word c,C_word *av) C_noret;
C_noret_decl(f_5956)
static void C_ccall f_5956(C_word c,C_word *av) C_noret;
C_noret_decl(f_6319)
static void C_ccall f_6319(C_word c,C_word *av) C_noret;
C_noret_decl(f_6313)
static void C_ccall f_6313(C_word c,C_word *av) C_noret;
C_noret_decl(f_3932)
static void C_fcall f_3932(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_6301)
static void C_ccall f_6301(C_word c,C_word *av) C_noret;
C_noret_decl(f_6307)
static void C_ccall f_6307(C_word c,C_word *av) C_noret;
C_noret_decl(f_3943)
static void C_ccall f_3943(C_word c,C_word *av) C_noret;
C_noret_decl(f_3948)
static void C_ccall f_3948(C_word c,C_word *av) C_noret;
C_noret_decl(f_3940)
static void C_ccall f_3940(C_word c,C_word *av) C_noret;
C_noret_decl(f_3954)
static void C_ccall f_3954(C_word c,C_word *av) C_noret;
C_noret_decl(f_6112)
static void C_ccall f_6112(C_word c,C_word *av) C_noret;
C_noret_decl(f_3964)
static void C_ccall f_3964(C_word c,C_word *av) C_noret;
C_noret_decl(f_3969)
static void C_ccall f_3969(C_word c,C_word *av) C_noret;
C_noret_decl(f_3960)
static void C_ccall f_3960(C_word c,C_word *av) C_noret;
C_noret_decl(f_5961)
static void C_ccall f_5961(C_word c,C_word *av) C_noret;
C_noret_decl(f_3563)
static void C_ccall f_3563(C_word c,C_word *av) C_noret;
C_noret_decl(f_3760)
static void C_ccall f_3760(C_word c,C_word *av) C_noret;
C_noret_decl(f_3778)
static void C_fcall f_3778(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_3590)
static void C_ccall f_3590(C_word c,C_word *av) C_noret;
C_noret_decl(f_3594)
static void C_ccall f_3594(C_word c,C_word *av) C_noret;
C_noret_decl(f_3362)
static void C_ccall f_3362(C_word c,C_word *av) C_noret;
C_noret_decl(f_5393)
static void C_ccall f_5393(C_word c,C_word *av) C_noret;
C_noret_decl(f_3379)
static void C_ccall f_3379(C_word c,C_word *av) C_noret;
C_noret_decl(f_3353)
static void C_ccall f_3353(C_word c,C_word *av) C_noret;
C_noret_decl(f_3350)
static void C_ccall f_3350(C_word c,C_word *av) C_noret;

C_noret_decl(trf_3790)
static void C_ccall trf_3790(C_word c,C_word *av) C_noret;
static void C_ccall trf_3790(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_3790(t0,t1,t2);}

C_noret_decl(trf_4374)
static void C_ccall trf_4374(C_word c,C_word *av) C_noret;
static void C_ccall trf_4374(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_4374(t0,t1,t2);}

C_noret_decl(trf_2844)
static void C_ccall trf_2844(C_word c,C_word *av) C_noret;
static void C_ccall trf_2844(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_2844(t0,t1);}

C_noret_decl(trf_3186)
static void C_ccall trf_3186(C_word c,C_word *av) C_noret;
static void C_ccall trf_3186(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_3186(t0,t1,t2);}

C_noret_decl(trf_2952)
static void C_ccall trf_2952(C_word c,C_word *av) C_noret;
static void C_ccall trf_2952(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_2952(t0,t1,t2);}

C_noret_decl(trf_2959)
static void C_ccall trf_2959(C_word c,C_word *av) C_noret;
static void C_ccall trf_2959(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_2959(t0,t1);}

C_noret_decl(trf_5000)
static void C_ccall trf_5000(C_word c,C_word *av) C_noret;
static void C_ccall trf_5000(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_5000(t0,t1,t2,t3);}

C_noret_decl(trf_4142)
static void C_ccall trf_4142(C_word c,C_word *av) C_noret;
static void C_ccall trf_4142(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_4142(t0,t1);}

C_noret_decl(trf_6086)
static void C_ccall trf_6086(C_word c,C_word *av) C_noret;
static void C_ccall trf_6086(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_6086(t0,t1);}

C_noret_decl(trf_4317)
static void C_ccall trf_4317(C_word c,C_word *av) C_noret;
static void C_ccall trf_4317(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_4317(t0,t1);}

C_noret_decl(trf_2784)
static void C_ccall trf_2784(C_word c,C_word *av) C_noret;
static void C_ccall trf_2784(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_2784(t0,t1);}

C_noret_decl(trf_6045)
static void C_ccall trf_6045(C_word c,C_word *av) C_noret;
static void C_ccall trf_6045(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_6045(t0,t1);}

C_noret_decl(trf_2599)
static void C_ccall trf_2599(C_word c,C_word *av) C_noret;
static void C_ccall trf_2599(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_2599(t0,t1);}

C_noret_decl(trf_3241)
static void C_ccall trf_3241(C_word c,C_word *av) C_noret;
static void C_ccall trf_3241(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_3241(t0,t1,t2);}

C_noret_decl(trf_5696)
static void C_ccall trf_5696(C_word c,C_word *av) C_noret;
static void C_ccall trf_5696(C_word c,C_word *av){
C_word t0=av[6];
C_word t1=av[5];
C_word t2=av[4];
C_word t3=av[3];
C_word t4=av[2];
C_word t5=av[1];
C_word t6=av[0];
f_5696(t0,t1,t2,t3,t4,t5,t6);}

C_noret_decl(trf_5698)
static void C_ccall trf_5698(C_word c,C_word *av) C_noret;
static void C_ccall trf_5698(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_5698(t0,t1,t2);}

C_noret_decl(trf_6030)
static void C_ccall trf_6030(C_word c,C_word *av) C_noret;
static void C_ccall trf_6030(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_6030(t0,t1);}

C_noret_decl(trf_4922)
static void C_ccall trf_4922(C_word c,C_word *av) C_noret;
static void C_ccall trf_4922(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_4922(t0,t1,t2,t3);}

C_noret_decl(trf_5657)
static void C_ccall trf_5657(C_word c,C_word *av) C_noret;
static void C_ccall trf_5657(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_5657(t0,t1,t2);}

C_noret_decl(trf_3220)
static void C_ccall trf_3220(C_word c,C_word *av) C_noret;
static void C_ccall trf_3220(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_3220(t0,t1,t2);}

C_noret_decl(trf_5477)
static void C_ccall trf_5477(C_word c,C_word *av) C_noret;
static void C_ccall trf_5477(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_5477(t0,t1);}

C_noret_decl(trf_5087)
static void C_ccall trf_5087(C_word c,C_word *av) C_noret;
static void C_ccall trf_5087(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_5087(t0,t1);}

C_noret_decl(trf_3977)
static void C_ccall trf_3977(C_word c,C_word *av) C_noret;
static void C_ccall trf_3977(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_3977(t0,t1,t2,t3);}

C_noret_decl(trf_3971)
static void C_ccall trf_3971(C_word c,C_word *av) C_noret;
static void C_ccall trf_3971(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_3971(t0,t1);}

C_noret_decl(trf_4547)
static void C_ccall trf_4547(C_word c,C_word *av) C_noret;
static void C_ccall trf_4547(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_4547(t0,t1,t2,t3);}

C_noret_decl(trf_4963)
static void C_ccall trf_4963(C_word c,C_word *av) C_noret;
static void C_ccall trf_4963(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_4963(t0,t1,t2,t3);}

C_noret_decl(trf_3294)
static void C_ccall trf_3294(C_word c,C_word *av) C_noret;
static void C_ccall trf_3294(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_3294(t0,t1);}

C_noret_decl(trf_3297)
static void C_ccall trf_3297(C_word c,C_word *av) C_noret;
static void C_ccall trf_3297(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_3297(t0,t1);}

C_noret_decl(trf_4087)
static void C_ccall trf_4087(C_word c,C_word *av) C_noret;
static void C_ccall trf_4087(C_word c,C_word *av){
C_word t0=av[7];
C_word t1=av[6];
C_word t2=av[5];
C_word t3=av[4];
C_word t4=av[3];
C_word t5=av[2];
C_word t6=av[1];
C_word t7=av[0];
f_4087(t0,t1,t2,t3,t4,t5,t6,t7);}

C_noret_decl(trf_2333)
static void C_ccall trf_2333(C_word c,C_word *av) C_noret;
static void C_ccall trf_2333(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_2333(t0,t1,t2,t3,t4);}

C_noret_decl(trf_4060)
static void C_ccall trf_4060(C_word c,C_word *av) C_noret;
static void C_ccall trf_4060(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_4060(t0,t1,t2);}

C_noret_decl(trf_2649)
static void C_ccall trf_2649(C_word c,C_word *av) C_noret;
static void C_ccall trf_2649(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_2649(t0,t1,t2,t3);}

C_noret_decl(trf_4028)
static void C_ccall trf_4028(C_word c,C_word *av) C_noret;
static void C_ccall trf_4028(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_4028(t0,t1,t2);}

C_noret_decl(trf_4476)
static void C_ccall trf_4476(C_word c,C_word *av) C_noret;
static void C_ccall trf_4476(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_4476(t0,t1,t2);}

C_noret_decl(trf_4051)
static void C_ccall trf_4051(C_word c,C_word *av) C_noret;
static void C_ccall trf_4051(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_4051(t0,t1);}

C_noret_decl(trf_4201)
static void C_ccall trf_4201(C_word c,C_word *av) C_noret;
static void C_ccall trf_4201(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_4201(t0,t1);}

C_noret_decl(trf_4483)
static void C_ccall trf_4483(C_word c,C_word *av) C_noret;
static void C_ccall trf_4483(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_4483(t0,t1);}

C_noret_decl(trf_2868)
static void C_ccall trf_2868(C_word c,C_word *av) C_noret;
static void C_ccall trf_2868(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_2868(t0,t1,t2);}

C_noret_decl(trf_5188)
static void C_ccall trf_5188(C_word c,C_word *av) C_noret;
static void C_ccall trf_5188(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_5188(t0,t1);}

C_noret_decl(trf_4421)
static void C_ccall trf_4421(C_word c,C_word *av) C_noret;
static void C_ccall trf_4421(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_4421(t0,t1,t2);}

C_noret_decl(trf_3519)
static void C_ccall trf_3519(C_word c,C_word *av) C_noret;
static void C_ccall trf_3519(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_3519(t0,t1,t2);}

C_noret_decl(trf_2892)
static void C_ccall trf_2892(C_word c,C_word *av) C_noret;
static void C_ccall trf_2892(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_2892(t0,t1,t2);}

C_noret_decl(trf_2686)
static void C_ccall trf_2686(C_word c,C_word *av) C_noret;
static void C_ccall trf_2686(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_2686(t0,t1,t2,t3,t4);}

C_noret_decl(trf_3306)
static void C_ccall trf_3306(C_word c,C_word *av) C_noret;
static void C_ccall trf_3306(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_3306(t0,t1,t2,t3,t4);}

C_noret_decl(trf_3110)
static void C_ccall trf_3110(C_word c,C_word *av) C_noret;
static void C_ccall trf_3110(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_3110(t0,t1);}

C_noret_decl(trf_5176)
static void C_ccall trf_5176(C_word c,C_word *av) C_noret;
static void C_ccall trf_5176(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_5176(t0,t1);}

C_noret_decl(trf_3084)
static void C_ccall trf_3084(C_word c,C_word *av) C_noret;
static void C_ccall trf_3084(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_3084(t0,t1);}

C_noret_decl(trf_3932)
static void C_ccall trf_3932(C_word c,C_word *av) C_noret;
static void C_ccall trf_3932(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_3932(t0,t1,t2,t3);}

C_noret_decl(trf_3778)
static void C_ccall trf_3778(C_word c,C_word *av) C_noret;
static void C_ccall trf_3778(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_3778(t0,t1,t2);}

/* loop in quote-arg-string in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static C_word C_fcall f_5246(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_stack_overflow_check;
loop:{}
t2=C_eqp(t1,((C_word*)t0)[2]);
if(C_truep(t2)){
return(C_SCHEME_FALSE);}
else{
t3=C_i_string_ref(((C_word*)t0)[3],t1);
if(C_truep(C_u_i_char_whitespacep(t3))){
return(C_SCHEME_TRUE);}
else{
t4=C_fixnum_plus(t1,C_fix(1));
t6=t4;
t1=t6;
goto loop;}}}

/* k4634 in open-output-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4636(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(2,c,4)))){
C_save_and_reclaim((void *)f_4636,2,av);}
a=C_alloc(2);
t2=open_binary_output_pipe(&a,1,t1);
/* posixwin.scm:820: check */
f_4547(((C_word*)t0)[3],((C_word*)t0)[4],C_SCHEME_FALSE,t2);}

/* open-output-file* in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5032(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +5,c,4)))){
C_save_and_reclaim((void*)f_5032,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+5);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=C_i_check_exact_2(t2,lf[65]);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5044,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:1041: mode */
f_4963(t5,C_SCHEME_FALSE,t3,lf[65]);}

/* k5028 in open-input-file* in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5030(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(2,c,4)))){
C_save_and_reclaim((void *)f_5030,2,av);}
a=C_alloc(2);
t2=C_fdopen(&a,2,((C_word*)t0)[2],t1);
/* posixwin.scm:1037: check */
f_5000(((C_word*)t0)[4],((C_word*)t0)[2],C_SCHEME_TRUE,t2);}

/* scan in k3780 in loop in get-environment-variables in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_3790(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_3790,3,t0,t1,t2);}
a=C_alloc(7);
t3=C_subchar(((C_word*)t0)[2],t2);
if(C_truep(C_i_char_equalp(C_make_character(61),t3))){
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_3816,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
/* posix-common.scm:648: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[74]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[74]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[2];
av2[3]=C_fix(0);
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_fixnum_plus(t2,C_fix(1));
/* posix-common.scm:651: scan */
t6=t1;
t7=t4;
t1=t6;
t2=t7;
goto loop;}}

/* k4624 in open-output-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4626(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(2,c,4)))){
C_save_and_reclaim((void *)f_4626,2,av);}
a=C_alloc(2);
t2=open_text_output_pipe(&a,1,t1);
/* posixwin.scm:820: check */
f_4547(((C_word*)t0)[3],((C_word*)t0)[4],C_SCHEME_FALSE,t2);}

/* k4442 in suffix-loop in loop in k4367 in k4364 in k4358 in k4355 in file-mkstemp in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4444(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_4444,2,av);}
t2=C_i_string_ref(((C_word*)t0)[2],t1);
t3=C_i_string_set(((C_word*)t0)[3],((C_word*)t0)[4],t2);
t4=C_fixnum_difference(((C_word*)t0)[4],C_fix(1));
/* posixwin.scm:770: suffix-loop */
t5=((C_word*)((C_word*)t0)[5])[1];
f_4421(t5,((C_word*)t0)[6],t4);}

/* k3780 in loop in get-environment-variables in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3782(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_3782,2,av);}
a=C_alloc(9);
t2=t1;
if(C_truep(t2)){
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_3790,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t4,a[6]=((C_word)li64),tmp=(C_word)a,a+=7,tmp));
t6=((C_word*)t4)[1];
f_3790(t6,((C_word*)t0)[4],C_fix(0));}
else{
t3=((C_word*)t0)[4];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k4617 in open-output-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4619(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_4619,2,av);}
/* posixwin.scm:820: check */
f_4547(((C_word*)t0)[3],((C_word*)t0)[4],C_SCHEME_FALSE,t1);}

/* get-environment-variables in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3772(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_3772,2,av);}
a=C_alloc(6);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3778,a[2]=t3,a[3]=((C_word)li65),tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_3778(t5,t1,C_fix(0));}

/* k5042 in open-output-file* in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5044(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(2,c,4)))){
C_save_and_reclaim((void *)f_5044,2,av);}
a=C_alloc(2);
t2=C_fdopen(&a,2,((C_word*)t0)[2],t1);
/* posixwin.scm:1041: check */
f_5000(((C_word*)t0)[4],((C_word*)t0)[2],C_SCHEME_FALSE,t2);}

/* port->fileno in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5046(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_5046,3,av);}
a=C_alloc(4);
t3=t2;
t4=C_i_check_port_2(t3,C_fix(0),C_SCHEME_TRUE,lf[12]);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5078,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:1046: ##sys#peek-unsigned-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[69]+1));
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[69]+1);
av2[1]=t5;
av2[2]=t2;
av2[3]=C_fix(0);
tp(4,av2);}}

/* file-permissions in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2423(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_2423,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2427,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:268: ##sys#stat */
f_2333(t3,t2,C_SCHEME_FALSE,C_SCHEME_TRUE,lf[25]);}

/* k2419 in file-owner in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2421(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2421,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_uid);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k2425 in file-permissions in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2427(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2427,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_mode);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* file-size in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2429(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_2429,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2433,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:269: ##sys#stat */
f_2333(t3,t2,C_SCHEME_FALSE,C_SCHEME_TRUE,lf[26]);}

/* k5056 in k5076 in port->fileno in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5058(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_5058,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* loop in k4367 in k4364 in k4358 in k4355 in file-mkstemp in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_4374(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(18,0,3)))){
C_save_and_reclaim_args((void *)trf_4374,3,t0,t1,t2);}
a=C_alloc(18);
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_4378,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
t4=C_fixnum_difference(((C_word*)t0)[6],C_fix(1));
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_4421,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[5],a[5]=t6,a[6]=((C_word*)t0)[9],a[7]=((C_word)li97),tmp=(C_word)a,a+=8,tmp));
t8=((C_word*)t6)[1];
f_4421(t8,t3,t4);}

/* k4376 in loop in k4367 in k4364 in k4358 in k4355 in file-mkstemp in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4378(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_4378,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_4382,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* posixwin.scm:772: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[13]+1));
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[13]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
av2[3]=lf[172];
tp(4,av2);}}

/* k2431 in file-size in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2433(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_2433,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=C_a_double_to_num(&a,C_statbuf.st_size);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* file-type in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2435(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +3,c,5)))){
C_save_and_reclaim((void*)f_2435,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+3);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_i_car(t3));
t6=C_i_nullp(t3);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:C_i_cdr(t3));
t8=C_i_nullp(t7);
t9=(C_truep(t8)?C_SCHEME_TRUE:C_i_car(t7));
t10=C_i_nullp(t7);
t11=(C_truep(t10)?C_SCHEME_END_OF_LIST:C_i_cdr(t7));
t12=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2454,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:272: ##sys#stat */
f_2333(t12,t2,t5,t9,lf[27]);}

/* file-open in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4197(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +5,c,2)))){
C_save_and_reclaim((void*)f_4197,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+5);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4201,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_pairp(t4))){
t6=t4;
t7=t5;
f_4201(t7,C_u_i_car(t6));}
else{
t6=t5;
f_4201(t6,((C_word*)t0)[2]);}}

/* k4364 in k4358 in k4355 in file-mkstemp in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4366(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(19,c,2)))){
C_save_and_reclaim((void *)f_4366,2,av);}
a=C_alloc(19);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_4369,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4463,a[2]=t2,a[3]=((C_word*)t0)[5],a[4]=t3,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4467,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm:759: pathname-directory */
t6=*((C_word*)lf[85]+1);{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* k4367 in k4364 in k4358 in k4355 in file-mkstemp in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4369(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_4369,2,av);}
a=C_alloc(13);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_4374,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word)li98),tmp=(C_word)a,a+=11,tmp));
t5=((C_word*)t3)[1];
f_4374(t5,((C_word*)t0)[9],C_fix(1));}

/* k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2403(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(48,c,4)))){
C_save_and_reclaim((void *)f_2403,2,av);}
a=C_alloc(48);
t2=C_mutate2((C_word*)lf[21]+1 /* (set! file-modification-time ...) */,t1);
t3=C_mutate2((C_word*)lf[22]+1 /* (set! file-access-time ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2405,a[2]=((C_word)li3),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate2((C_word*)lf[23]+1 /* (set! file-change-time ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2411,a[2]=((C_word)li4),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate2((C_word*)lf[24]+1 /* (set! file-owner ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2417,a[2]=((C_word)li5),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate2((C_word*)lf[25]+1 /* (set! file-permissions ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2423,a[2]=((C_word)li6),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate2((C_word*)lf[26]+1 /* (set! file-size ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2429,a[2]=((C_word)li7),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate2((C_word*)lf[27]+1 /* (set! file-type ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2435,a[2]=((C_word)li8),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate2((C_word*)lf[35]+1 /* (set! regular-file? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2522,a[2]=((C_word)li9),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate2((C_word*)lf[36]+1 /* (set! symbolic-link? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2532,a[2]=((C_word)li10),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate2((C_word*)lf[37]+1 /* (set! block-device? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2542,a[2]=((C_word)li11),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate2((C_word*)lf[38]+1 /* (set! character-device? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2552,a[2]=((C_word)li12),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate2((C_word*)lf[39]+1 /* (set! fifo? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2562,a[2]=((C_word)li13),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate2((C_word*)lf[40]+1 /* (set! socket? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2572,a[2]=((C_word)li14),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate2((C_word*)lf[41]+1 /* (set! directory? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2582,a[2]=((C_word)li15),tmp=(C_word)a,a+=3,tmp));
t16=C_set_block_item(lf[42] /* seek/set */,0,C_fix((C_word)SEEK_SET));
t17=C_set_block_item(lf[43] /* seek/end */,0,C_fix((C_word)SEEK_END));
t18=C_set_block_item(lf[44] /* seek/cur */,0,C_fix((C_word)SEEK_CUR));
t19=C_mutate2((C_word*)lf[45]+1 /* (set! set-file-position! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2595,a[2]=((C_word)li16),tmp=(C_word)a,a+=3,tmp));
t20=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2644,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t21=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6418,a[2]=((C_word)li214),tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:330: getter-with-setter */
t22=*((C_word*)lf[403]+1);{
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=t22;
av2[1]=t20;
av2[2]=t21;
av2[3]=*((C_word*)lf[45]+1);
av2[4]=lf[407];
((C_proc)(void*)(*((C_word*)t22+1)))(5,av2);}}

/* file-access-time in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2405(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_2405,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2409,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:265: ##sys#stat */
f_2333(t3,t2,C_SCHEME_FALSE,C_SCHEME_TRUE,lf[22]);}

/* k4358 in k4355 in file-mkstemp in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4360(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,c,3)))){
C_save_and_reclaim((void *)f_4360,2,av);}
a=C_alloc(16);
t2=t1;
t3=C_block_size(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_4366,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=t4,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],tmp=(C_word)a,a+=9,tmp);
t6=C_fixnum_difference(t4,C_fix(1));
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4476,a[2]=t8,a[3]=t2,a[4]=((C_word)li99),tmp=(C_word)a,a+=5,tmp));
t10=((C_word*)t8)[1];
f_4476(t10,t5,t6);}

/* k2407 in file-access-time in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2409(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_2409,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=C_flonum(&a,C_statbuf.st_atime);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k2609 in k2597 in set-file-position! in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2611(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_2611,2,av);}
if(C_truep(t1)){
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* posix-common.scm:327: posix-error */
t2=lf[2];{
C_word *av2;
if(c >= 7) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[10];
av2[3]=lf[45];
av2[4]=lf[46];
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
f_2315(7,av2);}}}

/* k2615 in k2597 in set-file-position! in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2617(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_2617,2,av);}
if(C_truep(t1)){
t2=C_slot(((C_word*)t0)[2],C_fix(7));
t3=C_eqp(t2,lf[47]);
if(C_truep(t3)){
t4=C_fseek(((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t5=((C_word*)t0)[5];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t5;
av2[1]=t4;
f_2611(2,av2);}}
else{
t4=((C_word*)t0)[5];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
f_2611(2,av2);}}}
else{
if(C_truep(C_fixnump(((C_word*)t0)[2]))){
t2=C_lseek(((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t3;
av2[1]=t2;
f_2611(2,av2);}}
else{
/* posix-common.scm:326: ##sys#signal-hook */
t2=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[5];
av2[2]=lf[15];
av2[3]=lf[45];
av2[4]=lf[48];
av2[5]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}}

/* file-change-time in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2411(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_2411,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2415,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:266: ##sys#stat */
f_2333(t3,t2,C_SCHEME_FALSE,C_SCHEME_TRUE,lf[23]);}

/* file-owner in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2417(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_2417,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2421,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:267: ##sys#stat */
f_2333(t3,t2,C_SCHEME_FALSE,C_SCHEME_TRUE,lf[24]);}

/* k2413 in file-change-time in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2415(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_2415,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=C_flonum(&a,C_statbuf.st_ctime);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k2976 in k2960 in k2957 in loop in k2948 in k2938 in create-directory in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2978(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_2978,2,av);}
t2=C_mkdir(t1);
t3=C_eqp(C_fix(0),t2);
if(C_truep(t3)){
t4=C_SCHEME_UNDEFINED;
t5=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
/* posix-common.scm:451: posix-error */
t4=lf[2];{
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[10];
av2[3]=lf[83];
av2[4]=lf[84];
av2[5]=((C_word*)t0)[3];
f_2315(6,av2);}}}

/* k2990 in loop in k2948 in k2938 in create-directory in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2992(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2992,2,av);}
t2=((C_word*)t0)[2];
f_2959(t2,C_i_not(t1));}

/* rmdir in delete-directory in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_2844(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_2844,2,t1,t2);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2848,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:430: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[13]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[13]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k2846 in rmdir in delete-directory in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2848(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_2848,2,av);}
t2=C_rmdir(t1);
t3=C_eqp(C_fix(0),t2);
if(C_truep(t3)){
t4=C_SCHEME_UNDEFINED;
t5=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
/* posix-common.scm:432: posix-error */
t4=lf[2];{
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[10];
av2[3]=lf[77];
av2[4]=lf[78];
av2[5]=((C_word*)t0)[3];
f_2315(6,av2);}}}

/* k6457 in a6454 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6459(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_6459,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=C_flonum(&a,C_statbuf.st_mtime);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* a6454 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6455(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_6455,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6459,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:254: ##sys#stat */
f_2333(t3,t2,C_SCHEME_FALSE,C_SCHEME_TRUE,lf[21]);}

/* k2983 in k2957 in loop in k2948 in k2938 in create-directory in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2985(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_2985,2,av);}
/* posix-common.scm:462: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_2952(t2,((C_word*)t0)[3],t1);}

/* a2993 in k2938 in create-directory in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2994(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_2994,2,av);}
/* posix-common.scm:459: decompose-pathname */
t2=*((C_word*)lf[86]+1);{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k3389 in k3385 in a3378 in k3360 in k3416 in k3326 in k3317 in loop in k3302 in k3295 in k3292 in k3483 in k3480 in k3477 in k3474 in k3471 in k3468 in find-files in k2642 in k2401 in k2301 in k2298 in ... */
static void C_ccall f_3391(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_3391,2,av);}
/* posix-common.scm:545: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_3306(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],t1);}

/* conc-loop in glob in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_3186(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,5)))){
C_save_and_reclaim_args((void *)trf_3186,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3201,a[2]=t4,a[3]=((C_word)li34),tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3207,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li37),tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:502: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=t1;
av2[2]=t5;
av2[3]=t6;
C_call_with_values(4,av2);}}}

/* k3392 in k3385 in a3378 in k3360 in k3416 in k3326 in k3317 in loop in k3302 in k3295 in k3292 in k3483 in k3480 in k3477 in k3474 in k3471 in k3468 in find-files in k2642 in k2401 in k2301 in k2298 in ... */
static void C_ccall f_3394(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_3394,2,av);}
if(C_truep(t1)){
/* posix-common.scm:547: action */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}
else{
t2=((C_word*)t0)[5];
/* posix-common.scm:545: loop */
t3=((C_word*)((C_word*)t0)[6])[1];
f_3306(t3,((C_word*)t0)[7],((C_word*)t0)[4],((C_word*)t0)[8],t2);}}

/* glob in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3180(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_3180,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3186,a[2]=t4,a[3]=((C_word)li38),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_3186(t6,t1,t2);}

/* k6469 in a6460 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6471(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_6471,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=stub119(C_SCHEME_UNDEFINED,t1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k2655 in mode in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2657(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_2657,2,av);}
/* posix-common.scm:359: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[13]+1));
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[13]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* k5647 in process in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5649(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_5649,2,av);}
/* posixwin.scm:1220: string-intersperse */
t2=*((C_word*)lf[326]+1);{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* a3398 in k3360 in k3416 in k3326 in k3317 in loop in k3302 in k3295 in k3292 in k3483 in k3480 in k3477 in k3474 in k3471 in k3468 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in ... */
static void C_ccall f_3399(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_3399,2,av);}
t2=C_mutate2(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate2(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a6460 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6461(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_6461,4,av);}
a=C_alloc(9);
t4=C_i_check_number_2(t3,lf[408]);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_6481,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t6=t5;
t7=t2;
t8=t3;
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_6471,a[2]=t6,a[3]=t8,tmp=(C_word)a,a+=4,tmp);
if(C_truep(t7)){
t10=C_i_foreign_string_argumentp(t7);
/* posix-common.scm:257: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[13]+1));
C_word *av2=av; /* Re-use our own argvector */
av2[0]=*((C_word*)lf[13]+1);
av2[1]=t9;
av2[2]=t10;
tp(3,av2);}}
else{
t10=t6;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t10;
av2[1]=stub119(C_SCHEME_UNDEFINED,C_SCHEME_FALSE,t8);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}

/* k3370 in k3360 in k3416 in k3326 in k3317 in loop in k3302 in k3295 in k3292 in k3483 in k3480 in k3477 in k3474 in k3471 in k3468 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in ... */
static void C_ccall f_3372(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_3372,2,av);}
/* posix-common.scm:542: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_3306(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],t1);}

/* a3373 in k3360 in k3416 in k3326 in k3317 in loop in k3302 in k3295 in k3292 in k3483 in k3480 in k3477 in k3474 in k3471 in k3468 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in ... */
static void C_ccall f_3374(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_3374,2,av);}
t2=C_mutate2(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate2(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k5615 in k5571 in process in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5617(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,5)))){
C_save_and_reclaim((void *)f_5617,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_5621,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],tmp=(C_word)a,a+=11,tmp);
/* posixwin.scm:1229: ##sys#make-locative */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[324]+1));
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[324]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[10];
av2[3]=C_fix(0);
av2[4]=C_SCHEME_FALSE;
av2[5]=lf[325];
tp(6,av2);}}

/* k3385 in a3378 in k3360 in k3416 in k3326 in k3317 in loop in k3302 in k3295 in k3292 in k3483 in k3480 in k3477 in k3474 in k3471 in k3468 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in ... */
static void C_ccall f_3387(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_3387,2,av);}
a=C_alloc(15);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3391,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_3394,a[2]=((C_word*)t0)[5],a[3]=t3,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[3],a[8]=t2,tmp=(C_word)a,a+=9,tmp);
/* posix-common.scm:547: pproc */
t5=((C_word*)t0)[7];{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* current-directory in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2804(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +3,c,3)))){
C_save_and_reclaim((void*)f_2804,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+3);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_SCHEME_FALSE:C_i_car(t2));
if(C_truep(t4)){
/* posix-common.scm:416: change-directory */
t5=*((C_word*)lf[73]+1);{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2817,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[76]+1));
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[76]+1);
av2[1]=t5;
av2[2]=C_fix(1024);
av2[3]=C_make_character(32);
tp(4,av2);}}}

/* k5608 in k5578 in k5571 in process in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5610(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_5610,2,av);}
/* posixwin.scm:1239: ##sys#signal-hook */
t2=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[131];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[323];
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* ##sys#shell-command in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5446(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_5446,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5450,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm:1175: get-environment-variable */
t3=*((C_word*)lf[317]+1);{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[318];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* set-process-group-id! in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6295(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6295,2,av);}
/* posixwin.scm:1512: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[383];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k5623 in k5619 in k5615 in k5571 in process in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5625(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,5)))){
C_save_and_reclaim((void *)f_5625,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_5629,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t2,a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],tmp=(C_word)a,a+=11,tmp);
/* posixwin.scm:1229: ##sys#make-locative */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[324]+1));
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[324]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[10];
av2[3]=C_fix(0);
av2[4]=C_SCHEME_FALSE;
av2[5]=lf[325];
tp(6,av2);}}

/* k5627 in k5623 in k5619 in k5615 in k5571 in process in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5629(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_5629,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_5633,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,tmp=(C_word)a,a+=9,tmp);
t4=(C_truep(((C_word*)t0)[8])?C_fix(0):C_fix(1));
t5=(C_truep(((C_word*)t0)[9])?C_fix(0):C_fix(2));
if(C_truep(((C_word*)t0)[10])){
/* posixwin.scm:1230: + */{
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t3;
av2[2]=t4;
av2[3]=t5;
av2[4]=C_fix(0);
C_plus(5,av2);}}
else{
/* posixwin.scm:1230: + */{
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t3;
av2[2]=t4;
av2[3]=t5;
av2[4]=C_fix(4);
C_plus(5,av2);}}}

/* k2815 in current-directory in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2817(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_2817,2,av);}
a=C_alloc(5);
t2=t1;
t3=C_curdir(t2);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2820,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:420: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word *av2=av; /* Re-use our own argvector */
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t4;
tp(2,av2);}}

/* k5619 in k5615 in k5571 in process in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5621(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,5)))){
C_save_and_reclaim((void *)f_5621,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_5625,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],tmp=(C_word)a,a+=11,tmp);
/* posixwin.scm:1229: ##sys#make-locative */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[324]+1));
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[324]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[10];
av2[3]=C_fix(0);
av2[4]=C_SCHEME_FALSE;
av2[5]=lf[325];
tp(6,av2);}}

/* k6479 in a6460 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6481(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_6481,2,av);}
if(C_truep(C_fixnum_lessp(t1,C_fix(0)))){
/* posix-common.scm:260: posix-error */
t2=lf[2];{
C_word *av2;
if(c >= 7) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[10];
av2[3]=lf[408];
av2[4]=lf[409];
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
f_2315(7,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* set-group-id! in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6283(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6283,2,av);}
/* posixwin.scm:1510: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[381];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* set-groups! in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6289(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6289,2,av);}
/* posixwin.scm:1511: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[382];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k2900 in for-each-loop288 in k2865 in delete-directory in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2902(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_2902,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_2892(t3,((C_word*)t0)[4],t2);}

/* unmap-file-from-memory in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6079(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_6079,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+4);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t4=C_i_check_structure_2(t2,lf[347],lf[351]);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_6086,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_pairp(t3))){
t6=t3;
t7=t5;
f_6086(t7,C_u_i_car(t6));}
else{
t6=t5;
f_6086(t6,C_slot(t2,C_fix(2)));}}

/* a4160 in a4154 in a4131 in a4104 in k4095 in k4089 in call-with-exec-args in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4161(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_4161,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
C_apply_values(3,av2);}}

/* create-directory in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2924(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +10,c,2)))){
C_save_and_reclaim((void*)f_2924,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+10);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_i_car(t3));
t6=t5;
t7=C_i_check_string_2(t2,lf[83]);
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2934,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t9=C_block_size(t2);
t10=C_eqp(C_fix(0),t9);
t11=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2940,a[2]=t1,a[3]=t2,a[4]=t6,a[5]=t8,tmp=(C_word)a,a+=6,tmp);
if(C_truep(t10)){
t12=t11;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t12;
av2[1]=t10;
f_2940(2,av2);}}
else{
/* posix-common.scm:457: file-exists? */
t12=*((C_word*)lf[88]+1);{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t12;
av2[1]=t11;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t12+1)))(3,av2);}}}

/* k2938 in create-directory in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2940(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,5)))){
C_save_and_reclaim((void *)f_2940,2,av);}
a=C_alloc(10);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
if(C_truep(((C_word*)t0)[4])){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2950,a[2]=((C_word*)t0)[5],tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2994,a[2]=((C_word*)t0)[3],a[3]=((C_word)li29),tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3000,a[2]=((C_word)li30),tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:459: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t2;
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}
else{
t2=((C_word*)t0)[5];
t3=((C_word*)t0)[3];
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3023,a[2]=t2,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:450: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[13]+1));
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[13]+1);
av2[1]=t4;
av2[2]=t3;
av2[3]=lf[83];
tp(4,av2);}}}}

/* k2948 in k2938 in create-directory in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2950(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_2950,2,av);}
a=C_alloc(6);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2952,a[2]=t3,a[3]=((C_word)li28),tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_2952(t5,((C_word*)t0)[2],t1);}

/* k4380 in k4376 in loop in k4367 in k4364 in k4358 in k4355 in file-mkstemp in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4382(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,5)))){
C_save_and_reclaim((void *)f_4382,2,av);}
a=C_alloc(8);
t2=C_a_i_bitwise_ior(&a,2,C_a_i_bitwise_ior(&a,2,*((C_word*)lf[150]+1),*((C_word*)lf[153]+1)),*((C_word*)lf[155]+1));
t3=C_fixnum_or(C_fix((C_word)S_IREAD),C_fix((C_word)S_IWRITE));
t4=C_open(t1,t2,t3);
t5=C_eqp(C_fix(-1),t4);
if(C_truep(t5)){
if(C_truep(C_fixnum_lessp(((C_word*)t0)[2],((C_word*)t0)[3]))){
t6=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* posixwin.scm:777: loop */
t7=((C_word*)((C_word*)t0)[4])[1];
f_4374(t7,((C_word*)t0)[5],t6);}
else{
/* posixwin.scm:778: posix-error */
t6=lf[2];{
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=t6;
av2[1]=((C_word*)t0)[5];
av2[2]=lf[10];
av2[3]=lf[183];
av2[4]=lf[185];
av2[5]=((C_word*)t0)[6];
f_2315(6,av2);}}}
else{
/* posixwin.scm:779: values */{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t4;
av2[3]=((C_word*)t0)[7];
C_values(4,av2);}}}

/* loop in k2948 in k2938 in create-directory in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_2952(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_2952,3,t0,t1,t2);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2959,a[2]=t1,a[3]=t2,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
if(C_truep(t2)){
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2992,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:461: directory? */
t5=*((C_word*)lf[41]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t4=t3;
f_2959(t4,C_SCHEME_FALSE);}}

/* k4122 in k4119 in a4116 in a4110 in a4104 in k4095 in k4089 in call-with-exec-args in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4124(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_4124,2,av);}
/* posix-common.scm:738: signal */
t2=*((C_word*)lf[134]+1);{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k4119 in a4116 in a4110 in a4104 in k4095 in k4089 in call-with-exec-args in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4121(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_4121,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4124,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)((C_word*)t0)[4])[1])){
/* posix-common.scm:737: free-c-string-buffer */
f_4051(t2,((C_word*)((C_word*)t0)[4])[1]);}
else{
/* posix-common.scm:738: signal */
t3=*((C_word*)lf[134]+1);{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}}

/* k2960 in k2957 in loop in k2948 in k2938 in create-directory in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2962(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_2962,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2978,a[2]=t2,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:450: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[13]+1));
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[13]+1);
av2[1]=t4;
av2[2]=t3;
av2[3]=lf[83];
tp(4,av2);}}

/* k2957 in loop in k2948 in k2938 in create-directory in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_2959(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_2959,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2962,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2985,a[2]=((C_word*)t0)[4],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:462: pathname-directory */
t4=*((C_word*)lf[85]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a4791 in k4765 in with-output-to-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4792(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_4792,2,av);}
t2=C_mutate2(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[209]+1));
t3=C_mutate2((C_word*)lf[209]+1 /* (set! ##sys#standard-output ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* create-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4797(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_4797,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_fixnum_or(*((C_word*)lf[157]+1),*((C_word*)lf[159]+1)):C_i_car(t2));
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4804,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=C_pipe(C_SCHEME_FALSE,t4);
if(C_truep(C_fixnum_lessp(t6,C_fix(0)))){
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4813,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm:890: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word *av2=av; /* Re-use our own argvector */
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t7;
tp(2,av2);}}
else{
/* posixwin.scm:892: values */{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix((C_word)C_pipefds[ 0 ]);
av2[3]=C_fix((C_word)C_pipefds[ 1 ]);
C_values(4,av2);}}}

/* k4355 in file-mkstemp in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4357(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_4357,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_4360,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* posixwin.scm:752: string-copy */
t4=*((C_word*)lf[191]+1);{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k5002 in check in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5004(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_5004,2,av);}
a=C_alloc(4);
if(C_truep(C_null_pointerp(((C_word*)t0)[2]))){
/* posixwin.scm:1030: ##sys#signal-hook */
t2=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[10];
av2[3]=lf[287];
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5016,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:1031: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[61]+1));
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[61]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=*((C_word*)lf[62]+1);
av2[4]=lf[288];
av2[5]=lf[47];
tp(6,av2);}}}

/* check in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_5000(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_5000,4,t1,t2,t3,t4);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_5004,a[2]=t4,a[3]=t1,a[4]=t2,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm:1028: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t5;
tp(2,av2);}}

/* file-mkstemp in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4347(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_4347,3,av);}
a=C_alloc(6);
t3=C_i_check_string_2(t2,lf[183]);
t4=lf[184];
t5=C_block_size(t4);
t6=t5;
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4357,a[2]=t2,a[3]=t4,a[4]=t6,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm:751: * */{
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t7;
av2[2]=t6;
av2[3]=t6;
av2[4]=t6;
C_times(5,av2);}}

/* k5014 in k5002 in check in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5016(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_5016,2,av);}
t2=C_set_file_ptr(t1,((C_word*)t0)[2]);
t3=t1;
t4=((C_word*)t0)[3];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* open-input-file* in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5018(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +5,c,4)))){
C_save_and_reclaim((void*)f_5018,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+5);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=C_i_check_exact_2(t2,lf[64]);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5030,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:1037: mode */
f_4963(t5,C_SCHEME_TRUE,t3,lf[64]);}

/* k4594 in open-input-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4596(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(2,c,4)))){
C_save_and_reclaim((void *)f_4596,2,av);}
a=C_alloc(2);
t2=open_binary_input_pipe(&a,1,t1);
/* posixwin.scm:810: check */
f_4547(((C_word*)t0)[3],((C_word*)t0)[4],C_SCHEME_TRUE,t2);}

/* k4151 in a4137 in a4131 in a4104 in k4095 in k4089 in call-with-exec-args in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4153(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_4153,2,av);}
t2=C_mutate2(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];
f_4142(t3,t2);}

/* a4154 in a4131 in a4104 in k4095 in k4089 in call-with-exec-args in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4155(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_4155,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4161,a[2]=t2,a[3]=((C_word)li87),tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:726: k722 */
t4=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* k2932 in create-directory in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2934(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2934,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k4584 in open-input-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4586(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(2,c,4)))){
C_save_and_reclaim((void *)f_4586,2,av);}
a=C_alloc(2);
t2=open_text_input_pipe(&a,1,t1);
/* posixwin.scm:810: check */
f_4547(((C_word*)t0)[3],((C_word*)t0)[4],C_SCHEME_TRUE,t2);}

/* k4321 in k4315 in k4312 in file-write in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4323(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_4323,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k4327 in k4315 in k4312 in file-write in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4329(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_4329,2,av);}
/* posixwin.scm:743: ##sys#signal-hook */
t2=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 7) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[10];
av2[3]=lf[180];
av2[4]=lf[181];
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}

/* a4757 in k4731 in with-input-from-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4758(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_4758,2,av);}
t2=C_mutate2(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[207]+1));
t3=C_mutate2((C_word*)lf[207]+1 /* (set! ##sys#standard-input ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k4751 in a4748 in a4742 in k4731 in with-input-from-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4753(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_4753,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* set-alarm! in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6277(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6277,2,av);}
/* posixwin.scm:1509: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[380];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* read-symbolic-link in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6271(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6271,2,av);}
/* posixwin.scm:1508: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[379];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k4140 in a4137 in a4131 in a4104 in k4095 in k4089 in call-with-exec-args in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_4142(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_4142,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4149,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* posix-common.scm:744: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[13]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[13]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
av2[3]=((C_word*)t0)[7];
tp(4,av2);}}

/* k4147 in k4140 in a4137 in a4131 in a4104 in k4095 in k4089 in call-with-exec-args in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4149(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_4149,2,av);}
/* posix-common.scm:744: proc */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)((C_word*)t0)[5])[1];
((C_proc)C_fast_retrieve_proc(t2))(5,av2);}}

/* k6084 in unmap-file-from-memory in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_6086(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,6)))){
C_save_and_reclaim_args((void *)trf_6086,2,t0,t1);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=(C_truep(t2)?C_i_foreign_pointer_argumentp(t2):C_SCHEME_FALSE);
t4=C_i_foreign_integer_argumentp(t1);
t5=stub1513(C_SCHEME_UNDEFINED,t3,t4);
t6=C_eqp(C_fix(0),t5);
if(C_truep(t6)){
t7=C_SCHEME_UNDEFINED;
t8=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
/* posixwin.scm:1467: posix-error */
t7=lf[2];{
C_word av2[7];
av2[0]=t7;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[10];
av2[3]=lf[351];
av2[4]=lf[352];
av2[5]=((C_word*)t0)[2];
av2[6]=t1;
f_2315(7,av2);}}}

/* k4315 in k4312 in file-write in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_4317(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,2)))){
C_save_and_reclaim_args((void *)trf_4317,2,t0,t1);}
a=C_alloc(9);
t2=t1;
t3=C_i_check_exact_2(t2,lf[180]);
t4=C_write(((C_word*)t0)[2],((C_word*)t0)[3],t2);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4323,a[2]=((C_word*)t0)[4],a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t6=C_eqp(C_fix(-1),t4);
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4329,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:742: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t7;
tp(2,av2);}}
else{
t7=((C_word*)t0)[4];{
C_word av2[2];
av2[0]=t7;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k4312 in file-write in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4314(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_4314,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4317,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_pairp(((C_word*)t0)[5]))){
t3=((C_word*)t0)[5];
t4=t2;
f_4317(t4,C_u_i_car(t3));}
else{
t3=t2;
f_4317(t3,C_block_size(((C_word*)t0)[3]));}}

/* k4785 in a4782 in a4776 in k4765 in with-output-to-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4787(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_4787,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* a4782 in a4776 in k4765 in with-output-to-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4783(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_4783,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4787,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:878: close-output-pipe */
t4=*((C_word*)lf[202]+1);{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* process-signal in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6265(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6265,2,av);}
/* posixwin.scm:1507: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[378];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k2558 in character-device? in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2560(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2560,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=C_eqp(lf[31],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* a4131 in a4104 in k4095 in k4089 in call-with-exec-args in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4132(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(14,c,3)))){
C_save_and_reclaim((void *)f_4132,2,av);}
a=C_alloc(14);
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_4138,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word)li86),tmp=(C_word)a,a+=10,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4155,a[2]=((C_word*)t0)[9],a[3]=((C_word)li88),tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:726: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
C_call_with_values(4,av2);}}

/* a4137 in a4131 in a4104 in k4095 in k4089 in call-with-exec-args in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4138(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_4138,2,av);}
a=C_alloc(12);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_4142,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
if(C_truep(((C_word*)t0)[7])){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4153,a[2]=((C_word*)t0)[4],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:742: list->c-string-buffer */
f_3932(t3,((C_word*)t0)[7],((C_word*)t0)[8],((C_word*)t0)[6]);}
else{
t3=t2;
f_4142(t3,C_SCHEME_UNDEFINED);}}

/* k4577 in open-input-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4579(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_4579,2,av);}
/* posixwin.scm:810: check */
f_4547(((C_word*)t0)[3],((C_word*)t0)[4],C_SCHEME_TRUE,t1);}

/* open-input-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4565(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +10,c,3)))){
C_save_and_reclaim((void*)f_4565,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+10);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
t4=C_i_check_string_2(t2,lf[195]);
t5=C_i_pairp(t3);
t6=(C_truep(t5)?C_slot(t3,C_fix(0)):lf[196]);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4579,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t8=C_eqp(t6,lf[196]);
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4586,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:813: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[13]+1));
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[13]+1);
av2[1]=t9;
av2[2]=t2;
av2[3]=lf[195];
tp(4,av2);}}
else{
t9=C_eqp(t6,lf[197]);
if(C_truep(t9)){
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4596,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:814: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[13]+1));
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[13]+1);
av2[1]=t10;
av2[2]=t2;
av2[3]=lf[195];
tp(4,av2);}}
else{
/* posixwin.scm:798: ##sys#error */
t10=*((C_word*)lf[54]+1);{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=t10;
av2[1]=t7;
av2[2]=lf[198];
av2[3]=t6;
((C_proc)(void*)(*((C_word*)t10+1)))(4,av2);}}}}

/* k4561 in k4549 in check in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4563(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_4563,2,av);}
t2=C_set_file_ptr(t1,((C_word*)t0)[2]);
t3=t1;
t4=((C_word*)t0)[3];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* file-write in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4307(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +6,c,5)))){
C_save_and_reclaim((void*)f_4307,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+6);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
t5=C_i_check_exact_2(t2,lf[180]);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4314,a[2]=t2,a[3]=t3,a[4]=t1,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_blockp(t3))){
if(C_truep(C_byteblockp(t3))){
t7=t6;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t7;
av2[1]=C_SCHEME_UNDEFINED;
f_4314(2,av2);}}
else{
/* posixwin.scm:737: ##sys#signal-hook */
t7=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=lf[15];
av2[3]=lf[180];
av2[4]=lf[182];
av2[5]=t3;
((C_proc)(void*)(*((C_word*)t7+1)))(6,av2);}}}
else{
/* posixwin.scm:737: ##sys#signal-hook */
t7=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=lf[15];
av2[3]=lf[180];
av2[4]=lf[182];
av2[5]=t3;
((C_proc)(void*)(*((C_word*)t7+1)))(6,av2);}}}

/* k2568 */
static void C_ccall f_2570(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2570,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=C_eqp(lf[33],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k2376 in k2356 in stat in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2378(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_2378,2,av);}
/* posix-common.scm:227: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[13]+1));
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[13]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* k2369 in k2356 in stat in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2371(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2371,2,av);}
if(C_truep(((C_word*)t0)[2])){
t2=C_lstat(t1);
t3=((C_word*)t0)[3];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t3;
av2[1]=t2;
f_2337(2,av2);}}
else{
t2=C_stat(t1);
t3=((C_word*)t0)[3];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t3;
av2[1]=t2;
f_2337(2,av2);}}}

/* k4549 in check in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4551(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_4551,2,av);}
a=C_alloc(4);
if(C_truep(C_null_pointerp(((C_word*)t0)[2]))){
/* posixwin.scm:802: ##sys#signal-hook */
t2=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[10];
av2[3]=lf[193];
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4563,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:803: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[61]+1));
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[61]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=*((C_word*)lf[62]+1);
av2[4]=lf[194];
av2[5]=lf[47];
tp(6,av2);}}}

/* f_2562 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2562(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_2562,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2570,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:296: file-type */
t4=*((C_word*)lf[27]+1);{
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k4765 in with-output-to-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4767(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(19,c,4)))){
C_save_and_reclaim((void *)f_4767,2,av);}
a=C_alloc(19);
t2=t1;
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4772,a[2]=t6,a[3]=t4,a[4]=((C_word)li118),tmp=(C_word)a,a+=5,tmp);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4777,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li120),tmp=(C_word)a,a+=5,tmp);
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4792,a[2]=t4,a[3]=t6,a[4]=((C_word)li121),tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:872: ##sys#dynamic-wind */
t10=*((C_word*)lf[99]+1);{
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
av2[2]=t7;
av2[3]=t8;
av2[4]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}

/* with-output-to-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4763(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_4763,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4767,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=*((C_word*)lf[199]+1);
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k2578 in socket? in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2580(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2580,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=C_eqp(lf[34],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k2782 */
static void C_fcall f_2784(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,5)))){
C_save_and_reclaim_args((void *)trf_2784,2,t0,t1);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2787,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fixnum_lessp(t2,C_fix(0)))){
/* posix-common.scm:408: posix-error */
t4=lf[2];{
C_word av2[6];
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[10];
av2[3]=lf[70];
av2[4]=lf[71];
av2[5]=((C_word*)t0)[3];
f_2315(6,av2);}}
else{
t4=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* file-stat in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2383(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +3,c,5)))){
C_save_and_reclaim((void*)f_2383,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+3);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_i_car(t3));
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2390,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:244: ##sys#stat */
f_2333(t6,t2,t5,C_SCHEME_TRUE,lf[18]);}

/* k2785 in k2782 */
static void C_ccall f_2787(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2787,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* socket? in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2572(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_2572,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2580,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:299: file-type */
t4=*((C_word*)lf[27]+1);{
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* group-information in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6235(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6235,2,av);}
/* posixwin.scm:1502: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[373];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k2588 in directory? in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2590(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2590,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=C_eqp(lf[30],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k6043 in k6031 in k6028 in k6025 in map-file-to-memory in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_6045(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,10)))){
C_save_and_reclaim_args((void *)trf_6045,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
/* posixwin.scm:1458: posix-error */
t2=lf[2];{
C_word av2[11];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[10];
av2[3]=lf[346];
av2[4]=lf[348];
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
av2[7]=((C_word*)t0)[5];
av2[8]=((C_word*)t0)[6];
av2[9]=((C_word*)t0)[7];
av2[10]=((C_word*)t0)[8];
f_2315(11,av2);}}
else{
t2=((C_word*)t0)[9];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_a_i_record3(&a,3,lf[347],((C_word*)t0)[10],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k2388 in file-stat in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2390(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(30,c,1)))){
C_save_and_reclaim((void *)f_2390,2,av);}
a=C_alloc(30);
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=C_a_i_vector(&a,13,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_ino),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_mode),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_nlink),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_uid),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_gid),C_a_double_to_num(&a,C_statbuf.st_size),C_flonum(&a,C_statbuf.st_atime),C_flonum(&a,C_statbuf.st_ctime),C_flonum(&a,C_statbuf.st_mtime),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_dev),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_rdev),*((C_word*)lf[19]+1),*((C_word*)lf[20]+1));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* directory? in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2582(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_2582,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2590,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:302: file-type */
t4=*((C_word*)lf[27]+1);{
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* file-unlock in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6223(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6223,2,av);}
/* posixwin.scm:1500: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[371];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* get-groups in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6229(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6229,2,av);}
/* posixwin.scm:1501: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[372];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* set-file-position! in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2595(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +5,c,2)))){
C_save_and_reclaim((void*)f_2595,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+5);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2599,a[2]=t3,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_pairp(t4))){
t6=t4;
t7=t5;
f_2599(t7,C_u_i_car(t6));}
else{
t6=t5;
f_2599(t6,C_fix((C_word)SEEK_SET));}}

/* a4776 in k4765 in with-output-to-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4777(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_4777,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4783,a[2]=((C_word*)t0)[2],a[3]=((C_word)li119),tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:875: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
C_call_with_values(4,av2);}}

/* k2597 in set-file-position! in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_2599(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,2)))){
C_save_and_reclaim_args((void *)trf_2599,2,t0,t1);}
a=C_alloc(11);
t2=t1;
t3=C_i_check_exact_2(((C_word*)t0)[2],lf[45]);
t4=C_i_check_exact_2(t2,lf[45]);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2611,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2617,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=t5,tmp=(C_word)a,a+=6,tmp);
/* posix-common.scm:320: port? */
t7=*((C_word*)lf[17]+1);{
C_word av2[3];
av2[0]=t7;
av2[1]=t6;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}

/* a4771 in k4765 in with-output-to-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4772(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_4772,2,av);}
t2=C_mutate2(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[209]+1));
t3=C_mutate2((C_word*)lf[209]+1 /* (set! ##sys#standard-output ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* process-fork in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6253(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6253,2,av);}
/* posixwin.scm:1505: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[376];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* process-group-id in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6259(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6259,2,av);}
/* posixwin.scm:1506: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[377];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* a2999 in k2938 in create-directory in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3000(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_3000,5,av);}
if(C_truep(t3)){
/* posix-common.scm:460: make-pathname */
t5=*((C_word*)lf[87]+1);{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}
else{
t5=t2;
t6=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* f_2777 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2777(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_2777,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+4);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_check_exact_2(t2,*((C_word*)lf[70]+1));
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2784,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_nullp(t3))){
t6=t5;
f_2784(t6,C_dup(t2));}
else{
t6=C_i_car(t3);
t7=C_i_check_exact_2(t6,lf[70]);
t8=t5;
f_2784(t8,C_dup2(t2,t6));}}

/* k2769 */
static void C_ccall f_2771(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_2771,2,av);}
a=C_alloc(4);
if(C_truep(C_i_zerop(t1))){
/* posix-common.scm:397: posix-error */
t2=lf[2];{
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[15];
av2[3]=lf[12];
av2[4]=lf[67];
av2[5]=((C_word*)t0)[3];
f_2315(6,av2);}}
else{
t2=C_C_fileno(((C_word*)t0)[3]);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2754,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fixnum_lessp(t2,C_fix(0)))){
/* posix-common.scm:395: posix-error */
t4=lf[2];{
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[10];
av2[3]=lf[12];
av2[4]=lf[68];
av2[5]=((C_word*)t0)[3];
f_2315(6,av2);}}
else{
t4=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}}

/* initialize-groups in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6241(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6241,2,av);}
/* posixwin.scm:1503: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[374];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k3814 in scan in k3780 in loop in get-environment-variables in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3816(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_3816,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3820,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t4=C_fixnum_plus(((C_word*)t0)[5],C_fix(1));
t5=C_block_size(((C_word*)t0)[6]);
/* posix-common.scm:649: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[74]+1));
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[74]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
av2[3]=t4;
av2[4]=t5;
tp(5,av2);}}

/* parent-process-id in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6247(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6247,2,av);}
/* posixwin.scm:1504: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[375];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* change-directory in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4507(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_4507,3,av);}
a=C_alloc(4);
t3=C_i_check_string_2(t2,lf[73]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4514,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:786: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[13]+1));
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[13]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[73];
tp(4,av2);}}

/* g422 in k3235 in loop in k3216 in k3209 in a3206 in conc-loop in glob in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_3241(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,2)))){
C_save_and_reclaim_args((void *)trf_3241,3,t0,t1,t2);}
a=C_alloc(9);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3249,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3261,a[2]=t3,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:510: irregex-match-substring */
t5=*((C_word*)lf[92]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k3598 in k3592 in seconds->string in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3600(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_3600,2,av);}
if(C_truep(t1)){
t2=C_block_size(t1);
t3=C_fixnum_difference(t2,C_fix(1));
/* posix-common.scm:597: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[74]+1));
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[74]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_fix(0);
av2[4]=t3;
tp(5,av2);}}
else{
/* posix-common.scm:598: ##sys#error */
t2=*((C_word*)lf[54]+1);{
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[113];
av2[3]=lf[114];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* k3247 in g422 in k3235 in loop in k3216 in k3209 in a3206 in conc-loop in glob in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3249(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_3249,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3253,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_i_cdr(((C_word*)t0)[3]);
/* posix-common.scm:511: loop */
t5=((C_word*)((C_word*)t0)[4])[1];
f_3220(t5,t3,t4);}

/* %process in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_5696(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6,C_word t7){
C_word tmp;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(25,0,3)))){
C_save_and_reclaim_args((void *)trf_5696,7,t1,t2,t3,t4,t5,t6,t7);}
a=C_alloc(25);
t8=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t9=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t10=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t11=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5698,a[2]=t2,a[3]=((C_word)li155),tmp=(C_word)a,a+=4,tmp);
t12=C_i_check_string_2(((C_word*)t8)[1],t2);
t13=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_5739,a[2]=t2,a[3]=t8,a[4]=t9,a[5]=t6,a[6]=t3,a[7]=t10,a[8]=t1,a[9]=t11,tmp=(C_word)a,a+=10,tmp);
if(C_truep(((C_word*)t9)[1])){
/* posixwin.scm:1252: chkstrlst */
t14=t11;
f_5698(t14,t13,((C_word*)t9)[1]);}
else{
t14=C_set_block_item(t10,0,C_SCHEME_TRUE);
t15=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5774,a[2]=t9,a[3]=t8,a[4]=t13,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:1255: ##sys#shell-command-arguments */
t16=*((C_word*)lf[319]+1);{
C_word av2[3];
av2[0]=t16;
av2[1]=t15;
av2[2]=((C_word*)t8)[1];
((C_proc)(void*)(*((C_word*)t16+1)))(3,av2);}}}

/* chkstrlst in %process in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_5698(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_5698,3,t0,t1,t2);}
a=C_alloc(8);
t3=C_i_check_list_2(t2,((C_word*)t0)[2]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5703,a[2]=((C_word*)t0)[2],a[3]=((C_word)li153),tmp=(C_word)a,a+=4,tmp);
t5=t2;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5712,a[2]=t4,a[3]=((C_word)li154),tmp=(C_word)a,a+=4,tmp);
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=(
  f_5712(t6,t5)
);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* call-with-output-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4705(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_4705,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4709,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=*((C_word*)lf[199]+1);
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k4698 in a4695 in k4683 in call-with-input-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4700(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_4700,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* k4707 in call-with-output-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4709(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_4709,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4714,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li110),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4720,a[2]=t2,a[3]=((C_word)li111),tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:855: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* k6031 in k6028 in k6025 in map-file-to-memory in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6033(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(21,c,2)))){
C_save_and_reclaim((void *)f_6033,2,av);}
a=C_alloc(21);
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];
t4=((C_word*)t0)[4];
t5=((C_word*)t0)[5];
t6=C_a_i_bytevector(&a,1,C_fix(3));
t7=(C_truep(((C_word*)t0)[6])?C_i_foreign_pointer_argumentp(((C_word*)t0)[6]):C_SCHEME_FALSE);
t8=C_i_foreign_integer_argumentp(t2);
t9=C_i_foreign_fixnum_argumentp(t3);
t10=C_i_foreign_fixnum_argumentp(t4);
t11=C_i_foreign_fixnum_argumentp(t5);
t12=C_i_foreign_integer_argumentp(((C_word*)t0)[7]);
t13=stub1480(t6,t7,t8,t9,t10,t11,t12);
t14=t13;
t15=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_6039,a[2]=((C_word*)t0)[8],a[3]=t14,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
t16=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_6045,a[2]=t15,a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=t14,tmp=(C_word)a,a+=11,tmp);
if(C_truep(t14)){
t17=C_i_foreign_pointer_argumentp(t14);
t18=t16;
f_6045(t18,stub1492(C_SCHEME_UNDEFINED,t17));}
else{
t17=t16;
f_6045(t17,stub1492(C_SCHEME_UNDEFINED,C_SCHEME_FALSE));}}

/* k6028 in k6025 in map-file-to-memory in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_6030(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,5)))){
C_save_and_reclaim_args((void *)trf_6030,2,t0,t1);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_6033,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t2,a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
if(C_truep(C_blockp(((C_word*)t0)[6]))){
if(C_truep(C_specialp(((C_word*)t0)[6]))){
t4=t3;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
f_6033(2,av2);}}
else{
/* posixwin.scm:1455: ##sys#signal-hook */
t4=*((C_word*)lf[3]+1);{
C_word av2[6];
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[15];
av2[3]=lf[346];
av2[4]=lf[349];
av2[5]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}}
else{
/* posixwin.scm:1455: ##sys#signal-hook */
t4=*((C_word*)lf[3]+1);{
C_word av2[6];
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[15];
av2[3]=lf[346];
av2[4]=lf[349];
av2[5]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}}

/* check in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_4922(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,3)))){
C_save_and_reclaim_args((void *)trf_4922,4,t1,t2,t3,t4);}
a=C_alloc(4);
t5=C_i_check_string_2(t2,t4);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4940,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:997: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[13]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[13]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=t4;
tp(4,av2);}}

/* k4918 in change-file-mode in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4920(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_4920,2,av);}
a=C_alloc(5);
t2=C_chmod(t1,((C_word*)t0)[2]);
if(C_truep(C_fixnum_lessp(t2,C_fix(0)))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4912,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:987: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word *av2=av; /* Re-use our own argvector */
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t3;
tp(2,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=((C_word*)t0)[3];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k6037 in k6031 in k6028 in k6025 in map-file-to-memory in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6039(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_6039,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=C_a_i_record3(&a,3,lf[347],((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k3407 in k3360 in k3416 in k3326 in k3317 in loop in k3302 in k3295 in k3292 in k3483 in k3480 in k3477 in k3474 in k3471 in k3468 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in ... */
static void C_ccall f_3409(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_3409,2,av);}
/* posix-common.scm:548: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_3306(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],t1);}

/* k4731 in with-input-from-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4733(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(19,c,4)))){
C_save_and_reclaim((void *)f_4733,2,av);}
a=C_alloc(19);
t2=t1;
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4738,a[2]=t6,a[3]=t4,a[4]=((C_word)li113),tmp=(C_word)a,a+=5,tmp);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4743,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li115),tmp=(C_word)a,a+=5,tmp);
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4758,a[2]=t4,a[3]=t6,a[4]=((C_word)li116),tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:862: ##sys#dynamic-wind */
t10=*((C_word*)lf[99]+1);{
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
av2[2]=t7;
av2[3]=t8;
av2[4]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}

/* k3806 in k3818 in k3814 in scan in k3780 in loop in get-environment-variables in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3808(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_3808,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* a4737 in k4731 in with-input-from-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4738(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_4738,2,av);}
t2=C_mutate2(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[207]+1));
t3=C_mutate2((C_word*)lf[207]+1 /* (set! ##sys#standard-input ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* map-file-to-memory in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6023(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6=av[6];
C_word t7;
C_word *a;
if(c<7) C_bad_min_argc_2(c,7,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-7)*C_SIZEOF_PAIR +8,c,2)))){
C_save_and_reclaim((void*)f_6023,c,av);}
a=C_alloc((c-7)*C_SIZEOF_PAIR+8);
t7=C_build_rest(&a,c,7,av);
C_word t8;
C_word t9;
C_word t10;
t8=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_6027,a[2]=t3,a[3]=t4,a[4]=t5,a[5]=t6,a[6]=t1,a[7]=t7,tmp=(C_word)a,a+=8,tmp);
t9=t2;
if(C_truep(t9)){
t10=t8;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t10;
av2[1]=t2;
f_6027(2,av2);}}
else{
/* posixwin.scm:1452: ##sys#null-pointer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[350]+1));
C_word *av2=av; /* Re-use our own argvector */
av2[0]=*((C_word*)lf[350]+1);
av2[1]=t8;
tp(2,av2);}}}

/* k4910 in k4918 in change-file-mode in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4912(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_4912,2,av);}
/* posixwin.scm:988: ##sys#signal-hook */
t2=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 7) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[10];
av2[3]=lf[277];
av2[4]=lf[278];
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}

/* local-time->seconds in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3628(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_3628,3,av);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3632,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:603: check-time-vector */
f_3519(t3,lf[115],t2);}

/* k6025 in map-file-to-memory in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6027(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_6027,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_6030,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_i_pairp(((C_word*)t0)[7]))){
t4=((C_word*)t0)[7];
t5=t3;
f_6030(t5,C_u_i_car(t4));}
else{
t4=t3;
f_6030(t4,C_fix(0));}}

/* k3410 in k3360 in k3416 in k3326 in k3317 in loop in k3302 in k3295 in k3292 in k3483 in k3480 in k3477 in k3474 in k3471 in k3468 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in ... */
static void C_ccall f_3412(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_3412,2,av);}
if(C_truep(t1)){
/* posix-common.scm:548: action */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}
else{
t2=((C_word*)t0)[5];
/* posix-common.scm:548: loop */
t3=((C_word*)((C_word*)t0)[6])[1];
f_3306(t3,((C_word*)t0)[7],((C_word*)t0)[8],((C_word*)t0)[9],t2);}}

/* k3416 in k3326 in k3317 in loop in k3302 in k3295 in k3292 in k3483 in k3480 in k3477 in k3474 in k3471 in k3468 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 in ... */
static void C_ccall f_3418(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,c,2)))){
C_save_and_reclaim((void *)f_3418,2,av);}
a=C_alloc(16);
t2=(C_truep(t1)?C_i_not(((C_word*)t0)[2]):C_SCHEME_FALSE);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3350,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_3353,a[2]=((C_word*)t0)[7],a[3]=t3,a[4]=((C_word*)t0)[8],a[5]=((C_word*)t0)[9],a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],tmp=(C_word)a,a+=10,tmp);
/* posix-common.scm:540: pproc */
t5=((C_word*)t0)[10];{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[8];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_3362,a[2]=((C_word*)t0)[11],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[12],tmp=(C_word)a,a+=12,tmp);
/* posix-common.scm:541: lproc */
t4=((C_word*)t0)[13];{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[8];
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}}

/* k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3853(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word t48;
C_word t49;
C_word t50;
C_word t51;
C_word t52;
C_word t53;
C_word t54;
C_word t55;
C_word t56;
C_word t57;
C_word t58;
C_word t59;
C_word t60;
C_word t61;
C_word t62;
C_word t63;
C_word t64;
C_word t65;
C_word t66;
C_word t67;
C_word t68;
C_word t69;
C_word t70;
C_word t71;
C_word t72;
C_word t73;
C_word t74;
C_word t75;
C_word t76;
C_word t77;
C_word t78;
C_word t79;
C_word t80;
C_word t81;
C_word t82;
C_word t83;
C_word t84;
C_word t85;
C_word t86;
C_word t87;
C_word t88;
C_word t89;
C_word t90;
C_word t91;
C_word t92;
C_word t93;
C_word t94;
C_word t95;
C_word t96;
C_word t97;
C_word t98;
C_word t99;
C_word t100;
C_word t101;
C_word t102;
C_word t103;
C_word t104;
C_word t105;
C_word t106;
C_word t107;
C_word t108;
C_word t109;
C_word t110;
C_word t111;
C_word t112;
C_word t113;
C_word t114;
C_word t115;
C_word t116;
C_word t117;
C_word t118;
C_word t119;
C_word t120;
C_word t121;
C_word t122;
C_word t123;
C_word t124;
C_word t125;
C_word t126;
C_word t127;
C_word t128;
C_word t129;
C_word t130;
C_word t131;
C_word t132;
C_word t133;
C_word t134;
C_word t135;
C_word t136;
C_word t137;
C_word t138;
C_word t139;
C_word t140;
C_word t141;
C_word t142;
C_word t143;
C_word t144;
C_word t145;
C_word t146;
C_word t147;
C_word t148;
C_word t149;
C_word t150;
C_word t151;
C_word t152;
C_word t153;
C_word t154;
C_word t155;
C_word t156;
C_word t157;
C_word t158;
C_word t159;
C_word t160;
C_word t161;
C_word t162;
C_word t163;
C_word t164;
C_word t165;
C_word t166;
C_word t167;
C_word t168;
C_word t169;
C_word t170;
C_word t171;
C_word t172;
C_word t173;
C_word t174;
C_word t175;
C_word t176;
C_word t177;
C_word t178;
C_word t179;
C_word t180;
C_word t181;
C_word t182;
C_word t183;
C_word t184;
C_word t185;
C_word t186;
C_word t187;
C_word t188;
C_word t189;
C_word t190;
C_word t191;
C_word t192;
C_word t193;
C_word t194;
C_word t195;
C_word t196;
C_word t197;
C_word t198;
C_word t199;
C_word t200;
C_word t201;
C_word t202;
C_word t203;
C_word t204;
C_word t205;
C_word t206;
C_word t207;
C_word t208;
C_word t209;
C_word t210;
C_word t211;
C_word t212;
C_word t213;
C_word t214;
C_word t215;
C_word t216;
C_word t217;
C_word t218;
C_word t219;
C_word t220;
C_word t221;
C_word t222;
C_word t223;
C_word t224;
C_word t225;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(333,c,9)))){
C_save_and_reclaim((void *)f_3853,2,av);}
a=C_alloc(333);
t2=C_mutate2((C_word*)lf[127]+1 /* (set! signal-handler ...) */,t1);
t3=C_mutate2((C_word*)lf[128]+1 /* (set! current-process-id ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3855,a[2]=((C_word)li68),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate2((C_word*)lf[129]+1 /* (set! process-wait ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3861,a[2]=((C_word)li71),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate2(&lf[133] /* (set! list->c-string-buffer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3932,a[2]=((C_word)li80),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate2(&lf[135] /* (set! free-c-string-buffer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4051,a[2]=((C_word)li82),tmp=(C_word)a,a+=3,tmp));
t7=*((C_word*)lf[145]+1);
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4085,a[2]=((C_word)li83),tmp=(C_word)a,a+=3,tmp);
t9=C_mutate2(&lf[146] /* (set! call-with-exec-args ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4087,a[2]=t8,a[3]=t7,a[4]=((C_word)li91),tmp=(C_word)a,a+=5,tmp));
t10=C_set_block_item(lf[147] /* pipe/buf */,0,C_fix((C_word)PIPE_BUF));
t11=C_set_block_item(lf[148] /* open/rdonly */,0,C_fix((C_word)O_RDONLY));
t12=C_set_block_item(lf[149] /* open/wronly */,0,C_fix((C_word)O_WRONLY));
t13=C_set_block_item(lf[150] /* open/rdwr */,0,C_fix((C_word)O_RDWR));
t14=C_set_block_item(lf[151] /* open/read */,0,C_fix((C_word)O_RDWR));
t15=C_set_block_item(lf[152] /* open/write */,0,C_fix((C_word)O_WRONLY));
t16=C_set_block_item(lf[153] /* open/creat */,0,C_fix((C_word)O_CREAT));
t17=C_set_block_item(lf[154] /* open/append */,0,C_fix((C_word)O_APPEND));
t18=C_set_block_item(lf[155] /* open/excl */,0,C_fix((C_word)O_EXCL));
t19=C_set_block_item(lf[156] /* open/trunc */,0,C_fix((C_word)O_TRUNC));
t20=C_set_block_item(lf[157] /* open/binary */,0,C_fix((C_word)O_BINARY));
t21=C_set_block_item(lf[158] /* open/text */,0,C_fix((C_word)O_TEXT));
t22=C_set_block_item(lf[159] /* open/noinherit */,0,C_fix((C_word)O_NOINHERIT));
t23=C_set_block_item(lf[160] /* perm/irusr */,0,C_fix((C_word)S_IREAD));
t24=C_set_block_item(lf[161] /* perm/iwusr */,0,C_fix((C_word)S_IWRITE));
t25=C_set_block_item(lf[162] /* perm/ixusr */,0,C_fix((C_word)S_IEXEC));
t26=C_set_block_item(lf[163] /* perm/irgrp */,0,C_fix((C_word)S_IREAD));
t27=C_set_block_item(lf[164] /* perm/iwgrp */,0,C_fix((C_word)S_IWRITE));
t28=C_set_block_item(lf[165] /* perm/ixgrp */,0,C_fix((C_word)S_IEXEC));
t29=C_set_block_item(lf[166] /* perm/iroth */,0,C_fix((C_word)S_IREAD));
t30=C_set_block_item(lf[167] /* perm/iwoth */,0,C_fix((C_word)S_IWRITE));
t31=C_set_block_item(lf[168] /* perm/ixoth */,0,C_fix((C_word)S_IEXEC));
t32=C_set_block_item(lf[169] /* perm/irwxu */,0,C_fix((C_word)S_IREAD | S_IWRITE | S_IEXEC));
t33=C_set_block_item(lf[170] /* perm/irwxg */,0,C_fix((C_word)S_IREAD | S_IWRITE | S_IEXEC));
t34=C_set_block_item(lf[171] /* perm/irwxo */,0,C_fix((C_word)S_IREAD | S_IWRITE | S_IEXEC));
t35=C_fix((C_word)S_IREAD | S_IWRITE | S_IEXEC);
t36=C_fixnum_or(C_fix((C_word)S_IREAD),C_fix((C_word)S_IREAD));
t37=C_fixnum_or(t35,t36);
t38=C_mutate2((C_word*)lf[172]+1 /* (set! file-open ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4197,a[2]=t37,a[3]=((C_word)li92),tmp=(C_word)a,a+=4,tmp));
t39=C_mutate2((C_word*)lf[174]+1 /* (set! file-close ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4232,a[2]=((C_word)li94),tmp=(C_word)a,a+=3,tmp));
t40=C_mutate2((C_word*)lf[177]+1 /* (set! file-read ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4263,a[2]=((C_word)li95),tmp=(C_word)a,a+=3,tmp));
t41=C_mutate2((C_word*)lf[180]+1 /* (set! file-write ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4307,a[2]=((C_word)li96),tmp=(C_word)a,a+=3,tmp));
t42=C_mutate2((C_word*)lf[183]+1 /* (set! file-mkstemp ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4347,a[2]=((C_word)li100),tmp=(C_word)a,a+=3,tmp));
t43=C_mutate2((C_word*)lf[73]+1 /* (set! change-directory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4507,a[2]=((C_word)li101),tmp=(C_word)a,a+=3,tmp));
t44=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4547,a[2]=((C_word)li102),tmp=(C_word)a,a+=3,tmp);
t45=C_mutate2((C_word*)lf[195]+1 /* (set! open-input-pipe ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4565,a[2]=t44,a[3]=((C_word)li103),tmp=(C_word)a,a+=4,tmp));
t46=C_mutate2((C_word*)lf[199]+1 /* (set! open-output-pipe ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4605,a[2]=t44,a[3]=((C_word)li104),tmp=(C_word)a,a+=4,tmp));
t47=C_mutate2((C_word*)lf[200]+1 /* (set! close-input-pipe ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4645,a[2]=((C_word)li105),tmp=(C_word)a,a+=3,tmp));
t48=C_mutate2((C_word*)lf[202]+1 /* (set! close-output-pipe ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4663,a[2]=((C_word)li106),tmp=(C_word)a,a+=3,tmp));
t49=C_mutate2((C_word*)lf[204]+1 /* (set! call-with-input-pipe ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4681,a[2]=((C_word)li109),tmp=(C_word)a,a+=3,tmp));
t50=C_mutate2((C_word*)lf[205]+1 /* (set! call-with-output-pipe ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4705,a[2]=((C_word)li112),tmp=(C_word)a,a+=3,tmp));
t51=C_mutate2((C_word*)lf[206]+1 /* (set! with-input-from-pipe ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4729,a[2]=((C_word)li117),tmp=(C_word)a,a+=3,tmp));
t52=C_mutate2((C_word*)lf[208]+1 /* (set! with-output-to-pipe ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4763,a[2]=((C_word)li122),tmp=(C_word)a,a+=3,tmp));
t53=C_mutate2((C_word*)lf[210]+1 /* (set! create-pipe ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4797,a[2]=((C_word)li123),tmp=(C_word)a,a+=3,tmp));
t54=C_set_block_item(lf[212] /* signal/term */,0,C_fix((C_word)SIGTERM));
t55=C_set_block_item(lf[213] /* signal/int */,0,C_fix((C_word)SIGINT));
t56=C_set_block_item(lf[214] /* signal/fpe */,0,C_fix((C_word)SIGFPE));
t57=C_set_block_item(lf[215] /* signal/ill */,0,C_fix((C_word)SIGILL));
t58=C_set_block_item(lf[216] /* signal/segv */,0,C_fix((C_word)SIGSEGV));
t59=C_set_block_item(lf[217] /* signal/abrt */,0,C_fix((C_word)SIGABRT));
t60=C_set_block_item(lf[218] /* signal/break */,0,C_fix((C_word)SIGBREAK));
t61=C_set_block_item(lf[219] /* signal/alrm */,0,C_fix(0));
t62=C_set_block_item(lf[220] /* signal/chld */,0,C_fix(0));
t63=C_set_block_item(lf[221] /* signal/cont */,0,C_fix(0));
t64=C_set_block_item(lf[222] /* signal/hup */,0,C_fix(0));
t65=C_set_block_item(lf[223] /* signal/io */,0,C_fix(0));
t66=C_set_block_item(lf[224] /* signal/kill */,0,C_fix(0));
t67=C_set_block_item(lf[225] /* signal/pipe */,0,C_fix(0));
t68=C_set_block_item(lf[226] /* signal/prof */,0,C_fix(0));
t69=C_set_block_item(lf[227] /* signal/quit */,0,C_fix(0));
t70=C_set_block_item(lf[228] /* signal/stop */,0,C_fix(0));
t71=C_set_block_item(lf[229] /* signal/trap */,0,C_fix(0));
t72=C_set_block_item(lf[230] /* signal/tstp */,0,C_fix(0));
t73=C_set_block_item(lf[231] /* signal/urg */,0,C_fix(0));
t74=C_set_block_item(lf[232] /* signal/usr1 */,0,C_fix(0));
t75=C_set_block_item(lf[233] /* signal/usr2 */,0,C_fix(0));
t76=C_set_block_item(lf[234] /* signal/vtalrm */,0,C_fix(0));
t77=C_set_block_item(lf[235] /* signal/winch */,0,C_fix(0));
t78=C_set_block_item(lf[236] /* signal/xcpu */,0,C_fix(0));
t79=C_set_block_item(lf[237] /* signal/xfsz */,0,C_fix(0));
t80=C_a_i_list7(&a,7,*((C_word*)lf[212]+1),*((C_word*)lf[213]+1),*((C_word*)lf[214]+1),*((C_word*)lf[215]+1),*((C_word*)lf[216]+1),*((C_word*)lf[217]+1),*((C_word*)lf[218]+1));
t81=C_mutate2((C_word*)lf[238]+1 /* (set! signals-list ...) */,t80);
t82=C_set_block_item(lf[239] /* errno/perm */,0,C_fix((C_word)EPERM));
t83=C_set_block_item(lf[240] /* errno/noent */,0,C_fix((C_word)ENOENT));
t84=C_set_block_item(lf[241] /* errno/srch */,0,C_fix((C_word)ESRCH));
t85=C_set_block_item(lf[242] /* errno/intr */,0,C_fix((C_word)EINTR));
t86=C_set_block_item(lf[243] /* errno/io */,0,C_fix((C_word)EIO));
t87=C_set_block_item(lf[244] /* errno/noexec */,0,C_fix((C_word)ENOEXEC));
t88=C_set_block_item(lf[245] /* errno/badf */,0,C_fix((C_word)EBADF));
t89=C_set_block_item(lf[246] /* errno/child */,0,C_fix((C_word)ECHILD));
t90=C_set_block_item(lf[247] /* errno/nomem */,0,C_fix((C_word)ENOMEM));
t91=C_set_block_item(lf[248] /* errno/acces */,0,C_fix((C_word)EACCES));
t92=C_set_block_item(lf[249] /* errno/fault */,0,C_fix((C_word)EFAULT));
t93=C_set_block_item(lf[250] /* errno/busy */,0,C_fix((C_word)EBUSY));
t94=C_set_block_item(lf[251] /* errno/exist */,0,C_fix((C_word)EEXIST));
t95=C_set_block_item(lf[252] /* errno/notdir */,0,C_fix((C_word)ENOTDIR));
t96=C_set_block_item(lf[253] /* errno/isdir */,0,C_fix((C_word)EISDIR));
t97=C_set_block_item(lf[254] /* errno/inval */,0,C_fix((C_word)EINVAL));
t98=C_set_block_item(lf[255] /* errno/mfile */,0,C_fix((C_word)EMFILE));
t99=C_set_block_item(lf[256] /* errno/nospc */,0,C_fix((C_word)ENOSPC));
t100=C_set_block_item(lf[257] /* errno/spipe */,0,C_fix((C_word)ESPIPE));
t101=C_set_block_item(lf[258] /* errno/pipe */,0,C_fix((C_word)EPIPE));
t102=C_set_block_item(lf[259] /* errno/again */,0,C_fix((C_word)EAGAIN));
t103=C_set_block_item(lf[260] /* errno/rofs */,0,C_fix((C_word)EROFS));
t104=C_set_block_item(lf[261] /* errno/nxio */,0,C_fix((C_word)ENXIO));
t105=C_set_block_item(lf[262] /* errno/2big */,0,C_fix((C_word)E2BIG));
t106=C_set_block_item(lf[263] /* errno/xdev */,0,C_fix((C_word)EXDEV));
t107=C_set_block_item(lf[264] /* errno/nodev */,0,C_fix((C_word)ENODEV));
t108=C_set_block_item(lf[265] /* errno/nfile */,0,C_fix((C_word)ENFILE));
t109=C_set_block_item(lf[266] /* errno/notty */,0,C_fix((C_word)ENOTTY));
t110=C_set_block_item(lf[267] /* errno/fbig */,0,C_fix((C_word)EFBIG));
t111=C_set_block_item(lf[268] /* errno/mlink */,0,C_fix((C_word)EMLINK));
t112=C_set_block_item(lf[269] /* errno/dom */,0,C_fix((C_word)EDOM));
t113=C_set_block_item(lf[270] /* errno/range */,0,C_fix((C_word)ERANGE));
t114=C_set_block_item(lf[271] /* errno/deadlk */,0,C_fix((C_word)EDEADLK));
t115=C_set_block_item(lf[272] /* errno/nametoolong */,0,C_fix((C_word)ENAMETOOLONG));
t116=C_set_block_item(lf[273] /* errno/nolck */,0,C_fix((C_word)ENOLCK));
t117=C_set_block_item(lf[274] /* errno/nosys */,0,C_fix((C_word)ENOSYS));
t118=C_set_block_item(lf[275] /* errno/notempty */,0,C_fix((C_word)ENOTEMPTY));
t119=C_set_block_item(lf[276] /* errno/ilseq */,0,C_fix((C_word)EILSEQ));
t120=C_mutate2((C_word*)lf[277]+1 /* (set! change-file-mode ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4896,a[2]=((C_word)li124),tmp=(C_word)a,a+=3,tmp));
t121=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4922,a[2]=((C_word)li125),tmp=(C_word)a,a+=3,tmp);
t122=C_mutate2((C_word*)lf[279]+1 /* (set! file-read-access? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4942,a[2]=t121,a[3]=((C_word)li126),tmp=(C_word)a,a+=4,tmp));
t123=C_mutate2((C_word*)lf[280]+1 /* (set! file-write-access? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4948,a[2]=t121,a[3]=((C_word)li127),tmp=(C_word)a,a+=4,tmp));
t124=C_mutate2((C_word*)lf[281]+1 /* (set! file-execute-access? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4954,a[2]=t121,a[3]=((C_word)li128),tmp=(C_word)a,a+=4,tmp));
t125=C_set_block_item(lf[50] /* fileno/stdin */,0,C_fix((C_word)0));
t126=C_set_block_item(lf[51] /* fileno/stdout */,0,C_fix((C_word)1));
t127=C_set_block_item(lf[52] /* fileno/stderr */,0,C_fix((C_word)2));
t128=C_SCHEME_UNDEFINED;
t129=(*a=C_VECTOR_TYPE|1,a[1]=t128,tmp=(C_word)a,a+=2,tmp);
t130=C_SCHEME_UNDEFINED;
t131=(*a=C_VECTOR_TYPE|1,a[1]=t130,tmp=(C_word)a,a+=2,tmp);
t132=C_set_block_item(t129,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4963,a[2]=((C_word)li129),tmp=(C_word)a,a+=3,tmp));
t133=C_set_block_item(t131,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5000,a[2]=((C_word)li130),tmp=(C_word)a,a+=3,tmp));
t134=C_mutate2((C_word*)lf[64]+1 /* (set! open-input-file* ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5018,a[2]=t131,a[3]=t129,a[4]=((C_word)li131),tmp=(C_word)a,a+=5,tmp));
t135=C_mutate2((C_word*)lf[65]+1 /* (set! open-output-file* ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5032,a[2]=t131,a[3]=t129,a[4]=((C_word)li132),tmp=(C_word)a,a+=5,tmp));
t136=C_mutate2((C_word*)lf[12]+1 /* (set! port->fileno ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5046,a[2]=((C_word)li133),tmp=(C_word)a,a+=3,tmp));
t137=C_mutate2((C_word*)lf[70]+1 /* (set! duplicate-fileno ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5080,a[2]=((C_word)li134),tmp=(C_word)a,a+=3,tmp));
t138=C_mutate2((C_word*)lf[292]+1 /* (set! local-timezone-abbreviation ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5110,a[2]=((C_word)li135),tmp=(C_word)a,a+=3,tmp));
t139=C_mutate2((C_word*)lf[293]+1 /* (set! _exit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5123,a[2]=((C_word)li136),tmp=(C_word)a,a+=3,tmp));
t140=C_mutate2((C_word*)lf[294]+1 /* (set! terminal-port? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5137,a[2]=((C_word)li137),tmp=(C_word)a,a+=3,tmp));
t141=C_mutate2((C_word*)lf[295]+1 /* (set! terminal-size ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5155,a[2]=((C_word)li138),tmp=(C_word)a,a+=3,tmp));
t142=C_mutate2((C_word*)lf[297]+1 /* (set! set-buffering-mode! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5170,a[2]=((C_word)li139),tmp=(C_word)a,a+=3,tmp));
t143=C_set_block_item(lf[303] /* spawn/overlay */,0,C_fix((C_word)P_OVERLAY));
t144=C_set_block_item(lf[304] /* spawn/wait */,0,C_fix((C_word)P_WAIT));
t145=C_set_block_item(lf[305] /* spawn/nowait */,0,C_fix((C_word)P_NOWAIT));
t146=C_set_block_item(lf[306] /* spawn/nowaito */,0,C_fix((C_word)P_NOWAITO));
t147=C_set_block_item(lf[307] /* spawn/detach */,0,C_fix((C_word)P_DETACH));
t148=C_mutate2(&lf[308] /* (set! quote-arg-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5271,a[2]=((C_word)li141),tmp=(C_word)a,a+=3,tmp));
t149=C_mutate2((C_word*)lf[311]+1 /* (set! process-execute ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5283,a[2]=((C_word)li144),tmp=(C_word)a,a+=3,tmp));
t150=C_mutate2((C_word*)lf[313]+1 /* (set! process-spawn ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5363,a[2]=((C_word)li147),tmp=(C_word)a,a+=3,tmp));
t151=C_mutate2((C_word*)lf[315]+1 /* (set! ##sys#shell-command ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5446,a[2]=((C_word)li148),tmp=(C_word)a,a+=3,tmp));
t152=C_mutate2((C_word*)lf[319]+1 /* (set! ##sys#shell-command-arguments ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5467,a[2]=((C_word)li149),tmp=(C_word)a,a+=3,tmp));
t153=C_mutate2((C_word*)lf[321]+1 /* (set! process-run ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5473,a[2]=((C_word)li150),tmp=(C_word)a,a+=3,tmp));
t154=C_mutate2((C_word*)lf[322]+1 /* (set! ##sys#process ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5563,a[2]=((C_word)li152),tmp=(C_word)a,a+=3,tmp));
t155=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5696,a[2]=((C_word)li158),tmp=(C_word)a,a+=3,tmp);
t156=C_mutate2((C_word*)lf[327]+1 /* (set! process ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5780,a[2]=t155,a[3]=((C_word)li159),tmp=(C_word)a,a+=4,tmp));
t157=C_mutate2((C_word*)lf[328]+1 /* (set! process* ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5840,a[2]=t155,a[3]=((C_word)li160),tmp=(C_word)a,a+=4,tmp));
t158=C_mutate2((C_word*)lf[130]+1 /* (set! ##sys#process-wait ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5900,a[2]=((C_word)li161),tmp=(C_word)a,a+=3,tmp));
t159=C_mutate2((C_word*)lf[329]+1 /* (set! sleep ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5912,a[2]=((C_word)li162),tmp=(C_word)a,a+=3,tmp));
t160=C_mutate2((C_word*)lf[330]+1 /* (set! get-host-name ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5918,a[2]=((C_word)li163),tmp=(C_word)a,a+=3,tmp));
t161=C_mutate2((C_word*)lf[332]+1 /* (set! system-information ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5930,a[2]=((C_word)li164),tmp=(C_word)a,a+=3,tmp));
t162=C_mutate2((C_word*)lf[335]+1 /* (set! current-user-name ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5961,a[2]=((C_word)li165),tmp=(C_word)a,a+=3,tmp));
t163=C_set_block_item(lf[337] /* prot/none */,0,C_fix((C_word)PROT_NONE));
t164=C_set_block_item(lf[338] /* prot/read */,0,C_fix((C_word)PROT_READ));
t165=C_set_block_item(lf[339] /* prot/write */,0,C_fix((C_word)PROT_WRITE));
t166=C_set_block_item(lf[340] /* prot/exec */,0,C_fix((C_word)PROT_EXEC));
t167=C_set_block_item(lf[341] /* map/file */,0,C_fix((C_word)MAP_FILE));
t168=C_set_block_item(lf[342] /* map/shared */,0,C_fix((C_word)MAP_SHARED));
t169=C_set_block_item(lf[343] /* map/private */,0,C_fix((C_word)MAP_PRIVATE));
t170=C_set_block_item(lf[344] /* map/fixed */,0,C_fix((C_word)MAP_FIXED));
t171=C_set_block_item(lf[345] /* map/anonymous */,0,C_fix((C_word)MAP_ANONYMOUS));
t172=C_mutate2((C_word*)lf[346]+1 /* (set! map-file-to-memory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6023,a[2]=((C_word)li166),tmp=(C_word)a,a+=3,tmp));
t173=C_mutate2((C_word*)lf[351]+1 /* (set! unmap-file-from-memory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6079,a[2]=((C_word)li167),tmp=(C_word)a,a+=3,tmp));
t174=C_mutate2((C_word*)lf[353]+1 /* (set! memory-mapped-file-pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6112,a[2]=((C_word)li168),tmp=(C_word)a,a+=3,tmp));
t175=C_mutate2((C_word*)lf[354]+1 /* (set! memory-mapped-file? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6121,a[2]=((C_word)li169),tmp=(C_word)a,a+=3,tmp));
t176=C_mutate2((C_word*)lf[355]+1 /* (set! change-directory* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6127,a[2]=((C_word)li170),tmp=(C_word)a,a+=3,tmp));
t177=C_mutate2((C_word*)lf[356]+1 /* (set! change-file-owner ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6133,a[2]=((C_word)li171),tmp=(C_word)a,a+=3,tmp));
t178=C_mutate2((C_word*)lf[357]+1 /* (set! create-fifo ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6139,a[2]=((C_word)li172),tmp=(C_word)a,a+=3,tmp));
t179=C_mutate2((C_word*)lf[358]+1 /* (set! create-session ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6145,a[2]=((C_word)li173),tmp=(C_word)a,a+=3,tmp));
t180=C_mutate2((C_word*)lf[359]+1 /* (set! create-symbolic-link ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6151,a[2]=((C_word)li174),tmp=(C_word)a,a+=3,tmp));
t181=C_mutate2((C_word*)lf[360]+1 /* (set! current-effective-group-id ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6157,a[2]=((C_word)li175),tmp=(C_word)a,a+=3,tmp));
t182=C_mutate2((C_word*)lf[361]+1 /* (set! current-effective-user-id ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6163,a[2]=((C_word)li176),tmp=(C_word)a,a+=3,tmp));
t183=C_mutate2((C_word*)lf[362]+1 /* (set! current-effective-user-name ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6169,a[2]=((C_word)li177),tmp=(C_word)a,a+=3,tmp));
t184=C_mutate2((C_word*)lf[363]+1 /* (set! current-group-id ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6175,a[2]=((C_word)li178),tmp=(C_word)a,a+=3,tmp));
t185=C_mutate2((C_word*)lf[364]+1 /* (set! current-user-id ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6181,a[2]=((C_word)li179),tmp=(C_word)a,a+=3,tmp));
t186=C_mutate2((C_word*)lf[365]+1 /* (set! file-link ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6187,a[2]=((C_word)li180),tmp=(C_word)a,a+=3,tmp));
t187=C_mutate2((C_word*)lf[366]+1 /* (set! file-lock ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6193,a[2]=((C_word)li181),tmp=(C_word)a,a+=3,tmp));
t188=C_mutate2((C_word*)lf[367]+1 /* (set! file-lock/blocking ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6199,a[2]=((C_word)li182),tmp=(C_word)a,a+=3,tmp));
t189=C_mutate2((C_word*)lf[368]+1 /* (set! file-select ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6205,a[2]=((C_word)li183),tmp=(C_word)a,a+=3,tmp));
t190=C_mutate2((C_word*)lf[369]+1 /* (set! file-test-lock ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6211,a[2]=((C_word)li184),tmp=(C_word)a,a+=3,tmp));
t191=C_mutate2((C_word*)lf[370]+1 /* (set! file-truncate ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6217,a[2]=((C_word)li185),tmp=(C_word)a,a+=3,tmp));
t192=C_mutate2((C_word*)lf[371]+1 /* (set! file-unlock ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6223,a[2]=((C_word)li186),tmp=(C_word)a,a+=3,tmp));
t193=C_mutate2((C_word*)lf[372]+1 /* (set! get-groups ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6229,a[2]=((C_word)li187),tmp=(C_word)a,a+=3,tmp));
t194=C_mutate2((C_word*)lf[373]+1 /* (set! group-information ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6235,a[2]=((C_word)li188),tmp=(C_word)a,a+=3,tmp));
t195=C_mutate2((C_word*)lf[374]+1 /* (set! initialize-groups ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6241,a[2]=((C_word)li189),tmp=(C_word)a,a+=3,tmp));
t196=C_mutate2((C_word*)lf[375]+1 /* (set! parent-process-id ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6247,a[2]=((C_word)li190),tmp=(C_word)a,a+=3,tmp));
t197=C_mutate2((C_word*)lf[376]+1 /* (set! process-fork ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6253,a[2]=((C_word)li191),tmp=(C_word)a,a+=3,tmp));
t198=C_mutate2((C_word*)lf[377]+1 /* (set! process-group-id ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6259,a[2]=((C_word)li192),tmp=(C_word)a,a+=3,tmp));
t199=C_mutate2((C_word*)lf[378]+1 /* (set! process-signal ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6265,a[2]=((C_word)li193),tmp=(C_word)a,a+=3,tmp));
t200=C_mutate2((C_word*)lf[379]+1 /* (set! read-symbolic-link ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6271,a[2]=((C_word)li194),tmp=(C_word)a,a+=3,tmp));
t201=C_mutate2((C_word*)lf[380]+1 /* (set! set-alarm! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6277,a[2]=((C_word)li195),tmp=(C_word)a,a+=3,tmp));
t202=C_mutate2((C_word*)lf[381]+1 /* (set! set-group-id! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6283,a[2]=((C_word)li196),tmp=(C_word)a,a+=3,tmp));
t203=C_mutate2((C_word*)lf[382]+1 /* (set! set-groups! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6289,a[2]=((C_word)li197),tmp=(C_word)a,a+=3,tmp));
t204=C_mutate2((C_word*)lf[383]+1 /* (set! set-process-group-id! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6295,a[2]=((C_word)li198),tmp=(C_word)a,a+=3,tmp));
t205=C_mutate2((C_word*)lf[384]+1 /* (set! set-root-directory! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6301,a[2]=((C_word)li199),tmp=(C_word)a,a+=3,tmp));
t206=C_mutate2((C_word*)lf[385]+1 /* (set! set-signal-mask! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6307,a[2]=((C_word)li200),tmp=(C_word)a,a+=3,tmp));
t207=C_mutate2((C_word*)lf[386]+1 /* (set! set-user-id! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6313,a[2]=((C_word)li201),tmp=(C_word)a,a+=3,tmp));
t208=C_mutate2((C_word*)lf[387]+1 /* (set! signal-mask ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6319,a[2]=((C_word)li202),tmp=(C_word)a,a+=3,tmp));
t209=C_mutate2((C_word*)lf[388]+1 /* (set! signal-mask! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6325,a[2]=((C_word)li203),tmp=(C_word)a,a+=3,tmp));
t210=C_mutate2((C_word*)lf[389]+1 /* (set! signal-masked? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6331,a[2]=((C_word)li204),tmp=(C_word)a,a+=3,tmp));
t211=C_mutate2((C_word*)lf[390]+1 /* (set! signal-unmask! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6337,a[2]=((C_word)li205),tmp=(C_word)a,a+=3,tmp));
t212=C_mutate2((C_word*)lf[391]+1 /* (set! terminal-name ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6343,a[2]=((C_word)li206),tmp=(C_word)a,a+=3,tmp));
t213=C_mutate2((C_word*)lf[392]+1 /* (set! user-information ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6349,a[2]=((C_word)li207),tmp=(C_word)a,a+=3,tmp));
t214=C_mutate2((C_word*)lf[393]+1 /* (set! utc-time->seconds ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6355,a[2]=((C_word)li208),tmp=(C_word)a,a+=3,tmp));
t215=C_mutate2((C_word*)lf[394]+1 /* (set! string->time ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6361,a[2]=((C_word)li209),tmp=(C_word)a,a+=3,tmp));
t216=C_set_block_item(lf[395] /* errno/wouldblock */,0,C_fix(0));
t217=C_mutate2((C_word*)lf[39]+1 /* (set! fifo? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6368,a[2]=((C_word)li210),tmp=(C_word)a,a+=3,tmp));
t218=C_set_block_item(lf[396] /* open/fsync */,0,C_fix(0));
t219=C_set_block_item(lf[397] /* open/noctty */,0,C_fix(0));
t220=C_set_block_item(lf[398] /* open/nonblock */,0,C_fix(0));
t221=C_set_block_item(lf[399] /* open/sync */,0,C_fix(0));
t222=C_set_block_item(lf[400] /* perm/isgid */,0,C_fix(0));
t223=C_set_block_item(lf[401] /* perm/isuid */,0,C_fix(0));
t224=C_set_block_item(lf[402] /* perm/isvtx */,0,C_fix(0));
t225=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t225;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t225+1)))(2,av2);}}

/* current-process-id in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3855(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_3855,2,av);}
t2=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=C_fudge(C_fix(33));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k3630 in local-time->seconds in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3632(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_3632,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3636,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:604: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[76]+1));
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[76]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=C_make_character(0);
tp(4,av2);}}

/* k3634 in k3630 in local-time->seconds in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3636(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_3636,2,av);}
a=C_alloc(9);
t2=C_a_mktime(&a,2,((C_word*)t0)[2],t1);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3642,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:605: fp= */
t4=*((C_word*)lf[117]+1);{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[118];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k5680 in map-loop1303 in process in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5682(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_5682,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate2(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_5657(t6,((C_word*)t0)[5],t5);}

/* k3818 in k3814 in scan in k3780 in loop in get-environment-variables in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3820(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_3820,2,av);}
a=C_alloc(7);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3808,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=C_fixnum_plus(((C_word*)t0)[4],C_fix(1));
/* posix-common.scm:650: loop */
t6=((C_word*)((C_word*)t0)[5])[1];
f_3778(t6,t4,t5);}

/* k3425 in k3326 in k3317 in loop in k3302 in k3295 in k3292 in k3483 in k3480 in k3477 in k3474 in k3471 in k3468 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 in ... */
static void C_ccall f_3427(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_3427,2,av);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3434,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* posix-common.scm:549: action */
t3=((C_word*)t0)[6];{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
av2[3]=((C_word*)t0)[8];
((C_proc)C_fast_retrieve_proc(t3))(4,av2);}}
else{
/* posix-common.scm:550: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_3306(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],((C_word*)t0)[8]);}}

/* k3640 in k3634 in k3630 in local-time->seconds in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3642(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_3642,2,av);}
if(C_truep(t1)){
/* posix-common.scm:606: ##sys#error */
t2=*((C_word*)lf[54]+1);{
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[115];
av2[3]=lf[116];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* map-loop1303 in process in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_5657(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_5657,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_5682,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
/* posixwin.scm:1223: g1309 */
t5=((C_word*)t0)[4];{
C_word av2[3];
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[5],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k3432 in k3425 in k3326 in k3317 in loop in k3302 in k3295 in k3292 in k3483 in k3480 in k3477 in k3474 in k3471 in k3468 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in ... */
static void C_ccall f_3434(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_3434,2,av);}
/* posix-common.scm:549: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_3306(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],t1);}

/* k5488 in k5475 in process-run in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5490(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_5490,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5494,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:1190: ##sys#shell-command-arguments */
t4=*((C_word*)lf[319]+1);{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k5492 in k5488 in k5475 in process-run in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5494(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_5494,2,av);}
/* posixwin.scm:1190: process-spawn */
t2=*((C_word*)lf[313]+1);{
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[305]+1);
av2[3]=((C_word*)t0)[3];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k3209 in a3206 in conc-loop in glob in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3211(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_3211,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_3218,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
if(C_truep(((C_word*)t0)[4])){
/* posix-common.scm:505: directory */
t4=*((C_word*)lf[30]+1);{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
av2[3]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}
else{
/* posix-common.scm:505: directory */
t4=*((C_word*)lf[30]+1);{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[94];
av2[3]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}}

/* k3216 in k3209 in a3206 in conc-loop in glob in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3218(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_3218,2,av);}
a=C_alloc(10);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_3220,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word)li36),tmp=(C_word)a,a+=8,tmp));
t5=((C_word*)t3)[1];
f_3220(t5,((C_word*)t0)[6],t1);}

/* k3441 in k3292 in k3483 in k3480 in k3477 in k3474 in k3471 in k3468 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3443(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_3443,2,av);}
a=C_alloc(4);
t2=t1;
t3=((C_word*)t0)[2];
f_3297(t3,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3444,a[2]=t2,a[3]=((C_word)li44),tmp=(C_word)a,a+=4,tmp));}

/* f_3444 in k3441 in k3292 in k3483 in k3480 in k3477 in k3474 in k3471 in k3468 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3444(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_3444,3,av);}
/* posix-common.scm:528: irregex-match */
t3=*((C_word*)lf[93]+1);{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* ##sys#shell-command-arguments in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5467(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_5467,3,av);}
a=C_alloc(6);
t3=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t3;
av2[1]=C_a_i_list2(&a,2,lf[320],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k5460 in k5448 in shell-command in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5462(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_5462,2,av);}
/* posixwin.scm:1180: ##sys#error */
t2=*((C_word*)lf[54]+1);{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[315];
av2[3]=lf[316];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* loop in k3216 in k3209 in a3206 in conc-loop in glob in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_3220(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_3220,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_nullp(t2))){
t3=C_i_cdr(((C_word*)t0)[2]);
/* posix-common.scm:506: conc-loop */
t4=((C_word*)((C_word*)t0)[3])[1];
f_3186(t4,t1,t3);}
else{
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3237,a[2]=t2,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_i_car(t2);
/* posix-common.scm:507: irregex-match */
t5=*((C_word*)lf[93]+1);{
C_word av2[4];
av2[0]=t5;
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}

/* k3540 in seconds->local-time in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3542(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_3542,2,av);}
t2=C_i_check_number_2(t1,lf[109]);
/* posix-common.scm:585: ##sys#decode-seconds */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[110]+1));
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[110]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}

/* k5475 in process-run in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_5477(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,4)))){
C_save_and_reclaim_args((void *)trf_5477,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
/* posixwin.scm:1189: process-spawn */
t2=*((C_word*)lf[313]+1);{
C_word av2[5];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[305]+1);
av2[3]=((C_word*)t0)[3];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5490,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:1190: ##sys#shell-command */
t3=*((C_word*)lf[315]+1);{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* process-run in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5473(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_5473,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+4);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5477,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_pairp(t3))){
t5=t3;
t6=t4;
f_5477(t6,C_u_i_car(t5));}
else{
t5=t4;
f_5477(t5,C_SCHEME_FALSE);}}

/* k3235 in loop in k3216 in k3209 in a3206 in conc-loop in glob in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3237(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_3237,2,av);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3241,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word)li35),tmp=(C_word)a,a+=6,tmp);
/* posix-common.scm:502: g422 */
t3=t2;
f_3241(t3,((C_word*)t0)[5],t1);}
else{
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
/* posix-common.scm:512: loop */
t4=((C_word*)((C_word*)t0)[3])[1];
f_3220(t4,((C_word*)t0)[5],t3);}}

/* k3021 in k2938 in create-directory in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3023(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_3023,2,av);}
t2=C_mkdir(t1);
t3=C_eqp(C_fix(0),t2);
if(C_truep(t3)){
t4=C_SCHEME_UNDEFINED;
t5=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
/* posix-common.scm:451: posix-error */
t4=lf[2];{
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[10];
av2[3]=lf[83];
av2[4]=lf[84];
av2[5]=((C_word*)t0)[3];
f_2315(6,av2);}}}

/* k2356 in stat in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2358(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,5)))){
C_save_and_reclaim((void *)f_2358,2,av);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2362,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:225: port->fileno */
t3=*((C_word*)lf[12]+1);{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
if(C_truep(C_i_stringp(((C_word*)t0)[3]))){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2371,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2378,a[2]=t2,a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:228: ##sys#platform-fixup-pathname */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[14]+1));
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[14]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* posix-common.scm:235: ##sys#signal-hook */
t2=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[15];
av2[3]=((C_word*)t0)[5];
av2[4]=lf[16];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}}

/* k4930 in k4938 in check in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4932(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_4932,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k2360 in k2356 in stat in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2362(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2362,2,av);}
t2=C_fstat(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t3;
av2[1]=t2;
f_2337(2,av2);}}

/* k5448 in shell-command in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5450(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_5450,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=t1;
t3=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_get_shlcmd())){
/* ##sys#peek-c-string */
t2=*((C_word*)lf[6]+1);{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_mpointer(&a,(void*)C_shlcmd);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5462,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm:1179: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word *av2=av; /* Re-use our own argvector */
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t2;
tp(2,av2);}}}}

/* a6411 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6412(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_6412,3,av);}
t3=C_i_check_exact_2(t2,lf[106]);
t4=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=C_umask(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a6417 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6418(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_6418,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_6422,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_6434,a[2]=t2,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:332: port? */
t5=*((C_word*)lf[17]+1);{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k3997 in k3991 in doloop683 in tmp12244 in a3968 in a3947 in k3938 in list->c-string-buffer in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3999(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_3999,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4002,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* posix-common.scm:714: pointer-vector-set! */
t3=*((C_word*)lf[136]+1);{
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
av2[3]=((C_word*)t0)[3];
av2[4]=((C_word*)t0)[7];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* quote-arg-string in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5271(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_5271,3,av);}
a=C_alloc(5);
t3=t2;
t4=C_i_string_length(t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5246,a[2]=t5,a[3]=t3,a[4]=((C_word)li140),tmp=(C_word)a,a+=5,tmp);
t7=(
  f_5246(t6,C_fix(0))
);
if(C_truep(t7)){
/* posixwin.scm:1143: string-append */
t8=*((C_word*)lf[4]+1);{
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=t8;
av2[1]=t1;
av2[2]=lf[309];
av2[3]=t2;
av2[4]=lf[310];
((C_proc)(void*)(*((C_word*)t8+1)))(5,av2);}}
else{
t8=t2;
t9=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}

/* k3725 in k3678 in time->string in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3727(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_3727,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];
t3=C_a_i_bytevector(&a,1,C_fix(3));
if(C_truep(t1)){
t4=C_i_foreign_block_argumentp(t1);
t5=stub572(t3,t2,t4);
/* posix-common.scm:610: ##sys#peek-c-string */
t6=*((C_word*)lf[6]+1);{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=((C_word*)t0)[3];
av2[2]=t5;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t4=stub572(t3,t2,C_SCHEME_FALSE);
/* posix-common.scm:610: ##sys#peek-c-string */
t5=*((C_word*)lf[6]+1);{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=((C_word*)t0)[3];
av2[2]=t4;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}

/* k3991 in doloop683 in tmp12244 in a3968 in a3947 in k3938 in list->c-string-buffer in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3993(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_3993,2,av);}
a=C_alloc(13);
t2=C_a_i_bytevector(&a,1,C_fix(3));
t3=stub665(t2,t1);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_3999,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t4,tmp=(C_word)a,a+=8,tmp);
if(C_truep(t4)){
t6=t5;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t6;
av2[1]=C_SCHEME_UNDEFINED;
f_3999(2,av2);}}
else{
/* posix-common.scm:713: error */
t6=*((C_word*)lf[137]+1);{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[7];
av2[3]=lf[138];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* a4110 in a4104 in k4095 in k4089 in call-with-exec-args in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4111(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_4111,3,av);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4117,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li84),tmp=(C_word)a,a+=6,tmp);
/* posix-common.scm:726: k722 */
t4=((C_word*)t0)[4];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* a4116 in a4110 in a4104 in k4095 in k4089 in call-with-exec-args in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4117(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_4117,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4121,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:736: free-c-string-buffer */
f_4051(t2,((C_word*)t0)[4]);}

/* k5085 in duplicate-fileno in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_5087(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_5087,2,t0,t1);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5090,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fixnum_lessp(t2,C_fix(0)))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5096,a[2]=t3,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:1063: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t4;
tp(2,av2);}}
else{
t4=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k6432 in a6417 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6434(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_6434,2,av);}
if(C_truep(t1)){
t2=C_slot(((C_word*)t0)[2],C_fix(7));
t3=C_eqp(t2,lf[47]);
if(C_truep(t3)){
t4=C_ftell(((C_word*)t0)[2]);
t5=((C_word*)t0)[3];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t5;
av2[1]=t4;
f_6422(2,av2);}}
else{
t4=((C_word*)t0)[3];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=C_fix(-1);
f_6422(2,av2);}}}
else{
if(C_truep(C_fixnump(((C_word*)t0)[2]))){
t2=C_lseek(((C_word*)t0)[2],C_fix(0),C_fix((C_word)SEEK_CUR));
t3=((C_word*)t0)[3];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t3;
av2[1]=t2;
f_6422(2,av2);}}
else{
/* posix-common.scm:339: ##sys#signal-hook */
t2=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[15];
av2[3]=lf[49];
av2[4]=lf[406];
av2[5]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}}

/* duplicate-fileno in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5080(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_5080,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+4);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_check_exact_2(t2,*((C_word*)lf[70]+1));
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5087,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_nullp(t3))){
t6=t5;
f_5087(t6,C_dup(t2));}
else{
t6=C_i_car(t3);
t7=C_i_check_exact_2(t6,lf[70]);
t8=t5;
f_5087(t8,C_dup2(t2,t6));}}

/* k4098 in k4095 in k4089 in call-with-exec-args in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4100(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_4100,2,av);}
/* posix-common.scm:726: g726 */
t2=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* doloop683 in tmp12244 in a3968 in a3947 in k3938 in list->c-string-buffer in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_3977(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,2)))){
C_save_and_reclaim_args((void *)trf_3977,4,t0,t1,t2,t3);}
a=C_alloc(12);
t4=C_i_nullp(t2);
t5=(C_truep(t4)?t4:C_eqp(t3,((C_word*)t0)[2]));
if(C_truep(t5)){
t6=C_SCHEME_UNDEFINED;
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t6=C_i_car(t2);
t7=C_i_check_string_2(t6,((C_word*)t0)[3]);
t8=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_3993,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[4],a[5]=t1,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[3],tmp=(C_word)a,a+=8,tmp);
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4018,a[2]=t8,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t10=t2;
t11=C_u_i_car(t10);
/* posix-common.scm:711: convert */
t12=((C_word*)t0)[6];{
C_word av2[3];
av2[0]=t12;
av2[1]=t9;
av2[2]=t11;
((C_proc)C_fast_retrieve_proc(t12))(3,av2);}}}

/* a4104 in k4095 in k4089 in call-with-exec-args in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4105(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(17,c,3)))){
C_save_and_reclaim((void *)f_4105,3,av);}
a=C_alloc(17);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4111,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word)li85),tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_4132,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=t2,a[10]=((C_word)li89),tmp=(C_word)a,a+=11,tmp);
/* posix-common.scm:726: with-exception-handler */
t5=*((C_word*)lf[139]+1);{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t3;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k5094 in k5085 in duplicate-fileno in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5096(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_5096,2,av);}
/* posixwin.scm:1064: ##sys#signal-hook */
t2=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[10];
av2[3]=lf[70];
av2[4]=lf[291];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k6420 in a6417 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6422(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_6422,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_6425,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_lessp(t2,C_fix(0)))){
/* posix-common.scm:341: posix-error */
t4=lf[2];{
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[10];
av2[3]=lf[49];
av2[4]=lf[405];
av2[5]=((C_word*)t0)[3];
f_2315(6,av2);}}
else{
t4=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k6423 in k6420 in a6417 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6425(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_6425,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k3973 in tmp12244 in a3968 in a3947 in k3938 in list->c-string-buffer in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3975(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_3975,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k5088 in k5085 in duplicate-fileno in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5090(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_5090,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* tmp12244 in a3968 in a3947 in k3938 in list->c-string-buffer in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_3971(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,0,4)))){
C_save_and_reclaim_args((void *)trf_3971,2,t0,t1);}
a=C_alloc(14);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3975,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_3977,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t4,a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[5],a[7]=((C_word)li74),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];
f_3977(t6,t2,((C_word*)t0)[6],C_fix(0));}

/* a5746 in k5740 in k5737 in %process in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5747(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,9)))){
C_save_and_reclaim((void *)f_5747,2,av);}
/* posixwin.scm:1258: ##sys#process */
t2=*((C_word*)lf[322]+1);{
C_word *av2;
if(c >= 10) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(10);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)((C_word*)t0)[3])[1];
av2[4]=((C_word*)((C_word*)t0)[4])[1];
av2[5]=((C_word*)t0)[5];
av2[6]=C_SCHEME_TRUE;
av2[7]=C_SCHEME_TRUE;
av2[8]=((C_word*)t0)[6];
av2[9]=((C_word*)((C_word*)t0)[7])[1];
((C_proc)(void*)(*((C_word*)t2+1)))(10,av2);}}

/* k5740 in k5737 in %process in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5742(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,6)))){
C_save_and_reclaim((void *)f_5742,2,av);}
a=C_alloc(13);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_5747,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word)li156),tmp=(C_word)a,a+=9,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5753,a[2]=((C_word*)t0)[6],a[3]=((C_word)li157),tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:1258: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[8];
av2[2]=t2;
av2[3]=t3;
C_call_with_values(4,av2);}}

/* k5507 in k5503 in k5631 in k5627 in k5623 in k5619 in k5615 in k5571 in process in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5509(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_5509,2,av);}
t2=(C_truep(((C_word*)t0)[2])?C_i_foreign_pointer_argumentp(((C_word*)t0)[2]):C_SCHEME_FALSE);
t3=(C_truep(((C_word*)t0)[3])?C_i_foreign_pointer_argumentp(((C_word*)t0)[3]):C_SCHEME_FALSE);
t4=(C_truep(((C_word*)t0)[4])?C_i_foreign_pointer_argumentp(((C_word*)t0)[4]):C_SCHEME_FALSE);
t5=(C_truep(((C_word*)t0)[5])?C_i_foreign_pointer_argumentp(((C_word*)t0)[5]):C_SCHEME_FALSE);
t6=C_i_foreign_fixnum_argumentp(((C_word*)t0)[6]);
t7=((C_word*)t0)[7];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t7;
av2[1]=stub1258(C_SCHEME_UNDEFINED,((C_word*)t0)[8],t1,C_SCHEME_FALSE,t2,t3,t4,t5,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* k5503 in k5631 in k5627 in k5623 in k5619 in k5615 in k5571 in process in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5505(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_5505,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_5509,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,tmp=(C_word)a,a+=9,tmp);
if(C_truep(((C_word*)t0)[8])){
t4=C_i_foreign_string_argumentp(((C_word*)t0)[8]);
/* posixwin.scm:1213: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[13]+1));
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[13]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}
else{
t4=t3;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
f_5509(2,av2);}}}

/* process* in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5840(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,7)))){
C_save_and_reclaim((void*)f_5840,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_i_car(t3));
t6=C_i_nullp(t3);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:C_i_cdr(t3));
t8=C_i_nullp(t7);
t9=(C_truep(t8)?C_SCHEME_FALSE:C_i_car(t7));
t10=C_i_nullp(t7);
t11=(C_truep(t10)?C_SCHEME_END_OF_LIST:C_i_cdr(t7));
t12=C_i_nullp(t11);
t13=(C_truep(t12)?C_SCHEME_FALSE:C_i_car(t11));
if(C_truep(C_i_nullp(t11))){
/* posixwin.scm:1267: %process */
f_5696(t1,lf[328],C_SCHEME_TRUE,t2,t5,t9,t13);}
else{
t14=C_i_cdr(t11);
/* posixwin.scm:1267: %process */
f_5696(t1,lf[328],C_SCHEME_TRUE,t2,t5,t9,t13);}}

/* g1382 in chkstrlst in %process in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static C_word C_fcall f_5703(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_stack_overflow_check;{}
return(C_i_check_string_2(t1,((C_word*)t0)[2]));}

/* file-test-lock in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6211(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6211,2,av);}
/* posixwin.scm:1498: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[369];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* file-truncate in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6217(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6217,2,av);}
/* posixwin.scm:1499: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[370];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* file-select in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6205(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6205,2,av);}
/* posixwin.scm:1497: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[368];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k5062 in k5076 in port->fileno in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5064(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_5064,2,av);}
/* posixwin.scm:1050: ##sys#signal-hook */
t2=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[10];
av2[3]=lf[12];
av2[4]=lf[290];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k5076 in port->fileno in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5078(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,5)))){
C_save_and_reclaim((void *)f_5078,2,av);}
a=C_alloc(8);
if(C_truep(C_i_zerop(t1))){
/* posixwin.scm:1052: ##sys#signal-hook */
t2=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[15];
av2[3]=lf[12];
av2[4]=lf[289];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}
else{
t2=C_C_fileno(((C_word*)t0)[3]);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5058,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fixnum_lessp(t2,C_fix(0)))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5064,a[2]=t3,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:1049: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word *av2=av; /* Re-use our own argvector */
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t4;
tp(2,av2);}}
else{
t4=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}}

/* process-wait in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3861(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +9,c,5)))){
C_save_and_reclaim((void*)f_3861,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+9);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_SCHEME_FALSE:C_i_car(t2));
t5=C_i_nullp(t2);
t6=(C_truep(t5)?C_SCHEME_END_OF_LIST:C_i_cdr(t2));
t7=C_i_nullp(t6);
t8=(C_truep(t7)?C_SCHEME_FALSE:C_i_car(t6));
t9=t8;
t10=C_i_nullp(t6);
t11=(C_truep(t10)?C_SCHEME_END_OF_LIST:C_i_cdr(t6));
t12=(C_truep(t4)?t4:C_fix(-1));
t13=t12;
t14=C_i_check_exact_2(t13,lf[129]);
t15=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3885,a[2]=t13,a[3]=t9,a[4]=((C_word)li69),tmp=(C_word)a,a+=5,tmp);
t16=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3891,a[2]=t13,a[3]=((C_word)li70),tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:679: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t15;
av2[3]=t16;
C_call_with_values(4,av2);}}

/* process-execute in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5283(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +7,c,7)))){
C_save_and_reclaim((void*)f_5283,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+7);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_END_OF_LIST:C_i_car(t3));
t6=C_i_nullp(t3);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:C_i_cdr(t3));
t8=C_i_nullp(t7);
t9=(C_truep(t8)?C_SCHEME_FALSE:C_i_car(t7));
t10=C_i_nullp(t7);
t11=(C_truep(t10)?C_SCHEME_END_OF_LIST:C_i_cdr(t7));
t12=C_i_nullp(t11);
t13=(C_truep(t12)?C_SCHEME_FALSE:C_i_car(t11));
t14=C_i_nullp(t11);
t15=(C_truep(t14)?C_SCHEME_END_OF_LIST:C_i_cdr(t11));
t16=(C_truep(t13)?(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5324,a[2]=((C_word)li142),tmp=(C_word)a,a+=3,tmp):lf[308]);
t17=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5310,a[2]=t2,a[3]=((C_word)li143),tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:1147: call-with-exec-args */
t18=lf[146];
f_4087(t18,t1,lf[311],t2,t16,t5,t9,t17);}

/* a3890 in process-wait in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3891(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_3891,5,av);}
t5=C_eqp(t2,C_fix(-1));
if(C_truep(t5)){
/* posix-common.scm:681: posix-error */
t6=lf[2];{
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=lf[131];
av2[3]=lf[129];
av2[4]=lf[132];
av2[5]=((C_word*)t0)[2];
f_2315(6,av2);}}
else{
/* posix-common.scm:682: values */{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=t4;
C_values(5,av2);}}}

/* k3678 in time->string in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3680(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_3680,2,av);}
a=C_alloc(9);
if(C_truep(((C_word*)t0)[2])){
t2=C_i_check_string_2(((C_word*)t0)[2],lf[119]);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3689,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3699,a[2]=((C_word*)t0)[4],a[3]=t3,a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:618: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[13]+1));
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[13]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[119];
tp(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3706,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3727,a[2]=((C_word*)t0)[4],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:620: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[76]+1));
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[76]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
av2[3]=C_make_character(0);
tp(4,av2);}}}

/* k3687 in k3678 in time->string in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3689(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_3689,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
/* posix-common.scm:619: ##sys#error */
t2=*((C_word*)lf[54]+1);{
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[119];
av2[3]=lf[120];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* k3480 in k3477 in k3474 in k3471 in k3468 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3482(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_3482,2,av);}
a=C_alloc(12);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_3485,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,tmp=(C_word)a,a+=9,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3490,a[2]=((C_word)li47),tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:552: ##sys#get-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[101]+1));
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[101]+1);
av2[1]=t3;
av2[2]=lf[82];
av2[3]=((C_word*)t0)[8];
av2[4]=t4;
tp(5,av2);}}

/* a3884 in process-wait in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3885(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_3885,2,av);}
/* posix-common.scm:679: ##sys#process-wait */
t2=*((C_word*)lf[130]+1);{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k3483 in k3480 in k3477 in k3474 in k3471 in k3468 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3485(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,c,2)))){
C_save_and_reclaim((void *)f_3485,2,av);}
a=C_alloc(17);
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];
t4=((C_word*)t0)[4];
t5=((C_word*)t0)[5];
t6=((C_word*)t0)[6];
t7=((C_word*)t0)[7];
t8=t1;
t9=((C_word*)t0)[8];
t10=C_i_check_string_2(t3,lf[80]);
t11=C_fix(0);
t12=(*a=C_VECTOR_TYPE|1,a[1]=t11,tmp=(C_word)a,a+=2,tmp);
t13=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_3294,a[2]=t8,a[3]=t5,a[4]=t12,a[5]=t9,a[6]=t2,a[7]=t3,a[8]=t6,a[9]=t4,tmp=(C_word)a,a+=10,tmp);
if(C_truep(t7)){
if(C_truep(C_fixnump(t7))){
t14=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3460,a[2]=t12,a[3]=t7,a[4]=((C_word)li45),tmp=(C_word)a,a+=5,tmp);
t15=t13;
f_3294(t15,t14);}
else{
t14=t13;
f_3294(t14,t7);}}
else{
t14=t13;
f_3294(t14,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3452,a[2]=((C_word)li46),tmp=(C_word)a,a+=3,tmp));}}

/* time->string in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3673(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_3673,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+6);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_i_car(t3));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3680,a[2]=t6,a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* posix-common.scm:614: check-time-vector */
f_3519(t7,lf[119],t2);}

/* k3471 in k3468 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3473(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_3473,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_3476,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3499,a[2]=((C_word)li50),tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:552: ##sys#get-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[101]+1));
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[101]+1);
av2[1]=t3;
av2[2]=lf[103];
av2[3]=((C_word*)t0)[5];
av2[4]=t4;
tp(5,av2);}}

/* k3468 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3470(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_3470,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3473,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3502,a[2]=((C_word)li52),tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:552: ##sys#get-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[101]+1));
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[101]+1);
av2[1]=t3;
av2[2]=lf[104];
av2[3]=((C_word*)t0)[4];
av2[4]=t4;
tp(5,av2);}}

/* k3477 in k3474 in k3471 in k3468 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3479(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_3479,2,av);}
a=C_alloc(12);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_3482,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t2,a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3493,a[2]=((C_word)li48),tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:552: ##sys#get-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[101]+1));
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[101]+1);
av2[1]=t3;
av2[2]=lf[81];
av2[3]=((C_word*)t0)[7];
av2[4]=t4;
tp(5,av2);}}

/* k3474 in k3471 in k3468 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3476(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_3476,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_3479,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3496,a[2]=((C_word)li49),tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:552: ##sys#get-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[101]+1));
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[101]+1);
av2[1]=t3;
av2[2]=lf[102];
av2[3]=((C_word*)t0)[6];
av2[4]=t4;
tp(5,av2);}}

/* k3259 in g422 in k3235 in loop in k3216 in k3209 in a3206 in conc-loop in glob in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3261(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_3261,2,av);}
/* posix-common.scm:510: make-pathname */
t2=*((C_word*)lf[87]+1);{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* _exit in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5123(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_5123,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t2))){
t3=t2;
t4=C_u_i_car(t3);
t5=t1;
t6=C_i_foreign_fixnum_argumentp(t4);
t7=t5;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t7;
av2[1]=stub1140(C_SCHEME_UNDEFINED,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t3=t1;
t4=C_i_foreign_fixnum_argumentp(C_fix(0));
t5=t3;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t5;
av2[1]=stub1140(C_SCHEME_UNDEFINED,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k3064 in k3061 in k3058 in k3043 in directory in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3066(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_3066,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_3070,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* posix-common.scm:475: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[13]+1));
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[13]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[30];
tp(4,av2);}}

/* k3058 in k3043 in directory in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3060(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_3060,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3063,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* posix-common.scm:471: ##sys#make-pointer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[90]+1));
C_word *av2=av; /* Re-use our own argvector */
av2[0]=*((C_word*)lf[90]+1);
av2[1]=t3;
tp(2,av2);}}

/* k3061 in k3058 in k3043 in directory in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3063(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_3063,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_3066,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* posix-common.scm:472: ##sys#make-pointer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[90]+1));
C_word *av2=av; /* Re-use our own argvector */
av2[0]=*((C_word*)lf[90]+1);
av2[1]=t3;
tp(2,av2);}}

/* k3251 in k3247 in g422 in k3235 in loop in k3216 in k3209 in a3206 in conc-loop in glob in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3253(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_3253,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* terminal-port? in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5137(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_5137,3,av);}
a=C_alloc(4);
t3=t2;
t4=C_i_check_port_2(t3,C_fix(0),C_SCHEME_TRUE,lf[294]);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5143,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:1085: ##sys#peek-unsigned-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[69]+1));
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[69]+1);
av2[1]=t5;
av2[2]=t2;
av2[3]=C_fix(0);
tp(4,av2);}}

/* check in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_4547(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_4547,4,t1,t2,t3,t4);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4551,a[2]=t4,a[3]=t1,a[4]=t2,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm:800: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t5;
tp(2,av2);}}

/* k3697 in k3678 in time->string in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3699(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_3699,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3703,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:618: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[76]+1));
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[76]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
av2[3]=C_make_character(0);
tp(4,av2);}}

/* a3489 in k3480 in k3477 in k3474 in k3471 in k3468 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3490(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_3490,2,av);}
t2=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* a3492 in k3477 in k3474 in k3471 in k3468 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3493(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_3493,2,av);}
t2=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* a4713 in k4707 in call-with-output-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4714(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_4714,2,av);}
/* posixwin.scm:856: proc */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* a3498 in k3471 in k3468 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3499(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_3499,2,av);}
t2=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* a3495 in k3474 in k3471 in k3468 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3496(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_3496,2,av);}
t2=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* a4742 in k4731 in with-input-from-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4743(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_4743,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4749,a[2]=((C_word*)t0)[2],a[3]=((C_word)li114),tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:865: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
C_call_with_values(4,av2);}}

/* f_5324 in process-execute in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5324(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_5324,3,av);}
t3=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a4748 in a4742 in k4731 in with-input-from-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4749(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_4749,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4753,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:868: close-input-pipe */
t4=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k4521 in k4512 in change-directory in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4523(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_4523,2,av);}
/* posixwin.scm:789: ##sys#signal-hook */
t2=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[10];
av2[3]=lf[73];
av2[4]=lf[192];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* mode in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_4963(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,3)))){
C_save_and_reclaim_args((void *)trf_4963,4,t1,t2,t3,t4);}
a=C_alloc(4);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4971,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_pairp(t3))){
t6=t3;
t7=C_u_i_car(t6);
t8=C_eqp(t7,lf[53]);
if(C_truep(t8)){
t9=t2;
if(C_truep(t9)){
/* posixwin.scm:1022: ##sys#error */
t10=*((C_word*)lf[54]+1);{
C_word av2[4];
av2[0]=t10;
av2[1]=t5;
av2[2]=lf[282];
av2[3]=t7;
((C_proc)(void*)(*((C_word*)t10+1)))(4,av2);}}
else{
/* posixwin.scm:1018: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[13]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[13]+1);
av2[1]=t1;
av2[2]=lf[283];
av2[3]=t4;
tp(4,av2);}}}
else{
/* posixwin.scm:1023: ##sys#error */
t9=*((C_word*)lf[54]+1);{
C_word av2[4];
av2[0]=t9;
av2[1]=t5;
av2[2]=lf[284];
av2[3]=t7;
((C_proc)(void*)(*((C_word*)t9+1)))(4,av2);}}}
else{
if(C_truep(t2)){
/* posixwin.scm:1018: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[13]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[13]+1);
av2[1]=t1;
av2[2]=lf[285];
av2[3]=t4;
tp(4,av2);}}
else{
/* posixwin.scm:1018: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[13]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[13]+1);
av2[1]=t1;
av2[2]=lf[286];
av2[3]=t4;
tp(4,av2);}}}}

/* k4515 in k4512 in change-directory in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4517(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_4517,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k4512 in change-directory in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4514(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_4514,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4517,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_chdir(t1);
t4=C_eqp(C_fix(0),t3);
if(C_truep(t4)){
t5=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t5;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4523,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:788: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word *av2=av; /* Re-use our own argvector */
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t5;
tp(2,av2);}}}

/* file-execute-access? in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4954(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_4954,3,av);}
/* posixwin.scm:1002: check */
f_4922(t1,t2,C_fix((C_word)2),lf[281]);}

/* a4719 in k4707 in call-with-output-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4720(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_4720,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4724,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:858: close-output-pipe */
t4=*((C_word*)lf[202]+1);{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k4722 in a4719 in k4707 in call-with-output-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4724(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_4724,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* with-input-from-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4729(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_4729,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4733,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=*((C_word*)lf[195]+1);
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k3292 in k3483 in k3480 in k3477 in k3474 in k3471 in k3468 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_3294(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,2)))){
C_save_and_reclaim_args((void *)trf_3294,2,t0,t1);}
a=C_alloc(13);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_3297,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
if(C_truep(C_i_closurep(((C_word*)t0)[9]))){
t4=t3;
f_3297(t4,((C_word*)t0)[9]);}
else{
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3443,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:527: irregex */
t5=*((C_word*)lf[100]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[9];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}}

/* file-read-access? in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4942(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_4942,3,av);}
/* posixwin.scm:1000: check */
f_4922(t1,t2,C_fix((C_word)2),lf[279]);}

/* k4938 in check in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4940(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_4940,2,av);}
a=C_alloc(4);
t2=C_test_access(t1,((C_word*)t0)[2]);
t3=C_eqp(C_fix(0),t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4932,a[2]=((C_word*)t0)[3],a[3]=t4,tmp=(C_word)a,a+=4,tmp);
if(C_truep(t4)){
t6=((C_word*)t0)[3];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t6;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
/* posixwin.scm:998: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word *av2=av; /* Re-use our own argvector */
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t5;
tp(2,av2);}}}

/* k3295 in k3292 in k3483 in k3480 in k3477 in k3474 in k3471 in k3468 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_3297(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_3297,2,t0,t1);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_3304,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],tmp=(C_word)a,a+=11,tmp);
/* posix-common.scm:530: directory */
t4=*((C_word*)lf[30]+1);{
C_word av2[4];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[8];
av2[3]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* file-write-access? in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4948(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_4948,3,av);}
/* posixwin.scm:1001: check */
f_4922(t1,t2,C_fix((C_word)4),lf[280]);}

/* a5309 in process-execute in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5310(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_5310,5,av);}
t5=C_flushall();
t6=(C_truep(t4)?C_u_i_execve(t2,t3,t4):C_u_i_execvp(t2,t3));
t7=C_eqp(t6,C_fix(-1));
if(C_truep(t7)){
/* posixwin.scm:1155: posix-error */
t8=lf[2];{
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=t8;
av2[1]=t1;
av2[2]=lf[131];
av2[3]=lf[311];
av2[4]=lf[312];
av2[5]=((C_word*)t0)[2];
f_2315(6,av2);}}
else{
t8=C_SCHEME_UNDEFINED;
t9=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}

/* k5141 in terminal-port? in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5143(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_5143,2,av);}
t2=C_eqp(C_fix(0),t1);
if(C_truep(t2)){
t3=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_tty_portp(((C_word*)t0)[3]);
t4=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k3043 in directory in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3045(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_3045,2,av);}
a=C_alloc(5);
t2=t1;
t3=C_i_nullp(((C_word*)t0)[2]);
t4=(C_truep(t3)?C_SCHEME_END_OF_LIST:C_i_cdr(((C_word*)t0)[2]));
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=t6;
t8=C_i_nullp(t4);
t9=(C_truep(t8)?C_SCHEME_END_OF_LIST:C_i_cdr(t4));
t10=C_i_check_string_2(t2,lf[30]);
t11=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3060,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=t7,tmp=(C_word)a,a+=5,tmp);
/* ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[76]+1));
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[76]+1);
av2[1]=t11;
av2[2]=C_fix(256);
av2[3]=C_make_character(32);
tp(4,av2);}}

/* k2711 */
static void C_ccall f_2713(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(2,c,5)))){
C_save_and_reclaim((void *)f_2713,2,av);}
a=C_alloc(2);
t2=C_fdopen(&a,2,((C_word*)t0)[2],t1);
/* posix-common.scm:377: check */
f_2686(((C_word*)t0)[4],lf[64],((C_word*)t0)[2],C_SCHEME_TRUE,t2);}

/* f_2715 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2715(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +5,c,4)))){
C_save_and_reclaim((void*)f_2715,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+5);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=C_i_check_exact_2(t2,lf[65]);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2727,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:381: mode */
f_2649(t5,C_SCHEME_FALSE,t3,lf[65]);}

/* directory in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3041(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_3041,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
t3=t2;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3045,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_nullp(t3))){
/* posix-common.scm:468: current-directory */
t5=*((C_word*)lf[72]+1);{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=t4;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t5;
av2[1]=C_i_car(t3);
f_3045(2,av2);}}}

/* terminal-size in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5155(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_5155,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5162,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:1089: terminal-port? */
t4=*((C_word*)lf[294]+1);{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k4271 in file-read in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4273(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_4273,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4276,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_blockp(t2))){
if(C_truep(C_byteblockp(t2))){
t4=t3;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
f_4276(2,av2);}}
else{
/* posixwin.scm:726: ##sys#signal-hook */
t4=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[15];
av2[3]=lf[177];
av2[4]=lf[179];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}}
else{
/* posixwin.scm:726: ##sys#signal-hook */
t4=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[15];
av2[3]=lf[177];
av2[4]=lf[179];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}}

/* k4274 in k4271 in file-read in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4276(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_4276,2,av);}
a=C_alloc(11);
t2=C_read(((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4279,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=C_eqp(C_fix(-1),t2);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4288,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:729: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word *av2=av; /* Re-use our own argvector */
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t5;
tp(2,av2);}}
else{
t5=((C_word*)t0)[5];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t5;
av2[1]=C_a_i_list2(&a,2,((C_word*)t0)[3],t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k4277 in k4274 in k4271 in file-read in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4279(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_4279,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=C_a_i_list2(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k3068 in k3064 in k3061 in k3058 in k3043 in directory in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3070(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,5)))){
C_save_and_reclaim((void *)f_3070,2,av);}
a=C_alloc(10);
t2=C_opendir(t1,((C_word*)t0)[2]);
if(C_truep(C_null_pointerp(((C_word*)t0)[2]))){
/* posix-common.scm:477: posix-error */
t3=lf[2];{
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[10];
av2[3]=lf[30];
av2[4]=lf[89];
av2[5]=((C_word*)t0)[4];
f_2315(6,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_3084,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],a[5]=t4,a[6]=((C_word*)t0)[7],a[7]=((C_word)li32),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];
f_3084(t6,((C_word*)t0)[3]);}}

/* k4095 in k4089 in call-with-exec-args in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4097(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_4097,2,av);}
a=C_alloc(15);
t2=t1;
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4100,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_4105,a[2]=t4,a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word)li90),tmp=(C_word)a,a+=10,tmp);
/* posix-common.scm:726: call-with-current-continuation */
t7=*((C_word*)lf[140]+1);{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=t7;
av2[1]=t5;
av2[2]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}

/* k4089 in call-with-exec-args in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4091(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_4091,2,av);}
a=C_alloc(11);
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[2]);
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_4097,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],tmp=(C_word)a,a+=8,tmp);
/* posix-common.scm:731: list->c-string-buffer */
f_3932(t3,t2,((C_word*)t0)[9],((C_word*)t0)[6]);}

/* file-read in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4263(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_4263,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+5);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t5=C_i_check_exact_2(t2,lf[177]);
t6=C_i_check_exact_2(t3,lf[177]);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4273,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_pairp(t4))){
t8=t4;
t9=t7;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t9;
av2[1]=C_u_i_car(t8);
f_4273(2,av2);}}
else{
t8=t3;
/* ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[76]+1));
C_word *av2=av; /* Re-use our own argvector */
av2[0]=*((C_word*)lf[76]+1);
av2[1]=t7;
av2[2]=t8;
av2[3]=C_make_character(32);
tp(4,av2);}}}

/* nop in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4085(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_4085,3,av);}
t3=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* call-with-exec-args in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_4087(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6,C_word t7){
C_word tmp;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_4087,8,t0,t1,t2,t3,t4,t5,t6,t7);}
a=C_alloc(10);
t8=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_4091,a[2]=t5,a[3]=t1,a[4]=t7,a[5]=t3,a[6]=t2,a[7]=t6,a[8]=((C_word*)t0)[2],a[9]=t4,tmp=(C_word)a,a+=10,tmp);
/* posix-common.scm:729: pathname-strip-directory */
t9=((C_word*)t0)[3];{
C_word av2[3];
av2[0]=t9;
av2[1]=t8;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t9+1)))(3,av2);}}

/* k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2303(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(18,c,6)))){
C_save_and_reclaim((void *)f_2303,2,av);}
a=C_alloc(18);
t2=C_mutate2(&lf[2] /* (set! posix-error ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2315,a[2]=((C_word)li0),tmp=(C_word)a,a+=3,tmp));
t3=C_mutate2((C_word*)lf[8]+1 /* (set! ##sys#posix-error ...) */,lf[2]);
t4=C_mutate2(&lf[9] /* (set! ##sys#stat ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2333,a[2]=((C_word)li1),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate2((C_word*)lf[18]+1 /* (set! file-stat ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2383,a[2]=((C_word)li2),tmp=(C_word)a,a+=3,tmp));
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2403,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6455,a[2]=((C_word)li215),tmp=(C_word)a,a+=3,tmp);
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6461,a[2]=((C_word)li216),tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:252: getter-with-setter */
t9=*((C_word*)lf[403]+1);{
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=t9;
av2[1]=t6;
av2[2]=t7;
av2[3]=t8;
av2[4]=lf[410];
((C_proc)(void*)(*((C_word*)t9+1)))(5,av2);}}

/* k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2300(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_2300,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2303,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=C_SCHEME_UNDEFINED;
av2[1]=t2;
C_lolevel_toplevel(2,av2);}}

/* f_2701 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2701(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +5,c,4)))){
C_save_and_reclaim((void*)f_2701,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+5);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=C_i_check_exact_2(t2,lf[64]);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2713,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:377: mode */
f_2649(t5,C_SCHEME_TRUE,t3,lf[64]);}

/* k2317 in posix-error in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2319(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_2319,2,av);}
a=C_alloc(15);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2326,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2330,a[2]=t2,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
t4=C_a_i_bytevector(&a,1,C_fix(3));
t5=C_i_foreign_fixnum_argumentp(t1);
t6=stub67(t4,t5);
/* posix-common.scm:181: ##sys#peek-c-string */
t7=*((C_word*)lf[6]+1);{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=t7;
av2[1]=t3;
av2[2]=t6;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t7+1)))(4,av2);}}

/* k3279 in a3206 in conc-loop in glob in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3281(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_3281,2,av);}
/* posix-common.scm:504: ##sys#glob->regexp */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[95]+1));
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[95]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
tp(3,av2);}}

/* k4969 in mode in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4971(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_4971,2,av);}
/* posixwin.scm:1018: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[13]+1));
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[13]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* k2752 in k2769 */
static void C_ccall f_2754(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2754,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* posix-error in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2315(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c<5) C_bad_min_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-5)*C_SIZEOF_PAIR +7,c,2)))){
C_save_and_reclaim((void*)f_2315,c,av);}
a=C_alloc((c-5)*C_SIZEOF_PAIR+7);
t5=C_build_rest(&a,c,5,av);
C_word t6;
C_word t7;
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2319,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t5,a[6]=t4,tmp=(C_word)a,a+=7,tmp);
/* posix-common.scm:184: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word *av2=av; /* Re-use our own argvector */
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t6;
tp(2,av2);}}

/* f_2729 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2729(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_2729,3,av);}
a=C_alloc(4);
t3=t2;
t4=C_i_check_port_2(t3,C_fix(0),C_SCHEME_TRUE,lf[12]);
t5=C_slot(t2,C_fix(7));
t6=C_eqp(lf[34],t5);
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2745,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:391: ##sys#port-data */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[66]+1));
C_word *av2=av; /* Re-use our own argvector */
av2[0]=*((C_word*)lf[66]+1);
av2[1]=t7;
av2[2]=t2;
tp(3,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2771,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:392: ##sys#peek-unsigned-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[69]+1));
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[69]+1);
av2[1]=t7;
av2[2]=t2;
av2[3]=C_fix(0);
tp(4,av2);}}}

/* k2725 */
static void C_ccall f_2727(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(2,c,5)))){
C_save_and_reclaim((void *)f_2727,2,av);}
a=C_alloc(2);
t2=C_fdopen(&a,2,((C_word*)t0)[2],t1);
/* posix-common.scm:381: check */
f_2686(((C_word*)t0)[4],lf[65],((C_word*)t0)[2],C_SCHEME_FALSE,t2);}

/* regular-file? in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2522(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_2522,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2530,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:284: file-type */
t4=*((C_word*)lf[27]+1);{
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k2324 in k2317 in posix-error in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2326(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_2326,2,av);}{
C_word *av2;
if(c >= 7) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[3]+1);
av2[3]=((C_word*)t0)[3];
av2[4]=((C_word*)t0)[4];
av2[5]=t1;
av2[6]=((C_word*)t0)[5];
C_apply(7,av2);}}

/* k2528 in regular-file? in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2530(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2530,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=C_eqp(lf[28],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* symbolic-link? in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2532(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_2532,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2540,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:287: file-type */
t4=*((C_word*)lf[27]+1);{
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k2328 in k2317 in posix-error in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2330(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_2330,2,av);}
/* posix-common.scm:185: string-append */
t2=*((C_word*)lf[4]+1);{
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[5];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* ##sys#stat in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_2333(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,2)))){
C_save_and_reclaim_args((void *)trf_2333,5,t1,t2,t3,t4,t5);}
a=C_alloc(12);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2337,a[2]=t4,a[3]=t1,a[4]=t5,a[5]=t2,tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_fixnump(t2))){
t7=t6;{
C_word av2[2];
av2[0]=t7;
av2[1]=C_fstat(t2);
f_2337(2,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2358,a[2]=t6,a[3]=t2,a[4]=t3,a[5]=t5,tmp=(C_word)a,a+=6,tmp);
/* posix-common.scm:225: port? */
t8=*((C_word*)lf[17]+1);{
C_word av2[3];
av2[0]=t8;
av2[1]=t7;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}}

/* k2335 in stat in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2337(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_2337,2,av);}
if(C_truep(C_fixnum_lessp(t1,C_fix(0)))){
if(C_truep(((C_word*)t0)[2])){
/* posix-common.scm:239: posix-error */
t2=lf[2];{
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[10];
av2[3]=((C_word*)t0)[4];
av2[4]=lf[11];
av2[5]=((C_word*)t0)[5];
f_2315(6,av2);}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* f_3460 in k3483 in k3480 in k3477 in k3474 in k3471 in k3468 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3460(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_3460,2,av);}
t2=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=C_fixnum_lessp(((C_word*)((C_word*)t0)[2])[1],((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3466(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +8,c,4)))){
C_save_and_reclaim((void*)f_3466,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+8);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3470,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3510,a[2]=((C_word)li54),tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:552: ##sys#get-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[101]+1));
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[101]+1);
av2[1]=t4;
av2[2]=lf[105];
av2[3]=t3;
av2[4]=t5;
tp(5,av2);}}

/* block-device? in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2542(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_2542,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2550,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:290: file-type */
t4=*((C_word*)lf[27]+1);{
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k2538 in symbolic-link? in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2540(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2540,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=C_eqp(lf[29],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k2743 */
static void C_ccall f_2745(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2745,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=C_slot(t1,C_fix(0));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f_3452 in k3483 in k3480 in k3477 in k3474 in k3471 in k3468 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3452(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_3452,2,av);}
t2=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* character-device? in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2552(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_2552,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2560,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:293: file-type */
t4=*((C_word*)lf[27]+1);{
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k2548 in block-device? in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2550(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2550,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=C_eqp(lf[32],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k5737 in %process in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5739(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_5739,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_5742,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
if(C_truep(((C_word*)t0)[5])){
/* posixwin.scm:1257: chkstrlst */
t3=((C_word*)t0)[9];
f_5698(t3,t2,((C_word*)t0)[5]);}
else{
t3=t2;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_5742(2,av2);}}}

/* for-each-loop1381 in chkstrlst in %process in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static C_word C_fcall f_5712(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_pairp(t1))){
t2=C_slot(t1,C_fix(0));
t3=(
  /* posixwin.scm:1249: g1382 */
  f_5703(((C_word*)t0)[2],t2)
);
t4=C_slot(t1,C_fix(1));
t6=t4;
t1=t6;
goto loop;}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* a6386 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6387(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_6387,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_SCHEME_FALSE:C_i_car(t2));
t5=(C_truep(t4)?C_i_check_exact_2(t4,lf[106]):C_SCHEME_UNDEFINED);
if(C_truep(t4)){
t6=C_umask(t4);
if(C_truep(t4)){
t7=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=C_umask(t6);
t8=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t8;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}
else{
t6=C_umask(C_fix(0));
if(C_truep(t4)){
t7=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=C_umask(t6);
t8=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t8;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}}

/* k4071 in k4068 in doloop702 in k4053 in free-c-string-buffer in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4073(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_4073,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_4060(t3,((C_word*)t0)[4],t2);}

/* toplevel */
static C_TLS int toplevel_initialized=0;

void C_ccall C_posix_toplevel(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(toplevel_initialized) {C_kontinue(t1,C_SCHEME_UNDEFINED);}
else C_toplevel_entry(C_text("posix_toplevel"));
C_check_nursery_minimum(C_calculate_demand(3,c,2));
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void*)C_posix_toplevel,c,av);}
toplevel_initialized=1;
if(C_unlikely(!C_demand_2(2230))){
C_save(t1);
C_rereclaim2(2230*sizeof(C_word),1);
t1=C_restore;}
a=C_alloc(3);
C_initialize_lf(lf,411);
lf[1]=C_decode_literal(C_heaptop,C_text("\376B\000\000/this function is not available on this platform"));
lf[3]=C_h_intern(&lf[3],15, C_text("\003syssignal-hook"));
lf[4]=C_h_intern(&lf[4],13, C_text("string-append"));
lf[5]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003 - "));
lf[6]=C_h_intern(&lf[6],17, C_text("\003syspeek-c-string"));
lf[7]=C_h_intern(&lf[7],16, C_text("\003sysupdate-errno"));
lf[8]=C_h_intern(&lf[8],15, C_text("\003sysposix-error"));
lf[10]=C_h_intern(&lf[10],11, C_text("\000file-error"));
lf[11]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022cannot access file"));
lf[12]=C_h_intern(&lf[12],12, C_text("port->fileno"));
lf[13]=C_h_intern(&lf[13],17, C_text("\003sysmake-c-string"));
lf[14]=C_h_intern(&lf[14],27, C_text("\003sysplatform-fixup-pathname"));
lf[15]=C_h_intern(&lf[15],11, C_text("\000type-error"));
lf[16]=C_decode_literal(C_heaptop,C_text("\376B\000\000\052bad argument type - not a fixnum or string"));
lf[17]=C_h_intern(&lf[17],5, C_text("port\077"));
lf[18]=C_h_intern(&lf[18],9, C_text("file-stat"));
lf[19]=C_h_intern(&lf[19],16, C_text("_stat_st_blksize"));
lf[20]=C_h_intern(&lf[20],15, C_text("_stat_st_blocks"));
lf[21]=C_h_intern(&lf[21],22, C_text("file-modification-time"));
lf[22]=C_h_intern(&lf[22],16, C_text("file-access-time"));
lf[23]=C_h_intern(&lf[23],16, C_text("file-change-time"));
lf[24]=C_h_intern(&lf[24],10, C_text("file-owner"));
lf[25]=C_h_intern(&lf[25],16, C_text("file-permissions"));
lf[26]=C_h_intern(&lf[26],9, C_text("file-size"));
lf[27]=C_h_intern(&lf[27],9, C_text("file-type"));
lf[28]=C_h_intern(&lf[28],12, C_text("regular-file"));
lf[29]=C_h_intern(&lf[29],13, C_text("symbolic-link"));
lf[30]=C_h_intern(&lf[30],9, C_text("directory"));
lf[31]=C_h_intern(&lf[31],16, C_text("character-device"));
lf[32]=C_h_intern(&lf[32],12, C_text("block-device"));
lf[33]=C_h_intern(&lf[33],4, C_text("fifo"));
lf[34]=C_h_intern(&lf[34],6, C_text("socket"));
lf[35]=C_h_intern(&lf[35],13, C_text("regular-file\077"));
lf[36]=C_h_intern(&lf[36],14, C_text("symbolic-link\077"));
lf[37]=C_h_intern(&lf[37],13, C_text("block-device\077"));
lf[38]=C_h_intern(&lf[38],17, C_text("character-device\077"));
lf[39]=C_h_intern(&lf[39],5, C_text("fifo\077"));
lf[40]=C_h_intern(&lf[40],7, C_text("socket\077"));
lf[41]=C_h_intern(&lf[41],10, C_text("directory\077"));
lf[42]=C_h_intern(&lf[42],8, C_text("seek/set"));
lf[43]=C_h_intern(&lf[43],8, C_text("seek/end"));
lf[44]=C_h_intern(&lf[44],8, C_text("seek/cur"));
lf[45]=C_h_intern(&lf[45],18, C_text("set-file-position!"));
lf[46]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030cannot set file position"));
lf[47]=C_h_intern(&lf[47],6, C_text("stream"));
lf[48]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014invalid file"));
lf[49]=C_h_intern(&lf[49],13, C_text("file-position"));
lf[50]=C_h_intern(&lf[50],12, C_text("fileno/stdin"));
lf[51]=C_h_intern(&lf[51],13, C_text("fileno/stdout"));
lf[52]=C_h_intern(&lf[52],13, C_text("fileno/stderr"));
lf[53]=C_h_intern(&lf[53],7, C_text("\000append"));
lf[54]=C_h_intern(&lf[54],9, C_text("\003syserror"));
lf[55]=C_decode_literal(C_heaptop,C_text("\376B\000\000\033invalid mode for input file"));
lf[56]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001a"));
lf[57]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025invalid mode argument"));
lf[58]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001r"));
lf[59]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001w"));
lf[60]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020cannot open file"));
lf[61]=C_h_intern(&lf[61],13, C_text("\003sysmake-port"));
lf[62]=C_h_intern(&lf[62],21, C_text("\003sysstream-port-class"));
lf[63]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(fdport)"));
lf[64]=C_h_intern(&lf[64],16, C_text("open-input-file\052"));
lf[65]=C_h_intern(&lf[65],17, C_text("open-output-file\052"));
lf[66]=C_h_intern(&lf[66],13, C_text("\003sysport-data"));
lf[67]=C_decode_literal(C_heaptop,C_text("\376B\000\000\031port has no attached file"));
lf[68]=C_decode_literal(C_heaptop,C_text("\376B\000\000%cannot access file-descriptor of port"));
lf[69]=C_h_intern(&lf[69],25, C_text("\003syspeek-unsigned-integer"));
lf[70]=C_h_intern(&lf[70],16, C_text("duplicate-fileno"));
lf[71]=C_decode_literal(C_heaptop,C_text("\376B\000\000 cannot duplicate file-descriptor"));
lf[72]=C_h_intern(&lf[72],17, C_text("current-directory"));
lf[73]=C_h_intern(&lf[73],16, C_text("change-directory"));
lf[74]=C_h_intern(&lf[74],13, C_text("\003syssubstring"));
lf[75]=C_decode_literal(C_heaptop,C_text("\376B\000\000!cannot retrieve current directory"));
lf[76]=C_h_intern(&lf[76],15, C_text("\003sysmake-string"));
lf[77]=C_h_intern(&lf[77],16, C_text("delete-directory"));
lf[78]=C_decode_literal(C_heaptop,C_text("\376B\000\000\027cannot delete directory"));
lf[79]=C_h_intern(&lf[79],11, C_text("delete-file"));
lf[80]=C_h_intern(&lf[80],10, C_text("find-files"));
lf[81]=C_h_intern(&lf[81],9, C_text("\000dotfiles"));
lf[82]=C_h_intern(&lf[82],16, C_text("\000follow-symlinks"));
lf[83]=C_h_intern(&lf[83],16, C_text("create-directory"));
lf[84]=C_decode_literal(C_heaptop,C_text("\376B\000\000\027cannot create directory"));
lf[85]=C_h_intern(&lf[85],18, C_text("pathname-directory"));
lf[86]=C_h_intern(&lf[86],18, C_text("decompose-pathname"));
lf[87]=C_h_intern(&lf[87],13, C_text("make-pathname"));
lf[88]=C_h_intern(&lf[88],12, C_text("file-exists\077"));
lf[89]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025cannot open directory"));
lf[90]=C_h_intern(&lf[90],16, C_text("\003sysmake-pointer"));
lf[91]=C_h_intern(&lf[91],4, C_text("glob"));
lf[92]=C_h_intern(&lf[92],23, C_text("irregex-match-substring"));
lf[93]=C_h_intern(&lf[93],13, C_text("irregex-match"));
lf[94]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001."));
lf[95]=C_h_intern(&lf[95],16, C_text("\003sysglob->regexp"));
lf[96]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\052"));
lf[97]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001."));
lf[98]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002.."));
lf[99]=C_h_intern(&lf[99],16, C_text("\003sysdynamic-wind"));
lf[100]=C_h_intern(&lf[100],7, C_text("irregex"));
lf[101]=C_h_intern(&lf[101],15, C_text("\003sysget-keyword"));
lf[102]=C_h_intern(&lf[102],6, C_text("\000limit"));
lf[103]=C_h_intern(&lf[103],5, C_text("\000seed"));
lf[104]=C_h_intern(&lf[104],7, C_text("\000action"));
lf[105]=C_h_intern(&lf[105],5, C_text("\000test"));
lf[106]=C_h_intern(&lf[106],18, C_text("file-creation-mode"));
lf[108]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025time vector too short"));
lf[109]=C_h_intern(&lf[109],19, C_text("seconds->local-time"));
lf[110]=C_h_intern(&lf[110],18, C_text("\003sysdecode-seconds"));
lf[111]=C_h_intern(&lf[111],15, C_text("current-seconds"));
lf[112]=C_h_intern(&lf[112],17, C_text("seconds->utc-time"));
lf[113]=C_h_intern(&lf[113],15, C_text("seconds->string"));
lf[114]=C_decode_literal(C_heaptop,C_text("\376B\000\000 cannot convert seconds to string"));
lf[115]=C_h_intern(&lf[115],19, C_text("local-time->seconds"));
lf[116]=C_decode_literal(C_heaptop,C_text("\376B\000\000%cannot convert time vector to seconds"));
lf[117]=C_h_intern(&lf[117],3, C_text("fp="));
lf[118]=C_decode_literal(C_heaptop,C_text("\376U-1.0\000"));
lf[119]=C_h_intern(&lf[119],12, C_text("time->string"));
lf[120]=C_decode_literal(C_heaptop,C_text("\376B\000\000 time formatting overflows buffer"));
lf[121]=C_decode_literal(C_heaptop,C_text("\376B\000\000$cannot convert time vector to string"));
lf[122]=C_h_intern(&lf[122],6, C_text("setenv"));
lf[123]=C_h_intern(&lf[123],8, C_text("unsetenv"));
lf[124]=C_h_intern(&lf[124],25, C_text("get-environment-variables"));
lf[125]=C_h_intern(&lf[125],19, C_text("set-signal-handler!"));
lf[126]=C_h_intern(&lf[126],17, C_text("\003syssignal-vector"));
lf[127]=C_h_intern(&lf[127],14, C_text("signal-handler"));
lf[128]=C_h_intern(&lf[128],18, C_text("current-process-id"));
lf[129]=C_h_intern(&lf[129],12, C_text("process-wait"));
lf[130]=C_h_intern(&lf[130],16, C_text("\003sysprocess-wait"));
lf[131]=C_h_intern(&lf[131],14, C_text("\000process-error"));
lf[132]=C_decode_literal(C_heaptop,C_text("\376B\000\000 waiting for child process failed"));
lf[134]=C_h_intern(&lf[134],6, C_text("signal"));
lf[136]=C_h_intern(&lf[136],19, C_text("pointer-vector-set!"));
lf[137]=C_h_intern(&lf[137],5, C_text("error"));
lf[138]=C_decode_literal(C_heaptop,C_text("\376B\000\000\015Out of memory"));
lf[139]=C_h_intern(&lf[139],22, C_text("with-exception-handler"));
lf[140]=C_h_intern(&lf[140],30, C_text("call-with-current-continuation"));
lf[141]=C_h_intern(&lf[141],19, C_text("make-pointer-vector"));
lf[142]=C_h_intern(&lf[142],4, C_text("free"));
lf[143]=C_h_intern(&lf[143],18, C_text("pointer-vector-ref"));
lf[144]=C_h_intern(&lf[144],21, C_text("pointer-vector-length"));
lf[145]=C_h_intern(&lf[145],24, C_text("pathname-strip-directory"));
lf[147]=C_h_intern(&lf[147],8, C_text("pipe/buf"));
lf[148]=C_h_intern(&lf[148],11, C_text("open/rdonly"));
lf[149]=C_h_intern(&lf[149],11, C_text("open/wronly"));
lf[150]=C_h_intern(&lf[150],9, C_text("open/rdwr"));
lf[151]=C_h_intern(&lf[151],9, C_text("open/read"));
lf[152]=C_h_intern(&lf[152],10, C_text("open/write"));
lf[153]=C_h_intern(&lf[153],10, C_text("open/creat"));
lf[154]=C_h_intern(&lf[154],11, C_text("open/append"));
lf[155]=C_h_intern(&lf[155],9, C_text("open/excl"));
lf[156]=C_h_intern(&lf[156],10, C_text("open/trunc"));
lf[157]=C_h_intern(&lf[157],11, C_text("open/binary"));
lf[158]=C_h_intern(&lf[158],9, C_text("open/text"));
lf[159]=C_h_intern(&lf[159],14, C_text("open/noinherit"));
lf[160]=C_h_intern(&lf[160],10, C_text("perm/irusr"));
lf[161]=C_h_intern(&lf[161],10, C_text("perm/iwusr"));
lf[162]=C_h_intern(&lf[162],10, C_text("perm/ixusr"));
lf[163]=C_h_intern(&lf[163],10, C_text("perm/irgrp"));
lf[164]=C_h_intern(&lf[164],10, C_text("perm/iwgrp"));
lf[165]=C_h_intern(&lf[165],10, C_text("perm/ixgrp"));
lf[166]=C_h_intern(&lf[166],10, C_text("perm/iroth"));
lf[167]=C_h_intern(&lf[167],10, C_text("perm/iwoth"));
lf[168]=C_h_intern(&lf[168],10, C_text("perm/ixoth"));
lf[169]=C_h_intern(&lf[169],10, C_text("perm/irwxu"));
lf[170]=C_h_intern(&lf[170],10, C_text("perm/irwxg"));
lf[171]=C_h_intern(&lf[171],10, C_text("perm/irwxo"));
lf[172]=C_h_intern(&lf[172],9, C_text("file-open"));
lf[173]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020cannot open file"));
lf[174]=C_h_intern(&lf[174],10, C_text("file-close"));
lf[175]=C_h_intern(&lf[175],22, C_text("\003sysdispatch-interrupt"));
lf[176]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021cannot close file"));
lf[177]=C_h_intern(&lf[177],9, C_text("file-read"));
lf[178]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025cannot read from file"));
lf[179]=C_decode_literal(C_heaptop,C_text("\376B\000\000(bad argument type - not a string or blob"));
lf[180]=C_h_intern(&lf[180],10, C_text("file-write"));
lf[181]=C_decode_literal(C_heaptop,C_text("\376B\000\000\024cannot write to file"));
lf[182]=C_decode_literal(C_heaptop,C_text("\376B\000\000(bad argument type - not a string or blob"));
lf[183]=C_h_intern(&lf[183],12, C_text("file-mkstemp"));
lf[184]=C_decode_literal(C_heaptop,C_text("\376B\000\000$0123456789abcdefghijklmnopqrstuvwxyz"));
lf[185]=C_decode_literal(C_heaptop,C_text("\376B\000\000\034cannot create temporary file"));
lf[186]=C_h_intern(&lf[186],6, C_text("random"));
lf[187]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020invalid template"));
lf[188]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026non-existent directory"));
lf[189]=C_h_intern(&lf[189],17, C_text("directory-exists\077"));
lf[190]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001."));
lf[191]=C_h_intern(&lf[191],11, C_text("string-copy"));
lf[192]=C_decode_literal(C_heaptop,C_text("\376B\000\000\037cannot change current directory"));
lf[193]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020cannot open pipe"));
lf[194]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006(pipe)"));
lf[195]=C_h_intern(&lf[195],15, C_text("open-input-pipe"));
lf[196]=C_h_intern(&lf[196],5, C_text("\000text"));
lf[197]=C_h_intern(&lf[197],7, C_text("\000binary"));
lf[198]=C_decode_literal(C_heaptop,C_text("\376B\000\000#illegal input/output mode specifier"));
lf[199]=C_h_intern(&lf[199],16, C_text("open-output-pipe"));
lf[200]=C_h_intern(&lf[200],16, C_text("close-input-pipe"));
lf[201]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030error while closing pipe"));
lf[202]=C_h_intern(&lf[202],17, C_text("close-output-pipe"));
lf[203]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030error while closing pipe"));
lf[204]=C_h_intern(&lf[204],20, C_text("call-with-input-pipe"));
lf[205]=C_h_intern(&lf[205],21, C_text("call-with-output-pipe"));
lf[206]=C_h_intern(&lf[206],20, C_text("with-input-from-pipe"));
lf[207]=C_h_intern(&lf[207],18, C_text("\003sysstandard-input"));
lf[208]=C_h_intern(&lf[208],19, C_text("with-output-to-pipe"));
lf[209]=C_h_intern(&lf[209],19, C_text("\003sysstandard-output"));
lf[210]=C_h_intern(&lf[210],11, C_text("create-pipe"));
lf[211]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022cannot create pipe"));
lf[212]=C_h_intern(&lf[212],11, C_text("signal/term"));
lf[213]=C_h_intern(&lf[213],10, C_text("signal/int"));
lf[214]=C_h_intern(&lf[214],10, C_text("signal/fpe"));
lf[215]=C_h_intern(&lf[215],10, C_text("signal/ill"));
lf[216]=C_h_intern(&lf[216],11, C_text("signal/segv"));
lf[217]=C_h_intern(&lf[217],11, C_text("signal/abrt"));
lf[218]=C_h_intern(&lf[218],12, C_text("signal/break"));
lf[219]=C_h_intern(&lf[219],11, C_text("signal/alrm"));
lf[220]=C_h_intern(&lf[220],11, C_text("signal/chld"));
lf[221]=C_h_intern(&lf[221],11, C_text("signal/cont"));
lf[222]=C_h_intern(&lf[222],10, C_text("signal/hup"));
lf[223]=C_h_intern(&lf[223],9, C_text("signal/io"));
lf[224]=C_h_intern(&lf[224],11, C_text("signal/kill"));
lf[225]=C_h_intern(&lf[225],11, C_text("signal/pipe"));
lf[226]=C_h_intern(&lf[226],11, C_text("signal/prof"));
lf[227]=C_h_intern(&lf[227],11, C_text("signal/quit"));
lf[228]=C_h_intern(&lf[228],11, C_text("signal/stop"));
lf[229]=C_h_intern(&lf[229],11, C_text("signal/trap"));
lf[230]=C_h_intern(&lf[230],11, C_text("signal/tstp"));
lf[231]=C_h_intern(&lf[231],10, C_text("signal/urg"));
lf[232]=C_h_intern(&lf[232],11, C_text("signal/usr1"));
lf[233]=C_h_intern(&lf[233],11, C_text("signal/usr2"));
lf[234]=C_h_intern(&lf[234],13, C_text("signal/vtalrm"));
lf[235]=C_h_intern(&lf[235],12, C_text("signal/winch"));
lf[236]=C_h_intern(&lf[236],11, C_text("signal/xcpu"));
lf[237]=C_h_intern(&lf[237],11, C_text("signal/xfsz"));
lf[238]=C_h_intern(&lf[238],12, C_text("signals-list"));
lf[239]=C_h_intern(&lf[239],10, C_text("errno/perm"));
lf[240]=C_h_intern(&lf[240],11, C_text("errno/noent"));
lf[241]=C_h_intern(&lf[241],10, C_text("errno/srch"));
lf[242]=C_h_intern(&lf[242],10, C_text("errno/intr"));
lf[243]=C_h_intern(&lf[243],8, C_text("errno/io"));
lf[244]=C_h_intern(&lf[244],12, C_text("errno/noexec"));
lf[245]=C_h_intern(&lf[245],10, C_text("errno/badf"));
lf[246]=C_h_intern(&lf[246],11, C_text("errno/child"));
lf[247]=C_h_intern(&lf[247],11, C_text("errno/nomem"));
lf[248]=C_h_intern(&lf[248],11, C_text("errno/acces"));
lf[249]=C_h_intern(&lf[249],11, C_text("errno/fault"));
lf[250]=C_h_intern(&lf[250],10, C_text("errno/busy"));
lf[251]=C_h_intern(&lf[251],11, C_text("errno/exist"));
lf[252]=C_h_intern(&lf[252],12, C_text("errno/notdir"));
lf[253]=C_h_intern(&lf[253],11, C_text("errno/isdir"));
lf[254]=C_h_intern(&lf[254],11, C_text("errno/inval"));
lf[255]=C_h_intern(&lf[255],11, C_text("errno/mfile"));
lf[256]=C_h_intern(&lf[256],11, C_text("errno/nospc"));
lf[257]=C_h_intern(&lf[257],11, C_text("errno/spipe"));
lf[258]=C_h_intern(&lf[258],10, C_text("errno/pipe"));
lf[259]=C_h_intern(&lf[259],11, C_text("errno/again"));
lf[260]=C_h_intern(&lf[260],10, C_text("errno/rofs"));
lf[261]=C_h_intern(&lf[261],10, C_text("errno/nxio"));
lf[262]=C_h_intern(&lf[262],10, C_text("errno/2big"));
lf[263]=C_h_intern(&lf[263],10, C_text("errno/xdev"));
lf[264]=C_h_intern(&lf[264],11, C_text("errno/nodev"));
lf[265]=C_h_intern(&lf[265],11, C_text("errno/nfile"));
lf[266]=C_h_intern(&lf[266],11, C_text("errno/notty"));
lf[267]=C_h_intern(&lf[267],10, C_text("errno/fbig"));
lf[268]=C_h_intern(&lf[268],11, C_text("errno/mlink"));
lf[269]=C_h_intern(&lf[269],9, C_text("errno/dom"));
lf[270]=C_h_intern(&lf[270],11, C_text("errno/range"));
lf[271]=C_h_intern(&lf[271],12, C_text("errno/deadlk"));
lf[272]=C_h_intern(&lf[272],17, C_text("errno/nametoolong"));
lf[273]=C_h_intern(&lf[273],11, C_text("errno/nolck"));
lf[274]=C_h_intern(&lf[274],11, C_text("errno/nosys"));
lf[275]=C_h_intern(&lf[275],14, C_text("errno/notempty"));
lf[276]=C_h_intern(&lf[276],11, C_text("errno/ilseq"));
lf[277]=C_h_intern(&lf[277],16, C_text("change-file-mode"));
lf[278]=C_decode_literal(C_heaptop,C_text("\376B\000\000\027cannot change file mode"));
lf[279]=C_h_intern(&lf[279],17, C_text("file-read-access\077"));
lf[280]=C_h_intern(&lf[280],18, C_text("file-write-access\077"));
lf[281]=C_h_intern(&lf[281],20, C_text("file-execute-access\077"));
lf[282]=C_decode_literal(C_heaptop,C_text("\376B\000\000\033invalid mode for input file"));
lf[283]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001a"));
lf[284]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025invalid mode argument"));
lf[285]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001r"));
lf[286]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001w"));
lf[287]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020cannot open file"));
lf[288]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(fdport)"));
lf[289]=C_decode_literal(C_heaptop,C_text("\376B\000\000\031port has no attached file"));
lf[290]=C_decode_literal(C_heaptop,C_text("\376B\000\000%cannot access file-descriptor of port"));
lf[291]=C_decode_literal(C_heaptop,C_text("\376B\000\000 cannot duplicate file descriptor"));
lf[292]=C_h_intern(&lf[292],27, C_text("local-timezone-abbreviation"));
lf[293]=C_h_intern(&lf[293],5, C_text("_exit"));
lf[294]=C_h_intern(&lf[294],14, C_text("terminal-port\077"));
lf[295]=C_h_intern(&lf[295],13, C_text("terminal-size"));
lf[296]=C_decode_literal(C_heaptop,C_text("\376B\000\000#port is not connected to a terminal"));
lf[297]=C_h_intern(&lf[297],19, C_text("set-buffering-mode!"));
lf[298]=C_decode_literal(C_heaptop,C_text("\376B\000\000\031cannot set buffering mode"));
lf[299]=C_h_intern(&lf[299],5, C_text("\000full"));
lf[300]=C_h_intern(&lf[300],5, C_text("\000line"));
lf[301]=C_h_intern(&lf[301],5, C_text("\000none"));
lf[302]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026invalid buffering-mode"));
lf[303]=C_h_intern(&lf[303],13, C_text("spawn/overlay"));
lf[304]=C_h_intern(&lf[304],10, C_text("spawn/wait"));
lf[305]=C_h_intern(&lf[305],12, C_text("spawn/nowait"));
lf[306]=C_h_intern(&lf[306],13, C_text("spawn/nowaito"));
lf[307]=C_h_intern(&lf[307],12, C_text("spawn/detach"));
lf[309]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\042"));
lf[310]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\042"));
lf[311]=C_h_intern(&lf[311],15, C_text("process-execute"));
lf[312]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026cannot execute process"));
lf[313]=C_h_intern(&lf[313],13, C_text("process-spawn"));
lf[314]=C_decode_literal(C_heaptop,C_text("\376B\000\000\024cannot spawn process"));
lf[315]=C_h_intern(&lf[315],17, C_text("\003sysshell-command"));
lf[316]=C_decode_literal(C_heaptop,C_text("\376B\000\000 cannot retrieve system directory"));
lf[317]=C_h_intern(&lf[317],24, C_text("get-environment-variable"));
lf[318]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007COMSPEC"));
lf[319]=C_h_intern(&lf[319],27, C_text("\003sysshell-command-arguments"));
lf[320]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002/c"));
lf[321]=C_h_intern(&lf[321],11, C_text("process-run"));
lf[322]=C_h_intern(&lf[322],11, C_text("\003sysprocess"));
lf[323]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026cannot execute process"));
lf[324]=C_h_intern(&lf[324],17, C_text("\003sysmake-locative"));
lf[325]=C_h_intern(&lf[325],8, C_text("location"));
lf[326]=C_h_intern(&lf[326],18, C_text("string-intersperse"));
lf[327]=C_h_intern(&lf[327],7, C_text("process"));
lf[328]=C_h_intern(&lf[328],8, C_text("process\052"));
lf[329]=C_h_intern(&lf[329],5, C_text("sleep"));
lf[330]=C_h_intern(&lf[330],13, C_text("get-host-name"));
lf[331]=C_decode_literal(C_heaptop,C_text("\376B\000\000\031cannot retrieve host-name"));
lf[332]=C_h_intern(&lf[332],18, C_text("system-information"));
lf[333]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007windows"));
lf[334]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042cannot retrieve system-information"));
lf[335]=C_h_intern(&lf[335],17, C_text("current-user-name"));
lf[336]=C_decode_literal(C_heaptop,C_text("\376B\000\000!cannot retrieve current user-name"));
lf[337]=C_h_intern(&lf[337],9, C_text("prot/none"));
lf[338]=C_h_intern(&lf[338],9, C_text("prot/read"));
lf[339]=C_h_intern(&lf[339],10, C_text("prot/write"));
lf[340]=C_h_intern(&lf[340],9, C_text("prot/exec"));
lf[341]=C_h_intern(&lf[341],8, C_text("map/file"));
lf[342]=C_h_intern(&lf[342],10, C_text("map/shared"));
lf[343]=C_h_intern(&lf[343],11, C_text("map/private"));
lf[344]=C_h_intern(&lf[344],9, C_text("map/fixed"));
lf[345]=C_h_intern(&lf[345],13, C_text("map/anonymous"));
lf[346]=C_h_intern(&lf[346],18, C_text("map-file-to-memory"));
lf[347]=C_h_intern(&lf[347],4, C_text("mmap"));
lf[348]=C_decode_literal(C_heaptop,C_text("\376B\000\000\031cannot map file to memory"));
lf[349]=C_decode_literal(C_heaptop,C_text("\376B\000\000)bad argument type - not a foreign pointer"));
lf[350]=C_h_intern(&lf[350],16, C_text("\003sysnull-pointer"));
lf[351]=C_h_intern(&lf[351],22, C_text("unmap-file-from-memory"));
lf[352]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035cannot unmap file from memory"));
lf[353]=C_h_intern(&lf[353],26, C_text("memory-mapped-file-pointer"));
lf[354]=C_h_intern(&lf[354],19, C_text("memory-mapped-file\077"));
lf[355]=C_h_intern(&lf[355],17, C_text("change-directory\052"));
lf[356]=C_h_intern(&lf[356],17, C_text("change-file-owner"));
lf[357]=C_h_intern(&lf[357],11, C_text("create-fifo"));
lf[358]=C_h_intern(&lf[358],14, C_text("create-session"));
lf[359]=C_h_intern(&lf[359],20, C_text("create-symbolic-link"));
lf[360]=C_h_intern(&lf[360],26, C_text("current-effective-group-id"));
lf[361]=C_h_intern(&lf[361],25, C_text("current-effective-user-id"));
lf[362]=C_h_intern(&lf[362],27, C_text("current-effective-user-name"));
lf[363]=C_h_intern(&lf[363],16, C_text("current-group-id"));
lf[364]=C_h_intern(&lf[364],15, C_text("current-user-id"));
lf[365]=C_h_intern(&lf[365],9, C_text("file-link"));
lf[366]=C_h_intern(&lf[366],9, C_text("file-lock"));
lf[367]=C_h_intern(&lf[367],18, C_text("file-lock/blocking"));
lf[368]=C_h_intern(&lf[368],11, C_text("file-select"));
lf[369]=C_h_intern(&lf[369],14, C_text("file-test-lock"));
lf[370]=C_h_intern(&lf[370],13, C_text("file-truncate"));
lf[371]=C_h_intern(&lf[371],11, C_text("file-unlock"));
lf[372]=C_h_intern(&lf[372],10, C_text("get-groups"));
lf[373]=C_h_intern(&lf[373],17, C_text("group-information"));
lf[374]=C_h_intern(&lf[374],17, C_text("initialize-groups"));
lf[375]=C_h_intern(&lf[375],17, C_text("parent-process-id"));
lf[376]=C_h_intern(&lf[376],12, C_text("process-fork"));
lf[377]=C_h_intern(&lf[377],16, C_text("process-group-id"));
lf[378]=C_h_intern(&lf[378],14, C_text("process-signal"));
lf[379]=C_h_intern(&lf[379],18, C_text("read-symbolic-link"));
lf[380]=C_h_intern(&lf[380],10, C_text("set-alarm!"));
lf[381]=C_h_intern(&lf[381],13, C_text("set-group-id!"));
lf[382]=C_h_intern(&lf[382],11, C_text("set-groups!"));
lf[383]=C_h_intern(&lf[383],21, C_text("set-process-group-id!"));
lf[384]=C_h_intern(&lf[384],19, C_text("set-root-directory!"));
lf[385]=C_h_intern(&lf[385],16, C_text("set-signal-mask!"));
lf[386]=C_h_intern(&lf[386],12, C_text("set-user-id!"));
lf[387]=C_h_intern(&lf[387],11, C_text("signal-mask"));
lf[388]=C_h_intern(&lf[388],12, C_text("signal-mask!"));
lf[389]=C_h_intern(&lf[389],14, C_text("signal-masked\077"));
lf[390]=C_h_intern(&lf[390],14, C_text("signal-unmask!"));
lf[391]=C_h_intern(&lf[391],13, C_text("terminal-name"));
lf[392]=C_h_intern(&lf[392],16, C_text("user-information"));
lf[393]=C_h_intern(&lf[393],17, C_text("utc-time->seconds"));
lf[394]=C_h_intern(&lf[394],12, C_text("string->time"));
lf[395]=C_h_intern(&lf[395],16, C_text("errno/wouldblock"));
lf[396]=C_h_intern(&lf[396],10, C_text("open/fsync"));
lf[397]=C_h_intern(&lf[397],11, C_text("open/noctty"));
lf[398]=C_h_intern(&lf[398],13, C_text("open/nonblock"));
lf[399]=C_h_intern(&lf[399],9, C_text("open/sync"));
lf[400]=C_h_intern(&lf[400],10, C_text("perm/isgid"));
lf[401]=C_h_intern(&lf[401],10, C_text("perm/isuid"));
lf[402]=C_h_intern(&lf[402],10, C_text("perm/isvtx"));
lf[403]=C_h_intern(&lf[403],18, C_text("getter-with-setter"));
lf[404]=C_decode_literal(C_heaptop,C_text("\376B\000\000\031(file-creation-mode mode)"));
lf[405]=C_decode_literal(C_heaptop,C_text("\376B\000\000%cannot retrieve file position of port"));
lf[406]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014invalid file"));
lf[407]=C_decode_literal(C_heaptop,C_text("\376B\000\000\024(file-position port)"));
lf[408]=C_h_intern(&lf[408],26, C_text("set-file-modification-time"));
lf[409]=C_decode_literal(C_heaptop,C_text("\376B\000\000!cannot set file modification-time"));
lf[410]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032(file-modification-time f)"));
C_register_lf2(lf,411,create_ptable());{}
t2=C_mutate2(&lf[0] /* (set! c1563 ...) */,lf[1]);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2288,a[2]=t1,tmp=(C_word)a,a+=3,tmp);{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=C_SCHEME_UNDEFINED;
av2[1]=t3;
C_scheduler_toplevel(2,av2);}}

/* k4068 in doloop702 in k4053 in free-c-string-buffer in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4070(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_4070,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4073,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(t1)){
/* posix-common.scm:723: free */
t3=*((C_word*)lf[142]+1);{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t4=((C_word*)((C_word*)t0)[3])[1];
f_4060(t4,((C_word*)t0)[4],t3);}}

/* current-group-id in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6175(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6175,2,av);}
/* posixwin.scm:1492: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[363];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* doloop702 in k4053 in free-c-string-buffer in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_4060(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_4060,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eqp(t2,((C_word*)t0)[2]);
if(C_truep(t3)){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4070,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:722: pointer-vector-ref */
t5=*((C_word*)lf[143]+1);{
C_word av2[4];
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[4];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}

/* k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2644(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(53,c,6)))){
C_save_and_reclaim((void *)f_2644,2,av);}
a=C_alloc(53);
t2=C_mutate2((C_word*)lf[49]+1 /* (set! file-position ...) */,t1);
t3=C_set_block_item(lf[50] /* fileno/stdin */,0,C_fix((C_word)STDIN_FILENO));
t4=C_set_block_item(lf[51] /* fileno/stdout */,0,C_fix((C_word)STDOUT_FILENO));
t5=C_set_block_item(lf[52] /* fileno/stderr */,0,C_fix((C_word)STDERR_FILENO));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2649,a[2]=((C_word)li17),tmp=(C_word)a,a+=3,tmp));
t11=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2686,a[2]=((C_word)li18),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate2((C_word*)lf[64]+1 /* (set! open-input-file* ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2701,a[2]=t9,a[3]=t7,a[4]=((C_word)li19),tmp=(C_word)a,a+=5,tmp));
t13=C_mutate2((C_word*)lf[65]+1 /* (set! open-output-file* ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2715,a[2]=t9,a[3]=t7,a[4]=((C_word)li20),tmp=(C_word)a,a+=5,tmp));
t14=C_mutate2((C_word*)lf[12]+1 /* (set! port->fileno ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2729,a[2]=((C_word)li21),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate2((C_word*)lf[70]+1 /* (set! duplicate-fileno ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2777,a[2]=((C_word)li22),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate2((C_word*)lf[72]+1 /* (set! current-directory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2804,a[2]=((C_word)li23),tmp=(C_word)a,a+=3,tmp));
t17=C_mutate2((C_word*)lf[77]+1 /* (set! delete-directory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2838,a[2]=((C_word)li27),tmp=(C_word)a,a+=3,tmp));
t18=C_mutate2((C_word*)lf[83]+1 /* (set! create-directory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2924,a[2]=((C_word)li31),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate2((C_word*)lf[30]+1 /* (set! directory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3041,a[2]=((C_word)li33),tmp=(C_word)a,a+=3,tmp));
t20=C_mutate2((C_word*)lf[91]+1 /* (set! glob ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3180,a[2]=((C_word)li39),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate2((C_word*)lf[80]+1 /* (set! find-files ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3466,a[2]=((C_word)li55),tmp=(C_word)a,a+=3,tmp));
t22=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3517,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t23=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6387,a[2]=((C_word)li212),tmp=(C_word)a,a+=3,tmp);
t24=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6412,a[2]=((C_word)li213),tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:564: getter-with-setter */
t25=*((C_word*)lf[403]+1);{
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=t25;
av2[1]=t22;
av2[2]=t23;
av2[3]=t24;
av2[4]=lf[404];
((C_proc)(void*)(*((C_word*)t25+1)))(5,av2);}}

/* mode in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_2649(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,3)))){
C_save_and_reclaim_args((void *)trf_2649,4,t1,t2,t3,t4);}
a=C_alloc(4);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2657,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_pairp(t3))){
t6=t3;
t7=C_u_i_car(t6);
t8=C_eqp(t7,lf[53]);
if(C_truep(t8)){
t9=t2;
if(C_truep(t9)){
/* posix-common.scm:363: ##sys#error */
t10=*((C_word*)lf[54]+1);{
C_word av2[4];
av2[0]=t10;
av2[1]=t5;
av2[2]=lf[55];
av2[3]=t7;
((C_proc)(void*)(*((C_word*)t10+1)))(4,av2);}}
else{
/* posix-common.scm:359: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[13]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[13]+1);
av2[1]=t1;
av2[2]=lf[56];
av2[3]=t4;
tp(4,av2);}}}
else{
/* posix-common.scm:364: ##sys#error */
t9=*((C_word*)lf[54]+1);{
C_word av2[4];
av2[0]=t9;
av2[1]=t5;
av2[2]=lf[57];
av2[3]=t7;
((C_proc)(void*)(*((C_word*)t9+1)))(4,av2);}}}
else{
if(C_truep(t2)){
/* posix-common.scm:359: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[13]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[13]+1);
av2[1]=t1;
av2[2]=lf[58];
av2[3]=t4;
tp(4,av2);}}
else{
/* posix-common.scm:359: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[13]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[13]+1);
av2[1]=t1;
av2[2]=lf[59];
av2[3]=t4;
tp(4,av2);}}}}

/* k2818 in k2815 in current-directory in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2820(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_2820,2,av);}
if(C_truep(((C_word*)t0)[2])){
/* posix-common.scm:422: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[74]+1));
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[74]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=C_fix(0);
av2[4]=((C_word*)t0)[2];
tp(5,av2);}}
else{
/* posix-common.scm:423: ##sys#signal-hook */
t2=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[10];
av2[3]=lf[72];
av2[4]=lf[75];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* current-effective-user-id in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6163(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6163,2,av);}
/* posixwin.scm:1490: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[361];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* current-effective-user-name in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6169(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6169,2,av);}
/* posixwin.scm:1491: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[362];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* delete-directory in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2838(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +8,c,6)))){
C_save_and_reclaim((void*)f_2838,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+8);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_i_car(t3));
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2844,a[2]=((C_word)li24),tmp=(C_word)a,a+=3,tmp);
t7=C_i_check_string_2(t2,lf[77]);
if(C_truep(t5)){
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2867,a[2]=t6,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:435: find-files */
t9=*((C_word*)lf[80]+1);{
C_word *av2;
if(c >= 7) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(7);
}
av2[0]=t9;
av2[1]=t8;
av2[2]=t2;
av2[3]=lf[81];
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[82];
av2[6]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t9+1)))(7,av2);}}
else{
/* posix-common.scm:447: rmdir */
f_2844(t1,t2);}}

/* a4033 in tmp22245 in a3968 in a3947 in k3938 in list->c-string-buffer in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4034(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_4034,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
C_apply_values(3,av2);}}

/* k4286 in k4274 in k4271 in file-read in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4288(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_4288,2,av);}
/* posixwin.scm:730: ##sys#signal-hook */
t2=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 7) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[10];
av2[3]=lf[177];
av2[4]=lf[178];
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}

/* tmp22245 in a3968 in a3947 in k3938 in list->c-string-buffer in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_4028(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_4028,3,t0,t1,t2);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4034,a[2]=t2,a[3]=((C_word)li76),tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:696: k674 */
t4=((C_word*)t0)[2];{
C_word av2[3];
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* system-information in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5930(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_5930,2,av);}
a=C_alloc(6);
if(C_truep(C_sysinfo())){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5941,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t3=*((C_word*)lf[6]+1);{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_mpointer(&a,(void*)C_hostname);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5956,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm:1299: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word *av2=av; /* Re-use our own argvector */
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t2;
tp(2,av2);}}}

/* ##sys#process-wait in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5900(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_5900,4,av);}
if(C_truep(C_process_wait(t2,t3))){
/* posixwin.scm:1273: values */{
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=C_fix((C_word)C_exstatus);
C_values(5,av2);}}
else{
/* posixwin.scm:1274: values */{
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix(-1);
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_FALSE;
C_values(5,av2);}}}

/* local-timezone-abbreviation in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5110(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_5110,2,av);}
a=C_alloc(5);
t2=C_a_i_bytevector(&a,1,C_fix(3));
t3=stub1134(t2);
/* posixwin.scm:1071: ##sys#peek-c-string */
t4=*((C_word*)lf[6]+1);{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* sleep in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5912(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_5912,3,av);}
t3=C_i_check_exact_2(t2,lf[329]);
t4=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=C_sleep(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in file-close in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4241(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_4241,2,av);}
t2=C_close(((C_word*)t0)[2]);
if(C_truep(C_fixnum_lessp(t2,C_fix(0)))){
t3=C_fix((C_word)errno);
if(C_truep(C_i_eqvp(t3,C_fix((C_word)EINTR)))){
/* posixwin.scm:716: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[175]+1));
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[175]+1);
av2[1]=t1;
av2[2]=((C_word*)((C_word*)t0)[3])[1];
tp(3,av2);}}
else{
/* posixwin.scm:718: posix-error */
t4=lf[2];{
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[10];
av2[3]=lf[174];
av2[4]=lf[176];
av2[5]=((C_word*)t0)[2];
f_2315(6,av2);}}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* a4695 in k4683 in call-with-input-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4696(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_4696,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4700,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:849: close-input-pipe */
t4=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* a4689 in k4683 in call-with-input-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4690(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_4690,2,av);}
/* posixwin.scm:847: proc */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* get-host-name in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5918(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_5918,2,av);}
a=C_alloc(3);
if(C_truep(C_get_hostname())){
/* ##sys#peek-c-string */
t2=*((C_word*)lf[6]+1);{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=C_mpointer(&a,(void*)C_hostname);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}
else{
/* posixwin.scm:1289: ##sys#error */
t2=*((C_word*)lf[54]+1);{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[330];
av2[3]=lf[331];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}}

/* file-close in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4232(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_4232,3,av);}
a=C_alloc(7);
t3=C_i_check_exact_2(t2,lf[174]);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4241,a[2]=t2,a[3]=t5,a[4]=((C_word)li93),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t7;
av2[1]=t1;
f_4241(2,av2);}}

/* loop in k4358 in k4355 in file-mkstemp in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_4476(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_4476,3,t0,t1,t2);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4483,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnum_greater_or_equal_p(t2,C_fix(0)))){
t4=C_i_string_ref(((C_word*)t0)[3],t2);
t5=t3;
f_4483(t5,C_eqp(t4,C_make_character(88)));}
else{
t4=t3;
f_4483(t4,C_SCHEME_FALSE);}}

/* k4053 in free-c-string-buffer in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4055(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_4055,2,av);}
a=C_alloc(8);
t2=t1;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4060,a[2]=t2,a[3]=t4,a[4]=((C_word*)t0)[2],a[5]=((C_word)li81),tmp=(C_word)a,a+=6,tmp));
t6=((C_word*)t4)[1];
f_4060(t6,((C_word*)t0)[3],C_fix(0));}

/* free-c-string-buffer in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_4051(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_4051,2,t1,t2);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4055,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:719: pointer-vector-length */
t4=*((C_word*)lf[144]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k4221 in k4212 in k4199 in file-open in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4223(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,7)))){
C_save_and_reclaim((void *)f_4223,2,av);}
/* posixwin.scm:707: ##sys#signal-hook */
t2=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 8) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(8);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[10];
av2[3]=lf[172];
av2[4]=lf[173];
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
av2[7]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t2+1)))(8,av2);}}

/* current-user-id in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6181(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6181,2,av);}
/* posixwin.scm:1493: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[364];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k4043 in a3968 in a3947 in k3938 in list->c-string-buffer in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4045(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_4045,2,av);}
a=C_alloc(3);
/* tmp22245 */
t2=((C_word*)t0)[2];
f_4028(t2,((C_word*)t0)[3],C_a_i_list(&a,1,t1));}

/* k4671 in k4668 in close-output-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4673(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_4673,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* file-lock in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6193(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6193,2,av);}
/* posixwin.scm:1495: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[366];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* file-lock/blocking in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6199(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6199,2,av);}
/* posixwin.scm:1496: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[367];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k4668 in close-output-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4670(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_4670,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4673,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_eqp(C_fix(-1),((C_word*)t0)[3]);
if(C_truep(t3)){
/* posixwin.scm:840: ##sys#signal-hook */
t4=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=lf[10];
av2[3]=lf[202];
av2[4]=lf[203];
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}
else{
t4=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k4215 in k4212 in k4199 in file-open in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4217(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_4217,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k4212 in k4199 in file-open in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4214(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_4214,2,av);}
a=C_alloc(10);
t2=C_open(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4217,a[2]=((C_word*)t0)[4],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_eqp(C_fix(-1),t2);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4223,a[2]=t3,a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm:706: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word *av2=av; /* Re-use our own argvector */
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t5;
tp(2,av2);}}
else{
t5=((C_word*)t0)[4];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t5;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* a6377 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6378(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_6378,3,av);}
t3=C_i_check_exact_2(t2,lf[127]);
t4=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=C_slot(*((C_word*)lf[126]+1),t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* close-output-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4663(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_4663,3,av);}
a=C_alloc(5);
t3=t2;
t4=C_i_check_port_2(t3,C_SCHEME_FALSE,C_SCHEME_TRUE,lf[202]);
t5=close_pipe(t2);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4670,a[2]=t1,a[3]=t5,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:838: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word *av2=av; /* Re-use our own argvector */
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t6;
tp(2,av2);}}

/* file-link in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6187(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6187,2,av);}
/* posixwin.scm:1494: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[365];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k4199 in file-open in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_4201(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_4201,2,t0,t1);}
a=C_alloc(6);
t2=t1;
t3=C_i_check_string_2(((C_word*)t0)[2],lf[172]);
t4=C_i_check_exact_2(((C_word*)t0)[3],lf[172]);
t5=C_i_check_exact_2(t2,lf[172]);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4214,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm:704: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[13]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[13]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[172];
tp(4,av2);}}

/* k4481 in loop in k4358 in k4355 in file-mkstemp in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_4483(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_4483,2,t0,t1);}
if(C_truep(t1)){
t2=C_fixnum_difference(((C_word*)t0)[2],C_fix(1));
/* posixwin.scm:757: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_4476(t3,((C_word*)t0)[4],t2);}
else{
t2=((C_word*)t0)[4];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* fifo? in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6368(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_6368,3,av);}
t3=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* string->time in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6361(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6361,2,av);}
/* posixwin.scm:1523: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[394];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k4653 in k4650 in close-input-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4655(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_4655,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k4650 in close-input-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4652(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_4652,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4655,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_eqp(C_fix(-1),((C_word*)t0)[3]);
if(C_truep(t3)){
/* posixwin.scm:832: ##sys#signal-hook */
t4=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=lf[10];
av2[3]=lf[200];
av2[4]=lf[201];
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}
else{
t4=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* change-file-mode in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4896(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_4896,4,av);}
a=C_alloc(5);
t4=C_i_check_string_2(t2,lf[277]);
t5=C_i_check_exact_2(t3,lf[277]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4920,a[2]=t3,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:986: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[13]+1));
C_word *av2=av; /* Re-use our own argvector */
av2[0]=*((C_word*)lf[13]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=lf[277];
tp(4,av2);}}

/* g289 in k2865 in delete-directory in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_2868(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_2868,3,t0,t1,t2);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2878,a[2]=t1,a[3]=t2,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:441: symbolic-link? */
t4=*((C_word*)lf[36]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k2865 in delete-directory in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2867(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,c,3)))){
C_save_and_reclaim((void *)f_2867,2,av);}
a=C_alloc(16);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2868,a[2]=((C_word*)t0)[2],a[3]=((C_word)li25),tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2887,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2892,a[2]=t5,a[3]=t2,a[4]=((C_word)li26),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_2892(t7,t3,t1);}

/* k2697 in check in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2699(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2699,2,av);}
t2=C_set_file_ptr(t1,((C_word*)t0)[2]);
t3=t1;
t4=((C_word*)t0)[3];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k4465 in k4364 in k4358 in k4355 in file-mkstemp in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4467(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_4467,2,av);}
if(C_truep(t1)){
t2=t1;
/* posixwin.scm:759: directory-exists? */
t3=*((C_word*)lf[189]+1);{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
/* posixwin.scm:759: directory-exists? */
t2=*((C_word*)lf[189]+1);{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[190];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}}

/* create-session in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6145(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6145,2,av);}
/* posixwin.scm:1487: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[358];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k4461 in k4364 in k4358 in k4355 in file-mkstemp in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4463(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_4463,2,av);}
if(C_truep(t1)){
t2=C_eqp(((C_word*)t0)[2],((C_word*)t0)[3]);
if(C_truep(t2)){
/* posixwin.scm:765: ##sys#signal-hook */
t3=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[4];
av2[2]=lf[10];
av2[3]=lf[183];
av2[4]=lf[187];
av2[5]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=((C_word*)t0)[4];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=t3;
f_4369(2,av2);}}}
else{
/* posixwin.scm:763: ##sys#signal-hook */
t2=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[4];
av2[2]=lf[10];
av2[3]=lf[183];
av2[4]=lf[188];
av2[5]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}

/* current-effective-group-id in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6157(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6157,2,av);}
/* posixwin.scm:1489: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[360];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k2876 in g289 in k2865 in delete-directory in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2878(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_2878,2,av);}
a=C_alloc(5);
if(C_truep(t1)){
t2=*((C_word*)lf[79]+1);
t3=*((C_word*)lf[79]+1);
/* posix-common.scm:440: g299 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[79]+1));
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[79]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2884,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:442: directory? */
t3=*((C_word*)lf[41]+1);{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}}

/* signal-unmask! in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6337(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6337,2,av);}
/* posixwin.scm:1519: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[390];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* signal-masked? in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6331(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6331,2,av);}
/* posixwin.scm:1518: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[389];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k5186 in k5177 in k5174 in set-buffering-mode! in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_5188(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,6)))){
C_save_and_reclaim_args((void *)trf_5188,2,t0,t1);}
if(C_truep(t1)){
/* posixwin.scm:1112: ##sys#error */
t2=*((C_word*)lf[54]+1);{
C_word av2[7];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[297];
av2[3]=lf[298];
av2[4]=((C_word*)t0)[3];
av2[5]=((C_word*)t0)[4];
av2[6]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* signal-mask! in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6325(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6325,2,av);}
/* posixwin.scm:1517: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[388];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k4683 in call-with-input-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4685(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_4685,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4690,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li107),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4696,a[2]=t2,a[3]=((C_word)li108),tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:846: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* call-with-input-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4681(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_4681,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4685,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=*((C_word*)lf[195]+1);
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* utc-time->seconds in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6355(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6355,2,av);}
/* posixwin.scm:1522: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[393];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* suffix-loop in loop in k4367 in k4364 in k4358 in k4355 in file-mkstemp in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_4421(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_4421,3,t0,t1,t2);}
a=C_alloc(7);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=((C_word*)t0)[3];
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_4444,a[2]=t3,a[3]=((C_word*)t0)[4],a[4]=t2,a[5]=((C_word*)t0)[5],a[6]=t1,tmp=(C_word)a,a+=7,tmp);
/* posixwin.scm:769: random */
t5=*((C_word*)lf[186]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* user-information in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6349(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6349,2,av);}
/* posixwin.scm:1521: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[392];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k5160 in terminal-size in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5162(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_5162,2,av);}
if(C_truep(t1)){
/* posixwin.scm:1090: values */{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(0);
av2[3]=C_fix(0);
C_values(4,av2);}}
else{
/* posixwin.scm:1091: ##sys#error */
t2=*((C_word*)lf[54]+1);{
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[295];
av2[3]=lf[296];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* k2452 in file-type in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2454(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_2454,2,av);}
if(C_truep(t1)){
t2=C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_stat_type);
if(C_truep(C_i_eqvp(t2,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)S_IFREG)))){
t3=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t3;
av2[1]=lf[28];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_eqvp(t2,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)S_IFLNK)))){
t3=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t3;
av2[1]=lf[29];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_eqvp(t2,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)S_IFDIR)))){
t3=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t3;
av2[1]=lf[30];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_eqvp(t2,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)S_IFCHR)))){
t3=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t3;
av2[1]=lf[31];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_eqvp(t2,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)S_IFBLK)))){
t3=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t3;
av2[1]=lf[32];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_eqvp(t2,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)S_IFIFO)))){
t3=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t3;
av2[1]=lf[33];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_eqvp(t2,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)S_IFSOCK));
t4=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=(C_truep(t3)?lf[34]:lf[28]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}}}}}}
else{
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* terminal-name in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6343(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6343,2,av);}
/* posixwin.scm:1520: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[391];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* change-file-owner in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6133(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6133,2,av);}
/* posixwin.scm:1485: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[356];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* f_3512 in a3509 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3512(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_3512,2,av);}
t2=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* a3509 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3510(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_3510,2,av);}
a=C_alloc(3);
t2=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3512,a[2]=((C_word)li53),tmp=(C_word)a,a+=3,tmp);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3517(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(38,c,4)))){
C_save_and_reclaim((void *)f_3517,2,av);}
a=C_alloc(38);
t2=C_mutate2((C_word*)lf[106]+1 /* (set! file-creation-mode ...) */,t1);
t3=C_mutate2(&lf[107] /* (set! check-time-vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3519,a[2]=((C_word)li56),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate2((C_word*)lf[109]+1 /* (set! seconds->local-time ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3538,a[2]=((C_word)li57),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate2((C_word*)lf[112]+1 /* (set! seconds->utc-time ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3559,a[2]=((C_word)li58),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate2((C_word*)lf[113]+1 /* (set! seconds->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3590,a[2]=((C_word)li59),tmp=(C_word)a,a+=3,tmp));
t7=C_fix((C_word)sizeof(struct tm));
t8=C_mutate2((C_word*)lf[115]+1 /* (set! local-time->seconds ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3628,a[2]=t7,a[3]=((C_word)li60),tmp=(C_word)a,a+=4,tmp));
t9=C_fix((C_word)sizeof(struct tm));
t10=C_mutate2((C_word*)lf[119]+1 /* (set! time->string ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3673,a[2]=t9,a[3]=((C_word)li61),tmp=(C_word)a,a+=4,tmp));
t11=C_mutate2((C_word*)lf[122]+1 /* (set! setenv ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3735,a[2]=((C_word)li62),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate2((C_word*)lf[123]+1 /* (set! unsetenv ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3752,a[2]=((C_word)li63),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate2((C_word*)lf[124]+1 /* (set! get-environment-variables ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3772,a[2]=((C_word)li66),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate2((C_word*)lf[125]+1 /* (set! set-signal-handler! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3838,a[2]=((C_word)li67),tmp=(C_word)a,a+=3,tmp));
t15=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3853,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t16=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_6378,a[2]=((C_word)li211),tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:663: getter-with-setter */
t17=*((C_word*)lf[403]+1);{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=t17;
av2[1]=t15;
av2[2]=t16;
av2[3]=*((C_word*)lf[125]+1);
((C_proc)(void*)(*((C_word*)t17+1)))(4,av2);}}

/* check-time-vector in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_3519(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_3519,3,t1,t2,t3);}
t4=C_i_check_vector_2(t3,t2);
t5=C_block_size(t3);
if(C_truep(C_fixnum_lessp(t5,C_fix(10)))){
/* posix-common.scm:581: ##sys#error */
t6=*((C_word*)lf[54]+1);{
C_word av2[5];
av2[0]=t6;
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[108];
av2[4]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t6=C_SCHEME_UNDEFINED;
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k2882 in k2876 in g289 in k2865 in delete-directory in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2884(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_2884,2,av);}
if(C_truep(t1)){
/* posix-common.scm:440: g299 */
f_2844(((C_word*)t0)[3],((C_word*)t0)[4]);}
else{
t2=*((C_word*)lf[79]+1);
t3=*((C_word*)lf[79]+1);
/* posix-common.scm:440: g299 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[79]+1));
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[79]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}}

/* k2885 in k2865 in delete-directory in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2887(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_2887,2,av);}
/* posix-common.scm:446: rmdir */
f_2844(((C_word*)t0)[3],((C_word*)t0)[4]);}

/* k3701 in k3697 in k3678 in time->string in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3703(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_3703,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];
t3=C_a_i_bytevector(&a,1,C_fix(3));
if(C_truep(t1)){
t4=C_i_foreign_block_argumentp(t1);
t5=stub582(t3,t2,((C_word*)t0)[3],t4);
/* posix-common.scm:611: ##sys#peek-c-string */
t6=*((C_word*)lf[6]+1);{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=((C_word*)t0)[4];
av2[2]=t5;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t4=stub582(t3,t2,((C_word*)t0)[3],C_SCHEME_FALSE);
/* posix-common.scm:611: ##sys#peek-c-string */
t5=*((C_word*)lf[6]+1);{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=((C_word*)t0)[4];
av2[2]=t4;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}

/* k3704 in k3678 in time->string in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3706(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_3706,2,av);}
if(C_truep(t1)){
t2=C_block_size(t1);
t3=C_fixnum_difference(t2,C_fix(1));
/* posix-common.scm:622: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[74]+1));
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[74]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_fix(0);
av2[4]=t3;
tp(5,av2);}}
else{
/* posix-common.scm:623: ##sys#error */
t2=*((C_word*)lf[54]+1);{
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[119];
av2[3]=lf[121];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* k2292 in k2289 in k2286 */
static void C_ccall f_2294(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_2294,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2297,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=C_SCHEME_UNDEFINED;
av2[1]=t2;
C_files_toplevel(2,av2);}}

/* k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_2297(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_2297,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2300,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=C_SCHEME_UNDEFINED;
av2[1]=t2;
C_ports_toplevel(2,av2);}}

/* k2289 in k2286 */
static void C_ccall f_2291(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_2291,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2294,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=C_SCHEME_UNDEFINED;
av2[1]=t2;
C_extras_toplevel(2,av2);}}

/* memory-mapped-file? in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6121(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_6121,3,av);}
t3=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t3;
av2[1]=C_i_structurep(t2,lf[347]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* create-fifo in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6139(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6139,2,av);}
/* posixwin.scm:1486: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[357];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* for-each-loop288 in k2865 in delete-directory in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_2892(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_2892,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2902,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* posix-common.scm:435: g289 */
t5=((C_word*)t0)[3];
f_2868(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* check in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_2686(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,5)))){
C_save_and_reclaim_args((void *)trf_2686,5,t1,t2,t3,t4,t5);}
a=C_alloc(4);
if(C_truep(C_null_pointerp(t5))){
/* posix-common.scm:370: posix-error */
t6=lf[2];{
C_word av2[6];
av2[0]=t6;
av2[1]=t1;
av2[2]=lf[10];
av2[3]=t2;
av2[4]=lf[60];
av2[5]=t3;
f_2315(6,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2699,a[2]=t5,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:371: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[61]+1));
C_word av2[6];
av2[0]=*((C_word*)lf[61]+1);
av2[1]=t6;
av2[2]=t4;
av2[3]=*((C_word*)lf[62]+1);
av2[4]=lf[63];
av2[5]=lf[47];
tp(6,av2);}}}

/* create-symbolic-link in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6151(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6151,2,av);}
/* posixwin.scm:1488: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[359];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k4811 in create-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4813(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_4813,2,av);}
/* posixwin.scm:891: ##sys#signal-hook */
t2=*((C_word*)lf[3]+1);{
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[10];
av2[3]=lf[210];
av2[4]=lf[211];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* seconds->local-time in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3538(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +3,c,3)))){
C_save_and_reclaim((void*)f_3538,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+3);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3542,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t2))){
/* posix-common.scm:583: current-seconds */
t4=*((C_word*)lf[111]+1);{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_i_car(t2);
t5=C_i_check_number_2(t4,lf[109]);
/* posix-common.scm:585: ##sys#decode-seconds */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[110]+1));
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[110]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}}

/* change-directory* in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6127(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6127,2,av);}
/* posixwin.scm:1484: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[355];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* close-input-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4645(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_4645,3,av);}
a=C_alloc(5);
t3=t2;
t4=C_i_check_port_2(t3,C_SCHEME_TRUE,C_SCHEME_TRUE,lf[200]);
t5=close_pipe(t2);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4652,a[2]=t1,a[3]=t5,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:830: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word *av2=av; /* Re-use our own argvector */
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t6;
tp(2,av2);}}

/* k3302 in k3295 in k3292 in k3483 in k3480 in k3477 in k3474 in k3471 in k3468 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3304(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,5)))){
C_save_and_reclaim((void *)f_3304,2,av);}
a=C_alloc(12);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_3306,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word)li43),tmp=(C_word)a,a+=10,tmp));
t5=((C_word*)t3)[1];
f_3306(t5,((C_word*)t0)[8],((C_word*)t0)[9],t1,((C_word*)t0)[10]);}

/* loop in k3302 in k3295 in k3292 in k3483 in k3480 in k3477 in k3474 in k3471 in k3468 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_3306(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,0,3)))){
C_save_and_reclaim_args((void *)trf_3306,5,t0,t1,t2,t3,t4);}
a=C_alloc(14);
if(C_truep(C_i_nullp(t3))){
t5=t4;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=C_slot(t3,C_fix(0));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_3319,a[2]=t3,a[3]=t6,a[4]=((C_word*)t0)[2],a[5]=t1,a[6]=t2,a[7]=t4,a[8]=((C_word*)t0)[3],a[9]=((C_word*)t0)[4],a[10]=((C_word*)t0)[5],a[11]=((C_word*)t0)[6],a[12]=((C_word*)t0)[7],a[13]=((C_word*)t0)[8],tmp=(C_word)a,a+=14,tmp);
/* posix-common.scm:535: make-pathname */
t8=*((C_word*)lf[87]+1);{
C_word av2[4];
av2[0]=t8;
av2[1]=t7;
av2[2]=t2;
av2[3]=t6;
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}}

/* k4802 in create-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4804(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_4804,2,av);}
/* posixwin.scm:892: values */{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix((C_word)C_pipefds[ 0 ]);
av2[3]=C_fix((C_word)C_pipefds[ 1 ]);
C_values(4,av2);}}

/* a3501 in k3468 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3502(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_3502,2,av);}
a=C_alloc(3);
t2=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3504,a[2]=((C_word)li51),tmp=(C_word)a,a+=3,tmp);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f_3504 in a3501 in k3468 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3504(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_3504,4,av);}
a=C_alloc(3);
t4=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k3317 in loop in k3302 in k3295 in k3292 in k3483 in k3480 in k3477 in k3474 in k3471 in k3468 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3319(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_3319,2,av);}
a=C_alloc(15);
t2=t1;
t3=C_slot(((C_word*)t0)[2],C_fix(1));
t4=t3;
t5=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_3328,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=t4,a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=t2,a[11]=((C_word*)t0)[10],a[12]=((C_word*)t0)[11],a[13]=((C_word*)t0)[12],a[14]=((C_word*)t0)[13],tmp=(C_word)a,a+=15,tmp);
/* posix-common.scm:537: directory? */
t6=*((C_word*)lf[41]+1);{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* setenv in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3735(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_3735,4,av);}
a=C_alloc(4);
t4=C_i_check_string_2(t2,lf[122]);
t5=C_i_check_string_2(t3,lf[122]);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3746,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:632: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[13]+1));
C_word *av2=av; /* Re-use our own argvector */
av2[0]=*((C_word*)lf[13]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=lf[122];
tp(4,av2);}}

/* k5596 in k5592 in k5588 in k5578 in k5571 in process in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5598(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_5598,2,av);}
/* posixwin.scm:1232: values */{
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=C_fix((C_word)*((int *)C_data_pointer(((C_word*)t0)[5])));
av2[5]=t1;
C_values(6,av2);}}

/* k5588 in k5578 in k5571 in process in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5590(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_5590,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_5594,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
if(C_truep(((C_word*)t0)[6])){
/* posixwin.scm:1234: open-output-file* */
t4=*((C_word*)lf[65]+1);{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_fix((C_word)*((int *)C_data_pointer(((C_word*)t0)[7])));
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
t4=t3;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
f_5594(2,av2);}}}

/* k5592 in k5588 in k5578 in k5571 in process in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5594(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_5594,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_5598,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
if(C_truep(((C_word*)t0)[5])){
/* posixwin.scm:1236: open-input-file* */
t4=*((C_word*)lf[64]+1);{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_fix((C_word)*((int *)C_data_pointer(((C_word*)t0)[6])));
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
/* posixwin.scm:1232: values */{
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
av2[4]=C_fix((C_word)*((int *)C_data_pointer(((C_word*)t0)[4])));
av2[5]=C_SCHEME_FALSE;
C_values(6,av2);}}}

/* seconds->utc-time in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3559(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +3,c,3)))){
C_save_and_reclaim((void*)f_3559,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+3);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3563,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t2))){
/* posix-common.scm:587: current-seconds */
t4=*((C_word*)lf[111]+1);{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_i_car(t2);
t5=C_i_check_number_2(t4,lf[112]);
/* posix-common.scm:589: ##sys#decode-seconds */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[110]+1));
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[110]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_TRUE;
tp(4,av2);}}}

/* k3326 in k3317 in loop in k3302 in k3295 in k3292 in k3483 in k3480 in k3477 in k3474 in k3471 in k3468 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3328(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,4)))){
C_save_and_reclaim((void *)f_3328,2,av);}
a=C_alloc(14);
if(C_truep(t1)){
if(C_truep((C_truep(C_i_equalp(((C_word*)t0)[2],lf[97]))?C_SCHEME_TRUE:(C_truep(C_i_equalp(((C_word*)t0)[2],lf[98]))?C_SCHEME_TRUE:C_SCHEME_FALSE)))){
/* posix-common.scm:538: loop */
t2=((C_word*)((C_word*)t0)[3])[1];
f_3306(t2,((C_word*)t0)[4],((C_word*)t0)[5],((C_word*)t0)[6],((C_word*)t0)[7]);}
else{
t2=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_3418,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[9],a[8]=((C_word*)t0)[10],a[9]=((C_word*)t0)[7],a[10]=((C_word*)t0)[11],a[11]=((C_word*)t0)[12],a[12]=((C_word*)t0)[13],a[13]=((C_word*)t0)[14],tmp=(C_word)a,a+=14,tmp);
/* posix-common.scm:539: symbolic-link? */
t3=*((C_word*)lf[36]+1);{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[10];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}}
else{
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_3427,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[9],a[7]=((C_word*)t0)[10],a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
/* posix-common.scm:549: pproc */
t3=((C_word*)t0)[11];{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[10];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}}

/* k3744 in setenv in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3746(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_3746,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3750,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:632: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[13]+1));
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[13]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[122];
tp(4,av2);}}

/* k5776 in k5772 in %process in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5778(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_5778,2,av);}
t2=C_mutate2(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t3;
av2[1]=t2;
f_5739(2,av2);}}

/* k5772 in %process in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5774(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_5774,2,av);}
a=C_alloc(4);
t2=C_mutate2(((C_word *)((C_word*)t0)[2])+1,t1);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5778,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm:1256: ##sys#shell-command */
t4=*((C_word*)lf[315]+1);{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k3748 in k3744 in setenv in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3750(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_3750,2,av);}
t2=C_setenv(((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* unsetenv in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3752(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_3752,3,av);}
a=C_alloc(3);
t3=C_i_check_string_2(t2,lf[123]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3760,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posix-common.scm:637: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[13]+1));
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[13]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[123];
tp(4,av2);}}

/* k5571 in process in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5573(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(35,c,5)))){
C_save_and_reclaim((void *)f_5573,2,av);}
a=C_alloc(35);
t2=t1;
t3=C_a_i_bytevector(&a,1,C_fix(1));
t4=((*(int *)C_data_pointer(t3))=C_unfix(C_fix(-1)),C_SCHEME_UNDEFINED);
t5=C_a_i_bytevector(&a,1,C_fix(1));
t6=((*(int *)C_data_pointer(t5))=C_unfix(C_fix(-1)),C_SCHEME_UNDEFINED);
t7=C_a_i_bytevector(&a,1,C_fix(1));
t8=((*(int *)C_data_pointer(t7))=C_unfix(C_fix(-1)),C_SCHEME_UNDEFINED);
t9=C_a_i_bytevector(&a,1,C_fix(1));
t10=((*(int *)C_data_pointer(t9))=C_unfix(C_fix(-1)),C_SCHEME_UNDEFINED);
t11=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_5580,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=t9,a[6]=((C_word*)t0)[4],a[7]=t5,a[8]=((C_word*)t0)[5],a[9]=t7,a[10]=((C_word*)t0)[6],a[11]=t2,tmp=(C_word)a,a+=12,tmp);
t12=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_5617,a[2]=t11,a[3]=((C_word*)t0)[7],a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[3],a[8]=t9,a[9]=t7,a[10]=t5,tmp=(C_word)a,a+=11,tmp);
/* posixwin.scm:1228: ##sys#make-locative */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[324]+1));
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[324]+1);
av2[1]=t12;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=C_SCHEME_FALSE;
av2[5]=lf[325];
tp(6,av2);}}

/* k3108 in k3096 in loop in k3068 in k3064 in k3061 in k3058 in k3043 in directory in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_3110(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_3110,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
/* posix-common.scm:492: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_3084(t2,((C_word*)t0)[3]);}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3120,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:493: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_3084(t3,t2);}}

/* open-output-pipe in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4605(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +10,c,3)))){
C_save_and_reclaim((void*)f_4605,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+10);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
t4=C_i_check_string_2(t2,lf[199]);
t5=C_i_pairp(t3);
t6=(C_truep(t5)?C_slot(t3,C_fix(0)):lf[196]);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4619,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t8=C_eqp(t6,lf[196]);
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4626,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:823: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[13]+1));
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[13]+1);
av2[1]=t9;
av2[2]=t2;
av2[3]=lf[199];
tp(4,av2);}}
else{
t9=C_eqp(t6,lf[197]);
if(C_truep(t9)){
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4636,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:824: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[13]+1));
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[13]+1);
av2[1]=t10;
av2[2]=t2;
av2[3]=lf[199];
tp(4,av2);}}
else{
/* posixwin.scm:798: ##sys#error */
t10=*((C_word*)lf[54]+1);{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=t10;
av2[1]=t7;
av2[2]=lf[198];
av2[3]=t6;
((C_proc)(void*)(*((C_word*)t10+1)))(4,av2);}}}}

/* k5578 in k5571 in process in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5580(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_5580,2,av);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_5590,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
if(C_truep(((C_word*)t0)[8])){
/* posixwin.scm:1233: open-input-file* */
t3=*((C_word*)lf[64]+1);{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_fix((C_word)*((int *)C_data_pointer(((C_word*)t0)[9])));
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=t2;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_5590(2,av2);}}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5610,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[10],a[4]=((C_word*)t0)[11],tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:1238: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word *av2=av; /* Re-use our own argvector */
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t2;
tp(2,av2);}}}

/* k3118 in k3108 in k3096 in loop in k3068 in k3064 in k3061 in k3058 in k3043 in directory in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3120(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_3120,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* a5752 in k5740 in k5737 in %process in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5753(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_5753,6,av);}
if(C_truep(((C_word*)t0)[2])){
/* posixwin.scm:1260: values */{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=t4;
av2[5]=t5;
C_values(6,av2);}}
else{
/* posixwin.scm:1261: values */{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=t4;
C_values(5,av2);}}}

/* k5177 in k5174 in set-buffering-mode! in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5179(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_5179,2,av);}
a=C_alloc(6);
t2=t1;
t3=C_i_check_exact_2(((C_word*)t0)[2],lf[297]);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_5188,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t2,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
t5=C_slot(((C_word*)t0)[4],C_fix(7));
t6=C_eqp(lf[47],t5);
if(C_truep(t6)){
t7=C_setvbuf(((C_word*)t0)[4],t2,((C_word*)t0)[2]);
t8=t4;
f_5188(t8,C_fixnum_lessp(t7,C_fix(0)));}
else{
t7=t4;
f_5188(t7,C_SCHEME_TRUE);}}

/* k5174 in set-buffering-mode! in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_5176(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,5)))){
C_save_and_reclaim_args((void *)trf_5176,2,t0,t1);}
a=C_alloc(5);
t2=t1;
t3=((C_word*)t0)[2];
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5179,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t5=C_eqp(t3,lf[299]);
if(C_truep(t5)){
t6=t4;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_fix((C_word)_IOFBF);
f_5179(2,av2);}}
else{
t6=C_eqp(t3,lf[300]);
if(C_truep(t6)){
t7=C_fix((C_word)_IOLBF);
t8=t4;{
C_word av2[2];
av2[0]=t8;
av2[1]=t7;
f_5179(2,av2);}}
else{
t7=C_eqp(t3,lf[301]);
if(C_truep(t7)){
t8=t4;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_fix((C_word)_IONBF);
f_5179(2,av2);}}
else{
/* posixwin.scm:1106: ##sys#error */
t8=*((C_word*)lf[54]+1);{
C_word av2[6];
av2[0]=t8;
av2[1]=t4;
av2[2]=lf[297];
av2[3]=lf[302];
av2[4]=((C_word*)t0)[2];
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t8+1)))(6,av2);}}}}}

/* set-signal-handler! in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3838(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_3838,4,av);}
t4=C_i_check_exact_2(t2,lf[125]);
if(C_truep(t3)){
t5=t2;
t6=C_establish_signal_handler(t2,t5);
t7=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t7;
av2[1]=C_i_vector_set(*((C_word*)lf[126]+1),t2,t3);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t5=C_establish_signal_handler(t2,C_SCHEME_FALSE);
t6=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t6;
av2[1]=C_i_vector_set(*((C_word*)lf[126]+1),t2,t3);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* set-buffering-mode! in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5170(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +5,c,2)))){
C_save_and_reclaim((void*)f_5170,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+5);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t5=t2;
t6=C_i_check_port_2(t5,C_fix(0),C_SCHEME_TRUE,lf[297]);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5176,a[2]=t3,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_pairp(t4))){
t8=t4;
t9=t7;
f_5176(t9,C_u_i_car(t8));}
else{
t8=t7;
f_5176(t8,C_fix((C_word)BUFSIZ));}}

/* k3096 in loop in k3068 in k3064 in k3061 in k3058 in k3043 in directory in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3098(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_3098,2,av);}
a=C_alloc(5);
t2=t1;
t3=C_i_string_ref(t2,C_fix(0));
t4=C_fixnum_greaterp(((C_word*)t0)[2],C_fix(1));
t5=(C_truep(t4)?C_i_string_ref(t2,C_fix(1)):C_SCHEME_FALSE);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3110,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t7=C_eqp(C_make_character(46),t3);
if(C_truep(t7)){
t8=C_i_not(t5);
if(C_truep(t8)){
t9=t6;
f_3110(t9,t8);}
else{
t9=C_eqp(C_make_character(46),t5);
if(C_truep(t9)){
t10=C_eqp(C_fix(2),((C_word*)t0)[2]);
t11=t6;
f_3110(t11,(C_truep(t10)?t10:C_i_not(((C_word*)t0)[5])));}
else{
t10=t6;
f_3110(t10,C_i_not(((C_word*)t0)[5]));}}}
else{
t8=t6;
f_3110(t8,C_SCHEME_FALSE);}}

/* ##sys#process in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5563(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6=av[6];
C_word t7=av[7];
C_word t8=av[8];
C_word t9;
C_word *a;
if(c<9) C_bad_min_argc_2(c,9,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-9)*C_SIZEOF_PAIR +28,c,3)))){
C_save_and_reclaim((void*)f_5563,c,av);}
a=C_alloc((c-9)*C_SIZEOF_PAIR+28);
t9=C_build_rest(&a,c,9,av);
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
t10=C_i_nullp(t9);
t11=(C_truep(t10)?C_SCHEME_FALSE:C_i_car(t9));
t12=C_a_i_cons(&a,2,t3,t4);
t13=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_5573,a[2]=t1,a[3]=t8,a[4]=t7,a[5]=t6,a[6]=t2,a[7]=t3,tmp=(C_word)a,a+=8,tmp);
t14=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5649,a[2]=t13,tmp=(C_word)a,a+=3,tmp);
if(C_truep(t11)){
/* posixwin.scm:1220: string-intersperse */
t15=*((C_word*)lf[326]+1);{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t15;
av2[1]=t13;
av2[2]=t12;
((C_proc)(void*)(*((C_word*)t15+1)))(3,av2);}}
else{
t15=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t16=t15;
t17=(*a=C_VECTOR_TYPE|1,a[1]=t16,tmp=(C_word)a,a+=2,tmp);
t18=((C_word*)t17)[1];
t19=lf[308];
t20=C_SCHEME_UNDEFINED;
t21=(*a=C_VECTOR_TYPE|1,a[1]=t20,tmp=(C_word)a,a+=2,tmp);
t22=C_set_block_item(t21,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_5657,a[2]=t17,a[3]=t21,a[4]=t19,a[5]=t18,a[6]=((C_word)li151),tmp=(C_word)a,a+=7,tmp));
t23=((C_word*)t21)[1];
f_5657(t23,t14,t12);}}

/* loop in k3068 in k3064 in k3061 in k3058 in k3043 in directory in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_3084(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_3084,2,t0,t1);}
a=C_alloc(6);
t2=C_readdir(((C_word*)t0)[2],((C_word*)t0)[3]);
if(C_truep(C_null_pointerp(((C_word*)t0)[3]))){
t3=C_closedir(((C_word*)t0)[2]);
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_block_size(((C_word*)t0)[4]);
t4=C_foundfile(((C_word*)t0)[3],((C_word*)t0)[4],t3);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3098,a[2]=t4,a[3]=((C_word*)t0)[5],a[4]=t1,a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
/* posix-common.scm:485: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[74]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[74]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[4];
av2[3]=C_fix(0);
av2[4]=t4;
tp(5,av2);}}}

/* process-spawn in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5363(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +8,c,7)))){
C_save_and_reclaim((void*)f_5363,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+8);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_END_OF_LIST:C_i_car(t4));
t7=C_i_nullp(t4);
t8=(C_truep(t7)?C_SCHEME_END_OF_LIST:C_i_cdr(t4));
t9=C_i_nullp(t8);
t10=(C_truep(t9)?C_SCHEME_FALSE:C_i_car(t8));
t11=C_i_nullp(t8);
t12=(C_truep(t11)?C_SCHEME_END_OF_LIST:C_i_cdr(t8));
t13=C_i_nullp(t12);
t14=(C_truep(t13)?C_SCHEME_FALSE:C_i_car(t12));
t15=C_i_nullp(t12);
t16=(C_truep(t15)?C_SCHEME_END_OF_LIST:C_i_cdr(t12));
t17=(C_truep(t14)?(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5407,a[2]=((C_word)li145),tmp=(C_word)a,a+=3,tmp):lf[308]);
t18=C_i_check_exact_2(t2,lf[313]);
t19=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5393,a[2]=t2,a[3]=t3,a[4]=((C_word)li146),tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm:1161: call-with-exec-args */
t20=lf[146];
f_4087(t20,t1,lf[313],t3,t17,t6,t10,t19);}

/* k4016 in doloop683 in tmp12244 in a3968 in a3947 in k3938 in list->c-string-buffer in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4018(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_4018,2,av);}
/* posix-common.scm:711: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[13]+1));
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[13]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* process in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5780(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,7)))){
C_save_and_reclaim((void*)f_5780,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_i_car(t3));
t6=C_i_nullp(t3);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:C_i_cdr(t3));
t8=C_i_nullp(t7);
t9=(C_truep(t8)?C_SCHEME_FALSE:C_i_car(t7));
t10=C_i_nullp(t7);
t11=(C_truep(t10)?C_SCHEME_END_OF_LIST:C_i_cdr(t7));
t12=C_i_nullp(t11);
t13=(C_truep(t12)?C_SCHEME_FALSE:C_i_car(t11));
if(C_truep(C_i_nullp(t11))){
/* posixwin.scm:1264: %process */
f_5696(t1,lf[327],C_SCHEME_FALSE,t2,t5,t9,t13);}
else{
t14=C_i_cdr(t11);
/* posixwin.scm:1264: %process */
f_5696(t1,lf[327],C_SCHEME_FALSE,t2,t5,t9,t13);}}

/* k4000 in k3997 in k3991 in doloop683 in tmp12244 in a3968 in a3947 in k3938 in list->c-string-buffer in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_4002(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_4002,2,av);}
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
t5=((C_word*)((C_word*)t0)[4])[1];
f_3977(t5,((C_word*)t0)[5],t3,t4);}

/* a3200 in conc-loop in glob in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3201(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_3201,2,av);}
/* posix-common.scm:503: decompose-pathname */
t2=*((C_word*)lf[86]+1);{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* a3206 in conc-loop in glob in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3207(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_3207,5,av);}
a=C_alloc(9);
t5=t2;
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3211,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t5,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3281,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
if(C_truep(t3)){
t8=t3;
/* posix-common.scm:504: make-pathname */
t9=*((C_word*)lf[87]+1);{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t9;
av2[1]=t7;
av2[2]=C_SCHEME_FALSE;
av2[3]=t8;
av2[4]=t4;
((C_proc)(void*)(*((C_word*)t9+1)))(5,av2);}}
else{
/* posix-common.scm:504: make-pathname */
t8=*((C_word*)lf[87]+1);{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t8;
av2[1]=t7;
av2[2]=C_SCHEME_FALSE;
av2[3]=lf[96];
av2[4]=t4;
((C_proc)(void*)(*((C_word*)t8+1)))(5,av2);}}}

/* k2286 */
static void C_ccall f_2288(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_2288,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2291,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=C_SCHEME_UNDEFINED;
av2[1]=t2;
C_irregex_toplevel(2,av2);}}

/* f_5407 in process-spawn in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5407(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_5407,3,av);}
t3=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k5398 in a5392 in process-spawn in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5400(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_5400,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k5631 in k5627 in k5623 in k5619 in k5615 in k5571 in process in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5633(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_5633,2,av);}
a=C_alloc(9);
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];
t4=((C_word*)t0)[4];
t5=((C_word*)t0)[5];
t6=((C_word*)t0)[6];
t7=((C_word*)t0)[7];
t8=((C_word*)t0)[8];
t9=t1;
t10=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_5505,a[2]=t5,a[3]=t6,a[4]=t7,a[5]=t8,a[6]=t9,a[7]=t2,a[8]=t4,tmp=(C_word)a,a+=9,tmp);
if(C_truep(t3)){
t11=C_i_foreign_string_argumentp(t3);
/* posixwin.scm:1213: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[13]+1));
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[13]+1);
av2[1]=t10;
av2[2]=t11;
tp(3,av2);}}
else{
t11=t10;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t11;
av2[1]=C_SCHEME_FALSE;
f_5505(2,av2);}}}

/* k5969 in current-user-name in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5971(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_5971,2,av);}
/* posixwin.scm:1309: ##sys#error */
t2=*((C_word*)lf[54]+1);{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[335];
av2[3]=lf[336];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k5939 in system-information in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5941(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_5941,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5945,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* ##sys#peek-c-string */
t4=*((C_word*)lf[6]+1);{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_mpointer(&a,(void*)C_osrel);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k5943 in k5939 in system-information in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5945(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_5945,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5949,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* ##sys#peek-c-string */
t4=*((C_word*)lf[6]+1);{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_mpointer(&a,(void*)C_osver);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k5947 in k5943 in k5939 in system-information in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5949(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_5949,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_5953,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* ##sys#peek-c-string */
t4=*((C_word*)lf[6]+1);{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_mpointer(&a,(void*)C_processor);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k5951 in k5947 in k5943 in k5939 in system-information in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5953(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,1)))){
C_save_and_reclaim((void *)f_5953,2,av);}
a=C_alloc(15);
t2=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=C_a_i_list5(&a,5,lf[333],((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k5954 in system-information in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5956(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_5956,2,av);}
/* posixwin.scm:1300: ##sys#error */
t2=*((C_word*)lf[54]+1);{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[332];
av2[3]=lf[334];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* signal-mask in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6319(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6319,2,av);}
/* posixwin.scm:1516: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[387];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* set-user-id! in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6313(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6313,2,av);}
/* posixwin.scm:1515: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[386];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* list->c-string-buffer in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_3932(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_3932,4,t1,t2,t3,t4);}
a=C_alloc(11);
t5=C_i_check_list_2(t2,t4);
t6=t2;
t7=C_u_i_length(t6);
t8=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_3940,a[2]=t1,a[3]=t7,a[4]=t4,a[5]=t3,a[6]=t2,tmp=(C_word)a,a+=7,tmp);
t9=C_a_i_plus(&a,2,t7,C_fix(1));
/* posix-common.scm:698: make-pointer-vector */
t10=*((C_word*)lf[141]+1);{
C_word av2[4];
av2[0]=t10;
av2[1]=t8;
av2[2]=t9;
av2[3]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t10+1)))(4,av2);}}

/* set-root-directory! in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6301(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6301,2,av);}
/* posixwin.scm:1513: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[384];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* set-signal-mask! in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6307(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_6307,2,av);}
/* posixwin.scm:1514: error */
t2=*((C_word*)lf[137]+1);{
C_word av2[4];
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[385];
av2[3]=lf[0];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k3941 in k3938 in list->c-string-buffer in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3943(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_3943,2,av);}
/* posix-common.scm:696: g678 */
t2=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* a3947 in k3938 in list->c-string-buffer in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3948(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(14,c,3)))){
C_save_and_reclaim((void *)f_3948,3,av);}
a=C_alloc(14);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3954,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li73),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_3969,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t2,a[8]=((C_word)li78),tmp=(C_word)a,a+=9,tmp);
/* posix-common.scm:696: with-exception-handler */
t5=*((C_word*)lf[139]+1);{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t3;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k3938 in list->c-string-buffer in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3940(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_3940,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3943,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_3948,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word)li79),tmp=(C_word)a,a+=8,tmp);
/* posix-common.scm:696: call-with-current-continuation */
t5=*((C_word*)lf[140]+1);{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* a3953 in a3947 in k3938 in list->c-string-buffer in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3954(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_3954,3,av);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3960,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li72),tmp=(C_word)a,a+=5,tmp);
/* posix-common.scm:696: k674 */
t4=((C_word*)t0)[3];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* memory-mapped-file-pointer in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_6112(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_6112,3,av);}
t3=C_i_check_structure_2(t2,lf[347],lf[353]);
t4=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=C_slot(t2,C_fix(1));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k3962 in a3959 in a3953 in a3947 in k3938 in list->c-string-buffer in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3964(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_3964,2,av);}
/* posix-common.scm:702: signal */
t2=*((C_word*)lf[134]+1);{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* a3968 in a3947 in k3938 in list->c-string-buffer in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3969(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(16,c,3)))){
C_save_and_reclaim((void *)f_3969,2,av);}
a=C_alloc(16);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_3971,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word)li75),tmp=(C_word)a,a+=8,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4028,a[2]=((C_word*)t0)[7],a[3]=((C_word)li77),tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4045,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* tmp12244 */
t5=t2;
f_3971(t5,t4);}

/* a3959 in a3953 in a3947 in k3938 in list->c-string-buffer in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3960(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_3960,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3964,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* posix-common.scm:702: free-c-string-buffer */
f_4051(t2,((C_word*)t0)[3]);}

/* current-user-name in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5961(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_5961,2,av);}
a=C_alloc(3);
if(C_truep(C_get_user_name())){
/* ##sys#peek-c-string */
t2=*((C_word*)lf[6]+1);{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=C_mpointer(&a,(void*)C_username);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5971,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm:1308: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[7]+1));
C_word *av2=av; /* Re-use our own argvector */
av2[0]=*((C_word*)lf[7]+1);
av2[1]=t2;
tp(2,av2);}}}

/* k3561 in seconds->utc-time in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3563(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_3563,2,av);}
t2=C_i_check_number_2(t1,lf[112]);
/* posix-common.scm:589: ##sys#decode-seconds */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[110]+1));
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[110]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_TRUE;
tp(4,av2);}}

/* k3758 in unsetenv in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3760(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_3760,2,av);}
t2=C_unsetenv(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* loop in get-environment-variables in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_fcall f_3778(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_3778,3,t0,t1,t2);}
a=C_alloc(10);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3782,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=t2;
t5=C_a_i_bytevector(&a,1,C_fix(3));
t6=C_i_foreign_fixnum_argumentp(t4);
t7=stub621(t5,t6);
/* posix-common.scm:641: ##sys#peek-c-string */
t8=*((C_word*)lf[6]+1);{
C_word av2[4];
av2[0]=t8;
av2[1]=t3;
av2[2]=t7;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}

/* seconds->string in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3590(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +3,c,2)))){
C_save_and_reclaim((void*)f_3590,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+3);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3594,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t2))){
/* posix-common.scm:593: current-seconds */
t4=*((C_word*)lf[111]+1);{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=t3;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t4;
av2[1]=C_i_car(t2);
f_3594(2,av2);}}}

/* k3592 in seconds->string in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_3594(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_3594,2,av);}
a=C_alloc(9);
t2=t1;
t3=C_i_check_number_2(t2,lf[113]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3600,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t5=C_a_i_bytevector(&a,1,C_fix(3));
t6=C_i_foreign_integer_argumentp(t2);
t7=stub544(t5,t6);
/* posix-common.scm:592: ##sys#peek-c-string */
t8=*((C_word*)lf[6]+1);{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=t8;
av2[1]=t4;
av2[2]=t7;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}

/* k3360 in k3416 in k3326 in k3317 in loop in k3302 in k3295 in k3292 in k3483 in k3480 in k3477 in k3474 in k3471 in k3468 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in ... */
static void C_ccall f_3362(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(31,c,4)))){
C_save_and_reclaim((void *)f_3362,2,av);}
a=C_alloc(31);
if(C_truep(t1)){
t2=C_fixnum_plus(((C_word*)((C_word*)t0)[2])[1],C_fix(1));
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3372,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3374,a[2]=t6,a[3]=((C_word*)t0)[2],a[4]=t4,a[5]=((C_word)li40),tmp=(C_word)a,a+=6,tmp);
t9=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_3379,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[8],a[5]=((C_word*)t0)[9],a[6]=((C_word*)t0)[10],a[7]=((C_word*)t0)[11],a[8]=((C_word)li41),tmp=(C_word)a,a+=9,tmp);
t10=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3399,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t6,a[5]=((C_word)li42),tmp=(C_word)a,a+=6,tmp);
/* posix-common.scm:544: ##sys#dynamic-wind */
t11=*((C_word*)lf[99]+1);{
C_word *av2;
if(c >= 5) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(5);
}
av2[0]=t11;
av2[1]=t7;
av2[2]=t8;
av2[3]=t9;
av2[4]=t10;
((C_proc)(void*)(*((C_word*)t11+1)))(5,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3409,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_3412,a[2]=((C_word*)t0)[8],a[3]=t2,a[4]=((C_word*)t0)[7],a[5]=((C_word*)t0)[9],a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],tmp=(C_word)a,a+=10,tmp);
/* posix-common.scm:548: pproc */
t4=((C_word*)t0)[10];{
C_word *av2;
if(c >= 3) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[7];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}

/* a5392 in process-spawn in k3851 in k3515 in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in k2286 */
static void C_ccall f_5393(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_5393,5,av);}
a=C_alloc(4);
t5=C_flushall();
t6=(C_truep(t4)?C_u_i_spawnvpe(((C_word*)t0)[2],t2,t3,t4):C_u_i_spawnvp(((C_word*)t0)[2],t2,t3));
t7=t6;
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5400,a[2]=t1,a[3]=t7,tmp=(C_word)a,a+=4,tmp);
t9=C_eqp(t7,C_fix(-1));
if(C_truep(t9)){
/* posixwin.scm:1169: posix-error */
t10=lf[2];{
C_word *av2;
if(c >= 6) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(6);
}
av2[0]=t10;
av2[1]=t8;
av2[2]=lf[131];
av2[3]=lf[313];
av2[4]=lf[314];
av2[5]=((C_word*)t0)[3];
f_2315(6,av2);}}
else{
t10=t1;{
C_word *av2=av; /* Re-use our own argvector */
av2[0]=t10;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}

/* a3378 in k3360 in k3416 in k3326 in k3317 in loop in k3302 in k3295 in k3292 in k3483 in k3480 in k3477 in k3474 in k3471 in k3468 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in ... */
static void C_ccall f_3379(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_3379,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_3387,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* posix-common.scm:546: directory */
t3=*((C_word*)lf[30]+1);{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[7];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k3351 in k3416 in k3326 in k3317 in loop in k3302 in k3295 in k3292 in k3483 in k3480 in k3477 in k3474 in k3471 in k3468 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in ... */
static void C_ccall f_3353(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_3353,2,av);}
if(C_truep(t1)){
/* posix-common.scm:540: action */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av; /* Re-use our own argvector */
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}
else{
t2=((C_word*)t0)[5];
/* posix-common.scm:540: loop */
t3=((C_word*)((C_word*)t0)[6])[1];
f_3306(t3,((C_word*)t0)[7],((C_word*)t0)[8],((C_word*)t0)[9],t2);}}

/* k3348 in k3416 in k3326 in k3317 in loop in k3302 in k3295 in k3292 in k3483 in k3480 in k3477 in k3474 in k3471 in k3468 in find-files in k2642 in k2401 in k2301 in k2298 in k2295 in k2292 in k2289 in ... */
static void C_ccall f_3350(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_3350,2,av);}
/* posix-common.scm:540: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_3306(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],t1);}

#ifdef C_ENABLE_PTABLES
static C_PTABLE_ENTRY ptable[469] = {
{C_text("f_5246:posixwin_2escm"),(void*)f_5246},
{C_text("f_4636:posixwin_2escm"),(void*)f_4636},
{C_text("f_5032:posixwin_2escm"),(void*)f_5032},
{C_text("f_5030:posixwin_2escm"),(void*)f_5030},
{C_text("f_3790:posixwin_2escm"),(void*)f_3790},
{C_text("f_4626:posixwin_2escm"),(void*)f_4626},
{C_text("f_4444:posixwin_2escm"),(void*)f_4444},
{C_text("f_3782:posixwin_2escm"),(void*)f_3782},
{C_text("f_4619:posixwin_2escm"),(void*)f_4619},
{C_text("f_3772:posixwin_2escm"),(void*)f_3772},
{C_text("f_5044:posixwin_2escm"),(void*)f_5044},
{C_text("f_5046:posixwin_2escm"),(void*)f_5046},
{C_text("f_2423:posixwin_2escm"),(void*)f_2423},
{C_text("f_2421:posixwin_2escm"),(void*)f_2421},
{C_text("f_2427:posixwin_2escm"),(void*)f_2427},
{C_text("f_2429:posixwin_2escm"),(void*)f_2429},
{C_text("f_5058:posixwin_2escm"),(void*)f_5058},
{C_text("f_4374:posixwin_2escm"),(void*)f_4374},
{C_text("f_4378:posixwin_2escm"),(void*)f_4378},
{C_text("f_2433:posixwin_2escm"),(void*)f_2433},
{C_text("f_2435:posixwin_2escm"),(void*)f_2435},
{C_text("f_4197:posixwin_2escm"),(void*)f_4197},
{C_text("f_4366:posixwin_2escm"),(void*)f_4366},
{C_text("f_4369:posixwin_2escm"),(void*)f_4369},
{C_text("f_2403:posixwin_2escm"),(void*)f_2403},
{C_text("f_2405:posixwin_2escm"),(void*)f_2405},
{C_text("f_4360:posixwin_2escm"),(void*)f_4360},
{C_text("f_2409:posixwin_2escm"),(void*)f_2409},
{C_text("f_2611:posixwin_2escm"),(void*)f_2611},
{C_text("f_2617:posixwin_2escm"),(void*)f_2617},
{C_text("f_2411:posixwin_2escm"),(void*)f_2411},
{C_text("f_2417:posixwin_2escm"),(void*)f_2417},
{C_text("f_2415:posixwin_2escm"),(void*)f_2415},
{C_text("f_2978:posixwin_2escm"),(void*)f_2978},
{C_text("f_2992:posixwin_2escm"),(void*)f_2992},
{C_text("f_2844:posixwin_2escm"),(void*)f_2844},
{C_text("f_2848:posixwin_2escm"),(void*)f_2848},
{C_text("f_6459:posixwin_2escm"),(void*)f_6459},
{C_text("f_6455:posixwin_2escm"),(void*)f_6455},
{C_text("f_2985:posixwin_2escm"),(void*)f_2985},
{C_text("f_2994:posixwin_2escm"),(void*)f_2994},
{C_text("f_3391:posixwin_2escm"),(void*)f_3391},
{C_text("f_3186:posixwin_2escm"),(void*)f_3186},
{C_text("f_3394:posixwin_2escm"),(void*)f_3394},
{C_text("f_3180:posixwin_2escm"),(void*)f_3180},
{C_text("f_6471:posixwin_2escm"),(void*)f_6471},
{C_text("f_2657:posixwin_2escm"),(void*)f_2657},
{C_text("f_5649:posixwin_2escm"),(void*)f_5649},
{C_text("f_3399:posixwin_2escm"),(void*)f_3399},
{C_text("f_6461:posixwin_2escm"),(void*)f_6461},
{C_text("f_3372:posixwin_2escm"),(void*)f_3372},
{C_text("f_3374:posixwin_2escm"),(void*)f_3374},
{C_text("f_5617:posixwin_2escm"),(void*)f_5617},
{C_text("f_3387:posixwin_2escm"),(void*)f_3387},
{C_text("f_2804:posixwin_2escm"),(void*)f_2804},
{C_text("f_5610:posixwin_2escm"),(void*)f_5610},
{C_text("f_5446:posixwin_2escm"),(void*)f_5446},
{C_text("f_6295:posixwin_2escm"),(void*)f_6295},
{C_text("f_5625:posixwin_2escm"),(void*)f_5625},
{C_text("f_5629:posixwin_2escm"),(void*)f_5629},
{C_text("f_2817:posixwin_2escm"),(void*)f_2817},
{C_text("f_5621:posixwin_2escm"),(void*)f_5621},
{C_text("f_6481:posixwin_2escm"),(void*)f_6481},
{C_text("f_6283:posixwin_2escm"),(void*)f_6283},
{C_text("f_6289:posixwin_2escm"),(void*)f_6289},
{C_text("f_2902:posixwin_2escm"),(void*)f_2902},
{C_text("f_6079:posixwin_2escm"),(void*)f_6079},
{C_text("f_4161:posixwin_2escm"),(void*)f_4161},
{C_text("f_2924:posixwin_2escm"),(void*)f_2924},
{C_text("f_2940:posixwin_2escm"),(void*)f_2940},
{C_text("f_2950:posixwin_2escm"),(void*)f_2950},
{C_text("f_4382:posixwin_2escm"),(void*)f_4382},
{C_text("f_2952:posixwin_2escm"),(void*)f_2952},
{C_text("f_4124:posixwin_2escm"),(void*)f_4124},
{C_text("f_4121:posixwin_2escm"),(void*)f_4121},
{C_text("f_2962:posixwin_2escm"),(void*)f_2962},
{C_text("f_2959:posixwin_2escm"),(void*)f_2959},
{C_text("f_4792:posixwin_2escm"),(void*)f_4792},
{C_text("f_4797:posixwin_2escm"),(void*)f_4797},
{C_text("f_4357:posixwin_2escm"),(void*)f_4357},
{C_text("f_5004:posixwin_2escm"),(void*)f_5004},
{C_text("f_5000:posixwin_2escm"),(void*)f_5000},
{C_text("f_4347:posixwin_2escm"),(void*)f_4347},
{C_text("f_5016:posixwin_2escm"),(void*)f_5016},
{C_text("f_5018:posixwin_2escm"),(void*)f_5018},
{C_text("f_4596:posixwin_2escm"),(void*)f_4596},
{C_text("f_4153:posixwin_2escm"),(void*)f_4153},
{C_text("f_4155:posixwin_2escm"),(void*)f_4155},
{C_text("f_2934:posixwin_2escm"),(void*)f_2934},
{C_text("f_4586:posixwin_2escm"),(void*)f_4586},
{C_text("f_4323:posixwin_2escm"),(void*)f_4323},
{C_text("f_4329:posixwin_2escm"),(void*)f_4329},
{C_text("f_4758:posixwin_2escm"),(void*)f_4758},
{C_text("f_4753:posixwin_2escm"),(void*)f_4753},
{C_text("f_6277:posixwin_2escm"),(void*)f_6277},
{C_text("f_6271:posixwin_2escm"),(void*)f_6271},
{C_text("f_4142:posixwin_2escm"),(void*)f_4142},
{C_text("f_4149:posixwin_2escm"),(void*)f_4149},
{C_text("f_6086:posixwin_2escm"),(void*)f_6086},
{C_text("f_4317:posixwin_2escm"),(void*)f_4317},
{C_text("f_4314:posixwin_2escm"),(void*)f_4314},
{C_text("f_4787:posixwin_2escm"),(void*)f_4787},
{C_text("f_4783:posixwin_2escm"),(void*)f_4783},
{C_text("f_6265:posixwin_2escm"),(void*)f_6265},
{C_text("f_2560:posixwin_2escm"),(void*)f_2560},
{C_text("f_4132:posixwin_2escm"),(void*)f_4132},
{C_text("f_4138:posixwin_2escm"),(void*)f_4138},
{C_text("f_4579:posixwin_2escm"),(void*)f_4579},
{C_text("f_4565:posixwin_2escm"),(void*)f_4565},
{C_text("f_4563:posixwin_2escm"),(void*)f_4563},
{C_text("f_4307:posixwin_2escm"),(void*)f_4307},
{C_text("f_2570:posixwin_2escm"),(void*)f_2570},
{C_text("f_2378:posixwin_2escm"),(void*)f_2378},
{C_text("f_2371:posixwin_2escm"),(void*)f_2371},
{C_text("f_4551:posixwin_2escm"),(void*)f_4551},
{C_text("f_2562:posixwin_2escm"),(void*)f_2562},
{C_text("f_4767:posixwin_2escm"),(void*)f_4767},
{C_text("f_4763:posixwin_2escm"),(void*)f_4763},
{C_text("f_2580:posixwin_2escm"),(void*)f_2580},
{C_text("f_2784:posixwin_2escm"),(void*)f_2784},
{C_text("f_2383:posixwin_2escm"),(void*)f_2383},
{C_text("f_2787:posixwin_2escm"),(void*)f_2787},
{C_text("f_2572:posixwin_2escm"),(void*)f_2572},
{C_text("f_6235:posixwin_2escm"),(void*)f_6235},
{C_text("f_2590:posixwin_2escm"),(void*)f_2590},
{C_text("f_6045:posixwin_2escm"),(void*)f_6045},
{C_text("f_2390:posixwin_2escm"),(void*)f_2390},
{C_text("f_2582:posixwin_2escm"),(void*)f_2582},
{C_text("f_6223:posixwin_2escm"),(void*)f_6223},
{C_text("f_6229:posixwin_2escm"),(void*)f_6229},
{C_text("f_2595:posixwin_2escm"),(void*)f_2595},
{C_text("f_4777:posixwin_2escm"),(void*)f_4777},
{C_text("f_2599:posixwin_2escm"),(void*)f_2599},
{C_text("f_4772:posixwin_2escm"),(void*)f_4772},
{C_text("f_6253:posixwin_2escm"),(void*)f_6253},
{C_text("f_6259:posixwin_2escm"),(void*)f_6259},
{C_text("f_3000:posixwin_2escm"),(void*)f_3000},
{C_text("f_2777:posixwin_2escm"),(void*)f_2777},
{C_text("f_2771:posixwin_2escm"),(void*)f_2771},
{C_text("f_6241:posixwin_2escm"),(void*)f_6241},
{C_text("f_3816:posixwin_2escm"),(void*)f_3816},
{C_text("f_6247:posixwin_2escm"),(void*)f_6247},
{C_text("f_4507:posixwin_2escm"),(void*)f_4507},
{C_text("f_3241:posixwin_2escm"),(void*)f_3241},
{C_text("f_3600:posixwin_2escm"),(void*)f_3600},
{C_text("f_3249:posixwin_2escm"),(void*)f_3249},
{C_text("f_5696:posixwin_2escm"),(void*)f_5696},
{C_text("f_5698:posixwin_2escm"),(void*)f_5698},
{C_text("f_4705:posixwin_2escm"),(void*)f_4705},
{C_text("f_4700:posixwin_2escm"),(void*)f_4700},
{C_text("f_4709:posixwin_2escm"),(void*)f_4709},
{C_text("f_6033:posixwin_2escm"),(void*)f_6033},
{C_text("f_6030:posixwin_2escm"),(void*)f_6030},
{C_text("f_4922:posixwin_2escm"),(void*)f_4922},
{C_text("f_4920:posixwin_2escm"),(void*)f_4920},
{C_text("f_6039:posixwin_2escm"),(void*)f_6039},
{C_text("f_3409:posixwin_2escm"),(void*)f_3409},
{C_text("f_4733:posixwin_2escm"),(void*)f_4733},
{C_text("f_3808:posixwin_2escm"),(void*)f_3808},
{C_text("f_4738:posixwin_2escm"),(void*)f_4738},
{C_text("f_6023:posixwin_2escm"),(void*)f_6023},
{C_text("f_4912:posixwin_2escm"),(void*)f_4912},
{C_text("f_3628:posixwin_2escm"),(void*)f_3628},
{C_text("f_6027:posixwin_2escm"),(void*)f_6027},
{C_text("f_3412:posixwin_2escm"),(void*)f_3412},
{C_text("f_3418:posixwin_2escm"),(void*)f_3418},
{C_text("f_3853:posixwin_2escm"),(void*)f_3853},
{C_text("f_3855:posixwin_2escm"),(void*)f_3855},
{C_text("f_3632:posixwin_2escm"),(void*)f_3632},
{C_text("f_3636:posixwin_2escm"),(void*)f_3636},
{C_text("f_5682:posixwin_2escm"),(void*)f_5682},
{C_text("f_3820:posixwin_2escm"),(void*)f_3820},
{C_text("f_3427:posixwin_2escm"),(void*)f_3427},
{C_text("f_3642:posixwin_2escm"),(void*)f_3642},
{C_text("f_5657:posixwin_2escm"),(void*)f_5657},
{C_text("f_3434:posixwin_2escm"),(void*)f_3434},
{C_text("f_5490:posixwin_2escm"),(void*)f_5490},
{C_text("f_5494:posixwin_2escm"),(void*)f_5494},
{C_text("f_3211:posixwin_2escm"),(void*)f_3211},
{C_text("f_3218:posixwin_2escm"),(void*)f_3218},
{C_text("f_3443:posixwin_2escm"),(void*)f_3443},
{C_text("f_3444:posixwin_2escm"),(void*)f_3444},
{C_text("f_5467:posixwin_2escm"),(void*)f_5467},
{C_text("f_5462:posixwin_2escm"),(void*)f_5462},
{C_text("f_3220:posixwin_2escm"),(void*)f_3220},
{C_text("f_3542:posixwin_2escm"),(void*)f_3542},
{C_text("f_5477:posixwin_2escm"),(void*)f_5477},
{C_text("f_5473:posixwin_2escm"),(void*)f_5473},
{C_text("f_3237:posixwin_2escm"),(void*)f_3237},
{C_text("f_3023:posixwin_2escm"),(void*)f_3023},
{C_text("f_2358:posixwin_2escm"),(void*)f_2358},
{C_text("f_4932:posixwin_2escm"),(void*)f_4932},
{C_text("f_2362:posixwin_2escm"),(void*)f_2362},
{C_text("f_5450:posixwin_2escm"),(void*)f_5450},
{C_text("f_6412:posixwin_2escm"),(void*)f_6412},
{C_text("f_6418:posixwin_2escm"),(void*)f_6418},
{C_text("f_3999:posixwin_2escm"),(void*)f_3999},
{C_text("f_5271:posixwin_2escm"),(void*)f_5271},
{C_text("f_3727:posixwin_2escm"),(void*)f_3727},
{C_text("f_3993:posixwin_2escm"),(void*)f_3993},
{C_text("f_4111:posixwin_2escm"),(void*)f_4111},
{C_text("f_4117:posixwin_2escm"),(void*)f_4117},
{C_text("f_5087:posixwin_2escm"),(void*)f_5087},
{C_text("f_6434:posixwin_2escm"),(void*)f_6434},
{C_text("f_5080:posixwin_2escm"),(void*)f_5080},
{C_text("f_4100:posixwin_2escm"),(void*)f_4100},
{C_text("f_3977:posixwin_2escm"),(void*)f_3977},
{C_text("f_4105:posixwin_2escm"),(void*)f_4105},
{C_text("f_5096:posixwin_2escm"),(void*)f_5096},
{C_text("f_6422:posixwin_2escm"),(void*)f_6422},
{C_text("f_6425:posixwin_2escm"),(void*)f_6425},
{C_text("f_3975:posixwin_2escm"),(void*)f_3975},
{C_text("f_5090:posixwin_2escm"),(void*)f_5090},
{C_text("f_3971:posixwin_2escm"),(void*)f_3971},
{C_text("f_5747:posixwin_2escm"),(void*)f_5747},
{C_text("f_5742:posixwin_2escm"),(void*)f_5742},
{C_text("f_5509:posixwin_2escm"),(void*)f_5509},
{C_text("f_5505:posixwin_2escm"),(void*)f_5505},
{C_text("f_5840:posixwin_2escm"),(void*)f_5840},
{C_text("f_5703:posixwin_2escm"),(void*)f_5703},
{C_text("f_6211:posixwin_2escm"),(void*)f_6211},
{C_text("f_6217:posixwin_2escm"),(void*)f_6217},
{C_text("f_6205:posixwin_2escm"),(void*)f_6205},
{C_text("f_5064:posixwin_2escm"),(void*)f_5064},
{C_text("f_5078:posixwin_2escm"),(void*)f_5078},
{C_text("f_3861:posixwin_2escm"),(void*)f_3861},
{C_text("f_5283:posixwin_2escm"),(void*)f_5283},
{C_text("f_3891:posixwin_2escm"),(void*)f_3891},
{C_text("f_3680:posixwin_2escm"),(void*)f_3680},
{C_text("f_3689:posixwin_2escm"),(void*)f_3689},
{C_text("f_3482:posixwin_2escm"),(void*)f_3482},
{C_text("f_3885:posixwin_2escm"),(void*)f_3885},
{C_text("f_3485:posixwin_2escm"),(void*)f_3485},
{C_text("f_3673:posixwin_2escm"),(void*)f_3673},
{C_text("f_3473:posixwin_2escm"),(void*)f_3473},
{C_text("f_3470:posixwin_2escm"),(void*)f_3470},
{C_text("f_3479:posixwin_2escm"),(void*)f_3479},
{C_text("f_3476:posixwin_2escm"),(void*)f_3476},
{C_text("f_3261:posixwin_2escm"),(void*)f_3261},
{C_text("f_5123:posixwin_2escm"),(void*)f_5123},
{C_text("f_3066:posixwin_2escm"),(void*)f_3066},
{C_text("f_3060:posixwin_2escm"),(void*)f_3060},
{C_text("f_3063:posixwin_2escm"),(void*)f_3063},
{C_text("f_3253:posixwin_2escm"),(void*)f_3253},
{C_text("f_5137:posixwin_2escm"),(void*)f_5137},
{C_text("f_4547:posixwin_2escm"),(void*)f_4547},
{C_text("f_3699:posixwin_2escm"),(void*)f_3699},
{C_text("f_3490:posixwin_2escm"),(void*)f_3490},
{C_text("f_3493:posixwin_2escm"),(void*)f_3493},
{C_text("f_4714:posixwin_2escm"),(void*)f_4714},
{C_text("f_3499:posixwin_2escm"),(void*)f_3499},
{C_text("f_3496:posixwin_2escm"),(void*)f_3496},
{C_text("f_4743:posixwin_2escm"),(void*)f_4743},
{C_text("f_5324:posixwin_2escm"),(void*)f_5324},
{C_text("f_4749:posixwin_2escm"),(void*)f_4749},
{C_text("f_4523:posixwin_2escm"),(void*)f_4523},
{C_text("f_4963:posixwin_2escm"),(void*)f_4963},
{C_text("f_4517:posixwin_2escm"),(void*)f_4517},
{C_text("f_4514:posixwin_2escm"),(void*)f_4514},
{C_text("f_4954:posixwin_2escm"),(void*)f_4954},
{C_text("f_4720:posixwin_2escm"),(void*)f_4720},
{C_text("f_4724:posixwin_2escm"),(void*)f_4724},
{C_text("f_4729:posixwin_2escm"),(void*)f_4729},
{C_text("f_3294:posixwin_2escm"),(void*)f_3294},
{C_text("f_4942:posixwin_2escm"),(void*)f_4942},
{C_text("f_4940:posixwin_2escm"),(void*)f_4940},
{C_text("f_3297:posixwin_2escm"),(void*)f_3297},
{C_text("f_4948:posixwin_2escm"),(void*)f_4948},
{C_text("f_5310:posixwin_2escm"),(void*)f_5310},
{C_text("f_5143:posixwin_2escm"),(void*)f_5143},
{C_text("f_3045:posixwin_2escm"),(void*)f_3045},
{C_text("f_2713:posixwin_2escm"),(void*)f_2713},
{C_text("f_2715:posixwin_2escm"),(void*)f_2715},
{C_text("f_3041:posixwin_2escm"),(void*)f_3041},
{C_text("f_5155:posixwin_2escm"),(void*)f_5155},
{C_text("f_4273:posixwin_2escm"),(void*)f_4273},
{C_text("f_4276:posixwin_2escm"),(void*)f_4276},
{C_text("f_4279:posixwin_2escm"),(void*)f_4279},
{C_text("f_3070:posixwin_2escm"),(void*)f_3070},
{C_text("f_4097:posixwin_2escm"),(void*)f_4097},
{C_text("f_4091:posixwin_2escm"),(void*)f_4091},
{C_text("f_4263:posixwin_2escm"),(void*)f_4263},
{C_text("f_4085:posixwin_2escm"),(void*)f_4085},
{C_text("f_4087:posixwin_2escm"),(void*)f_4087},
{C_text("f_2303:posixwin_2escm"),(void*)f_2303},
{C_text("f_2300:posixwin_2escm"),(void*)f_2300},
{C_text("f_2701:posixwin_2escm"),(void*)f_2701},
{C_text("f_2319:posixwin_2escm"),(void*)f_2319},
{C_text("f_3281:posixwin_2escm"),(void*)f_3281},
{C_text("f_4971:posixwin_2escm"),(void*)f_4971},
{C_text("f_2754:posixwin_2escm"),(void*)f_2754},
{C_text("f_2315:posixwin_2escm"),(void*)f_2315},
{C_text("f_2729:posixwin_2escm"),(void*)f_2729},
{C_text("f_2727:posixwin_2escm"),(void*)f_2727},
{C_text("f_2522:posixwin_2escm"),(void*)f_2522},
{C_text("f_2326:posixwin_2escm"),(void*)f_2326},
{C_text("f_2530:posixwin_2escm"),(void*)f_2530},
{C_text("f_2532:posixwin_2escm"),(void*)f_2532},
{C_text("f_2330:posixwin_2escm"),(void*)f_2330},
{C_text("f_2333:posixwin_2escm"),(void*)f_2333},
{C_text("f_2337:posixwin_2escm"),(void*)f_2337},
{C_text("f_3460:posixwin_2escm"),(void*)f_3460},
{C_text("f_3466:posixwin_2escm"),(void*)f_3466},
{C_text("f_2542:posixwin_2escm"),(void*)f_2542},
{C_text("f_2540:posixwin_2escm"),(void*)f_2540},
{C_text("f_2745:posixwin_2escm"),(void*)f_2745},
{C_text("f_3452:posixwin_2escm"),(void*)f_3452},
{C_text("f_2552:posixwin_2escm"),(void*)f_2552},
{C_text("f_2550:posixwin_2escm"),(void*)f_2550},
{C_text("f_5739:posixwin_2escm"),(void*)f_5739},
{C_text("f_5712:posixwin_2escm"),(void*)f_5712},
{C_text("f_6387:posixwin_2escm"),(void*)f_6387},
{C_text("f_4073:posixwin_2escm"),(void*)f_4073},
{C_text("toplevel:posixwin_2escm"),(void*)C_posix_toplevel},
{C_text("f_4070:posixwin_2escm"),(void*)f_4070},
{C_text("f_6175:posixwin_2escm"),(void*)f_6175},
{C_text("f_4060:posixwin_2escm"),(void*)f_4060},
{C_text("f_2644:posixwin_2escm"),(void*)f_2644},
{C_text("f_2649:posixwin_2escm"),(void*)f_2649},
{C_text("f_2820:posixwin_2escm"),(void*)f_2820},
{C_text("f_6163:posixwin_2escm"),(void*)f_6163},
{C_text("f_6169:posixwin_2escm"),(void*)f_6169},
{C_text("f_2838:posixwin_2escm"),(void*)f_2838},
{C_text("f_4034:posixwin_2escm"),(void*)f_4034},
{C_text("f_4288:posixwin_2escm"),(void*)f_4288},
{C_text("f_4028:posixwin_2escm"),(void*)f_4028},
{C_text("f_5930:posixwin_2escm"),(void*)f_5930},
{C_text("f_5900:posixwin_2escm"),(void*)f_5900},
{C_text("f_5110:posixwin_2escm"),(void*)f_5110},
{C_text("f_5912:posixwin_2escm"),(void*)f_5912},
{C_text("f_4241:posixwin_2escm"),(void*)f_4241},
{C_text("f_4696:posixwin_2escm"),(void*)f_4696},
{C_text("f_4690:posixwin_2escm"),(void*)f_4690},
{C_text("f_5918:posixwin_2escm"),(void*)f_5918},
{C_text("f_4232:posixwin_2escm"),(void*)f_4232},
{C_text("f_4476:posixwin_2escm"),(void*)f_4476},
{C_text("f_4055:posixwin_2escm"),(void*)f_4055},
{C_text("f_4051:posixwin_2escm"),(void*)f_4051},
{C_text("f_4223:posixwin_2escm"),(void*)f_4223},
{C_text("f_6181:posixwin_2escm"),(void*)f_6181},
{C_text("f_4045:posixwin_2escm"),(void*)f_4045},
{C_text("f_4673:posixwin_2escm"),(void*)f_4673},
{C_text("f_6193:posixwin_2escm"),(void*)f_6193},
{C_text("f_6199:posixwin_2escm"),(void*)f_6199},
{C_text("f_4670:posixwin_2escm"),(void*)f_4670},
{C_text("f_4217:posixwin_2escm"),(void*)f_4217},
{C_text("f_4214:posixwin_2escm"),(void*)f_4214},
{C_text("f_6378:posixwin_2escm"),(void*)f_6378},
{C_text("f_4663:posixwin_2escm"),(void*)f_4663},
{C_text("f_6187:posixwin_2escm"),(void*)f_6187},
{C_text("f_4201:posixwin_2escm"),(void*)f_4201},
{C_text("f_4483:posixwin_2escm"),(void*)f_4483},
{C_text("f_6368:posixwin_2escm"),(void*)f_6368},
{C_text("f_6361:posixwin_2escm"),(void*)f_6361},
{C_text("f_4655:posixwin_2escm"),(void*)f_4655},
{C_text("f_4652:posixwin_2escm"),(void*)f_4652},
{C_text("f_4896:posixwin_2escm"),(void*)f_4896},
{C_text("f_2868:posixwin_2escm"),(void*)f_2868},
{C_text("f_2867:posixwin_2escm"),(void*)f_2867},
{C_text("f_2699:posixwin_2escm"),(void*)f_2699},
{C_text("f_4467:posixwin_2escm"),(void*)f_4467},
{C_text("f_6145:posixwin_2escm"),(void*)f_6145},
{C_text("f_4463:posixwin_2escm"),(void*)f_4463},
{C_text("f_6157:posixwin_2escm"),(void*)f_6157},
{C_text("f_2878:posixwin_2escm"),(void*)f_2878},
{C_text("f_6337:posixwin_2escm"),(void*)f_6337},
{C_text("f_6331:posixwin_2escm"),(void*)f_6331},
{C_text("f_5188:posixwin_2escm"),(void*)f_5188},
{C_text("f_6325:posixwin_2escm"),(void*)f_6325},
{C_text("f_4685:posixwin_2escm"),(void*)f_4685},
{C_text("f_4681:posixwin_2escm"),(void*)f_4681},
{C_text("f_6355:posixwin_2escm"),(void*)f_6355},
{C_text("f_4421:posixwin_2escm"),(void*)f_4421},
{C_text("f_6349:posixwin_2escm"),(void*)f_6349},
{C_text("f_5162:posixwin_2escm"),(void*)f_5162},
{C_text("f_2454:posixwin_2escm"),(void*)f_2454},
{C_text("f_6343:posixwin_2escm"),(void*)f_6343},
{C_text("f_6133:posixwin_2escm"),(void*)f_6133},
{C_text("f_3512:posixwin_2escm"),(void*)f_3512},
{C_text("f_3510:posixwin_2escm"),(void*)f_3510},
{C_text("f_3517:posixwin_2escm"),(void*)f_3517},
{C_text("f_3519:posixwin_2escm"),(void*)f_3519},
{C_text("f_2884:posixwin_2escm"),(void*)f_2884},
{C_text("f_2887:posixwin_2escm"),(void*)f_2887},
{C_text("f_3703:posixwin_2escm"),(void*)f_3703},
{C_text("f_3706:posixwin_2escm"),(void*)f_3706},
{C_text("f_2294:posixwin_2escm"),(void*)f_2294},
{C_text("f_2297:posixwin_2escm"),(void*)f_2297},
{C_text("f_2291:posixwin_2escm"),(void*)f_2291},
{C_text("f_6121:posixwin_2escm"),(void*)f_6121},
{C_text("f_6139:posixwin_2escm"),(void*)f_6139},
{C_text("f_2892:posixwin_2escm"),(void*)f_2892},
{C_text("f_2686:posixwin_2escm"),(void*)f_2686},
{C_text("f_6151:posixwin_2escm"),(void*)f_6151},
{C_text("f_4813:posixwin_2escm"),(void*)f_4813},
{C_text("f_3538:posixwin_2escm"),(void*)f_3538},
{C_text("f_6127:posixwin_2escm"),(void*)f_6127},
{C_text("f_4645:posixwin_2escm"),(void*)f_4645},
{C_text("f_3304:posixwin_2escm"),(void*)f_3304},
{C_text("f_3306:posixwin_2escm"),(void*)f_3306},
{C_text("f_4804:posixwin_2escm"),(void*)f_4804},
{C_text("f_3502:posixwin_2escm"),(void*)f_3502},
{C_text("f_3504:posixwin_2escm"),(void*)f_3504},
{C_text("f_3319:posixwin_2escm"),(void*)f_3319},
{C_text("f_3735:posixwin_2escm"),(void*)f_3735},
{C_text("f_5598:posixwin_2escm"),(void*)f_5598},
{C_text("f_5590:posixwin_2escm"),(void*)f_5590},
{C_text("f_5594:posixwin_2escm"),(void*)f_5594},
{C_text("f_3559:posixwin_2escm"),(void*)f_3559},
{C_text("f_3328:posixwin_2escm"),(void*)f_3328},
{C_text("f_3746:posixwin_2escm"),(void*)f_3746},
{C_text("f_5778:posixwin_2escm"),(void*)f_5778},
{C_text("f_5774:posixwin_2escm"),(void*)f_5774},
{C_text("f_3750:posixwin_2escm"),(void*)f_3750},
{C_text("f_3752:posixwin_2escm"),(void*)f_3752},
{C_text("f_5573:posixwin_2escm"),(void*)f_5573},
{C_text("f_3110:posixwin_2escm"),(void*)f_3110},
{C_text("f_4605:posixwin_2escm"),(void*)f_4605},
{C_text("f_5580:posixwin_2escm"),(void*)f_5580},
{C_text("f_3120:posixwin_2escm"),(void*)f_3120},
{C_text("f_5753:posixwin_2escm"),(void*)f_5753},
{C_text("f_5179:posixwin_2escm"),(void*)f_5179},
{C_text("f_5176:posixwin_2escm"),(void*)f_5176},
{C_text("f_3838:posixwin_2escm"),(void*)f_3838},
{C_text("f_5170:posixwin_2escm"),(void*)f_5170},
{C_text("f_3098:posixwin_2escm"),(void*)f_3098},
{C_text("f_5563:posixwin_2escm"),(void*)f_5563},
{C_text("f_3084:posixwin_2escm"),(void*)f_3084},
{C_text("f_5363:posixwin_2escm"),(void*)f_5363},
{C_text("f_4018:posixwin_2escm"),(void*)f_4018},
{C_text("f_5780:posixwin_2escm"),(void*)f_5780},
{C_text("f_4002:posixwin_2escm"),(void*)f_4002},
{C_text("f_3201:posixwin_2escm"),(void*)f_3201},
{C_text("f_3207:posixwin_2escm"),(void*)f_3207},
{C_text("f_2288:posixwin_2escm"),(void*)f_2288},
{C_text("f_5407:posixwin_2escm"),(void*)f_5407},
{C_text("f_5400:posixwin_2escm"),(void*)f_5400},
{C_text("f_5633:posixwin_2escm"),(void*)f_5633},
{C_text("f_5971:posixwin_2escm"),(void*)f_5971},
{C_text("f_5941:posixwin_2escm"),(void*)f_5941},
{C_text("f_5945:posixwin_2escm"),(void*)f_5945},
{C_text("f_5949:posixwin_2escm"),(void*)f_5949},
{C_text("f_5953:posixwin_2escm"),(void*)f_5953},
{C_text("f_5956:posixwin_2escm"),(void*)f_5956},
{C_text("f_6319:posixwin_2escm"),(void*)f_6319},
{C_text("f_6313:posixwin_2escm"),(void*)f_6313},
{C_text("f_3932:posixwin_2escm"),(void*)f_3932},
{C_text("f_6301:posixwin_2escm"),(void*)f_6301},
{C_text("f_6307:posixwin_2escm"),(void*)f_6307},
{C_text("f_3943:posixwin_2escm"),(void*)f_3943},
{C_text("f_3948:posixwin_2escm"),(void*)f_3948},
{C_text("f_3940:posixwin_2escm"),(void*)f_3940},
{C_text("f_3954:posixwin_2escm"),(void*)f_3954},
{C_text("f_6112:posixwin_2escm"),(void*)f_6112},
{C_text("f_3964:posixwin_2escm"),(void*)f_3964},
{C_text("f_3969:posixwin_2escm"),(void*)f_3969},
{C_text("f_3960:posixwin_2escm"),(void*)f_3960},
{C_text("f_5961:posixwin_2escm"),(void*)f_5961},
{C_text("f_3563:posixwin_2escm"),(void*)f_3563},
{C_text("f_3760:posixwin_2escm"),(void*)f_3760},
{C_text("f_3778:posixwin_2escm"),(void*)f_3778},
{C_text("f_3590:posixwin_2escm"),(void*)f_3590},
{C_text("f_3594:posixwin_2escm"),(void*)f_3594},
{C_text("f_3362:posixwin_2escm"),(void*)f_3362},
{C_text("f_5393:posixwin_2escm"),(void*)f_5393},
{C_text("f_3379:posixwin_2escm"),(void*)f_3379},
{C_text("f_3353:posixwin_2escm"),(void*)f_3353},
{C_text("f_3350:posixwin_2escm"),(void*)f_3350},
{NULL,NULL}};
#endif

static C_PTABLE_ENTRY *create_ptable(void){
#ifdef C_ENABLE_PTABLES
return ptable;
#else
return NULL;
#endif
}

/*
S|applied compiler syntax:
S|  map		1
S|  for-each		2
o|eliminated procedure checks: 164 
o|specializations:
o|  4 (##sys#foreign-fixnum-argument fixnum)
o|  1 (##sys#check-output-port * * *)
o|  1 (##sys#check-input-port * * *)
o|  1 (bitwise-ior fixnum fixnum)
o|  1 (##sys#call-with-values (procedure () *) *)
o|  1 (##sys#length list)
o|  2 (cdr pair)
o|  2 (string-ref string fixnum)
o|  3 (string-length string)
o|  3 (##sys#check-list (or pair list) *)
o|  3 (make-string fixnum)
o|  4 (##sys#check-open-port * *)
o|  9 (eqv? * (not float))
o|  12 (car pair)
(o e)|safe calls: 573 
(o e)|assignments to immediate values: 120 
o|dropping redundant toplevel assignment: process 
o|dropping redundant toplevel assignment: process* 
o|safe globals: (file-stat ##sys#stat ##sys#posix-error posix-error c1563) 
o|Removed `not' forms: 8 
o|contracted procedure: "(posix-common.scm:185) strerror64" 
o|inlining procedure: k2338 
o|inlining procedure: k2338 
o|inlining procedure: k2353 
o|inlining procedure: k2353 
o|inlining procedure: k2372 
o|inlining procedure: k2372 
o|inlining procedure: k2449 
o|inlining procedure: k2461 
o|inlining procedure: k2461 
o|inlining procedure: k2473 
o|inlining procedure: k2473 
o|inlining procedure: k2485 
o|inlining procedure: k2485 
o|inlining procedure: k2449 
o|inlining procedure: k2606 
o|inlining procedure: k2606 
o|inlining procedure: k2618 
o|inlining procedure: k2618 
o|inlining procedure: k2628 
o|inlining procedure: k2628 
o|inlining procedure: k2655 
o|contracted procedure: k2671 
o|inlining procedure: k2668 
o|inlining procedure: k2668 
o|substituted constant variable: a2681 
o|inlining procedure: k2655 
o|inlining procedure: k2688 
o|inlining procedure: k2688 
o|substituted constant variable: a2732 
o|inlining procedure: k2733 
o|inlining procedure: k2733 
o|contracted procedure: k2749 
o|inlining procedure: k2752 
o|inlining procedure: k2752 
o|inlining procedure: k2785 
o|inlining procedure: k2785 
o|inlining procedure: k2809 
o|inlining procedure: k2809 
o|substituted constant variable: a2830 
o|inlining procedure: k2849 
o|inlining procedure: k2849 
o|inlining procedure: k2870 
o|propagated global variable: r28716533 delete-file 
o|inlining procedure: k2870 
o|inlining procedure: k2862 
o|inlining procedure: k2894 
o|inlining procedure: k2894 
o|inlining procedure: k2862 
o|inlining procedure: k2932 
o|inlining procedure: k2932 
o|inlining procedure: k2954 
o|contracted procedure: "(posix-common.scm:463) g331332" 
o|inlining procedure: k2965 
o|inlining procedure: k2965 
o|inlining procedure: k2954 
o|inlining procedure: k3002 
o|inlining procedure: k3002 
o|contracted procedure: "(posix-common.scm:464) g349350" 
o|inlining procedure: k3010 
o|inlining procedure: k3010 
o|inlining procedure: k3071 
o|inlining procedure: k3071 
o|inlining procedure: k3086 
o|inlining procedure: k3086 
o|inlining procedure: k3127 
o|inlining procedure: k3127 
o|substituted constant variable: a3149 
o|substituted constant variable: a3151 
o|inlining procedure: k3188 
o|inlining procedure: k3188 
o|inlining procedure: k3222 
o|inlining procedure: k3222 
o|inlining procedure: k3275 
o|inlining procedure: k3275 
o|inlining procedure: k3283 
o|inlining procedure: k3283 
o|contracted procedure: "(posix-common.scm:558) find-files" 
o|inlining procedure: k3308 
o|inlining procedure: k3308 
o|inlining procedure: k3329 
o|inlining procedure: k3329 
o|inlining procedure: k3348 
o|inlining procedure: k3348 
o|inlining procedure: k3357 
o|inlining procedure: k3389 
o|inlining procedure: k3389 
o|inlining procedure: k3357 
o|inlining procedure: k3407 
o|inlining procedure: k3407 
o|inlining procedure: k3422 
o|inlining procedure: k3422 
o|contracted procedure: k3449 
o|inlining procedure: k3454 
o|inlining procedure: k3454 
o|inlining procedure: k3524 
o|inlining procedure: k3524 
o|inlining procedure: k3601 
o|inlining procedure: k3601 
o|contracted procedure: "(posix-common.scm:595) ctime542" 
o|inlining procedure: k3637 
o|inlining procedure: k3637 
o|inlining procedure: k3681 
o|contracted procedure: "(posix-common.scm:618) strftime568" 
o|inlining procedure: k3667 
o|inlining procedure: k3667 
o|inlining procedure: k3681 
o|contracted procedure: "(posix-common.scm:620) asctime567" 
o|inlining procedure: k3654 
o|inlining procedure: k3654 
o|inlining procedure: k3783 
o|inlining procedure: k3792 
o|inlining procedure: k3792 
o|inlining procedure: k3783 
o|contracted procedure: "(posix-common.scm:644) get619" 
o|inlining procedure: k3893 
o|inlining procedure: k3893 
o|inlining procedure: k3979 
o|inlining procedure: k3979 
o|contracted procedure: "(posix-common.scm:712) c-string->allocated-pointer663" 
o|merged explicitly consed rest parameter: args675697 
o|consed rest parameter at call site: tmp22245 1 
o|inlining procedure: k4062 
o|inlining procedure: k4062 
o|inlining procedure: k4122 
o|inlining procedure: k4122 
o|inlining procedure: k4215 
o|inlining procedure: k4215 
o|inlining procedure: k4243 
o|inlining procedure: k4243 
o|inlining procedure: k4277 
o|inlining procedure: k4277 
o|inlining procedure: k4321 
o|inlining procedure: k4321 
o|inlining procedure: k4391 
o|inlining procedure: k4391 
o|inlining procedure: k4423 
o|inlining procedure: k4423 
o|contracted procedure: k4445 
o|inlining procedure: k4451 
o|inlining procedure: k4451 
o|inlining procedure: k4468 
o|inlining procedure: k4468 
o|inlining procedure: k4478 
o|inlining procedure: k4478 
o|inlining procedure: k4515 
o|inlining procedure: k4515 
o|inlining procedure: k4531 
o|inlining procedure: k4531 
o|inlining procedure: k4552 
o|inlining procedure: k4552 
o|inlining procedure: k4577 
o|inlining procedure: k4577 
o|inlining procedure: "(posixwin.scm:815) badmode893" 
o|substituted constant variable: a4601 
o|substituted constant variable: a4603 
o|inlining procedure: k4617 
o|inlining procedure: k4617 
o|inlining procedure: "(posixwin.scm:825) badmode893" 
o|substituted constant variable: a4641 
o|substituted constant variable: a4643 
o|substituted constant variable: a4648 
o|substituted constant variable: a4649 
o|inlining procedure: k4653 
o|inlining procedure: k4653 
o|substituted constant variable: a4666 
o|substituted constant variable: a4667 
o|inlining procedure: k4671 
o|inlining procedure: k4671 
o|inlining procedure: k4802 
o|inlining procedure: k4802 
o|inlining procedure: k4904 
o|inlining procedure: k4904 
o|inlining procedure: k4930 
o|inlining procedure: k4930 
o|inlining procedure: k4969 
o|contracted procedure: k4985 
o|inlining procedure: k4982 
o|inlining procedure: k4982 
o|substituted constant variable: a4995 
o|inlining procedure: k4969 
o|inlining procedure: k5005 
o|inlining procedure: k5005 
o|substituted constant variable: a5049 
o|contracted procedure: k5053 
o|inlining procedure: k5050 
o|inlining procedure: k5050 
o|inlining procedure: k5088 
o|inlining procedure: k5088 
o|contracted procedure: "(posixwin.scm:1081) ex01138" 
o|substituted constant variable: a5140 
o|contracted procedure: k5147 
o|inlining procedure: k5144 
o|inlining procedure: k5144 
o|inlining procedure: k5157 
o|inlining procedure: k5157 
o|substituted constant variable: a5173 
o|inlining procedure: k5183 
o|inlining procedure: k5183 
o|inlining procedure: k5193 
o|inlining procedure: k5193 
o|inlining procedure: k5206 
o|inlining procedure: k5206 
o|substituted constant variable: a5222 
o|substituted constant variable: a5224 
o|substituted constant variable: a5226 
o|inlining procedure: k5273 
o|inlining procedure: k5273 
o|contracted procedure: "(posixwin.scm:1143) needs-quoting?1171" 
o|inlining procedure: k5248 
o|inlining procedure: k5248 
o|inlining procedure: k5315 
o|inlining procedure: k5315 
o|inlining procedure: k5398 
o|inlining procedure: k5398 
o|inlining procedure: k5451 
o|inlining procedure: k5451 
o|inlining procedure: k5478 
o|inlining procedure: k5478 
o|substituted constant variable: g132713281335 
o|substituted constant variable: g132713281335 
o|substituted constant variable: g132713281335 
o|substituted constant variable: g132913301336 
o|substituted constant variable: g132913301336 
o|substituted constant variable: g132913301336 
o|substituted constant variable: g133113321337 
o|substituted constant variable: g133113321337 
o|substituted constant variable: g133113321337 
o|substituted constant variable: g133313341338 
o|substituted constant variable: g133313341338 
o|substituted constant variable: g133313341338 
o|inlining procedure: k5581 
o|inlining procedure: k5596 
o|inlining procedure: k5596 
o|inlining procedure: k5581 
o|contracted procedure: "(posixwin.scm:1227) c-process1249" 
o|inlining procedure: k5643 
o|inlining procedure: k5643 
o|inlining procedure: k5647 
o|inlining procedure: k5647 
o|inlining procedure: k5659 
o|inlining procedure: k5659 
o|inlining procedure: k5714 
o|inlining procedure: k5714 
o|inlining procedure: k5755 
o|inlining procedure: k5755 
o|inlining procedure: k5902 
o|inlining procedure: k5902 
o|inlining procedure: k5920 
o|inlining procedure: k5920 
o|inlining procedure: k5932 
o|inlining procedure: k5932 
o|inlining procedure: k5963 
o|inlining procedure: k5963 
o|contracted procedure: "(posixwin.scm:1457) bad-mmap?1473" 
o|inlining procedure: k6017 
o|inlining procedure: k6017 
o|contracted procedure: "(posixwin.scm:1456) mmap1472" 
o|contracted procedure: k6059 
o|inlining procedure: k6087 
o|inlining procedure: k6087 
o|contracted procedure: "(posixwin.scm:1466) munmap1510" 
o|inlining procedure: k6399 
o|inlining procedure: k6399 
o|inlining procedure: k6423 
o|inlining procedure: k6423 
o|inlining procedure: k6435 
o|inlining procedure: k6435 
o|inlining procedure: k6445 
o|inlining procedure: k6445 
o|inlining procedure: k6482 
o|inlining procedure: k6482 
o|contracted procedure: "(posix-common.scm:257) g115116" 
o|inlining procedure: k6469 
o|inlining procedure: k6469 
o|replaced variables: 656 
o|removed binding forms: 462 
o|substituted constant variable: r23396492 
o|substituted constant variable: r24626498 
o|substituted constant variable: r24746500 
o|substituted constant variable: r24866502 
o|substituted constant variable: r24506504 
o|substituted constant variable: r26196508 
o|inlining procedure: k2655 
o|substituted constant variable: r26696514 
o|inlining procedure: k2655 
o|inlining procedure: k2655 
o|propagated global variable: g2993006534 delete-file 
o|inlining procedure: k2870 
o|inlining procedure: k2870 
o|propagated global variable: r28716824 delete-file 
o|propagated global variable: r28716824 delete-file 
o|converted assignments to bindings: (rmdir282) 
o|substituted constant variable: loc333 
o|substituted constant variable: loc333 
o|substituted constant variable: loc351 
o|substituted constant variable: loc351 
o|substituted constant variable: r30876561 
o|substituted constant variable: r31896565 
o|substituted constant variable: r32766571 
o|substituted constant variable: r32766571 
o|substituted constant variable: r32846575 
o|substituted constant variable: r32846575 
o|substituted constant variable: loc438 
o|substituted constant variable: r36686609 
o|substituted constant variable: r36686609 
o|substituted constant variable: r36556616 
o|substituted constant variable: r36556616 
o|substituted constant variable: r37846622 
o|substituted constant variable: r44696667 
o|substituted constant variable: r44696667 
o|substituted constant variable: r45326676 
o|removed side-effect free assignment to unused variable: badmode893 
o|inlining procedure: k4577 
o|inlining procedure: k4617 
o|inlining procedure: k4969 
o|substituted constant variable: r49836724 
o|inlining procedure: k4969 
o|inlining procedure: k4969 
o|inlining procedure: k5056 
o|substituted constant variable: r51456735 
o|substituted constant variable: r51946743 
o|substituted constant variable: r51946743 
o|folded constant expression: (fx< (quote -1) (quote 0)) 
o|substituted constant variable: r52496749 
o|substituted constant variable: r55976764 
o|substituted constant variable: r55976764 
o|substituted constant variable: c-pointer12521269 
o|substituted constant variable: c-pointer12521269 
o|substituted constant variable: c-pointer12521269 
o|substituted constant variable: r56446767 
o|substituted constant variable: r56446767 
o|substituted constant variable: r56446769 
o|substituted constant variable: r56446769 
o|inlining procedure: k6037 
o|substituted constant variable: r60186791 
o|substituted constant variable: r60186791 
o|converted assignments to bindings: (check1071) 
o|substituted constant variable: r64366804 
o|substituted constant variable: r64706811 
o|substituted constant variable: r64706811 
o|simplifications: ((let . 2)) 
o|replaced variables: 40 
o|removed binding forms: 684 
o|removed conditional forms: 1 
o|inlining procedure: k3130 
o|inlining procedure: k3844 
o|inlining procedure: k3844 
o|inlining procedure: k4071 
o|inlining procedure: k4292 
o|inlining procedure: k4292 
o|inlining procedure: k4340 
o|inlining procedure: k4340 
o|contracted procedure: k5511 
o|inlining procedure: k5797 
o|inlining procedure: k5857 
o|inlining procedure: k6049 
o|inlining procedure: k6049 
o|replaced variables: 19 
o|removed binding forms: 109 
o|substituted constant variable: r26566813 
o|substituted constant variable: r26566815 
o|substituted constant variable: r26566817 
o|substituted constant variable: r31316917 
o|substituted constant variable: r31316917 
o|substituted constant variable: r38456932 
o|contracted procedure: k3994 
o|substituted constant variable: r42936945 
o|substituted constant variable: r43416947 
o|substituted constant variable: r49706886 
o|substituted constant variable: r49706888 
o|substituted constant variable: r49706890 
o|substituted constant variable: r5512 
o|substituted constant variable: r60506963 
o|inlining procedure: k6396 
o|inlining procedure: k6396 
o|simplifications: ((let . 3)) 
o|replaced variables: 2 
o|removed binding forms: 22 
o|removed conditional forms: 4 
o|inlining procedure: k5129 
o|inlining procedure: k5129 
o|substituted constant variable: a5510 
o|substituted constant variable: r63977001 
o|replaced variables: 1 
o|removed binding forms: 15 
o|substituted constant variable: r51307037 
o|removed binding forms: 4 
o|removed binding forms: 1 
o|simplifications: ((if . 61) (##core#call . 400)) 
o|  call simplifications:
o|    <
o|    ##sys#structure?
o|    ##sys#check-structure	2
o|    ##sys#make-structure	2
o|    ##sys#setslot
o|    +	2
o|    ##sys#foreign-string-argument	3
o|    ##sys#foreign-pointer-argument	7
o|    string-length
o|    char-whitespace?
o|    *
o|    fx>=	2
o|    string-set!
o|    bitwise-ior
o|    fxior	3
o|    list	5
o|    ##sys#check-list	2
o|    add1
o|    ##sys#apply	2
o|    values	11
o|    ##sys#fudge
o|    vector-set!	2
o|    char=?
o|    ##sys#foreign-block-argument	2
o|    ##sys#foreign-integer-argument	4
o|    fx-	6
o|    ##sys#check-number	4
o|    ##sys#check-vector
o|    procedure?
o|    member
o|    fx+	10
o|    string-ref	3
o|    fx>
o|    cons	9
o|    ##sys#size	9
o|    ##sys#call-with-values	9
o|    not	5
o|    ##sys#check-string	18
o|    fx=	13
o|    zero?	2
o|    ##sys#null-pointer?	5
o|    pair?	15
o|    ##sys#check-exact	26
o|    ##sys#slot	19
o|    eq?	32
o|    cdr	20
o|    ##sys#eqv?	8
o|    null?	53
o|    car	34
o|    vector
o|    fixnum?	4
o|    string?
o|    fx<	13
o|    ##sys#foreign-fixnum-argument	8
o|    apply	9
o|contracted procedure: k2312 
o|contracted procedure: k2341 
o|contracted procedure: k2350 
o|contracted procedure: k2366 
o|contracted procedure: k2394 
o|contracted procedure: k2385 
o|contracted procedure: k2515 
o|contracted procedure: k2437 
o|contracted procedure: k2509 
o|contracted procedure: k2440 
o|contracted procedure: k2503 
o|contracted procedure: k2443 
o|contracted procedure: k2497 
o|contracted procedure: k2446 
o|contracted procedure: k2458 
o|contracted procedure: k2464 
o|contracted procedure: k2470 
o|contracted procedure: k2476 
o|contracted procedure: k2482 
o|contracted procedure: k2488 
o|contracted procedure: k2494 
o|contracted procedure: k2600 
o|contracted procedure: k2603 
o|contracted procedure: k2625 
o|contracted procedure: k2621 
o|contracted procedure: k2631 
o|contracted procedure: k2637 
o|contracted procedure: k2658 
o|contracted procedure: k2665 
o|contracted procedure: k2691 
o|contracted procedure: k2703 
o|contracted procedure: k2717 
o|contracted procedure: k2773 
o|contracted procedure: k2736 
o|contracted procedure: k2765 
o|contracted procedure: k2755 
o|contracted procedure: k2779 
o|contracted procedure: k2788 
o|contracted procedure: k2794 
o|contracted procedure: k2797 
o|contracted procedure: k2800 
o|contracted procedure: k2831 
o|contracted procedure: k2806 
o|contracted procedure: k2917 
o|contracted procedure: k2840 
o|contracted procedure: k2852 
o|contracted procedure: k2859 
o|contracted procedure: k2897 
o|contracted procedure: k2907 
o|contracted procedure: k2911 
o|contracted procedure: k3034 
o|contracted procedure: k2926 
o|contracted procedure: k2929 
o|contracted procedure: k3031 
o|contracted procedure: k2935 
o|contracted procedure: k2968 
o|contracted procedure: k3013 
o|contracted procedure: k3164 
o|contracted procedure: k3046 
o|contracted procedure: k3158 
o|contracted procedure: k3049 
o|contracted procedure: k3152 
o|contracted procedure: k3052 
o|contracted procedure: k3055 
o|contracted procedure: k3074 
o|contracted procedure: k3089 
o|contracted procedure: k3093 
o|contracted procedure: k3099 
o|contracted procedure: k3145 
o|contracted procedure: k3102 
o|contracted procedure: k3121 
o|contracted procedure: k3124 
o|contracted procedure: k3139 
o|contracted procedure: k3130 
o|contracted procedure: k3170 
o|contracted procedure: k3191 
o|contracted procedure: k3194 
o|contracted procedure: k3225 
o|contracted procedure: k3232 
o|contracted procedure: k3255 
o|contracted procedure: k3271 
o|contracted procedure: k3289 
o|contracted procedure: k3311 
o|contracted procedure: k3314 
o|contracted procedure: k3320 
o|contracted procedure: k3332 
o|contracted procedure: k3341 
o|contracted procedure: k3367 
o|contracted procedure: k3438 
o|contracted procedure: k3457 
o|contracted procedure: k3521 
o|contracted procedure: k3534 
o|contracted procedure: k3527 
o|contracted procedure: k3543 
o|contracted procedure: k3549 
o|contracted procedure: k3564 
o|contracted procedure: k3570 
o|contracted procedure: k3595 
o|contracted procedure: k3612 
o|contracted procedure: k3608 
o|contracted procedure: k3587 
o|contracted procedure: k3618 
o|contracted procedure: k3728 
o|contracted procedure: k3675 
o|contracted procedure: k3684 
o|contracted procedure: k3667 
o|contracted procedure: k3718 
o|contracted procedure: k3714 
o|contracted procedure: k3654 
o|contracted procedure: k3737 
o|contracted procedure: k3740 
o|contracted procedure: k3754 
o|contracted procedure: k3795 
o|contracted procedure: k3802 
o|contracted procedure: k3810 
o|contracted procedure: k3822 
o|contracted procedure: k3826 
o|contracted procedure: k3833 
o|contracted procedure: k3769 
o|contracted procedure: k3840 
o|contracted procedure: k3923 
o|contracted procedure: k3863 
o|contracted procedure: k3917 
o|contracted procedure: k3866 
o|contracted procedure: k3911 
o|contracted procedure: k3869 
o|contracted procedure: k3905 
o|contracted procedure: k3872 
o|contracted procedure: k3875 
o|contracted procedure: k3878 
o|contracted procedure: k3896 
o|contracted procedure: k3934 
o|contracted procedure: k3982 
o|contracted procedure: k3985 
o|contracted procedure: k4022 
o|contracted procedure: k3988 
o|contracted procedure: k4009 
o|contracted procedure: k4047 
o|contracted procedure: k4065 
o|contracted procedure: k4078 
o|contracted procedure: k40786939 
o|contracted procedure: k4092 
o|contracted procedure: k4194 
o|contracted procedure: k4202 
o|contracted procedure: k4205 
o|contracted procedure: k4208 
o|contracted procedure: k4218 
o|contracted procedure: k4227 
o|contracted procedure: k4234 
o|contracted procedure: k4246 
o|contracted procedure: k4252 
o|contracted procedure: k4265 
o|contracted procedure: k4268 
o|contracted procedure: k4283 
o|contracted procedure: k4298 
o|contracted procedure: k4309 
o|contracted procedure: k4318 
o|contracted procedure: k4324 
o|contracted procedure: k4333 
o|contracted procedure: k4349 
o|contracted procedure: k4352 
o|contracted procedure: k4361 
o|contracted procedure: k4384 
o|contracted procedure: k4388 
o|contracted procedure: k4394 
o|contracted procedure: k4400 
o|contracted procedure: k4407 
o|contracted procedure: k4417 
o|contracted procedure: k4426 
o|contracted procedure: k4429 
o|contracted procedure: k4436 
o|contracted procedure: k4454 
o|contracted procedure: k4472 
o|contracted procedure: k4488 
o|contracted procedure: k4494 
o|contracted procedure: k4501 
o|contracted procedure: k4509 
o|contracted procedure: k4518 
o|contracted procedure: k4534 
o|contracted procedure: k4555 
o|contracted procedure: k4567 
o|contracted procedure: k4580 
o|contracted procedure: k4590 
o|contracted procedure: k4607 
o|contracted procedure: k4620 
o|contracted procedure: k4630 
o|contracted procedure: k4656 
o|contracted procedure: k4674 
o|contracted procedure: k4818 
o|contracted procedure: k4799 
o|contracted procedure: k4808 
o|contracted procedure: k4854 
o|contracted procedure: k4898 
o|contracted procedure: k4901 
o|contracted procedure: k4907 
o|contracted procedure: k4924 
o|contracted procedure: k4927 
o|contracted procedure: k4972 
o|contracted procedure: k4979 
o|contracted procedure: k5008 
o|contracted procedure: k5020 
o|contracted procedure: k5034 
o|contracted procedure: k5072 
o|contracted procedure: k5059 
o|contracted procedure: k5082 
o|contracted procedure: k5091 
o|contracted procedure: k5100 
o|contracted procedure: k5103 
o|contracted procedure: k5106 
o|contracted procedure: k5132 
o|contracted procedure: k51207036 
o|contracted procedure: k51207041 
o|contracted procedure: k5151 
o|contracted procedure: k5180 
o|contracted procedure: k5200 
o|contracted procedure: k5196 
o|contracted procedure: k5203 
o|contracted procedure: k5209 
o|contracted procedure: k5215 
o|contracted procedure: k5227 
o|contracted procedure: k5239 
o|contracted procedure: k5251 
o|contracted procedure: k5268 
o|contracted procedure: k5257 
o|contracted procedure: k5264 
o|contracted procedure: k5356 
o|contracted procedure: k5285 
o|contracted procedure: k5350 
o|contracted procedure: k5288 
o|contracted procedure: k5344 
o|contracted procedure: k5291 
o|contracted procedure: k5338 
o|contracted procedure: k5294 
o|contracted procedure: k5332 
o|contracted procedure: k5297 
o|contracted procedure: k5326 
o|contracted procedure: k5300 
o|contracted procedure: k5303 
o|contracted procedure: k5312 
o|contracted procedure: k5318 
o|contracted procedure: k5439 
o|contracted procedure: k5365 
o|contracted procedure: k5433 
o|contracted procedure: k5368 
o|contracted procedure: k5427 
o|contracted procedure: k5371 
o|contracted procedure: k5421 
o|contracted procedure: k5374 
o|contracted procedure: k5415 
o|contracted procedure: k5377 
o|contracted procedure: k5409 
o|contracted procedure: k5380 
o|contracted procedure: k5383 
o|contracted procedure: k5386 
o|contracted procedure: k5395 
o|contracted procedure: k5401 
o|contracted procedure: k5495 
o|contracted procedure: k5690 
o|contracted procedure: k5565 
o|contracted procedure: k5568 
o|contracted procedure: k5515 
o|contracted procedure: k5519 
o|contracted procedure: k5523 
o|contracted procedure: k5527 
o|contracted procedure: k5531 
o|contracted procedure: k5553 
o|contracted procedure: k5560 
o|contracted procedure: k5635 
o|contracted procedure: k5639 
o|contracted procedure: k5650 
o|contracted procedure: k5662 
o|contracted procedure: k5665 
o|contracted procedure: k5668 
o|contracted procedure: k5676 
o|contracted procedure: k5684 
o|contracted procedure: k5700 
o|contracted procedure: k5717 
o|contracted procedure: k5727 
o|contracted procedure: k5731 
o|contracted procedure: k5734 
o|contracted procedure: k5833 
o|contracted procedure: k5782 
o|contracted procedure: k5827 
o|contracted procedure: k5785 
o|contracted procedure: k5821 
o|contracted procedure: k5788 
o|contracted procedure: k5815 
o|contracted procedure: k5791 
o|contracted procedure: k5809 
o|contracted procedure: k5794 
o|contracted procedure: k5803 
o|contracted procedure: k5797 
o|contracted procedure: k5893 
o|contracted procedure: k5842 
o|contracted procedure: k5887 
o|contracted procedure: k5845 
o|contracted procedure: k5881 
o|contracted procedure: k5848 
o|contracted procedure: k5875 
o|contracted procedure: k5851 
o|contracted procedure: k5869 
o|contracted procedure: k5854 
o|contracted procedure: k5863 
o|contracted procedure: k5857 
o|contracted procedure: k5914 
o|contracted procedure: k6017 
o|contracted procedure: k5988 
o|contracted procedure: k5992 
o|contracted procedure: k5996 
o|contracted procedure: k6000 
o|contracted procedure: k6004 
o|contracted procedure: k6008 
o|contracted procedure: k6055 
o|contracted procedure: k6081 
o|contracted procedure: k6090 
o|contracted procedure: k6101 
o|contracted procedure: k6069 
o|contracted procedure: k6073 
o|contracted procedure: k6104 
o|contracted procedure: k6114 
o|contracted procedure: k6380 
o|contracted procedure: k6405 
o|contracted procedure: k6389 
o|contracted procedure: k6392 
o|contracted procedure: k6414 
o|contracted procedure: k6426 
o|contracted procedure: k6442 
o|contracted procedure: k6438 
o|contracted procedure: k6448 
o|contracted procedure: k6463 
o|contracted procedure: k6485 
o|contracted procedure: k6476 
o|simplifications: ((if . 1) (let . 62)) 
o|removed binding forms: 332 
o|inlining procedure: k3540 
o|inlining procedure: k3561 
o|inlining procedure: "(posixwin.scm:809) mode892" 
o|inlining procedure: "(posixwin.scm:819) mode892" 
o|replaced variables: 185 
o|removed side-effect free assignment to unused variable: mode892 
o|replaced variables: 10 
o|removed binding forms: 90 
o|contracted procedure: k6034 
o|contracted procedure: k6097 
o|converted assignments to bindings: (check894) 
o|simplifications: ((let . 1)) 
o|removed binding forms: 10 
o|contracted procedure: k4570 
o|contracted procedure: k4610 
o|replaced variables: 2 
o|removed binding forms: 2 
o|removed binding forms: 1 
o|direct leaf routine/allocation: loop1174 0 
o|direct leaf routine/allocation: g13821389 0 
o|contracted procedure: k5276 
o|converted assignments to bindings: (loop1174) 
o|contracted procedure: "(posixwin.scm:1249) k5720" 
o|simplifications: ((let . 1)) 
o|removed binding forms: 2 
o|direct leaf routine/allocation: for-each-loop13811399 0 
o|converted assignments to bindings: (for-each-loop13811399) 
o|simplifications: ((let . 1)) 
o|customizable procedures: (k6084 k6028 k6043 %process1370 chkstrlst1377 map-loop13031320 k5475 call-with-exec-args k5174 k5186 k5085 mode1087 check1088 check1071 check894 k4481 loop864 suffix-loop877 loop875 k4315 k4199 list->c-string-buffer k4140 doloop702703 tmp12244 tmp22245 doloop683684 free-c-string-buffer scan628 loop625 check-time-vector k3292 k3295 loop450 g422423 loop414 conc-loop395 k3108 loop374 k2957 loop328 g289296 for-each-loop288305 rmdir282 k2782 mode204 check205 k2597 ##sys#stat) 
o|calls to known targets: 173 
o|unused rest argument: _446 f_3460 
o|unused rest argument: _445 f_3452 
o|unused rest argument: _486 f_3512 
o|identified direct recursive calls: f_3790 1 
o|identified direct recursive calls: f_5246 1 
o|identified direct recursive calls: f_5712 1 
o|unused rest argument: _15581562 f_6127 
o|unused rest argument: _15651569 f_6133 
o|unused rest argument: _15711575 f_6139 
o|unused rest argument: _15771581 f_6145 
o|unused rest argument: _15831587 f_6151 
o|unused rest argument: _15891593 f_6157 
o|unused rest argument: _15951599 f_6163 
o|unused rest argument: _16011605 f_6169 
o|unused rest argument: _16071611 f_6175 
o|unused rest argument: _16131617 f_6181 
o|unused rest argument: _16191623 f_6187 
o|unused rest argument: _16251629 f_6193 
o|unused rest argument: _16311635 f_6199 
o|unused rest argument: _16371641 f_6205 
o|unused rest argument: _16431647 f_6211 
o|unused rest argument: _16491653 f_6217 
o|unused rest argument: _16551659 f_6223 
o|unused rest argument: _16611665 f_6229 
o|unused rest argument: _16671671 f_6235 
o|unused rest argument: _16731677 f_6241 
o|unused rest argument: _16791683 f_6247 
o|unused rest argument: _16851689 f_6253 
o|unused rest argument: _16911695 f_6259 
o|unused rest argument: _16971701 f_6265 
o|unused rest argument: _17031707 f_6271 
o|unused rest argument: _17091713 f_6277 
o|unused rest argument: _17151719 f_6283 
o|unused rest argument: _17211725 f_6289 
o|unused rest argument: _17271731 f_6295 
o|unused rest argument: _17331737 f_6301 
o|unused rest argument: _17391743 f_6307 
o|unused rest argument: _17451749 f_6313 
o|unused rest argument: _17511755 f_6319 
o|unused rest argument: _17571761 f_6325 
o|unused rest argument: _17631767 f_6331 
o|unused rest argument: _17691773 f_6337 
o|unused rest argument: _17751779 f_6343 
o|unused rest argument: _17811785 f_6349 
o|unused rest argument: _17871791 f_6355 
o|unused rest argument: _17931797 f_6361 
o|fast box initializations: 19 
o|fast global references: 80 
o|fast global assignments: 8 
o|dropping unused closure argument: f_2844 
o|dropping unused closure argument: f_5000 
o|dropping unused closure argument: f_5696 
o|dropping unused closure argument: f_4922 
o|dropping unused closure argument: f_4547 
o|dropping unused closure argument: f_4963 
o|dropping unused closure argument: f_2333 
o|dropping unused closure argument: f_2649 
o|dropping unused closure argument: f_4051 
o|dropping unused closure argument: f_3519 
o|dropping unused closure argument: f_2686 
o|dropping unused closure argument: f_3932 
*/
/* end of file */
